-- MySQL dump 10.11
--
-- Host: localhost    Database: mangos
-- ------------------------------------------------------
-- Server version	5.0.45-Debian_1ubuntu3.1-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `areatrigger_involvedrelation`
--

DROP TABLE IF EXISTS `areatrigger_involvedrelation`;
CREATE TABLE `areatrigger_involvedrelation` (
  `id` int(11) unsigned NOT NULL default '0' COMMENT 'Identifier',
  `quest` int(11) unsigned NOT NULL default '0' COMMENT 'Quest Identifier',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Trigger System';

--
-- Dumping data for table `areatrigger_involvedrelation`
--

LOCK TABLES `areatrigger_involvedrelation` WRITE;
/*!40000 ALTER TABLE `areatrigger_involvedrelation` DISABLE KEYS */;
/*!40000 ALTER TABLE `areatrigger_involvedrelation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `areatrigger_tavern`
--

DROP TABLE IF EXISTS `areatrigger_tavern`;
CREATE TABLE `areatrigger_tavern` (
  `id` int(11) unsigned NOT NULL default '0' COMMENT 'Identifier',
  `name` text,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Trigger System';

--
-- Dumping data for table `areatrigger_tavern`
--

LOCK TABLES `areatrigger_tavern` WRITE;
/*!40000 ALTER TABLE `areatrigger_tavern` DISABLE KEYS */;
/*!40000 ALTER TABLE `areatrigger_tavern` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `areatrigger_teleport`
--

DROP TABLE IF EXISTS `areatrigger_teleport`;
CREATE TABLE `areatrigger_teleport` (
  `id` int(11) unsigned NOT NULL default '0' COMMENT 'Identifier',
  `name` text,
  `required_level` tinyint(3) unsigned NOT NULL default '0',
  `required_item` int(11) unsigned NOT NULL default '0',
  `target_map` int(11) unsigned NOT NULL default '0',
  `target_position_x` float NOT NULL default '0',
  `target_position_y` float NOT NULL default '0',
  `target_position_z` float NOT NULL default '0',
  `target_orientation` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Trigger System';

--
-- Dumping data for table `areatrigger_teleport`
--

LOCK TABLES `areatrigger_teleport` WRITE;
/*!40000 ALTER TABLE `areatrigger_teleport` DISABLE KEYS */;
/*!40000 ALTER TABLE `areatrigger_teleport` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `battleground_template`
--

DROP TABLE IF EXISTS `battleground_template`;
CREATE TABLE `battleground_template` (
  `id` int(11) unsigned NOT NULL,
  `MinPlayersPerTeam` int(11) unsigned NOT NULL default '0',
  `MaxPlayersPerTeam` int(11) unsigned NOT NULL default '0',
  `MinLvl` int(11) unsigned NOT NULL default '0',
  `MaxLvl` int(11) unsigned NOT NULL default '0',
  `AllianceStartLoc` int(11) unsigned NOT NULL,
  `AllianceStartO` float NOT NULL,
  `HordeStartLoc` int(11) unsigned NOT NULL,
  `HordeStartO` float NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `battleground_template`
--

LOCK TABLES `battleground_template` WRITE;
/*!40000 ALTER TABLE `battleground_template` DISABLE KEYS */;
INSERT INTO `battleground_template` VALUES
(1,0,0,0,0,611,2.72532,610,2.27452),
(2,0,0,0,0,769,3.14159,770,3.14159),
(4,0,2,10,70,929,0,936,3.14159),
(3,0,0,0,0,890,3.40156,889,0.263892),
(5,0,2,10,70,939,0,940,3.14159),
(6,0,2,10,70,0,0,0,0),
(7,0,0,0,0,1103,3.40156,1104,0.263892),
(8,0,2,10,70,1258,0,1259,3.14159);
/*!40000 ALTER TABLE `battleground_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `battlemaster_entry`
--

DROP TABLE IF EXISTS `battlemaster_entry`;
CREATE TABLE `battlemaster_entry` (
  `entry` int(11) unsigned NOT NULL default '0' COMMENT 'Entry of a creature',
  `bg_template` int(11) unsigned NOT NULL default '0' COMMENT 'Battleground template id',
  PRIMARY KEY  (`entry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `battlemaster_entry`
--

LOCK TABLES `battlemaster_entry` WRITE;
/*!40000 ALTER TABLE `battlemaster_entry` DISABLE KEYS */;
/*!40000 ALTER TABLE `battlemaster_entry` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `button_scripts`
--

DROP TABLE IF EXISTS `button_scripts`;
CREATE TABLE `button_scripts` (
  `id` int(11) unsigned NOT NULL default '0',
  `delay` int(11) unsigned NOT NULL default '0',
  `command` int(11) unsigned NOT NULL default '0',
  `datalong` int(11) unsigned NOT NULL default '0',
  `datalong2` int(11) unsigned NOT NULL default '0',
  `datatext` text NOT NULL,
  `x` float NOT NULL default '0',
  `y` float NOT NULL default '0',
  `z` float NOT NULL default '0',
  `o` float NOT NULL default '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `button_scripts`
--

LOCK TABLES `button_scripts` WRITE;
/*!40000 ALTER TABLE `button_scripts` DISABLE KEYS */;
/*!40000 ALTER TABLE `button_scripts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `command`
--

DROP TABLE IF EXISTS `command`;
CREATE TABLE `command` (
  `name` varchar(50) NOT NULL default '',
  `security` tinyint(3) unsigned NOT NULL default '0',
  `help` longtext,
  PRIMARY KEY  (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Chat System';

--
-- Dumping data for table `command`
--

LOCK TABLES `command` WRITE;
/*!40000 ALTER TABLE `command` DISABLE KEYS */;
INSERT INTO `command` (`name`,`security`,`help`) VALUES
('acct',0,'Syntax: .acct\r\n\r\nDisplay the access level of your account.'),
('addgo',2,'Syntax: .addgo #id <spawntimeSecs>\r\n\r\nAdd a game object from game object templates to the world at your current location using the #id.\r\nspawntimesecs sets the spawntime, it is optional.\r\n\r\nNote: this is a copy of .gameobject.'),
('additem',3,'Syntax: .additem #itemid/[#itemname]/#shift-click-item-link #itemcount\r\n\r\nAdds the specified number of items of id #itemid (or exact (!) name $itemname in brackets, or link created by shift-click at item in inventory or recipe) to your or selected character inventory. If #itemcount is omitted, only one item will be added.\r\n.'),
('additemset',3,'Syntax: .additemset #itemsetid\r\n\r\nAdd items from itemset of id #itemsetid to your or selected character inventory. Will add by one example each item from itemset.'),
('addmove',2,'Syntax: .addmove #creature_guid [#waittime]\r\n\r\nAdd your current location as a waypoint for creature with guid #creature_guid. And optional add wait time.'),
('addquest',3,'Syntax: .addquest #quest_id\r\n\r\nAdd to character quest log quest #quest_id. Quest started from item can\'t be added by this command but correct .additem call provided in command output.'),
('addspw',2,'Syntax: .addspw #creatureid\r\n\r\nSpawn a creature by the given template id of #creatureid.'),
('addtele',3,'Syntax: .addtele $name\r\n\r\nAdd current your position to .tele command target locations list with name $name.'),
('addvendoritem',2,'Syntax: .addvendoritem #itemId <#maxcount><#incrtime>\r\n\r\nAdd item #itemid to item list of selected vendor. Also optionally set max count item in vendor item list and time to item count restoring.'),
('addweapon',3,'Not yet implemented.'),
('allowmove',3,'Syntax: .allowmove\r\n\r\nEnable or disable movement for the selected creature.'),
('anim',2,'Syntax: .anim #emoteid\r\n\r\nPlay emote #emoteid for your character.'),
('announce',1,'Syntax: .announce $MessageToBroadcast\r\n\r\nSend a global message to all players online in chat log.'),
('aura',3,'Syntax: .aura #spellid\r\n\r\nAdd the aura from spell #spellid to the selected Unit.'),
('ban',3,'Syntax is: ban <account|ip|character> $NameOrIp $bantime $reason\r\nBan account or IP and kick player.\r\n$bantime: negative value leads to permban, otherwise use a timestring like \"4d20h3s\".'),
('baninfo',3,'Syntax is: baninfo <account|ip|character>\r\nWatch full information about a specific ban.'),
('bank',3,'Syntax: .bank\r\n\r\nShow your bank inventory.'),
('banlist',3,'Syntax is: banlist <account|ip|character> $NameOrIp\r\nsearches the banlist for a pattern.'),
('cast',3,'Syntax: .cast #spellid\r\n  Cast #spellid to selected target. If no target selected cast to self.'),
('castback',3,'Syntax: .castback #spellid\r\n  Selected target will cast #spellid to your character.'),
('changelevel',2,'Syntax: .changelevel #level\r\n\r\nChange the level of the selected creature to #level.\r\n\r\n#level may range from 1 to 63.'),
('commands',0,'Syntax: .commands\r\n\r\nDisplay a list of available commands for your account level.'),
('cooldown',3,'Syntax: .cooldown [#spell_id]\r\n\r\nRemove all (if spell_id not provided) or #spel_id spell cooldown from selected character or you (if no selection).'),
('cshutdown',3,'Syntax: .cshutdown Cancels shutdown'),
('delete',2,'Syntax: .delete\r\n\r\nDelete the selected creature from the world.'),
('delobject',2,'Syntax: .delobject #go_guid\r\nDelete gameobject with guid #go_guid.'),
('deltele',3,'Syntax: .deltele $name\r\n\r\nRemove location with name $name for .tele command locations list.'),
('delticket',2,'Syntax: .delticket all\r\n        .delticket #num\r\n        .delticket $character_name\r\n\rall to dalete all tickets at server, $character_name to delete ticket of this character, #num to delete ticket #num.'),
('delvendoritem',2,'Syntax: .delvendoritem #itemId\r\n\r\nRemove item #itemid from item list of selected vendor.'),
('demorph',2,'Syntax: .demorph\r\n\r\nDemorph the selected player.'),
('die',3,'Syntax: .die\r\n\r\nKill the selected player. If no player is selected, it will kill you.'),
('dismount',0,'Syntax: .dismount\r\n\r\nDismount you, if you are mounted.'),
('distance',3,'Syntax: .distance\r\n\r\nDisplay the distance from your character to the selected creature.'),
('explorecheat',3,'Syntax: .explorecheat #flag\r\n\r\nReveal  or hide all maps for the selected player. If no player is selected, hide or reveal maps to you.\r\n\r\nUse a #flag of value 1 to reveal, use a #flag value of 0 to hide all maps.'),
('factionid',2,'Syntax: .factionid #factionid\r\n\r\nSet the faction of the selected creature to #factionid.'),
('getvalue',3,'Syntax: .getvalue #field #isInt\r\n\r\nGet the field #field of the selected creature. If no creature is selected, get the content of your field.\r\n\r\nUse a #isInt of value 1 if the expected field content is an integer.'),
('gm',1,'Syntax: .gm on/off\r\n\r\nEnable or Disable GM MODE'),
('gocreature',2,'Syntax: .gocreature #creature_guid\r\nTeleport your character to creature with guid #creature_guid.\r\n.gocreature #creature_name\r\nTeleport your character to creature with this name.\r\n.gocreature id #creature_id\r\nTeleport your character to a creature that was spawned from the template with this entry.\r\n*If* more than one creature is found, then you are teleported to the first that is found inside the database.'),
('gogrid',1,'Syntax: .gogrid #gridX #gridY [#mapId]\n\nTeleport the gm to center of grid with provided indexes at map #mapId (or current map if it not provided).'),
('goname',1,'Syntax: .goname $charactername\r\n\r\nTeleport to the given character. Either specify the character name or click on the character\'s portrait, e.g. when you are in a group.'),
('goobject',1,'Syntax: .goobject #object_guid\r\nTeleport your character to gameobject with guid #object_guid'),
('gotrigger',2,'Syntax: .gotrigger #trigger_id\r\n\r\nTeleport your character to areatrigger with id #trigger_id. Character will be teleported to trigger target if selected areatrigger is telporting trigger.'),
('goxy',1,'Syntax: .goxy #x #y [#mapid]\r\n\r\nTeleport player to point with (#x,#y) coordinates at ground(water) level at map #mapid or same map if #mapid not provided.'),
('goxyz',1,'Syntax: .goxyz #x #y #z [#mapid]\r\n\r\nTeleport player to point with (#x,#y,#z) coordinates at ground(water) level at map #mapid or same map if #mapid not provided.'),
('gozonexy',1,'Syntax: .gozonexy #x #y [#zone]\r\n\r\nTeleport player to point with (#x,#y) client coordinates at ground(water) level in zone #zoneid or current zone if #zoneid not provided. You can look up zone using .lookup area $namepart'),
('gps',1,'Syntax: .gps\r\n\r\nDisplay the position information for a selected character or creature. Position information includes X, Y, Z, and orientation, map Id and zone Id'),
('groupgo',1,'Syntax: .groupgo $charactername\r\n\r\nTeleport the given character and his group to you.'),
('grouptele',1,'Syntax: .grouptele #location\r\n\r\nTeleport a selected player and his group members to a given location.'),
('guid',2,'Syntax: .guid\r\n\r\nDisplay the GUID for the selected character.'),
('guild create',2,'Syntax: .guild create $GuildLeaderName $GuildName\r\n\r\nCreate a guild named $GuildName with the player $GuildLeaderName as leader.'),
('guild delete',2,'Syntax: .guild delete $GuildName\r\n\r\nDelete guild $GuildName.'),
('guild invite',2,'Syntax: .guild invite $CharacterName $GuildName\r\n\r\nAdd $CharacterName into a guild $GuildName.'),
('guild rank',2,'Syntax: .guild rank $CharacterName #Rank\r\n\r\nSet for $CharacterName rank #Rank in a guild.'),
('guild uninvite',2,'Syntax: .guild uninvite $CharacterName\r\n\r\nRemove $CharacterName from a guild.'),
('help',0,'Syntax: .help $command\r\n\r\nDisplay usage instructions for the given $command.'),
('hidearea',3,'Syntax: .hidearea #areaid\r\n\r\nHide the area of #areaid to the selected character. If no character is selected, hide this area to you.'),
('honor',2,'Syntax: .honor $command [$value] Various honor related commands. Use .help honor $command to get help on specific parameter usage. Supported parameters include add, addkill, flushkills, update'),
('honor add',2,'Syntax: .honor add $amount\r\n\r\nAdd a certain amount of honor (gained today) to the selected player.'),
('honor addkill',2,'Syntax: .honor addkikll\r\n\r\nAdd the targeted unit as one of your pvp kills today (you only get honor if it\'s a racial leader or a player)'),
('honor flushkills',2,'Syntax: .honor flushkills\r\n\r\nClear today\'s kills from the player limit storage (immediately) and from the DB (on next save) for the selected player.'),
('honor update',2,'Syntax: .honor update\r\n\r\nForce the yesterday\'s honor fields to be updated with today\'s data, which will get reset for the selected player.'),
('hover',3,'Syntax: .hover #flag\r\n\r\nEnable or disable hover mode for your character.\r\n\r\nUse a #flag of value 1 to enable, use a #flag value of 0 to disable hover.'),
('idleshutdown',3,'Syntax: .idleshutdown #delay|cancel\r\n\r\nShut the server down after #delay seconds if no active connections are present (no players) or cancel the shutdown if cancel value is used.'),
('info',0,'Syntax: .info\r\n\r\nDisplay the number of connected players.'),
('itemmove',2,'Syntax: .itemmove #sourceslotid #destinationslotid\r\n\r\nMove an item from slots #sourceslotid to #destinationslotid in your inventory\r\n\r\nNot yet implemented'),
('kick',2,'Syntax: .kick [$charactername]\r\n\r\nKick the given character name from the world. If no character name is provided then the selected player (except for yourself) will be kicked.'),
('learn',3,'Syntax: .learn #parameter\r\n\r\nSelected character learn a spell of id #parameter.'),
('learn all',3,'Syntax: .learn all\r\n\r\nLearn all big set different spell maybe useful for Administaror.'),
('learn all_crafts',2,'Syntax: .learn crafts\r\n\r\nLearn all professions and recipes.'),
('learn all_gm',2,'Syntax: .learn all_gm\r\n\r\nLearn all default spells for Game Masters.'),
('learn all_lang',1,'Syntax: .learn all_lang\r\n\r\nLearn all languages'),
('learn all_myclass',3,'Syntax: .learn all_myclass\r\n\r\nLearn all spells and talents available for his class.'),
('learn all_myspells',3,'Syntax: .learn all_myspells\r\n\r\nLearn all spells (except talents and spells with first rank learned as talent) available for his class.'),
('learn all_mytalents',3,'Syntax: .learn all_mytalents\r\n\r\nLearn all talents (and spells with first rank learned as talent) available for his class.'),
('levelup',3,'Syntax: .levelup [$playername] [#numberoflevels]\r\n\r\nIncrease/decrease the level of character with $playername (or the selected if not name provided) by #numberoflevels Or +1 if no #numberoflevels provided). If #numberoflevels is omitted, the level will be increase by 1. If #numberoflevels is 0, the same level will be restarted. If no character is selected and name not provided, increase your level. Command can be used for offline character. All stats and dependent VALUESrecalculated. At level decrease talents can be reset if need. Also at level decrease equipped items with greater level requirement can be lost.'),
('linkgrave',3,'Syntax: .linkgrave #graveyard_id [alliance|horde]\r\n\r\nLink current zone to graveyard for any (or alliance/horde faction ghosts). This let character ghost from zone teleport to graveyard after die if graveyard is nearest from linked to zone and accept ghost of this faction. Add only single graveyard at another map and only if no graveyards linked (or planned linked at same map).'),
('listcreature',3,'Syntax: .listcreature #creature_id [#max_count]\r\n\r\nOutput creatures with creature id #creature_id found in world. Output creature guids and coordinates sorted by distance from character. Will be output maximum #max_count creatures. If #max_count not provided use 10 as default value.'),
('listgm',0,'Syntax: .listgm\r\n\r\nDisplay a list of available Game Masters.'),
('listitem',3,'Syntax: .listitem #item_id [#max_count]\r\n\r\nOutput items with item id #item_id found in all character inventories, mails and auctions. Output item guids, item owner guid, owner account and owner name. Will be output maximum #max_count items. If #max_count not provided use 10 as default value.'),
('listobject',3,'Syntax: .listobject #gameobject_id [#max_count]\r\n\r\nOutput gameobjects with gameobject id #gameobject_id found in world. Output gameobject guids and coordinates sorted by distance from character. Will be output maximum #max_count gameobject. If #max_count not provided use 10 as default value.'),
('loadscripts',3,'Syntax: .loadscripts $scriptlibraryname\r\n\r\nUnload current and load the script library $scriptlibraryname or reload current if $scriptlibraryname omitted, in case you changed it while the server was running.'),
('lockaccount',0,'Syntax: .lockaccount [on|off]\r\n\r\nAllow login from account only from current used IP or remove this requirement.'),
('lookup area',1,'Syntax: .lookup area $namepart\r\n\r\nLooks up an area by $namepart, and returns all matches with their area ID\'s.'),
('lookup creature',3,'Syntax: .lookup creature $namepart\r\n\r\nLooks up a creature by $namepart, and returns all matches with their creature ID\'s.'),
('lookup item',3,'Syntax: .lookup item $itemname\r\n\r\nLooks up an item by $itemname, and returns all matches with their Item ID\'s.'),
('lookup itemset',3,'Syntax: .lookup itemset $itemname\r\n\r\nLooks up an item set by $itemname, and returns all matches with their Item set ID\'s.'),
('lookup object',3,'Syntax: .lookup object $objname\r\n\r\nLooks up an gameobject by $objname, and returns all matches with their Gameobject ID\'s.'),
('lookup quest',3,'Syntax: .lookup quest $namepart\r\n\r\nLooks up a quest by $namepart, and returns all matches with their quest ID\'s.'),
('lookup skill',3,'Syntax: .lookup skill $$namepart\r\n\r\nLooks up a skill by $namepart, and returns all matches with their skill ID\'s.'),
('lookup spell',3,'Syntax: .lookup spell $namepart\r\n\r\nLooks up a spell by $namepart, and returns all matches with their spell ID\'s.'),
('lookup tele',1,'Syntax: .lookup tele $substring\r\n\r\nSearch and output all .tele command locations with provide $substring in name.'),
('maxskill',3,'Syntax: .maxskill\r\nSets all skills of the targeted player to their maximum VALUESfor its current level.'),
('Mod32Value',3,'Syntax: .Mod32Value #field #value\r\n\r\nAdd #value to field #field of your character.'),
('modify',1,'Syntax: .modify $parameter $value\r\n\r\nModify the value of various parameters. Use .help modify $parameter to get help on specific parameter usage.\r\n\r\nSupported parameters include hp, mana, rage, energy, money, speed, swim, scale, bit, bwalk, aspeed, faction, spell, tp and honor.'),
('modify aspeed',1,'Syntax: .modify aspeed #rate\r\n\r\nModify all speeds -run,swim,run back,swim back- of the selected player to \"normalbase speed for this move type\"*rate. If no player is selected, modify your speed.\r\n\r\n #rate may range from 0.1 to 10.'),
('modify bit',1,'Syntax: .modify bit #field #bit\r\n\r\nToggle the #bit bit of the #field field for the selected player. If no player is selected, modify your character.'),
('modify bwalk',1,'Syntax: .modify bwalk #rate\r\n\r\nModify the speed of the selected player while running backwards to \"normal walk back speed\"*rate. If no player is selected, modify your speed.\r\n\r\n #rate may range from 0.1 to 10.'),
('modify energy',1,'Syntax: .modify energy #energy\r\n\r\nModify the energy of the selected player. If no player is selected, modify your energy.'),
('modify faction',1,'Syntax: .modify faction #factionid #flagid #npcflagid #dynamicflagid\r\n\r\nModify the faction and flags of the selected creature. Without arguments, display the faction and flags of the selected creature.'),
('modify honor',1,'Syntax: .modify honor $amount\r\n\r\nAdded $amount to the selected player\'s total honor points.'),
('modify hp',1,'Syntax: .modify hp #newhp\r\n\r\nModify the hp of the selected player. If no player is selected, modify your hp.'),
('modify mana',1,'Syntax: .modify mana #newmana\r\n\r\nModify the mana of the selected player. If no player is selected, modify your mana.'),
('modify money',1,'Syntax:\r\n.modify money #money\r\n.money #money\r\n\r\nAdd or remove money to the selected player. If no player is selected, modify your money.\r\n\r\n #gold can be negative to remove money.'),
('modify mount',1,'Syntax:\r\n.modify mount #id #speed\r\nDisplay selected player as mounted at #id creature and set speed to #speed value.'),
('modify rage',1,'Syntax: .modify rage #newrage\r\n\r\nModify the rage of the selected player. If no player is selected, modify your rage.'),
('modify scale',1,''),
('modify speed',1,'Syntax:\r\n.modify speed #rate\r\n.speed #rate\r\n\r\nModify the running speed of the selected player to \"normal base run speed\"*rate. If no player is selected, modify your speed.\r\n\r\n #rate may range from 0.1 to 10.'),
('modify spell',1,''),
('modify swim',1,'Syntax: .modify swim #rate\r\n\r\nModify the swim speed of the selected player to \"normal swim speed\"*rate. If no player is selected, modify your speed.\r\n\r\n #rate may range from 0.1 to 10.'),
('modify titles',1,'Syntax:\n.modify titles #mask\n.titles #mask\n\nAllows user to use all titles from #mask.\n\n #mask=0 disables the title-choose-field'),
('money',1,'Syntax:\r\n.modify money #money\r\n.money #money\r\n\r\nAdd or remove money to the selected player. If no player is selected, modify your money.\r\n\r\n #gold can be negative to remove money.'),
('morph',2,'Syntax: .morph #displayid\r\n\r\nChange your current model id to #displayid.'),
('movecreature',2,'Syntax: .movecreature [#creature_guid]\r\n\r\nMove the targeted creature spawn point to your coordinates.'),
('movegens',3,'Syntax: .movegens\r\n  Show movement generators stack for selected creature or player.'),
('moveobject',2,'Syntax: .moveobject #goguid [#x #y #z]\r\n\r\nMove gameobject #goguid to character coordinates (or to (#x,#y,#z) coordinates if its provide).'),
('mute',1,'Syntax: .mute $playerName $timeInMinutes\r\n\r\nDisible chat messaging for any character from account of character $playerName at $timeInMinutes minutes.'),
('name',2,'Syntax: .name $name\r\n\r\nChange the name of the selected creature or character to $name.\r\n\r\nCommand disabled.'),
('namego',1,'Syntax: .namego $charactername\r\n\r\nTeleport the given character to you.'),
('nametele',1,'Syntax: .nametele #playername #location\r\n\r\nTeleport a player to a given location.'),
('neargrave',3,'Syntax: .neargrave [alliance|horde]\r\n\r\nFind nearest graveyard linked to zone (or only nearest from accepts alliance or horde faction ghosts).'),
('notify',1,'Syntax: .notify $MessageToBroadcast\r\n\r\nSend a global message to all players online in screen.'),
('npcflag',2,'Syntax: .npcflag #npcflag\r\n\r\nSet the NPC flags of creature template of the selected creature and selected creature to #npcflag. NPC flags will applied to all creatures of selected creature template after server restart or grid unload/load.'),
('npcinfo',3,'Syntax: .npcinfo\r\n\r\nDisplay a list of details for the selected creature.\r\n\r\nThe list includes:\r\n- GUID, Faction, NPC flags, Entry ID, Model ID,\r\n- Level,\r\n- Health (current/maximum),\n\r\n- Field flags, dynamic flags, faction template, \r\n- Position information,\r\n- and the creature type, e.g. if the creature is a vendor.'),
('npcinfoset',3,'Syntax: .npcinfoset\r\n\r\nTODO: Write me.'),
('npcwhisper',1,'Syntax: .npcwhisper #playerguid #text\r\nMake the selected npc whisper #text to  #playerguid.'),
('password',0,'Syntax: .password $old_password $new_password $new_password\r\n\r\nChange your account password.'),
('pinfo',2,'Syntax: .pinfo [$player_name] [rep]\r\n\r\nOutput account information for selected player or player find by $player_name. If \"rep\" parameter provided show reputation information for player.'),
('playemote',3,'Syntax: .playemote #emoteid\r\n\r\nMake the selected creature emote with an emote of id #emoteid.'),
('playsound',1,'Syntax: .playsound #soundid\r\n\r\nPlay sound with #soundid.\r\nSound will be play only for you. Other players do not hear this.\r\nWarning: client may have more 5000 sounds...'),
('plimit',3,'Syntax: .plimit [#num|-1|-2|-3|reset|player|moderator|gamemaster|administrator]\r\n\r\nWithout arg show current player amount and security level limitations for login to server, with arg set player linit ($num > 0) or securiti limitation ($num < 0 or security leme name. With `reset` sets player limit to the one in the config file'),
('recall',1,'Syntax: .recall [$playername]\r\n\r\nTeleport $playername or selected player to the place where he has been before last use of a teleportation command. If no $playername is entered and no player is selected, it will teleport you.'),
('reload',3,'Syntax: .reload table_name\r\n\r\nReload table `table_name` if reload support added for this table and this table can be _safe_ reloaded.'),
('reload all',3,'Syntax: .reload all\r\n\r\nReload all tables with reload support added and that can be _safe_ reloaded.'),
('reload all_area',3,'Syntax: .reload all_area\r\n\r\nReload all `areatrigger_*` tables if reload support added for this table and this table can be _safe_ reloaded.'),
('reload all_loot',3,'Syntax: .reload all_loot\r\n\r\nReload all `*_loot_template` tables. This can be slow operation with lags for server run.'),
('reload all_quest',3,'Syntax: .reload all_quest\r\n\r\nReload all quest related tables if reload support added for this table and this table can be _safe_ reloaded.'),
('reload all_spell',3,'Syntax: .reload all\r\n\r\nReload all `spell_*` tables with reload support added and that can be _safe_ reloaded.'),
('removequest',3,'Syntax: .removequest #quest_id\r\n\r\nSet quest #quest_id state to not completed and not active (and remove from active quest list) for selected player.'),
('resetall',3,'Syntax: .resetall spells\r\n\r\nSyntax: .resetall talents\r\n\r\nRequest reset spells or talents at next login each existed character.'),
('reset honor',3,'Syntax:\r\n.reset honor [Playername]\r\n  Reset all honor data for targeted character.'),
('reset level',3,'Syntax:\r\n.reset level [Playername]\r\n  Reset level to 1 including reset stats and talents.  Equipped items with greater level requirement can be lost.'),
('reset spells',3,'Syntax:\r\n.reset spells [Playername]\r\n  Removes all non-original spells from spellbook.\r\n. Playername can be name of offline character.'),
('reset stats',3,'Syntax:\r\n.reset stats [Playername]\r\n  Resets(recalculate) all stats of the targeted player to their original VALUESat current level.'),
('reset talents',3,'Syntax:\r\n.reset talents [Playername]\r\n  Removes all talents of the targeted player. Playername can be name of offline character.'),
('respawn',3,'Syntax: .respawn\r\n\r\nRespawn all nearest creatures and GO without waiting respawn time expiration.'),
('revive',3,'Syntax: .revive\r\n\r\nRevive the selected player. If no player is selected, it will revive you.'),
('save',0,'Syntax: .save\r\n\r\nSaves your character.'),
('saveall',1,'Syntax: .saveall\r\n\r\nSave all characters in game.'),
('security',3,'Syntax: .security $name #level\r\n\r\nSet the security level of player $name to a level of #level.\r\n\r\n#level may range from 0 to 5.'),
('sendmail',1,'Syntax: .sendmail #playername #subject #text\r\n\r\nSend a mail to a player. Note: subject may not contain spaces.'),
('setmodel',2,'Syntax: .setmodel #displayid\r\n\r\nChange the model id of the selected creature to #displayid.'),
('setmovetype',2,'Syntax: .setmovetype [#creature_guid] stay/random/way [NODEL]\r\n\r\nSet for creature pointed by #creature_guid (or selected if #creature_guid not provided) movement type and move it to respawn position (if creature alive). Any existing waypoints for creature will be removed from the database if you do not use NODEL. If the creature is dead then movement type will applied at creature respawn.\r\nMake sure you use NODEL, if you want to keep the waypoints.'),
('setskill',3,'Syntax: .setskill #skill #level [#max]\r\n\r\nSet a skill of id #skill with a current skill value of #level and a maximum value of #max (or equal current maximum if not provide) for the selected character. If no character is selected, you learn the skill.'),
('setvalue',3,'Syntax: .setvalue #field #value #isInt\r\n\r\nSet the field #field of the selected creature with value #value. If no creature is selected, set the content of your field.\r\n\r\nUse a #isInt of value 1 if #value is an integer.'),
('showarea',3,'Syntax: .showarea #areaid\r\n\r\nReveal the area of #areaid to the selected character. If no character is selected, reveal this area to you.'),
('shutdown',3,'Syntax: .shutdown seconds'),
('spawndist',2,'Syntax: .spawndist #dist\r\n\r\nAdjust spawndistance of selected creature to dist.'),
('spawntime',2,'Syntax: .spawntime #time \r\n\r\nAdjust spawntime of selected creature to time.'),
('speed',1,'Syntax:\r\n.modify speed #rate\r\n.speed #rate\r\n\r\nModify the running speed of the selected player to \"normal base run speed\"*rate. If no player is selected, modify your speed.\r\n\r\n #rate may range from 0.1 to 10.'),
('standstate',2,'Syntax: .standstate #emoteid\r\n\r\nChange the emote of your character while standing to #emoteid.'),
('start',0,'Syntax: .start\r\n\r\nTeleport you to the starting area of your character.'),
('subname',2,'Syntax: .subname $Name\r\n\r\nChange the subname of the selected creature or player to $Name.\r\n\r\nCommand disabled.'),
('targetobject',2,'Syntax: .targetobject [#go_id|#go_name_part]\r\n\r\nLocate and show position nearest gameobject. If #go_id or #go_name_part provide then locate and show position of nearest gameobject with gameobject template id #go_id or name included #go_name_part as part.'),
('taxicheat',1,'Syntax: .taxicheat on/off\r\n\r\nTemporary grant access or remove to all taxi routes for the selected character. If no character is selected, hide or reveal all routes to you.\r\n\r\nVisited taxi nodes sill accessible after removing access.'),
('tele',1,'Syntax: .tele #location\r\n\r\nTeleport player to a given location.'),
('textemote',3,'Syntax: .text #emoteid\r\n\r\nMake the selected creature to do textemote with an emote of id #emoteid.'),
('ticket',2,'Syntax: .ticket on\r\n        .ticket off\r\n        .ticket #num\r\n        .ticket $character_name\r\n\r\non/off for GMs to show or not a new ticket directly, $character_name to show ticket of this character, #num to show ticket #num.'),
('titles',1,'Syntax:\n.modify titles #mask\n.titles #mask\n\nAllows user to use all titles from #mask.\n\n #mask=0 disables the title-choose-field'),
('transport',3,'Not yet implemented.'),
('turnobject',2,'Syntax: .turnobject #goguid \r\n\r\nSet for gameobject #goguid orientation same as current character orientation.'),
('unaura',3,'Syntax: .unaura #spellid\r\n\r\nRemove aura due to spell #spellid from the selected Unit.'),
('unban',3,'Syntax is: unban <account|ip|character> $NameOrIp\r\nUnban account or IP.'),
('unlearn',3,'Syntax: .unlearn #startspell #endspell\r\n\r\nUnlearn for selected player the range of spells between id #startspell and #endspell. If no #endspell is provided, just unlearn spell of id #startspell.'),
('unmute',1,'Syntax: .unmute $playerName\r\n\r\nRestore chat messaging for any character from account of character $playerName.'),
('update',3,'Syntax: .update #field #value\r\n\r\nUpdate the field #field of the selected character or creature with value #value.\r\n\r\nIf no #value is provided, display the content of field #field.'),
('visible',1,'Syntax: .visible on/off\r\n\r\nOutput current visibility state or make GM visible(on) and invisible(off) for other players.'),
('wchange',3,'Syntax: .wchange #weathertype #status\r\n\r\nSet current weather to #weathertype with an intensity of #status.\r\n\r\n#weathertype can be 1 for rain, 2 for snow, and 3 for sand. #status can be 0 for disabled, and 1 for enabled.'),
('whispers',1,'Syntax: .whispers on|off\r\nEnable/disable accepting whispers by GM from players. By default use mangosd.conf setting.'),
('wp',2,'Using WP Command:\r\nEach Waypoint Command has it\'s own description!'),
('wp add',2,'Syntax: .wp add [#creature_guid or Select a Creature]'),
('wp modify',2,'Syntax: .wp modify [#creature_guid or Select a Creature]\r\nadd - Add a waypoint after the selected visual\r\nimport $filename for selected npc\r\nexport $filename for selected npc\r\nwaittime $time\r\nemote ID\r\nspell ID\r\ntext1| text2| text3| text4| text5 <text>\r\nmodel1 ID\r\nmodel2 ID\r\naiscript $Name\r\nmove(moves wp to player pos)\r\ndel (deletes the wp)\r\n\r\nOnly one parameter per time!'),
('wp show',2,'Syntax: .wp show [#creature_guid or Select a Creature]\r\non\r\nfirst\r\nlast\r\noff\r\ninfo\r\n\r\nFor using info you have to do first show on and than select a Visual-Waypoint and do the show info!');
/*!40000 ALTER TABLE `command` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `creature`
--

DROP TABLE IF EXISTS `creature`;
CREATE TABLE `creature` (
  `guid` int(11) unsigned NOT NULL auto_increment COMMENT 'Global Unique Identifier',
  `id` int(11) unsigned NOT NULL default '0' COMMENT 'Creature Identifier',
  `map` int(11) unsigned NOT NULL default '0' COMMENT 'Map Identifier',
  `modelid` int(11) unsigned default '0',
  `equipment_id` int(11) NOT NULL default '0',
  `position_x` float NOT NULL default '0',
  `position_y` float NOT NULL default '0',
  `position_z` float NOT NULL default '0',
  `orientation` float NOT NULL default '0',
  `spawntimesecs` int(11) unsigned NOT NULL default '120',
  `spawndist` float NOT NULL default '5',
  `currentwaypoint` int(11) unsigned NOT NULL default '0',
  `spawn_position_x` float NOT NULL default '0',
  `spawn_position_y` float NOT NULL default '0',
  `spawn_position_z` float NOT NULL default '0',
  `spawn_orientation` float NOT NULL default '0',
  `curhealth` int(11) unsigned NOT NULL default '1',
  `curmana` int(11) unsigned NOT NULL default '0',
  `DeathState` tinyint(3) unsigned NOT NULL default '0',
  `MovementType` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`guid`),
  KEY `idx_map` (`map`),
  KEY `index_id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='Creature System';

--
-- Dumping data for table `creature`
--

LOCK TABLES `creature` WRITE;
/*!40000 ALTER TABLE `creature` DISABLE KEYS */;
/*!40000 ALTER TABLE `creature` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `creature_addon`
--

DROP TABLE IF EXISTS `creature_addon`;
CREATE TABLE `creature_addon` (
  `guid` int(11) NOT NULL default '0',
  `mount` int(11) unsigned NOT NULL default '0',
  `bytes0` int(11) unsigned NOT NULL default '0',
  `bytes1` int(11) unsigned NOT NULL default '0',
  `bytes2` int(11) unsigned NOT NULL default '0',
  `emote` int(11) unsigned NOT NULL default '0',
  `auras` text,
  PRIMARY KEY  (`guid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `creature_addon`
--

LOCK TABLES `creature_addon` WRITE;
/*!40000 ALTER TABLE `creature_addon` DISABLE KEYS */;
/*!40000 ALTER TABLE `creature_addon` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `creature_equip_template`
--

DROP TABLE IF EXISTS `creature_equip_template`;
CREATE TABLE `creature_equip_template` (
  `entry` int(11) unsigned NOT NULL default '0' COMMENT 'Unique entry',
  `equipmodel1` int(11) unsigned NOT NULL default '0',
  `equipmodel2` int(11) unsigned NOT NULL default '0',
  `equipmodel3` int(11) unsigned NOT NULL default '0',
  `equipinfo1` int(11) unsigned NOT NULL default '0',
  `equipinfo2` int(11) unsigned NOT NULL default '0',
  `equipinfo3` int(11) unsigned NOT NULL default '0',
  `equipslot1` int(11) NOT NULL default '0',
  `equipslot2` int(11) NOT NULL default '0',
  `equipslot3` int(11) NOT NULL default '0',
  PRIMARY KEY  (`entry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Creature System (Equipment)';

--
-- Dumping data for table `creature_equip_template`
--

LOCK TABLES `creature_equip_template` WRITE;
/*!40000 ALTER TABLE `creature_equip_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `creature_equip_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `creature_involvedrelation`
--

DROP TABLE IF EXISTS `creature_involvedrelation`;
CREATE TABLE `creature_involvedrelation` (
  `id` int(11) unsigned NOT NULL default '0' COMMENT 'Identifier',
  `quest` int(11) unsigned NOT NULL default '0' COMMENT 'Quest Identifier',
  PRIMARY KEY  (`id`,`quest`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Creature System';

--
-- Dumping data for table `creature_involvedrelation`
--

LOCK TABLES `creature_involvedrelation` WRITE;
/*!40000 ALTER TABLE `creature_involvedrelation` DISABLE KEYS */;
/*!40000 ALTER TABLE `creature_involvedrelation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `creature_loot_template`
--

DROP TABLE IF EXISTS `creature_loot_template`;
CREATE TABLE `creature_loot_template` (
  `entry` int(11) unsigned NOT NULL default '0',
  `item` int(11) unsigned NOT NULL default '0',
  `ChanceOrRef` float NOT NULL default '100',
  `QuestChanceOrGroup` tinyint(3) NOT NULL default '0',
  `mincount` tinyint(3) unsigned NOT NULL default '1',
  `maxcount` tinyint(3) unsigned NOT NULL default '1',
  `freeforall` tinyint(1) unsigned NOT NULL default '0',
  `lootcondition` tinyint(3) unsigned NOT NULL default '0',
  `condition_value1` int(11) unsigned NOT NULL default '0',
  `condition_value2` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`entry`,`item`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Loot System';

--
-- Dumping data for table `creature_loot_template`
--

LOCK TABLES `creature_loot_template` WRITE;
/*!40000 ALTER TABLE `creature_loot_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `creature_loot_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `creature_model_info`
--

DROP TABLE IF EXISTS `creature_model_info`;
CREATE TABLE `creature_model_info` (
  `modelid` int(11) unsigned NOT NULL default '0',
  `bounding_radius` float NOT NULL default '0',
  `combat_reach` float NOT NULL default '0',
  `gender` tinyint(2) unsigned NOT NULL default '2',
  `modelid_other_gender` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`modelid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Creature System (Model related info)';

--
-- Dumping data for table `creature_model_info`
--

LOCK TABLES `creature_model_info` WRITE;
/*!40000 ALTER TABLE `creature_model_info` DISABLE KEYS */;
/*!40000 ALTER TABLE `creature_model_info` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `creature_movement`
--

DROP TABLE IF EXISTS `creature_movement`;
CREATE TABLE `creature_movement` (
  `id` int(11) unsigned NOT NULL default '0' COMMENT 'Identifier',
  `point` int(11) unsigned NOT NULL default '0',
  `position_x` float NOT NULL default '0',
  `position_y` float NOT NULL default '0',
  `position_z` float NOT NULL default '0',
  `waittime` int(5) unsigned NOT NULL default '0',
  `text1` varchar(255) default NULL,
  `text2` varchar(255) default NULL,
  `text3` varchar(255) default NULL,
  `text4` varchar(255) default NULL,
  `text5` varchar(255) default NULL,
  `aiscript` varchar(255) default NULL,
  `emote` int(10) unsigned default '0',
  `spell` int(5) unsigned default '0',
  `wpguid` int(11) default '0',
  `orientation` float default '0',
  `model1` int(11) default '0',
  `model2` int(11) default '0',
  PRIMARY KEY  (`id`,`point`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Creature System';

--
-- Dumping data for table `creature_movement`
--

LOCK TABLES `creature_movement` WRITE;
/*!40000 ALTER TABLE `creature_movement` DISABLE KEYS */;
/*!40000 ALTER TABLE `creature_movement` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `creature_onkill_reputation`
--

DROP TABLE IF EXISTS `creature_onkill_reputation`;
CREATE TABLE `creature_onkill_reputation` (
  `creature_id` int(10) unsigned NOT NULL default '0' COMMENT 'Creature Identifier',
  `RewOnKillRepFaction1` int(10) default '0',
  `RewOnKillRepFaction2` int(10) default '0',
  `MaxStanding1` tinyint(1) default '0',
  `IsTeamAward1` tinyint(1) default '0',
  `RewOnKillRepValue1` int(10) default '0',
  `MaxStanding2` tinyint(1) default '0',
  `IsTeamAward2` tinyint(1) default '0',
  `RewOnKillRepValue2` int(10) default '0',
  `TeamDependent` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`creature_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='Creature OnKill Reputation gain';

--
-- Dumping data for table `creature_onkill_reputation`
--

LOCK TABLES `creature_onkill_reputation` WRITE;
/*!40000 ALTER TABLE `creature_onkill_reputation` DISABLE KEYS */;
/*!40000 ALTER TABLE `creature_onkill_reputation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `creature_questrelation`
--

DROP TABLE IF EXISTS `creature_questrelation`;
CREATE TABLE `creature_questrelation` (
  `id` int(10) unsigned NOT NULL default '0' COMMENT 'Identifier',
  `quest` int(10) unsigned NOT NULL default '0' COMMENT 'Quest Identifier',
  PRIMARY KEY  (`id`,`quest`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Creature System';

--
-- Dumping data for table `creature_questrelation`
--

LOCK TABLES `creature_questrelation` WRITE;
/*!40000 ALTER TABLE `creature_questrelation` DISABLE KEYS */;
/*!40000 ALTER TABLE `creature_questrelation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `creature_respawn`
--

DROP TABLE IF EXISTS `creature_respawn`;
CREATE TABLE `creature_respawn` (
  `guid` int(11) unsigned NOT NULL default '0' COMMENT 'Global Unique Identifier',
  `respawntime` bigint(40) NOT NULL default '0',
  `instance` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`guid`,`instance`),
  KEY `instance` (`instance`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='Grid Loading System';

--
-- Dumping data for table `creature_respawn`
--

LOCK TABLES `creature_respawn` WRITE;
/*!40000 ALTER TABLE `creature_respawn` DISABLE KEYS */;
/*!40000 ALTER TABLE `creature_respawn` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `creature_template`
--

DROP TABLE IF EXISTS `creature_template`;
CREATE TABLE `creature_template` (
  `entry` int(11) unsigned NOT NULL default '0',
  `modelid_A` int(11) unsigned NOT NULL default '0',
  `modelid_A2` int(10) unsigned NOT NULL default '0',
  `modelid_H` int(11) unsigned NOT NULL default '0',
  `modelid_H2` int(10) unsigned NOT NULL default '0',
  `name` char(100) NOT NULL default '0',
  `subname` char(100) default NULL,
  `minlevel` tinyint(3) unsigned default '1',
  `maxlevel` tinyint(3) unsigned default '1',
  `minhealth` int(5) unsigned default '0',
  `maxhealth` int(5) unsigned default '0',
  `minmana` int(5) unsigned default '0',
  `maxmana` int(5) unsigned default '0',
  `armor` int(10) unsigned NOT NULL default '0',
  `faction_A` int(4) unsigned NOT NULL default '0',
  `faction_H` int(4) unsigned NOT NULL default '0',
  `npcflag` int(4) unsigned default '0',
  `speed` float default '0',
  `rank` tinyint(3) unsigned default '0',
  `mindmg` float default '0',
  `maxdmg` float default '0',
  `dmgschool` tinyint(1) NOT NULL default '0',
  `attackpower` int(10) unsigned NOT NULL default '0',
  `baseattacktime` int(4) unsigned default '0',
  `rangeattacktime` int(4) unsigned default '0',
  `flags` int(11) unsigned default '0',
  `dynamicflags` int(11) unsigned default '0',
  `family` int(11) default '0',
  `trainer_type` tinyint(3) default '0',
  `trainer_spell` int(11) unsigned default '0',
  `class` tinyint(3) unsigned default '0',
  `race` tinyint(3) unsigned default '0',
  `minrangedmg` float NOT NULL default '0',
  `maxrangedmg` float NOT NULL default '0',
  `rangedattackpower` smallint(5) unsigned NOT NULL default '0',
  `type` tinyint(3) unsigned default '0',
  `civilian` tinyint(3) unsigned NOT NULL default '0',
  `flag1` int(11) unsigned default '0',
  `lootid` int(10) unsigned NOT NULL default '0',
  `pickpocketloot` int(10) unsigned NOT NULL default '0',
  `skinloot` int(10) unsigned NOT NULL default '0',
  `resistance1` int(10) unsigned NOT NULL default '0',
  `resistance2` int(10) unsigned NOT NULL default '0',
  `resistance3` int(10) unsigned NOT NULL default '0',
  `resistance4` int(10) unsigned NOT NULL default '0',
  `resistance5` int(10) unsigned NOT NULL default '0',
  `resistance6` int(10) unsigned NOT NULL default '0',
  `spell1` int(11) unsigned NOT NULL default '0',
  `spell2` int(11) unsigned NOT NULL default '0',
  `spell3` int(11) unsigned NOT NULL default '0',
  `spell4` int(11) unsigned NOT NULL default '0',
  `mingold` int(30) unsigned NOT NULL default '0',
  `maxgold` int(30) unsigned NOT NULL default '0',
  `AIName` char(128) NOT NULL default '',
  `MovementType` tinyint(3) unsigned NOT NULL default '0',
  `InhabitType` tinyint(1) unsigned NOT NULL default '3',
  `RacialLeader` tinyint(1) unsigned NOT NULL default '0',
  `RegenHealth` tinyint(1) unsigned NOT NULL default '1',
  `equipment_id` int(11) unsigned NOT NULL default '0',
  `ScriptName` char(128) NOT NULL default '',
  PRIMARY KEY  (`entry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Creature System';

--
-- Dumping data for table `creature_template`
--

LOCK TABLES `creature_template` WRITE;
/*!40000 ALTER TABLE `creature_template` DISABLE KEYS */;
INSERT INTO `creature_template` (`entry`,`modelid_A`,`modelid_A2`,`modelid_H`,`modelid_H2`,`name`,`subname`,`minlevel`,`maxlevel`,`minhealth`,`maxhealth`,`minmana`,`maxmana`,`armor`,`faction_A`,`faction_H`,`npcflag`,`speed`,`rank`,`mindmg`,`maxdmg`,`dmgschool`,`attackpower`,`baseattacktime`,`rangeattacktime`,`flags`,`dynamicflags`,`family`,`trainer_type`,`trainer_spell`,`class`,`race`,`minrangedmg`,`maxrangedmg`,`rangedattackpower`,`type`,`civilian`,`flag1`,`lootid`,`pickpocketloot`,`skinloot`,`resistance1`,`resistance2`,`resistance3`,`resistance4`,`resistance5`,`resistance6`,`spell1`,`spell2`,`spell3`,`spell4`,`mingold`,`maxgold`,`AIName`,`MovementType`,`InhabitType`,`RacialLeader`,`RegenHealth`,`equipment_id`,`ScriptName`) VALUES
(1,10045,0,10045,0,'Waypoint (Only GM can see it)','Visual',1,1,64,64,0,0,0,35,35,0,0.91,0,14,15,0,100,2000,2200,4096,0,8,0,0,0,0,1.76,2.42,100,8,1,5242886,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,3,0,1,0,'');
/*!40000 ALTER TABLE `creature_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `creature_template_addon`
--

DROP TABLE IF EXISTS `creature_template_addon`;
CREATE TABLE `creature_template_addon` (
  `entry` int(11) NOT NULL default '0',
  `mount` int(11) unsigned NOT NULL default '0',
  `bytes0` int(11) unsigned NOT NULL default '0',
  `bytes1` int(11) unsigned NOT NULL default '0',
  `bytes2` int(11) unsigned NOT NULL default '0',
  `emote` int(11) unsigned NOT NULL default '0',
  `auras` text,
  PRIMARY KEY  (`entry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `creature_template_addon`
--

LOCK TABLES `creature_template_addon` WRITE;
/*!40000 ALTER TABLE `creature_template_addon` DISABLE KEYS */;
/*!40000 ALTER TABLE `creature_template_addon` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `db_version`
--

DROP TABLE IF EXISTS `db_version`;
CREATE TABLE `db_version` (
  `version` varchar(120) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Used DB version notes';

--
-- Dumping data for table `db_version`
--

LOCK TABLES `db_version` WRITE;
/*!40000 ALTER TABLE `db_version` DISABLE KEYS */;
INSERT INTO `db_version` (`version`) VALUES
('Mangos default database.');
/*!40000 ALTER TABLE `db_version` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `disenchant_loot_template`
--

DROP TABLE IF EXISTS `disenchant_loot_template`;
CREATE TABLE `disenchant_loot_template` (
  `entry` int(11) unsigned NOT NULL default '0' COMMENT 'Recommended id selection: item_level*100 + item_quality',
  `item` int(11) unsigned NOT NULL default '0',
  `ChanceOrRef` float NOT NULL default '100',
  `QuestChanceOrGroup` tinyint(3) NOT NULL default '0',
  `mincount` tinyint(3) unsigned NOT NULL default '1',
  `maxcount` tinyint(3) unsigned NOT NULL default '1',
  `freeforall` tinyint(1) unsigned NOT NULL default '0',
  `lootcondition` tinyint(3) unsigned NOT NULL default '0',
  `condition_value1` int(11) unsigned NOT NULL default '0',
  `condition_value2` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`entry`,`item`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Loot System';

--
-- Dumping data for table `disenchant_loot_template`
--

LOCK TABLES `disenchant_loot_template` WRITE;
/*!40000 ALTER TABLE `disenchant_loot_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `disenchant_loot_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `exploration_basexp`
--

DROP TABLE IF EXISTS `exploration_basexp`;
CREATE TABLE `exploration_basexp` (
  `level` tinyint(2) NOT NULL default '0',
  `basexp` int(11) NOT NULL default '0',
  PRIMARY KEY  (`level`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Exploration System';

--
-- Dumping data for table `exploration_basexp`
--

LOCK TABLES `exploration_basexp` WRITE;
/*!40000 ALTER TABLE `exploration_basexp` DISABLE KEYS */;
INSERT INTO `exploration_basexp` (`level`,`basexp`) VALUES
(0,0),
(1,5),
(2,15),
(3,25),
(4,35),
(5,45),
(6,55),
(7,65),
(8,70),
(9,80),
(10,85),
(11,90),
(12,90),
(13,90),
(14,100),
(15,105),
(16,115),
(17,125),
(18,135),
(19,145),
(20,155),
(21,165),
(22,175),
(23,185),
(24,195),
(25,200),
(26,210),
(27,220),
(28,230),
(29,240),
(30,245),
(31,250),
(32,255),
(33,265),
(34,270),
(35,275),
(36,280),
(37,285),
(38,285),
(39,300),
(40,315),
(41,330),
(42,345),
(43,360),
(44,375),
(45,390),
(46,405),
(47,420),
(48,440),
(49,455),
(50,470),
(51,490),
(52,510),
(53,530),
(54,540),
(55,560),
(56,580),
(57,600),
(58,620),
(59,640),
(60,660),
(61,970),
(62,1000),
(63,1050),
(64,1080),
(65,1100),
(66,1130),
(67,1160),
(68,1200),
(69,1230),
(70,1250);
/*!40000 ALTER TABLE `exploration_basexp` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fishing_loot_template`
--

DROP TABLE IF EXISTS `fishing_loot_template`;
CREATE TABLE `fishing_loot_template` (
  `entry` int(11) unsigned NOT NULL default '0',
  `item` int(11) unsigned NOT NULL default '0',
  `ChanceOrRef` float NOT NULL default '100',
  `QuestChanceOrGroup` tinyint(3) NOT NULL default '0',
  `mincount` tinyint(3) unsigned NOT NULL default '1',
  `maxcount` tinyint(3) unsigned NOT NULL default '1',
  `freeforall` tinyint(1) unsigned NOT NULL default '0',
  `lootcondition` tinyint(3) unsigned NOT NULL default '0',
  `condition_value1` int(11) unsigned NOT NULL default '0',
  `condition_value2` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`entry`,`item`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Loot System';

--
-- Dumping data for table `fishing_loot_template`
--

LOCK TABLES `fishing_loot_template` WRITE;
/*!40000 ALTER TABLE `fishing_loot_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `fishing_loot_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `game_event`
--

DROP TABLE IF EXISTS `game_event`;
CREATE TABLE `game_event` (
  `entry` mediumint(8) unsigned NOT NULL COMMENT 'Entry of the game event',
  `start` timestamp NOT NULL default '0000-00-00 00:00:00' COMMENT 'Absolute start date, the event will never start before',
  `end` timestamp NOT NULL default '0000-00-00 00:00:00' COMMENT 'Absolute end date, the event will never start afler',
  `occurence` bigint(20) unsigned NOT NULL default '86400' COMMENT 'Delay in hours between occurences of the event',
  `length` bigint(20) unsigned NOT NULL default '43200' COMMENT 'Length in hours of the event',
  `description` varchar(255) default NULL COMMENT 'Description of the event displayed in console',
  PRIMARY KEY  (`entry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `game_event`
--

LOCK TABLES `game_event` WRITE;
/*!40000 ALTER TABLE `game_event` DISABLE KEYS */;
/*!40000 ALTER TABLE `game_event` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `game_event_creature`
--

DROP TABLE IF EXISTS `game_event_creature`;
CREATE TABLE `game_event_creature` (
  `guid` int(10) unsigned NOT NULL,
  `event` mediumint(9) NOT NULL default '0' COMMENT 'Put negatives values to remove during event',
  PRIMARY KEY  (`guid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `game_event_creature`
--

LOCK TABLES `game_event_creature` WRITE;
/*!40000 ALTER TABLE `game_event_creature` DISABLE KEYS */;
/*!40000 ALTER TABLE `game_event_creature` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `game_event_creature_quest`
--

DROP TABLE IF EXISTS `game_event_creature_quest`;
CREATE TABLE `game_event_creature_quest` (
  `id` int(11) unsigned NOT NULL default '0',
  `quest` int(11) unsigned NOT NULL default '0',
  `event` mediumint(9) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`,`quest`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `game_event_creature_quest`
--

LOCK TABLES `game_event_creature_quest` WRITE;
/*!40000 ALTER TABLE `game_event_creature_quest` DISABLE KEYS */;
/*!40000 ALTER TABLE `game_event_creature_quest` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `game_event_gameobject`
--

DROP TABLE IF EXISTS `game_event_gameobject`;
CREATE TABLE `game_event_gameobject` (
  `guid` int(10) unsigned NOT NULL,
  `event` mediumint(9) NOT NULL default '0' COMMENT 'Put negatives values to remove during event',
  PRIMARY KEY  (`guid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `game_event_gameobject`
--

LOCK TABLES `game_event_gameobject` WRITE;
/*!40000 ALTER TABLE `game_event_gameobject` DISABLE KEYS */;
/*!40000 ALTER TABLE `game_event_gameobject` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `game_event_model_equip`
--

DROP TABLE IF EXISTS `game_event_model_equip`;
CREATE TABLE `game_event_model_equip` (
  `guid` int(11) unsigned NOT NULL default '0',
  `modelid` int(11) unsigned NOT NULL default '0',
  `equipment_id` int(11) unsigned NOT NULL default '0',
  `event` mediumint(9) unsigned NOT NULL default '0',
  PRIMARY KEY  (`guid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `game_event_model_equip`
--

LOCK TABLES `game_event_model_equip` WRITE;
/*!40000 ALTER TABLE `game_event_model_equip` DISABLE KEYS */;
/*!40000 ALTER TABLE `game_event_model_equip` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `game_graveyard_zone`
--

DROP TABLE IF EXISTS `game_graveyard_zone`;
CREATE TABLE `game_graveyard_zone` (
  `id` int(11) unsigned NOT NULL default '0',
  `ghost_zone` int(11) unsigned NOT NULL default '0',
  `faction` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`,`ghost_zone`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Trigger System';

--
-- Dumping data for table `game_graveyard_zone`
--

LOCK TABLES `game_graveyard_zone` WRITE;
/*!40000 ALTER TABLE `game_graveyard_zone` DISABLE KEYS */;
/*!40000 ALTER TABLE `game_graveyard_zone` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `game_tele`
--

DROP TABLE IF EXISTS `game_tele`;
CREATE TABLE `game_tele` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `position_x` float NOT NULL default '0',
  `position_y` float NOT NULL default '0',
  `position_z` float NOT NULL default '0',
  `orientation` float NOT NULL default '0',
  `map` int(11) unsigned NOT NULL default '0',
  `name` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Tele Command';

--
-- Dumping data for table `game_tele`
--

LOCK TABLES `game_tele` WRITE;
/*!40000 ALTER TABLE `game_tele` DISABLE KEYS */;
/*!40000 ALTER TABLE `game_tele` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `game_weather`
--

DROP TABLE IF EXISTS `game_weather`;
CREATE TABLE `game_weather` (
  `zone` int(11) unsigned NOT NULL default '0',
  `spring_rain_chance` tinyint(3) unsigned NOT NULL default '25',
  `spring_snow_chance` tinyint(3) unsigned NOT NULL default '25',
  `spring_storm_chance` tinyint(3) unsigned NOT NULL default '25',
  `summer_rain_chance` tinyint(3) unsigned NOT NULL default '25',
  `summer_snow_chance` tinyint(3) unsigned NOT NULL default '25',
  `summer_storm_chance` tinyint(3) unsigned NOT NULL default '25',
  `fall_rain_chance` tinyint(3) unsigned NOT NULL default '25',
  `fall_snow_chance` tinyint(3) unsigned NOT NULL default '25',
  `fall_storm_chance` tinyint(3) unsigned NOT NULL default '25',
  `winter_rain_chance` tinyint(3) unsigned NOT NULL default '25',
  `winter_snow_chance` tinyint(3) unsigned NOT NULL default '25',
  `winter_storm_chance` tinyint(3) unsigned NOT NULL default '25',
  PRIMARY KEY  (`zone`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Weather System';

--
-- Dumping data for table `game_weather`
--

LOCK TABLES `game_weather` WRITE;
/*!40000 ALTER TABLE `game_weather` DISABLE KEYS */;
/*!40000 ALTER TABLE `game_weather` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gameobject`
--

DROP TABLE IF EXISTS `gameobject`;
CREATE TABLE `gameobject` (
  `guid` int(11) unsigned NOT NULL auto_increment COMMENT 'Global Unique Identifier',
  `id` int(11) unsigned NOT NULL default '0' COMMENT 'Gameobject Identifier',
  `map` int(11) unsigned NOT NULL default '0' COMMENT 'Map Identifier',
  `position_x` float NOT NULL default '0',
  `position_y` float NOT NULL default '0',
  `position_z` float NOT NULL default '0',
  `orientation` float NOT NULL default '0',
  `rotation0` float NOT NULL default '0',
  `rotation1` float NOT NULL default '0',
  `rotation2` float NOT NULL default '0',
  `rotation3` float NOT NULL default '0',
  `spawntimesecs` int(11) NOT NULL default '0',
  `animprogress` int(11) unsigned NOT NULL default '0',
  `state` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`guid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Gameobject System';

--
-- Dumping data for table `gameobject`
--

LOCK TABLES `gameobject` WRITE;
/*!40000 ALTER TABLE `gameobject` DISABLE KEYS */;
/*!40000 ALTER TABLE `gameobject` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gameobject_involvedrelation`
--

DROP TABLE IF EXISTS `gameobject_involvedrelation`;
CREATE TABLE `gameobject_involvedrelation` (
  `id` int(11) unsigned NOT NULL default '0',
  `quest` int(11) unsigned NOT NULL default '0' COMMENT 'Quest Identifier',
  PRIMARY KEY  (`id`,`quest`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `gameobject_involvedrelation`
--

LOCK TABLES `gameobject_involvedrelation` WRITE;
/*!40000 ALTER TABLE `gameobject_involvedrelation` DISABLE KEYS */;
/*!40000 ALTER TABLE `gameobject_involvedrelation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gameobject_loot_template`
--

DROP TABLE IF EXISTS `gameobject_loot_template`;
CREATE TABLE `gameobject_loot_template` (
  `entry` int(11) unsigned NOT NULL default '0',
  `item` int(11) unsigned NOT NULL default '0',
  `ChanceOrRef` float NOT NULL default '100',
  `QuestChanceOrGroup` tinyint(3) NOT NULL default '0',
  `mincount` tinyint(3) unsigned NOT NULL default '1',
  `maxcount` tinyint(3) unsigned NOT NULL default '1',
  `freeforall` tinyint(1) unsigned NOT NULL default '0',
  `lootcondition` tinyint(3) unsigned NOT NULL default '0',
  `condition_value1` int(11) unsigned NOT NULL default '0',
  `condition_value2` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`entry`,`item`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Loot System';

--
-- Dumping data for table `gameobject_loot_template`
--

LOCK TABLES `gameobject_loot_template` WRITE;
/*!40000 ALTER TABLE `gameobject_loot_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `gameobject_loot_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gameobject_questrelation`
--

DROP TABLE IF EXISTS `gameobject_questrelation`;
CREATE TABLE `gameobject_questrelation` (
  `id` int(11) unsigned NOT NULL default '0',
  `quest` int(11) unsigned NOT NULL default '0' COMMENT 'Quest Identifier',
  PRIMARY KEY  (`id`,`quest`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `gameobject_questrelation`
--

LOCK TABLES `gameobject_questrelation` WRITE;
/*!40000 ALTER TABLE `gameobject_questrelation` DISABLE KEYS */;
/*!40000 ALTER TABLE `gameobject_questrelation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gameobject_respawn`
--

DROP TABLE IF EXISTS `gameobject_respawn`;
CREATE TABLE `gameobject_respawn` (
  `guid` int(11) unsigned NOT NULL default '0' COMMENT 'Global Unique Identifier',
  `respawntime` bigint(40) NOT NULL default '0',
  `instance` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`guid`,`instance`),
  KEY `instance` (`instance`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='Grid Loading System';

--
-- Dumping data for table `gameobject_respawn`
--

LOCK TABLES `gameobject_respawn` WRITE;
/*!40000 ALTER TABLE `gameobject_respawn` DISABLE KEYS */;
/*!40000 ALTER TABLE `gameobject_respawn` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gameobject_template`
--

DROP TABLE IF EXISTS `gameobject_template`;
CREATE TABLE `gameobject_template` (
  `entry` int(20) unsigned NOT NULL default '0',
  `type` int(11) unsigned NOT NULL default '0',
  `displayId` int(11) unsigned NOT NULL default '0',
  `name` varchar(100) NOT NULL default '0',
  `faction` int(4) unsigned NOT NULL default '0',
  `flags` int(4) unsigned NOT NULL default '0',
  `size` float NOT NULL default '1',
  `data0` int(11) unsigned NOT NULL default '0',
  `data1` int(11) unsigned NOT NULL default '0',
  `data2` int(11) unsigned NOT NULL default '0',
  `data3` int(11) unsigned NOT NULL default '0',
  `data4` int(11) unsigned NOT NULL default '0',
  `data5` int(11) unsigned NOT NULL default '0',
  `data6` int(11) unsigned NOT NULL default '0',
  `data7` int(11) unsigned NOT NULL default '0',
  `data8` int(11) unsigned NOT NULL default '0',
  `data9` int(11) unsigned NOT NULL default '0',
  `data10` int(11) unsigned NOT NULL default '0',
  `data11` int(11) unsigned NOT NULL default '0',
  `data12` int(11) unsigned NOT NULL default '0',
  `data13` int(11) unsigned NOT NULL default '0',
  `data14` int(11) unsigned NOT NULL default '0',
  `data15` int(11) unsigned NOT NULL default '0',
  `data16` int(11) unsigned NOT NULL default '0',
  `data17` int(11) unsigned NOT NULL default '0',
  `data18` int(11) unsigned NOT NULL default '0',
  `data19` int(11) unsigned NOT NULL default '0',
  `data20` int(11) unsigned NOT NULL default '0',
  `data21` int(11) unsigned NOT NULL default '0',
  `data22` int(11) unsigned NOT NULL default '0',
  `data23` int(11) unsigned NOT NULL default '0',
  `ScriptName` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`entry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Gameobject System';

--
-- Dumping data for table `gameobject_template`
--

LOCK TABLES `gameobject_template` WRITE;
/*!40000 ALTER TABLE `gameobject_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `gameobject_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `instance_template`
--

DROP TABLE IF EXISTS `instance_template`;
CREATE TABLE `instance_template` (
  `map` int(11) unsigned NOT NULL,
  `levelMin` int(11) unsigned NOT NULL default '0',
  `levelMax` int(11) unsigned NOT NULL default '0',
  `maxPlayers` int(11) unsigned NOT NULL default '0',
  `reset_delay` int(20) unsigned NOT NULL default '0',
  `startLocX` float default NULL,
  `startLocY` float default NULL,
  `startLocZ` float default NULL,
  `startLocO` float default NULL,
  `script` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`map`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `instance_template`
--

LOCK TABLES `instance_template` WRITE;
/*!40000 ALTER TABLE `instance_template` DISABLE KEYS */;
INSERT INTO `instance_template` (`map`,`levelMin`,`levelMax`,`maxPlayers`,`reset_delay`,`startLocX`,`startLocY`,`startLocZ`,`startLocO`,`script`) VALUES
(33,22,30,10,7200,NULL,NULL,NULL,NULL,''),
(34,24,32,10,7200,NULL,NULL,NULL,NULL,''),
(36,15,20,10,7200,NULL,NULL,NULL,NULL,''),
(43,15,21,10,7200,NULL,NULL,NULL,NULL,''),
(47,29,38,10,7200,NULL,NULL,NULL,NULL,''),
(48,24,32,10,7200,NULL,NULL,NULL,NULL,''),
(70,35,47,10,7200,NULL,NULL,NULL,NULL,''),
(90,29,38,10,7200,NULL,NULL,NULL,NULL,''),
(109,45,55,10,7200,NULL,NULL,NULL,NULL,''),
(129,37,46,10,7200,NULL,NULL,NULL,NULL,''),
(189,34,45,10,7200,NULL,NULL,NULL,NULL,''),
(209,44,54,10,7200,NULL,NULL,NULL,NULL,''),
(229,58,0,10,120000,78.5083,-225.044,49.839,5.1,''),
(230,52,0,5,7200,NULL,NULL,NULL,NULL,''),
(249,60,0,40,432000,NULL,NULL,NULL,NULL,''),
(289,57,0,5,7200,NULL,NULL,NULL,NULL,''),
(309,60,0,20,259200,NULL,NULL,NULL,NULL,''),
(329,58,60,5,7200,NULL,NULL,NULL,NULL,''),
(349,46,55,10,7200,NULL,NULL,NULL,NULL,''),
(389,13,18,10,7200,NULL,NULL,NULL,NULL,''),
(409,60,0,40,604800,NULL,NULL,NULL,NULL,''),
(429,55,60,5,7200,NULL,NULL,NULL,NULL,''),
(469,60,0,40,604800,NULL,NULL,NULL,NULL,''),
(509,60,0,20,259200,NULL,NULL,NULL,NULL,''),
(531,60,0,40,604800,NULL,NULL,NULL,NULL,''),
(533,60,0,40,604800,NULL,NULL,NULL,NULL,'');
/*!40000 ALTER TABLE `instance_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `item_enchantment_template`
--

DROP TABLE IF EXISTS `item_enchantment_template`;
CREATE TABLE `item_enchantment_template` (
  `entry` int(11) unsigned NOT NULL default '0',
  `ench` int(10) unsigned NOT NULL default '0',
  `chance` float unsigned NOT NULL default '0',
  PRIMARY KEY  (`entry`,`ench`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Item Random Enchantment System';

--
-- Dumping data for table `item_enchantment_template`
--

LOCK TABLES `item_enchantment_template` WRITE;
/*!40000 ALTER TABLE `item_enchantment_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `item_enchantment_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `item_loot_template`
--

DROP TABLE IF EXISTS `item_loot_template`;
CREATE TABLE `item_loot_template` (
  `entry` int(11) unsigned NOT NULL default '0',
  `item` int(11) unsigned NOT NULL default '0',
  `ChanceOrRef` float NOT NULL default '100',
  `QuestChanceOrGroup` tinyint(3) NOT NULL default '0',
  `mincount` tinyint(3) unsigned NOT NULL default '1',
  `maxcount` tinyint(3) unsigned NOT NULL default '1',
  `freeforall` tinyint(1) unsigned NOT NULL default '0',
  `lootcondition` tinyint(3) unsigned NOT NULL default '0',
  `condition_value1` int(11) unsigned NOT NULL default '0',
  `condition_value2` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`entry`,`item`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Loot System';

--
-- Dumping data for table `item_loot_template`
--

LOCK TABLES `item_loot_template` WRITE;
/*!40000 ALTER TABLE `item_loot_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `item_loot_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `item_template`
--

DROP TABLE IF EXISTS `item_template`;
CREATE TABLE `item_template` (
  `entry` int(255) unsigned NOT NULL default '0',
  `class` tinyint(3) unsigned NOT NULL default '0',
  `subclass` tinyint(3) unsigned NOT NULL default '0',
  `unk0` int(10) NOT NULL default '-1',
  `name` varchar(255) NOT NULL default '',
  `displayid` int(11) unsigned NOT NULL default '0',
  `Quality` tinyint(3) unsigned NOT NULL default '0',
  `Flags` int(30) unsigned NOT NULL default '0',
  `BuyCount` tinyint(3) unsigned NOT NULL default '1',
  `BuyPrice` int(30) unsigned NOT NULL default '0',
  `SellPrice` int(30) unsigned NOT NULL default '0',
  `InventoryType` tinyint(3) unsigned NOT NULL default '0',
  `AllowableClass` mediumint(9) NOT NULL default '-1',
  `AllowableRace`  mediumint(9) NOT NULL default '-1',
  `ItemLevel` int(30) unsigned NOT NULL default '0',
  `RequiredLevel` tinyint(3) unsigned NOT NULL default '0',
  `RequiredSkill` int(30) unsigned NOT NULL default '0',
  `RequiredSkillRank` int(30) unsigned NOT NULL default '0',
  `requiredspell` int(30) unsigned NOT NULL default '0',
  `requiredhonorrank` int(30) unsigned NOT NULL default '0',
  `RequiredCityRank` int(30) unsigned NOT NULL default '0',
  `RequiredReputationFaction` int(30) unsigned NOT NULL default '0',
  `RequiredReputationRank` int(30) unsigned NOT NULL default '0',
  `maxcount` smallint(5) unsigned NOT NULL default '0',
  `stackable` smallint(5) unsigned NOT NULL default '0',
  `ContainerSlots` tinyint(3) unsigned NOT NULL default '0',
  `stat_type1` tinyint(4) unsigned NOT NULL default '0',
  `stat_value1` smallint(6) NOT NULL default '0',
  `stat_type2` tinyint(4) unsigned NOT NULL default '0',
  `stat_value2` smallint(6) NOT NULL default '0',
  `stat_type3` tinyint(4) unsigned NOT NULL default '0',
  `stat_value3` smallint(6) NOT NULL default '0',
  `stat_type4` tinyint(4) unsigned NOT NULL default '0',
  `stat_value4` smallint(6) NOT NULL default '0',
  `stat_type5` tinyint(4) unsigned NOT NULL default '0',
  `stat_value5` smallint(6) NOT NULL default '0',
  `stat_type6` tinyint(4) unsigned NOT NULL default '0',
  `stat_value6` smallint(6) NOT NULL default '0',
  `stat_type7` tinyint(4) unsigned NOT NULL default '0',
  `stat_value7` smallint(6) NOT NULL default '0',
  `stat_type8` tinyint(4) unsigned NOT NULL default '0',
  `stat_value8` smallint(6) NOT NULL default '0',
  `stat_type9` tinyint(4) unsigned NOT NULL default '0',
  `stat_value9` smallint(6) NOT NULL default '0',
  `stat_type10` tinyint(4) unsigned NOT NULL default '0',
  `stat_value10` smallint(6) NOT NULL default '0',
  `dmg_min1` float NOT NULL default '0',
  `dmg_max1` float NOT NULL default '0',
  `dmg_type1` tinyint(3) unsigned NOT NULL default '0',
  `dmg_min2` float NOT NULL default '0',
  `dmg_max2` float NOT NULL default '0',
  `dmg_type2` tinyint(3) unsigned NOT NULL default '0',
  `dmg_min3` float NOT NULL default '0',
  `dmg_max3` float NOT NULL default '0',
  `dmg_type3` tinyint(3) unsigned NOT NULL default '0',
  `dmg_min4` float NOT NULL default '0',
  `dmg_max4` float NOT NULL default '0',
  `dmg_type4` tinyint(3) unsigned NOT NULL default '0',
  `dmg_min5` float NOT NULL default '0',
  `dmg_max5` float NOT NULL default '0',
  `dmg_type5` tinyint(3) unsigned NOT NULL default '0',
  `armor` int(30) unsigned NOT NULL default '0',
  `holy_res` int(30) unsigned NOT NULL default '0',
  `fire_res` int(30) unsigned NOT NULL default '0',
  `nature_res` int(30) unsigned NOT NULL default '0',
  `frost_res` int(30) unsigned NOT NULL default '0',
  `shadow_res` int(30) unsigned NOT NULL default '0',
  `arcane_res` int(30) unsigned NOT NULL default '0',
  `delay` int(11) unsigned NOT NULL default '1000',
  `ammo_type` int(30) unsigned NOT NULL default '0',
  `RangedModRange` float NOT NULL default '0',
  `spellid_1` int(30) unsigned NOT NULL default '0',
  `spelltrigger_1` int(30) unsigned NOT NULL default '0',
  `spellcharges_1` int(30) NOT NULL default '0',
  `spellppmRate_1` float NOT NULL default '0',
  `spellcooldown_1` int(30) NOT NULL default '-1',
  `spellcategory_1` int(30) unsigned NOT NULL default '0',
  `spellcategorycooldown_1` int(30) NOT NULL default '-1',
  `spellid_2` int(30) unsigned NOT NULL default '0',
  `spelltrigger_2` int(30) unsigned NOT NULL default '0',
  `spellcharges_2` int(30) NOT NULL default '0',
  `spellppmRate_2` float NOT NULL default '0',
  `spellcooldown_2` int(30) NOT NULL default '-1',
  `spellcategory_2` int(30) unsigned NOT NULL default '0',
  `spellcategorycooldown_2` int(30) NOT NULL default '-1',
  `spellid_3` int(30) unsigned NOT NULL default '0',
  `spelltrigger_3` int(30) unsigned NOT NULL default '0',
  `spellcharges_3` int(30) NOT NULL default '0',
  `spellppmRate_3` float NOT NULL default '0',
  `spellcooldown_3` int(30) NOT NULL default '-1',
  `spellcategory_3` int(30) unsigned NOT NULL default '0',
  `spellcategorycooldown_3` int(30) NOT NULL default '-1',
  `spellid_4` int(30) unsigned NOT NULL default '0',
  `spelltrigger_4` int(30) unsigned NOT NULL default '0',
  `spellcharges_4` int(30) NOT NULL default '0',
  `spellppmRate_4` float NOT NULL default '0',
  `spellcooldown_4` int(30) NOT NULL default '-1',
  `spellcategory_4` int(30) unsigned NOT NULL default '0',
  `spellcategorycooldown_4` int(30) NOT NULL default '-1',
  `spellid_5` int(30) unsigned NOT NULL default '0',
  `spelltrigger_5` int(30) unsigned NOT NULL default '0',
  `spellcharges_5` int(30) NOT NULL default '0',
  `spellppmRate_5` float NOT NULL default '0',
  `spellcooldown_5` int(30) NOT NULL default '-1',
  `spellcategory_5` int(30) unsigned NOT NULL default '0',
  `spellcategorycooldown_5` int(30) NOT NULL default '-1',
  `bonding` tinyint(3) unsigned NOT NULL default '0',
  `description` varchar(255) NOT NULL default '',
  `PageText` int(30) unsigned NOT NULL default '0',
  `LanguageID` int(30) unsigned NOT NULL default '0',
  `PageMaterial` int(30) unsigned NOT NULL default '0',
  `startquest` int(30) unsigned NOT NULL default '0',
  `lockid` int(30) unsigned NOT NULL default '0',
  `Material` int(30) NOT NULL default '0',
  `sheath` int(30) unsigned NOT NULL default '0',
  `RandomProperty` int(30) unsigned NOT NULL default '0',
  `RandomSuffix` int(30) unsigned NOT NULL default '0',
  `block` int(30) unsigned NOT NULL default '0',
  `itemset` int(30) unsigned NOT NULL default '0',
  `MaxDurability` int(30) unsigned NOT NULL default '0',
  `area` int(30) unsigned NOT NULL default '0',
  `Map` int(10) NOT NULL default '0',
  `BagFamily` int(10) NOT NULL default '0',
  `TotemCategory` int(10) NOT NULL default '0',
  `socketColor_1` int(10) NOT NULL default '0',
  `socketContent_1` int(10) NOT NULL default '0',
  `socketColor_2` int(10) NOT NULL default '0',
  `socketContent_2` int(10) NOT NULL default '0',
  `socketColor_3` int(10) NOT NULL default '0',
  `socketContent_3` int(10) NOT NULL default '0',
  `socketBonus` int(10) NOT NULL default '0',
  `GemProperties` int(10) NOT NULL default '0',
  `ExtendedCost` int(10) NOT NULL default '0',
  `RequiredArenaRank` int(10) unsigned NOT NULL default '0',
  `RequiredDisenchantSkill` int(10) NOT NULL default '-1',
  `ArmorDamageModifier` float NOT NULL default '0',
  `ScriptName` varchar(100) NOT NULL default '',
  `DisenchantID` int(11) unsigned NOT NULL default '0',
  `FoodType` tinyint(3) unsigned NOT NULL default '0',
  `minMoneyLoot` int(11) unsigned NOT NULL default '0',
  `maxMoneyLoot` int(11) unsigned NOT NULL default '0',
  `Duration` int(11) NOT NULL DEFAULT '0' COMMENT 'Duration in seconds. Negative value means realtime, postive value ingame time',
  PRIMARY KEY  (`entry`),
  KEY `items_index` (`class`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Item System';

--
-- Dumping data for table `item_template`
--

LOCK TABLES `item_template` WRITE;
/*!40000 ALTER TABLE `item_template` DISABLE KEYS */;
INSERT INTO `item_template` (`entry`,`class`,`subclass`,`unk0`,`name`,`displayid`,`Quality`,`Flags`,`BuyCount`,`BuyPrice`,`SellPrice`,`InventoryType`,`AllowableClass`,`AllowableRace`,`ItemLevel`,`RequiredLevel`,`RequiredSkill`,`RequiredSkillRank`,`requiredspell`,`requiredhonorrank`,`RequiredCityRank`,`RequiredReputationFaction`,`RequiredReputationRank`,`maxcount`,`stackable`,`ContainerSlots`,`stat_type1`,`stat_value1`,`stat_type2`,`stat_value2`,`stat_type3`,`stat_value3`,`stat_type4`,`stat_value4`,`stat_type5`,`stat_value5`,`stat_type6`,`stat_value6`,`stat_type7`,`stat_value7`,`stat_type8`,`stat_value8`,`stat_type9`,`stat_value9`,`stat_type10`,`stat_value10`,`dmg_min1`,`dmg_max1`,`dmg_type1`,`dmg_min2`,`dmg_max2`,`dmg_type2`,`dmg_min3`,`dmg_max3`,`dmg_type3`,`dmg_min4`,`dmg_max4`,`dmg_type4`,`dmg_min5`,`dmg_max5`,`dmg_type5`,`armor`,`holy_res`,`fire_res`,`nature_res`,`frost_res`,`shadow_res`,`arcane_res`,`delay`,`ammo_type`,`RangedModRange`,`spellid_1`,`spelltrigger_1`,`spellcharges_1`,`spellppmRate_1`,`spellcooldown_1`,`spellcategory_1`,`spellcategorycooldown_1`,`spellid_2`,`spelltrigger_2`,`spellcharges_2`,`spellppmRate_2`,`spellcooldown_2`,`spellcategory_2`,`spellcategorycooldown_2`,`spellid_3`,`spelltrigger_3`,`spellcharges_3`,`spellppmRate_3`,`spellcooldown_3`,`spellcategory_3`,`spellcategorycooldown_3`,`spellid_4`,`spelltrigger_4`,`spellcharges_4`,`spellppmRate_4`,`spellcooldown_4`,`spellcategory_4`,`spellcategorycooldown_4`,`spellid_5`,`spelltrigger_5`,`spellcharges_5`,`spellppmRate_5`,`spellcooldown_5`,`spellcategory_5`,`spellcategorycooldown_5`,`bonding`,`description`,`PageText`,`LanguageID`,`PageMaterial`,`startquest`,`lockid`,`Material`,`sheath`,`RandomProperty`,`RandomSuffix`,`block`,`itemset`,`MaxDurability`,`area`,`Map`,`BagFamily`,`TotemCategory`,`socketColor_1`,`socketContent_1`,`socketColor_2`,`socketContent_2`,`socketColor_3`,`socketContent_3`,`socketBonus`,`GemProperties`,`ExtendedCost`,`RequiredArenaRank`,`RequiredDisenchantSkill`,`ArmorDamageModifier`,`ScriptName`,`DisenchantID`,`FoodType`,`minMoneyLoot`,`maxMoneyLoot`) VALUES
(65020,0,0,-1,'Tough Jerky',2473,1,0,6,25,1,0,2047,255,5,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,433,0,-1,0,-1,11,1000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(65021,0,0,-1,'Refreshing Spring Water',18084,1,0,6,25,1,0,2047,255,5,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,430,0,-1,0,-1,59,1000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(65022,0,0,-1,'Darnassian Bleu',6353,1,0,6,25,1,0,2047,255,5,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,433,0,-1,0,-1,11,1000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(65023,2,16,-1,'Small Throwing Knife',16754,1,0,1,15,0,25,2047,255,3,1,0,0,0,0,0,0,0,0,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2000,4,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(65024,2,16,-1,'Crude Throwing Axe',20777,1,0,1,15,0,25,2047,255,3,1,0,0,0,0,0,0,0,0,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2000,4,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(65025,0,0,-1,'Shiny Red Apple',6410,1,0,6,25,1,0,2047,255,5,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,433,0,-1,0,-1,11,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(65026,0,0,-1,'Tough Hunk of Bread',6399,1,0,6,25,1,0,2047,255,5,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,433,0,-1,0,-1,11,1000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(65027,0,0,-1,'Forest Mushroom Cap',15852,1,0,6,25,1,0,2047,255,5,1,0,0,0,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,433,0,-1,0,-1,11,1000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(25,2,7,-1,'Worn Shortsword',1542,1,0,1,35,7,21,32767,511,2,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1900,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,1,0,0,0,1,3,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(39,4,1,-1,'Recruit\'s Pants',9892,0,0,1,5,1,7,32767,511,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(40,4,0,-1,'Recruit\'s Boots',10141,1,0,1,4,1,8,32767,511,1,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(38,4,0,-1,'Recruit\'s Shirt',9891,1,0,1,1,1,4,0,0,1,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(2362,4,6,-1,'Worn Wooden Shield',18730,0,0,1,7,1,14,32767,511,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,1,4,0,0,1,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(6948,15,0,-1,'Hearthstone',6418,1,64,1,0,0,0,32767,511,1,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8690,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(14646,12,0,-1,'Northshire Gift Voucher',18499,1,0,1,0,0,0,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,'',0,0,0,5805,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(14647,12,0,-1,'Coldridge Valley Gift Voucher',18499,1,0,1,0,0,0,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,'',0,0,0,5841,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(14648,12,0,-1,'Shadowglen Gift Voucher',18499,1,0,1,0,0,0,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,'',0,0,0,5842,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(14649,12,0,-1,'Valley of Trials Gift Voucher',18499,1,0,1,0,0,0,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,'',0,0,0,5843,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(14650,12,0,-1,'Camp Narache Gift Voucher',18499,1,0,1,0,0,0,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,'',0,0,0,5844,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(14651,12,0,-1,'Deathknell Gift Voucher',18499,1,0,1,0,0,0,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,'',0,0,0,5847,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(43,4,0,-1,'Squire\'s Boots',10272,1,0,1,4,1,8,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(44,4,1,-1,'Squire\'s Pants',9937,0,0,1,4,1,7,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(45,4,0,-1,'Squire\'s Shirt',3265,1,0,1,1,1,4,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(47,4,0,-1,'Footpad\'s Shoes',9915,1,0,1,4,1,8,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(48,4,1,-1,'Footpad\'s Pants',9913,0,0,1,4,1,7,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(49,4,0,-1,'Footpad\'s Shirt',9906,1,0,1,1,1,4,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(51,4,0,-1,'Neophyte\'s Boots',9946,1,0,1,5,1,8,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(52,4,1,-1,'Neophyte\'s Pants',9945,0,0,1,5,1,7,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(53,4,0,-1,'Neophyte\'s Shirt',9944,1,0,1,1,1,4,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(55,4,0,-1,'Apprentice\'s Boots',9929,1,0,1,5,1,8,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(56,4,1,-1,'Apprentice\'s Robe',12647,0,0,1,5,1,20,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(57,4,1,-1,'Acolyte\'s Robe',12645,0,0,1,5,1,20,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(59,4,0,-1,'Acolyte\'s Shoes',3261,1,0,1,5,1,8,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(35,2,10,-1,'Bent Staff',472,1,0,1,47,9,17,2047,255,2,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2900,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,2,2,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(36,2,4,-1,'Worn Mace',5194,1,0,1,38,7,21,2047,255,2,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1900,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,2,3,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(37,2,0,-1,'Worn Axe',14029,1,0,1,38,7,21,2047,255,2,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,1,3,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(2361,2,5,-1,'Battleworn Hammer',8690,1,0,1,45,9,17,2047,255,2,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2900,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,2,1,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(2092,2,15,-1,'Worn Dagger',6442,1,0,1,35,7,13,2047,255,2,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1600,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,1,3,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(6096,4,0,-1,'Apprentice\'s Shirt',2163,1,0,1,1,1,4,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(6097,4,0,-1,'Acolyte\'s Shirt',2470,1,0,1,1,1,4,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(6098,4,1,-1,'Neophyte\'s Robe',12679,0,0,1,4,1,20,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(1395,4,1,-1,'Apprentice\'s Pants',9924,0,0,1,5,1,7,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(1396,4,1,-1,'Acolyte\'s Pants',3260,0,0,1,4,1,7,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(6125,4,0,-1,'Brawler\'s Harness',9995,1,0,1,1,1,4,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(6126,4,1,-1,'Trapper\'s Pants',10002,0,0,1,5,1,7,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(6127,4,0,-1,'Trapper\'s Boots',10003,1,0,1,5,1,8,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(6129,4,1,-1,'Acolyte\'s Robe',12646,0,0,1,5,1,20,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(139,4,1,-1,'Brawler\'s Pants',9988,0,0,1,4,1,7,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(140,4,0,-1,'Brawler\'s Boots',9992,1,0,1,4,1,8,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(127,4,0,-1,'Trapper\'s Shirt',9996,1,0,1,1,1,4,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(120,4,1,-1,'Thug Pants',10006,0,0,1,4,1,7,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(121,4,0,-1,'Thug Boots',10008,1,0,1,4,1,8,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(147,4,1,-1,'Rugged Trapper\'s Pants',9975,0,0,1,5,1,7,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(148,4,0,-1,'Rugged Trapper\'s Shirt',9976,1,0,1,1,1,4,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(153,4,2,-1,'Primitive Kilt',10050,0,0,1,5,1,7,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,8,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(154,4,0,-1,'Primitive Mantle',10058,1,0,1,1,1,4,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(2101,1,2,-1,'Light Quiver',21328,1,0,1,4,1,18,2047,255,1,1,0,0,0,0,0,0,0,0,1,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,14824,1,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(2102,1,3,-1,'Small Ammo Pouch',1816,1,0,1,4,1,18,2047,255,1,1,0,0,0,0,0,0,0,0,1,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,14824,1,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,'',0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(2105,4,0,-1,'Thug Shirt',10005,1,0,1,5,1,4,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(2504,2,2,-1,'Worn Shortbow',8106,1,0,1,29,5,15,2047,255,2,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2300,2,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,2,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(2508,2,3,-1,'Old Blunderbuss',6606,1,0,1,27,5,26,2047,255,2,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2300,3,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,1,0,0,0,0,0,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(2512,6,2,-1,'Rough Arrow',5996,1,0,1,10,0,24,2047,255,5,1,0,0,0,0,0,0,0,0,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(2516,6,3,-1,'Light Shot',5998,1,0,1,10,0,24,2047,255,5,1,0,0,0,0,0,0,0,0,200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,2,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(3661,2,10,-1,'Handcrafted Staff',18530,1,0,1,45,9,17,2047,255,2,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2900,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,2,2,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(6119,4,1,-1,'Neophyte\'s Robe',12681,0,0,1,4,1,20,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(6123,4,1,-1,'Novice\'s Robe',12683,0,0,1,4,1,20,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(6124,4,1,-1,'Novice\'s Pants',9987,0,0,1,5,1,7,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(6134,4,0,-1,'Primitive Mantle',10108,1,0,1,1,1,4,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(6135,4,2,-1,'Primitive Kilt',10109,0,0,1,5,1,7,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,8,0,0,0,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(6139,4,1,-1,'Novice\'s Robe',12684,0,0,1,4,1,20,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(6140,4,1,-1,'Apprentice\'s Robe',12649,0,0,1,4,1,20,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(6144,4,1,-1,'Neophyte\'s Robe',12680,0,0,1,5,1,20,2047,255,1,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,1000,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,7,0,0,0,0,0,35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0),
(12282,2,1,-1,'Worn Battleaxe',22291,1,0,1,43,8,17,2047,255,2,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2900,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,'',0,0,0,0,0,1,1,0,0,0,0,25,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,'internalItemHandler',0,0,0,0);
/*!40000 ALTER TABLE `item_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `locales_creature`
--

DROP TABLE IF EXISTS `locales_creature`;
CREATE TABLE `locales_creature` (
  `entry` int(11) unsigned NOT NULL default '0',
  `name_loc1` varchar(100) NOT NULL default '',
  `name_loc2` varchar(100) NOT NULL default '',
  `name_loc3` varchar(100) NOT NULL default '',
  `name_loc4` varchar(100) NOT NULL default '',
  `name_loc5` varchar(100) NOT NULL default '',
  `name_loc6` varchar(100) NOT NULL default '',
  `name_loc7` varchar(100) NOT NULL default '',
  `subname_loc1` varchar(100) default NULL,
  `subname_loc2` varchar(100) default NULL,
  `subname_loc3` varchar(100) default NULL,
  `subname_loc4` varchar(100) default NULL,
  `subname_loc5` varchar(100) default NULL,
  `subname_loc6` varchar(100) default NULL,
  `subname_loc7` varchar(100) default NULL,
  `subname_loc8` varchar(100) default NULL,
  PRIMARY KEY  (`entry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `locales_creature`
--

LOCK TABLES `locales_creature` WRITE;
/*!40000 ALTER TABLE `locales_creature` DISABLE KEYS */;
/*!40000 ALTER TABLE `locales_creature` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `locales_gameobject`
--

DROP TABLE IF EXISTS `locales_gameobject`;
CREATE TABLE `locales_gameobject` (
  `entry` int(11) unsigned NOT NULL default '0',
  `name_loc1` varchar(100) NOT NULL default '',
  `name_loc2` varchar(100) NOT NULL default '',
  `name_loc3` varchar(100) NOT NULL default '',
  `name_loc4` varchar(100) NOT NULL default '',
  `name_loc5` varchar(100) NOT NULL default '',
  `name_loc6` varchar(100) NOT NULL default '',
  `name_loc7` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`entry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `locales_gameobject`
--

LOCK TABLES `locales_gameobject` WRITE;
/*!40000 ALTER TABLE `locales_gameobject` DISABLE KEYS */;
/*!40000 ALTER TABLE `locales_gameobject` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `locales_item`
--

DROP TABLE IF EXISTS `locales_item`;
CREATE TABLE `locales_item` (
  `entry` int(11) unsigned NOT NULL default '0',
  `name_loc1` varchar(100) NOT NULL default '',
  `name_loc2` varchar(100) NOT NULL default '',
  `name_loc3` varchar(100) NOT NULL default '',
  `name_loc4` varchar(100) NOT NULL default '',
  `name_loc5` varchar(100) NOT NULL default '',
  `name_loc6` varchar(100) NOT NULL default '',
  `name_loc7` varchar(100) NOT NULL default '',
  `description_loc1` varchar(255) default NULL,
  `description_loc2` varchar(255) default NULL,
  `description_loc3` varchar(255) default NULL,
  `description_loc4` varchar(255) default NULL,
  `description_loc5` varchar(255) default NULL,
  `description_loc6` varchar(255) default NULL,
  `description_loc7` varchar(255) default NULL,
  PRIMARY KEY  (`entry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `locales_item`
--

LOCK TABLES `locales_item` WRITE;
/*!40000 ALTER TABLE `locales_item` DISABLE KEYS */;
/*!40000 ALTER TABLE `locales_item` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `locales_npc_text`
--

DROP TABLE IF EXISTS `locales_npc_text`;
CREATE TABLE `locales_npc_text` (
  `entry` int(11) unsigned NOT NULL default '0',
  `Text0_0_loc1` longtext,
  `Text0_0_loc2` longtext,
  `Text0_0_loc3` longtext,
  `Text0_0_loc4` longtext,
  `Text0_0_loc5` longtext,
  `Text0_0_loc6` longtext,
  `Text0_0_loc7` longtext,
  `Text0_1_loc1` longtext,
  `Text0_1_loc2` longtext,
  `Text0_1_loc3` longtext,
  `Text0_1_loc4` longtext,
  `Text0_1_loc5` longtext,
  `Text0_1_loc6` longtext,
  `Text0_1_loc7` longtext,
  `Text1_0_loc1` longtext,
  `Text1_0_loc2` longtext,
  `Text1_0_loc3` longtext,
  `Text1_0_loc4` longtext,
  `Text1_0_loc5` longtext,
  `Text1_0_loc6` longtext,
  `Text1_0_loc7` longtext,
  `Text1_1_loc1` longtext,
  `Text1_1_loc2` longtext,
  `Text1_1_loc3` longtext,
  `Text1_1_loc4` longtext,
  `Text1_1_loc5` longtext,
  `Text1_1_loc6` longtext,
  `Text1_1_loc7` longtext,
  `Text2_0_loc1` longtext,
  `Text2_0_loc2` longtext,
  `Text2_0_loc3` longtext,
  `Text2_0_loc4` longtext,
  `Text2_0_loc5` longtext,
  `Text2_0_loc6` longtext,
  `Text2_0_loc7` longtext,
  `Text2_1_loc1` longtext,
  `Text2_1_loc2` longtext,
  `Text2_1_loc3` longtext,
  `Text2_1_loc4` longtext,
  `Text2_1_loc5` longtext,
  `Text2_1_loc6` longtext,
  `Text2_1_loc7` longtext,
  `Text3_0_loc1` longtext,
  `Text3_0_loc2` longtext,
  `Text3_0_loc3` longtext,
  `Text3_0_loc4` longtext,
  `Text3_0_loc5` longtext,
  `Text3_0_loc6` longtext,
  `Text3_0_loc7` longtext,
  `Text3_1_loc1` longtext,
  `Text3_1_loc2` longtext,
  `Text3_1_loc3` longtext,
  `Text3_1_loc4` longtext,
  `Text3_1_loc5` longtext,
  `Text3_1_loc6` longtext,
  `Text3_1_loc7` longtext,
  `Text4_0_loc1` longtext,
  `Text4_0_loc2` longtext,
  `Text4_0_loc3` longtext,
  `Text4_0_loc4` longtext,
  `Text4_0_loc5` longtext,
  `Text4_0_loc6` longtext,
  `Text4_0_loc7` longtext,
  `Text4_1_loc1` longtext,
  `Text4_1_loc2` longtext,
  `Text4_1_loc3` longtext,
  `Text4_1_loc4` longtext,
  `Text4_1_loc5` longtext,
  `Text4_1_loc6` longtext,
  `Text4_1_loc7` longtext,
  `Text5_0_loc1` longtext,
  `Text5_0_loc2` longtext,
  `Text5_0_loc3` longtext,
  `Text5_0_loc4` longtext,
  `Text5_0_loc5` longtext,
  `Text5_0_loc6` longtext,
  `Text5_0_loc7` longtext,
  `Text5_1_loc1` longtext,
  `Text5_1_loc2` longtext,
  `Text5_1_loc3` longtext,
  `Text5_1_loc4` longtext,
  `Text5_1_loc5` longtext,
  `Text5_1_loc6` longtext,
  `Text5_1_loc7` longtext,
  `Text6_0_loc1` longtext,
  `Text6_0_loc2` longtext,
  `Text6_0_loc3` longtext,
  `Text6_0_loc4` longtext,
  `Text6_0_loc5` longtext,
  `Text6_0_loc6` longtext,
  `Text6_0_loc7` longtext,
  `Text6_1_loc1` longtext,
  `Text6_1_loc2` longtext,
  `Text6_1_loc3` longtext,
  `Text6_1_loc4` longtext,
  `Text6_1_loc5` longtext,
  `Text6_1_loc6` longtext,
  `Text6_1_loc7` longtext,
  `Text7_0_loc1` longtext,
  `Text7_0_loc2` longtext,
  `Text7_0_loc3` longtext,
  `Text7_0_loc4` longtext,
  `Text7_0_loc5` longtext,
  `Text7_0_loc6` longtext,
  `Text7_0_loc7` longtext,
  `Text7_1_loc1` longtext,
  `Text7_1_loc2` longtext,
  `Text7_1_loc3` longtext,
  `Text7_1_loc4` longtext,
  `Text7_1_loc5` longtext,
  `Text7_1_loc6` longtext,
  `Text7_1_loc7` longtext,
  PRIMARY KEY  (`entry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `locales_npc_text`
--

LOCK TABLES `locales_npc_text` WRITE;
/*!40000 ALTER TABLE `locales_npc_text` DISABLE KEYS */;
/*!40000 ALTER TABLE `locales_npc_text` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `locales_page_text`
--

DROP TABLE IF EXISTS `locales_page_text`;
CREATE TABLE `locales_page_text` (
  `entry` int(11) unsigned NOT NULL default '0',
  `Text_loc1` longtext,
  `Text_loc2` longtext,
  `Text_loc3` longtext,
  `Text_loc4` longtext,
  `Text_loc5` longtext,
  `Text_loc6` longtext,
  `Text_loc7` longtext,
  PRIMARY KEY  (`entry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `locales_page_text`
--

LOCK TABLES `locales_page_text` WRITE;
/*!40000 ALTER TABLE `locales_page_text` DISABLE KEYS */;
/*!40000 ALTER TABLE `locales_page_text` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `locales_quest`
--

DROP TABLE IF EXISTS `locales_quest`;
CREATE TABLE `locales_quest` (
  `entry` int(11) unsigned NOT NULL default '0',
  `Title_loc1` text,
  `Title_loc2` text,
  `Title_loc3` text,
  `Title_loc4` text,
  `Title_loc5` text,
  `Title_loc6` text,
  `Title_loc7` text,
  `Details_loc1` text,
  `Details_loc2` text,
  `Details_loc3` text,
  `Details_loc4` text,
  `Details_loc5` text,
  `Details_loc6` text,
  `Details_loc7` text,
  `Objectives_loc1` text,
  `Objectives_loc2` text,
  `Objectives_loc3` text,
  `Objectives_loc4` text,
  `Objectives_loc5` text,
  `Objectives_loc6` text,
  `Objectives_loc7` text,
  `OfferRewardText_loc1` text,
  `OfferRewardText_loc2` text,
  `OfferRewardText_loc3` text,
  `OfferRewardText_loc4` text,
  `OfferRewardText_loc5` text,
  `OfferRewardText_loc6` text,
  `OfferRewardText_loc7` text,
  `RequestItemsText_loc1` text,
  `RequestItemsText_loc2` text,
  `RequestItemsText_loc3` text,
  `RequestItemsText_loc4` text,
  `RequestItemsText_loc5` text,
  `RequestItemsText_loc6` text,
  `RequestItemsText_loc7` text,
  `EndText_loc1` text,
  `EndText_loc2` text,
  `EndText_loc3` text,
  `EndText_loc4` text,
  `EndText_loc5` text,
  `EndText_loc6` text,
  `EndText_loc7` text,
  `ObjectiveText1_loc1` text,
  `ObjectiveText1_loc2` text,
  `ObjectiveText1_loc3` text,
  `ObjectiveText1_loc4` text,
  `ObjectiveText1_loc5` text,
  `ObjectiveText1_loc6` text,
  `ObjectiveText1_loc7` text,
  `ObjectiveText2_loc1` text,
  `ObjectiveText2_loc2` text,
  `ObjectiveText2_loc3` text,
  `ObjectiveText2_loc4` text,
  `ObjectiveText2_loc5` text,
  `ObjectiveText2_loc6` text,
  `ObjectiveText2_loc7` text,
  `ObjectiveText3_loc1` text,
  `ObjectiveText3_loc2` text,
  `ObjectiveText3_loc3` text,
  `ObjectiveText3_loc4` text,
  `ObjectiveText3_loc5` text,
  `ObjectiveText3_loc6` text,
  `ObjectiveText3_loc7` text,
  `ObjectiveText4_loc1` text,
  `ObjectiveText4_loc2` text,
  `ObjectiveText4_loc3` text,
  `ObjectiveText4_loc4` text,
  `ObjectiveText4_loc5` text,
  `ObjectiveText4_loc6` text,
  `ObjectiveText4_loc7` text,
  PRIMARY KEY  (`entry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `locales_quest`
--

LOCK TABLES `locales_quest` WRITE;
/*!40000 ALTER TABLE `locales_quest` DISABLE KEYS */;
/*!40000 ALTER TABLE `locales_quest` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `npc_gossip`
--

DROP TABLE IF EXISTS `npc_gossip`;
CREATE TABLE `npc_gossip` (
  `id` int(11) unsigned NOT NULL default '0',
  `npc_guid` int(11) unsigned NOT NULL default '0',
  `gossip_type` int(11) unsigned NOT NULL default '0',
  `textid` int(11) unsigned NOT NULL default '0',
  `option_count` int(11) unsigned default NULL,
  PRIMARY KEY  (`id`,`npc_guid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `npc_gossip`
--

LOCK TABLES `npc_gossip` WRITE;
/*!40000 ALTER TABLE `npc_gossip` DISABLE KEYS */;
/*!40000 ALTER TABLE `npc_gossip` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `npc_gossip_textid`
--

DROP TABLE IF EXISTS `npc_gossip_textid`;
CREATE TABLE `npc_gossip_textid` (
  `zoneid` int(11) unsigned NOT NULL default '0',
  `action` int(3) unsigned NOT NULL default '0',
  `textid` int(11) unsigned NOT NULL default '0',
  KEY `zoneid` (`zoneid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `npc_gossip_textid`
--

LOCK TABLES `npc_gossip_textid` WRITE;
/*!40000 ALTER TABLE `npc_gossip_textid` DISABLE KEYS */;
/*!40000 ALTER TABLE `npc_gossip_textid` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `npc_option`
--

DROP TABLE IF EXISTS `npc_option`;
CREATE TABLE `npc_option` (
  `id` int(11) unsigned NOT NULL default '0',
  `gossip_id` int(11) unsigned NOT NULL default '0',
  `npcflag` int(11) unsigned NOT NULL default '0',
  `icon` int(11) unsigned NOT NULL default '0',
  `action` int(11) unsigned NOT NULL default '0',
  `option` text,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `npc_option`
--

LOCK TABLES `npc_option` WRITE;
/*!40000 ALTER TABLE `npc_option` DISABLE KEYS */;
/*!40000 ALTER TABLE `npc_option` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `npc_text`
--

DROP TABLE IF EXISTS `npc_text`;
CREATE TABLE `npc_text` (
  `ID` int(11) unsigned NOT NULL default '0',
  `text0_0` longtext,
  `text0_1` longtext,
  `lang0` bigint(20) unsigned NOT NULL default '0',
  `prob0` float NOT NULL default '0',
  `em0_0` bigint(20) unsigned NOT NULL default '0',
  `em0_1` bigint(20) unsigned NOT NULL default '0',
  `em0_2` bigint(20) unsigned NOT NULL default '0',
  `em0_3` bigint(20) unsigned NOT NULL default '0',
  `em0_4` bigint(20) unsigned NOT NULL default '0',
  `em0_5` bigint(20) unsigned NOT NULL default '0',
  `text1_0` longtext,
  `text1_1` longtext,
  `lang1` bigint(20) unsigned NOT NULL default '0',
  `prob1` float NOT NULL default '0',
  `em1_0` bigint(20) unsigned NOT NULL default '0',
  `em1_1` bigint(20) unsigned NOT NULL default '0',
  `em1_2` bigint(20) unsigned NOT NULL default '0',
  `em1_3` bigint(20) unsigned NOT NULL default '0',
  `em1_4` bigint(20) unsigned NOT NULL default '0',
  `em1_5` bigint(20) unsigned NOT NULL default '0',
  `text2_0` longtext,
  `text2_1` longtext,
  `lang2` bigint(20) unsigned NOT NULL default '0',
  `prob2` float NOT NULL default '0',
  `em2_0` bigint(20) unsigned NOT NULL default '0',
  `em2_1` bigint(20) unsigned NOT NULL default '0',
  `em2_2` bigint(20) unsigned NOT NULL default '0',
  `em2_3` bigint(20) unsigned NOT NULL default '0',
  `em2_4` bigint(20) unsigned NOT NULL default '0',
  `em2_5` bigint(20) unsigned NOT NULL default '0',
  `text3_0` longtext,
  `text3_1` longtext,
  `lang3` bigint(20) unsigned NOT NULL default '0',
  `prob3` float NOT NULL default '0',
  `em3_0` bigint(20) unsigned NOT NULL default '0',
  `em3_1` bigint(20) unsigned NOT NULL default '0',
  `em3_2` bigint(20) unsigned NOT NULL default '0',
  `em3_3` bigint(20) unsigned NOT NULL default '0',
  `em3_4` bigint(20) unsigned NOT NULL default '0',
  `em3_5` bigint(20) unsigned NOT NULL default '0',
  `text4_0` longtext,
  `text4_1` longtext,
  `lang4` bigint(20) unsigned NOT NULL default '0',
  `prob4` float NOT NULL default '0',
  `em4_0` bigint(20) unsigned NOT NULL default '0',
  `em4_1` bigint(20) unsigned NOT NULL default '0',
  `em4_2` bigint(20) unsigned NOT NULL default '0',
  `em4_3` bigint(20) unsigned NOT NULL default '0',
  `em4_4` bigint(20) unsigned NOT NULL default '0',
  `em4_5` bigint(20) unsigned NOT NULL default '0',
  `text5_0` longtext,
  `text5_1` longtext,
  `lang5` bigint(20) unsigned NOT NULL default '0',
  `prob5` float NOT NULL default '0',
  `em5_0` bigint(20) unsigned NOT NULL default '0',
  `em5_1` bigint(20) unsigned NOT NULL default '0',
  `em5_2` bigint(20) unsigned NOT NULL default '0',
  `em5_3` bigint(20) unsigned NOT NULL default '0',
  `em5_4` bigint(20) unsigned NOT NULL default '0',
  `em5_5` bigint(20) unsigned NOT NULL default '0',
  `text6_0` longtext,
  `text6_1` longtext,
  `lang6` bigint(20) unsigned NOT NULL default '0',
  `prob6` float NOT NULL default '0',
  `em6_0` bigint(20) unsigned NOT NULL default '0',
  `em6_1` bigint(20) unsigned NOT NULL default '0',
  `em6_2` bigint(20) unsigned NOT NULL default '0',
  `em6_3` bigint(20) unsigned NOT NULL default '0',
  `em6_4` bigint(20) unsigned NOT NULL default '0',
  `em6_5` bigint(20) unsigned NOT NULL default '0',
  `text7_0` longtext,
  `text7_1` longtext,
  `lang7` bigint(20) unsigned NOT NULL default '0',
  `prob7` float NOT NULL default '0',
  `em7_0` bigint(20) unsigned NOT NULL default '0',
  `em7_1` bigint(20) unsigned NOT NULL default '0',
  `em7_2` bigint(20) unsigned NOT NULL default '0',
  `em7_3` bigint(20) unsigned NOT NULL default '0',
  `em7_4` bigint(20) unsigned NOT NULL default '0',
  `em7_5` bigint(20) unsigned NOT NULL default '0',
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `npc_text`
--

LOCK TABLES `npc_text` WRITE;
/*!40000 ALTER TABLE `npc_text` DISABLE KEYS */;
/*!40000 ALTER TABLE `npc_text` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `npc_trainer`
--

DROP TABLE IF EXISTS `npc_trainer`;
CREATE TABLE `npc_trainer` (
  `entry` int(11) unsigned NOT NULL default '0',
  `spell` int(11) unsigned NOT NULL default '0',
  `spellcost` int(11) unsigned default '0',
  `reqskill` int(11) unsigned default '0',
  `reqskillvalue` int(11) unsigned default '0',
  `reqlevel` int(11) unsigned default '0',
  UNIQUE KEY `entry_spell` (`entry`,`spell`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `npc_trainer`
--

LOCK TABLES `npc_trainer` WRITE;
/*!40000 ALTER TABLE `npc_trainer` DISABLE KEYS */;
/*!40000 ALTER TABLE `npc_trainer` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `npc_vendor`
--

DROP TABLE IF EXISTS `npc_vendor`;
CREATE TABLE `npc_vendor` (
  `entry` int(11) unsigned NOT NULL default '0',
  `item` int(11) unsigned NOT NULL default '0',
  `maxcount` tinyint(3) unsigned NOT NULL default '0',
  `incrtime` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`entry`,`item`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Npc System';

--
-- Dumping data for table `npc_vendor`
--

LOCK TABLES `npc_vendor` WRITE;
/*!40000 ALTER TABLE `npc_vendor` DISABLE KEYS */;
/*!40000 ALTER TABLE `npc_vendor` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `page_text`
--

DROP TABLE IF EXISTS `page_text`;
CREATE TABLE `page_text` (
  `entry` int(11) unsigned NOT NULL default '0',
  `text` longtext,
  `next_page` bigint(20) unsigned NOT NULL default '0',
  PRIMARY KEY  (`entry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Item System';

--
-- Dumping data for table `page_text`
--

LOCK TABLES `page_text` WRITE;
/*!40000 ALTER TABLE `page_text` DISABLE KEYS */;
/*!40000 ALTER TABLE `page_text` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pet_levelstats`
--

DROP TABLE IF EXISTS `pet_levelstats`;
CREATE TABLE `pet_levelstats` (
  `creature_entry` int(11) unsigned NOT NULL,
  `level` tinyint(3) unsigned NOT NULL,
  `hp` smallint(5) unsigned NOT NULL,
  `mana` smallint(5) unsigned NOT NULL,
  `armor` int(10) unsigned NOT NULL default '0',
  `str` smallint(5) unsigned NOT NULL,
  `agi` smallint(5) unsigned NOT NULL,
  `sta` smallint(5) unsigned NOT NULL,
  `int` smallint(5) unsigned NOT NULL,
  `spi` smallint(5) unsigned NOT NULL,
  PRIMARY KEY  (`creature_entry`,`level`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 PACK_KEYS=0 COMMENT='Stores pet levels stats.';

--
-- Dumping data for table `pet_levelstats`
--

LOCK TABLES `pet_levelstats` WRITE;
/*!40000 ALTER TABLE `pet_levelstats` DISABLE KEYS */;
/*!40000 ALTER TABLE `pet_levelstats` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pet_name_generation`
--

DROP TABLE IF EXISTS `pet_name_generation`;
CREATE TABLE `pet_name_generation` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `word` tinytext NOT NULL,
  `entry` int(11) unsigned NOT NULL default '0',
  `half` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=199 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `pet_name_generation`
--

LOCK TABLES `pet_name_generation` WRITE;
/*!40000 ALTER TABLE `pet_name_generation` DISABLE KEYS */;
INSERT INTO `pet_name_generation` (`id`,`word`,`entry`,`half`) VALUES
(1,'Aba',416,0),
(2,'Az',416,0),
(3,'Bel',416,0),
(4,'Biz',416,0),
(5,'Cho',416,0),
(6,'Dag',416,0),
(7,'Gak',416,0),
(8,'Gar',416,0),
(9,'Gho',416,0),
(10,'Gob',416,0),
(11,'Gra',416,0),
(12,'Jak',416,0),
(13,'Jub',416,0),
(14,'Kar',416,0),
(15,'Laz',416,0),
(16,'Nal',416,0),
(17,'Nok',416,0),
(18,'Pag',416,0),
(19,'Pig',416,0),
(20,'Pip',416,0),
(21,'Piz',416,0),
(22,'Quz',416,0),
(23,'Rui',416,0),
(24,'Rul',416,0),
(25,'Rup',416,0),
(26,'Tar',416,0),
(27,'Vol',416,0),
(28,'Yaz',416,0),
(29,'Zep',416,0),
(30,'Zig',416,0),
(31,'Zil',416,0),
(32,'Zor',416,0),
(33,'bis',416,1),
(34,'gup',416,1),
(35,'ham',416,1),
(36,'jub',416,1),
(37,'kin',416,1),
(38,'kol',416,1),
(39,'lop',416,1),
(40,'loz',416,1),
(41,'mat',416,1),
(42,'mir',416,1),
(43,'nam',416,1),
(44,'nar',416,1),
(45,'nik',416,1),
(46,'nip',416,1),
(47,'pad',416,1),
(48,'pep',416,1),
(49,'pit',416,1),
(50,'qua',416,1),
(51,'rai',416,1),
(52,'rin',416,1),
(53,'rot',416,1),
(54,'tai',416,1),
(55,'tal',416,1),
(56,'tik',416,1),
(57,'tip',416,1),
(58,'tog',416,1),
(59,'tuk',416,1),
(60,'uri',416,1),
(61,'yal',416,1),
(62,'yap',416,1),
(63,'Bar',1860,0),
(64,'Bel',1860,0),
(65,'Char',1860,0),
(66,'Grak\'',1860,0),
(67,'Graz\'',1860,0),
(68,'Grim',1860,0),
(69,'Hath',1860,0),
(70,'Hel',1860,0),
(71,'Hok',1860,0),
(72,'Jhaz',1860,0),
(73,'Jhom',1860,0),
(74,'Kal\'',1860,0),
(75,'Klath',1860,0),
(76,'Krag',1860,0),
(77,'Krak',1860,0),
(78,'Mak',1860,0),
(79,'Mezz',1860,0),
(80,'Orm',1860,0),
(81,'Phan',1860,0),
(82,'Sar',1860,0),
(83,'Tang',1860,0),
(84,'Than',1860,0),
(85,'Thog',1860,0),
(86,'Thok',1860,0),
(87,'Zang',1860,0),
(88,'Zhar\'',1860,0),
(89,'doc',1860,1),
(90,'dok',1860,1),
(91,'garth',1860,1),
(92,'gore',1860,1),
(93,'gorg',1860,1),
(94,'grave',1860,1),
(95,'gron',1860,1),
(96,'juk',1860,1),
(97,'kath',1860,1),
(98,'kresh',1860,1),
(99,'krit',1860,1),
(100,'los',1860,1),
(101,'mon',1860,1),
(102,'mos',1860,1),
(103,'moth',1860,1),
(104,'nagma',1860,1),
(105,'nak',1860,1),
(106,'nar',1860,1),
(107,'nos',1860,1),
(108,'nuz',1860,1),
(109,'phog',1860,1),
(110,'rath',1860,1),
(111,'tast',1860,1),
(112,'taz',1860,1),
(113,'thak',1860,1),
(114,'thang',1860,1),
(115,'thyk',1860,1),
(116,'vhug',1860,1),
(117,'zazt',1860,1),
(118,'Ael',1863,0),
(119,'Aez',1863,0),
(120,'Ang',1863,0),
(121,'Ban',1863,0),
(122,'Bet',1863,0),
(123,'Bro',1863,0),
(124,'Bry',1863,0),
(125,'Dir',1863,0),
(126,'Dom',1863,0),
(127,'Drus',1863,0),
(128,'Fier',1863,0),
(129,'Hel',1863,0),
(130,'Kal',1863,0),
(131,'Lyn',1863,0),
(132,'Mir',1863,0),
(133,'Nim',1863,0),
(134,'Sar',1863,0),
(135,'Sel',1863,0),
(136,'Vil',1863,0),
(137,'Zah',1863,0),
(138,'aith',1863,1),
(139,'anda',1863,1),
(140,'antia',1863,1),
(141,'lissa',1863,1),
(142,'neri',1863,1),
(143,'neth',1863,1),
(144,'nia',1863,1),
(145,'nva',1863,1),
(146,'ola',1863,1),
(147,'ona',1863,1),
(148,'ora',1863,1),
(149,'riana',1863,1),
(150,'riel',1863,1),
(151,'tai',1863,1),
(152,'vina',1863,1),
(153,'wena',1863,1),
(154,'wyn',1863,1),
(155,'yla',1863,1),
(156,'yssa',1863,1),
(157,'Flaa',417,0),
(158,'Fzuu',417,0),
(159,'Ghaa',417,0),
(160,'Gree',417,0),
(161,'Haa',417,0),
(162,'Jhaa',417,0),
(163,'Jhuu',417,0),
(164,'Khaa',417,0),
(165,'Khii',417,0),
(166,'Khuu',417,0),
(167,'Kree',417,0),
(168,'Maa',417,0),
(169,'Nhee',417,0),
(170,'Phuu',417,0),
(171,'Pryy',417,0),
(172,'Sloo',417,0),
(173,'Sruu',417,0),
(174,'Traa',417,0),
(175,'Zhaa',417,0),
(176,'dhon',417,1),
(177,'dhum',417,1),
(178,'don',417,1),
(179,'dym',417,1),
(180,'fun',417,1),
(181,'ghon',417,1),
(182,'ghun',417,1),
(183,'grom',417,1),
(184,'grym',417,1),
(185,'jhom',417,1),
(186,'kun',417,1),
(187,'mmon',417,1),
(188,'mon',417,1),
(189,'nam',417,1),
(190,'nem',417,1),
(191,'nhym',417,1),
(192,'nom',417,1),
(193,'phom',417,1),
(194,'roon',417,1),
(195,'tom',417,1),
(196,'zhem',417,1),
(197,'zhum',417,1),
(198,'zun',417,1);
/*!40000 ALTER TABLE `pet_name_generation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `petcreateinfo_spell`
--

DROP TABLE IF EXISTS `petcreateinfo_spell`;
CREATE TABLE `petcreateinfo_spell` (
  `entry` int(11) unsigned NOT NULL default '0',
  `Spell1` int(11) unsigned NOT NULL default '0',
  `Spell2` int(11) unsigned NOT NULL default '0',
  `Spell3` int(11) unsigned NOT NULL default '0',
  `Spell4` int(11) unsigned NOT NULL default '0',
  `FamilyPassive` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`entry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='Pet Create Spells';

--
-- Dumping data for table `petcreateinfo_spell`
--

LOCK TABLES `petcreateinfo_spell` WRITE;
/*!40000 ALTER TABLE `petcreateinfo_spell` DISABLE KEYS */;
/*!40000 ALTER TABLE `petcreateinfo_spell` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pickpocketing_loot_template`
--

DROP TABLE IF EXISTS `pickpocketing_loot_template`;
CREATE TABLE `pickpocketing_loot_template` (
  `entry` int(11) unsigned NOT NULL default '0',
  `item` int(11) unsigned NOT NULL default '0',
  `ChanceOrRef` float NOT NULL default '100',
  `QuestChanceOrGroup` tinyint(3) NOT NULL default '0',
  `mincount` tinyint(3) unsigned NOT NULL default '1',
  `maxcount` tinyint(3) unsigned NOT NULL default '1',
  `freeforall` tinyint(1) unsigned NOT NULL default '0',
  `lootcondition` tinyint(3) unsigned NOT NULL default '0',
  `condition_value1` int(11) unsigned NOT NULL default '0',
  `condition_value2` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`entry`,`item`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Loot System';

--
-- Dumping data for table `pickpocketing_loot_template`
--

LOCK TABLES `pickpocketing_loot_template` WRITE;
/*!40000 ALTER TABLE `pickpocketing_loot_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `pickpocketing_loot_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `player_levelstats`
--

DROP TABLE IF EXISTS `player_levelstats`;
CREATE TABLE `player_levelstats` (
  `race` tinyint(3) unsigned NOT NULL,
  `class` tinyint(3) unsigned NOT NULL,
  `level` tinyint(3) unsigned NOT NULL,
  `hp` smallint(5) unsigned NOT NULL,
  `mana` smallint(5) unsigned NOT NULL,
  `str` tinyint(3) unsigned NOT NULL,
  `agi` tinyint(3) unsigned NOT NULL,
  `sta` tinyint(3) unsigned NOT NULL,
  `int` tinyint(3) unsigned NOT NULL,
  `spi` tinyint(3) unsigned NOT NULL,
  PRIMARY KEY  (`race`,`class`,`level`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 PACK_KEYS=0 COMMENT='Stores levels stats.';

--
-- Dumping data for table `player_levelstats`
--

LOCK TABLES `player_levelstats` WRITE;
/*!40000 ALTER TABLE `player_levelstats` DISABLE KEYS */;
INSERT INTO `player_levelstats` (`race`,`class`,`level`,`hp`,`mana`,`str`,`agi`,`sta`,`int`,`spi`) VALUES
(1,1,1,60,0,23,20,22,20,20),
(1,1,2,79,0,24,21,23,20,20),
(1,1,3,98,0,26,22,24,20,21),
(1,1,4,117,0,27,22,26,20,21),
(1,1,5,136,0,28,23,27,20,21),
(1,1,6,155,0,30,24,28,20,21),
(1,1,7,174,0,31,25,29,21,22),
(1,1,8,193,0,32,26,30,21,22),
(1,1,9,212,0,34,26,32,21,22),
(1,1,10,231,0,35,27,33,21,23),
(1,1,11,250,0,36,28,34,21,23),
(1,1,12,269,0,38,29,35,21,23),
(1,1,13,288,0,39,30,37,21,24),
(1,1,14,308,0,41,31,38,21,24),
(1,1,15,329,0,42,32,39,21,24),
(1,1,16,351,0,44,33,41,21,25),
(1,1,17,374,0,45,34,42,22,25),
(1,1,18,398,0,47,34,43,22,25),
(1,1,19,423,0,48,35,45,22,26),
(1,1,20,449,0,50,36,46,22,26),
(1,1,21,476,0,51,37,48,22,26),
(1,1,22,504,0,53,38,49,22,27),
(1,1,23,533,0,54,39,51,22,27),
(1,1,24,563,0,56,40,52,23,28),
(1,1,25,594,0,58,41,53,23,28),
(1,1,26,626,0,59,42,55,23,28),
(1,1,27,659,0,61,43,56,23,29),
(1,1,28,693,0,63,44,58,23,29),
(1,1,29,728,0,64,45,59,23,30),
(1,1,30,764,0,66,46,61,24,30),
(1,1,31,801,0,68,47,62,24,30),
(1,1,32,839,0,69,48,64,24,31),
(1,1,33,878,0,71,50,66,24,31),
(1,1,34,918,0,73,51,67,24,32),
(1,1,35,959,0,74,52,69,24,32),
(1,1,36,1001,0,76,53,70,25,33),
(1,1,37,1045,0,78,54,72,25,33),
(1,1,38,1091,0,80,55,74,25,34),
(1,1,39,1139,0,82,56,75,25,34),
(1,1,40,1189,0,83,57,77,25,35),
(1,1,41,1241,0,85,58,79,26,35),
(1,1,42,1295,0,87,60,80,26,35),
(1,1,43,1351,0,89,61,82,26,36),
(1,1,44,1409,0,91,62,84,26,36),
(1,1,45,1469,0,93,63,85,26,37),
(1,1,46,1531,0,95,64,87,27,37),
(1,1,47,1595,0,97,66,89,27,38),
(1,1,48,1661,0,99,67,91,27,38),
(1,1,49,1729,0,101,68,93,27,39),
(1,1,50,1799,0,103,69,94,28,40),
(1,1,51,1871,0,105,71,96,28,40),
(1,1,52,1945,0,107,72,98,28,41),
(1,1,53,2021,0,109,73,100,28,41),
(1,1,54,2099,0,111,74,102,29,42),
(1,1,55,2179,0,113,76,103,29,42),
(1,1,56,2261,0,115,77,105,29,43),
(1,1,57,2345,0,117,78,107,29,43),
(1,1,58,2431,0,119,79,109,30,44),
(1,1,59,2519,0,121,81,111,30,44),
(1,1,60,2609,0,123,82,113,30,45),
(1,1,61,2842,0,125,83,115,30,46),
(1,1,62,3089,0,127,85,117,31,46),
(1,1,63,3350,0,129,86,119,31,47),
(1,1,64,3625,0,132,88,121,31,47),
(1,1,65,3915,0,134,89,123,32,48),
(1,1,66,4220,0,136,90,125,32,49),
(1,1,67,4540,0,138,92,127,32,49),
(1,1,68,4876,0,140,93,129,32,50),
(1,1,69,5228,0,143,95,131,33,50),
(1,1,70,5596,0,145,96,133,33,51),
(1,2,1,58,80,22,20,22,20,21),
(1,2,2,76,99,23,21,23,21,22),
(1,2,3,94,119,24,21,24,21,22),
(1,2,4,112,140,25,22,25,22,23),
(1,2,5,130,162,26,22,26,23,24),
(1,2,6,148,185,28,23,27,23,25),
(1,2,7,166,209,29,24,28,24,25),
(1,2,8,184,234,30,24,29,25,26),
(1,2,9,202,260,31,25,30,25,27),
(1,2,10,220,287,32,25,32,26,27),
(1,2,11,238,315,33,26,33,27,28),
(1,2,12,256,344,35,27,34,27,29),
(1,2,13,274,374,36,27,35,28,30),
(1,2,14,292,405,37,28,36,29,31),
(1,2,15,311,437,38,29,37,30,31),
(1,2,16,331,470,40,29,38,30,32),
(1,2,17,352,504,41,30,40,31,33),
(1,2,18,374,539,42,31,41,32,34),
(1,2,19,397,575,43,31,42,33,35),
(1,2,20,421,612,45,32,43,33,35),
(1,2,21,446,650,46,33,45,34,36),
(1,2,22,472,689,47,33,46,35,37),
(1,2,23,499,729,49,34,47,36,38),
(1,2,24,527,770,50,35,48,37,39),
(1,2,25,556,812,51,36,50,37,40),
(1,2,26,586,854,53,36,51,38,41),
(1,2,27,617,896,54,37,52,39,42),
(1,2,28,649,938,56,38,54,40,43),
(1,2,29,682,980,57,39,55,41,43),
(1,2,30,716,1022,58,39,56,42,44),
(1,2,31,751,1064,60,40,58,43,45),
(1,2,32,787,1106,61,41,59,43,46),
(1,2,33,824,1148,63,42,60,44,47),
(1,2,34,862,1190,64,43,62,45,48),
(1,2,35,901,1232,66,44,63,46,49),
(1,2,36,941,1274,67,44,65,47,50),
(1,2,37,982,1316,69,45,66,48,51),
(1,2,38,1024,1358,70,46,67,49,52),
(1,2,39,1067,1400,72,47,69,50,53),
(1,2,40,1111,1442,73,48,70,51,54),
(1,2,41,1156,1484,75,49,72,52,55),
(1,2,42,1202,1526,77,49,73,53,56),
(1,2,43,1249,1568,78,50,75,54,57),
(1,2,44,1297,1610,80,51,76,55,58),
(1,2,45,1346,1652,81,52,78,56,59),
(1,2,46,1396,1694,83,53,79,57,61),
(1,2,47,1447,1736,85,54,81,58,62),
(1,2,48,1499,1778,86,55,83,59,63),
(1,2,49,1552,1820,88,56,84,60,64),
(1,2,50,1606,1862,90,57,86,61,65),
(1,2,51,1661,1904,91,58,87,62,66),
(1,2,52,1717,1946,93,59,89,63,67),
(1,2,53,1774,1988,95,60,91,64,68),
(1,2,54,1832,2030,97,61,92,65,69),
(1,2,55,1891,2072,98,61,94,66,71),
(1,2,56,1951,2114,100,62,95,67,72),
(1,2,57,2012,2156,102,63,97,68,73),
(1,2,58,2074,2198,104,64,99,69,74),
(1,2,59,2137,2240,105,65,101,70,75),
(1,2,60,2201,2282,107,66,102,71,77),
(1,2,61,2381,2441,109,67,104,73,78),
(1,2,62,2569,2600,111,69,106,74,79),
(1,2,63,2765,2774,113,70,107,75,80),
(1,2,64,2970,2933,115,71,109,76,81),
(1,2,65,3184,3092,116,72,111,77,83),
(1,2,66,3407,3266,118,73,113,78,84),
(1,2,67,3640,3425,120,74,115,79,85),
(1,2,68,3883,3584,122,75,116,81,86),
(1,2,69,4136,3758,124,76,118,82,88),
(1,2,70,4399,3917,126,77,120,83,89),
(1,4,1,55,0,21,23,21,20,20),
(1,4,2,72,0,22,24,22,20,20),
(1,4,3,89,0,23,26,22,20,21),
(1,4,4,106,0,23,27,23,20,21),
(1,4,5,123,0,24,29,24,21,21),
(1,4,6,140,0,25,30,25,21,22),
(1,4,7,157,0,26,32,25,21,22),
(1,4,8,174,0,26,33,26,21,23),
(1,4,9,191,0,27,35,27,21,23),
(1,4,10,208,0,28,36,27,21,23),
(1,4,11,225,0,29,38,28,22,24),
(1,4,12,242,0,30,39,29,22,24),
(1,4,13,259,0,31,41,30,22,25),
(1,4,14,276,0,31,43,31,22,25),
(1,4,15,293,0,32,44,31,22,25),
(1,4,16,311,0,33,46,32,23,26),
(1,4,17,330,0,34,48,33,23,26),
(1,4,18,350,0,35,49,34,23,27),
(1,4,19,371,0,36,51,35,23,27),
(1,4,20,393,0,37,53,35,23,28),
(1,4,21,416,0,38,54,36,24,28),
(1,4,22,440,0,39,56,37,24,29),
(1,4,23,465,0,40,58,38,24,29),
(1,4,24,491,0,41,60,39,24,30),
(1,4,25,518,0,42,61,40,25,30),
(1,4,26,546,0,43,63,41,25,31),
(1,4,27,575,0,44,65,42,25,31),
(1,4,28,605,0,45,67,43,25,32),
(1,4,29,636,0,46,69,43,25,32),
(1,4,30,668,0,47,71,44,26,33),
(1,4,31,701,0,48,72,45,26,33),
(1,4,32,735,0,49,74,46,26,34),
(1,4,33,770,0,50,76,47,27,34),
(1,4,34,806,0,51,78,48,27,35),
(1,4,35,843,0,52,80,49,27,35),
(1,4,36,881,0,53,82,50,27,36),
(1,4,37,920,0,54,84,51,28,36),
(1,4,38,960,0,55,86,52,28,37),
(1,4,39,1001,0,56,88,53,28,38),
(1,4,40,1043,0,57,90,54,28,38),
(1,4,41,1086,0,58,92,55,29,39),
(1,4,42,1130,0,60,94,56,29,39),
(1,4,43,1175,0,61,96,57,29,40),
(1,4,44,1221,0,62,98,58,30,40),
(1,4,45,1268,0,63,100,59,30,41),
(1,4,46,1316,0,64,103,61,30,42),
(1,4,47,1365,0,65,105,62,31,42),
(1,4,48,1415,0,66,107,63,31,43),
(1,4,49,1466,0,68,109,64,31,44),
(1,4,50,1518,0,69,111,65,32,44),
(1,4,51,1571,0,70,113,66,32,45),
(1,4,52,1625,0,71,116,67,32,45),
(1,4,53,1680,0,73,118,68,33,46),
(1,4,54,1736,0,74,120,69,33,47),
(1,4,55,1793,0,75,122,71,33,47),
(1,4,56,1851,0,76,125,72,34,48),
(1,4,57,1910,0,78,127,73,34,49),
(1,4,58,1970,0,79,129,74,34,49),
(1,4,59,2031,0,80,131,75,35,50),
(1,4,60,2093,0,81,134,77,35,51),
(1,4,61,2282,0,83,136,78,35,51),
(1,4,62,2480,0,84,138,79,36,52),
(1,4,63,2687,0,85,141,80,36,53),
(1,4,64,2903,0,87,143,81,37,54),
(1,4,65,3129,0,88,146,83,37,54),
(1,4,66,3365,0,89,148,84,37,55),
(1,4,67,3611,0,91,151,85,38,56),
(1,4,68,3868,0,92,153,86,38,57),
(1,4,69,4136,0,94,156,88,39,57),
(1,4,70,4415,0,95,158,89,39,58),
(1,5,1,52,160,20,20,20,22,23),
(1,5,2,67,184,20,20,20,23,24),
(1,5,3,82,209,20,20,21,25,26),
(1,5,4,97,235,20,21,21,26,27),
(1,5,5,112,262,21,21,21,27,28),
(1,5,6,127,290,21,21,22,29,30),
(1,5,7,142,319,21,21,22,30,31),
(1,5,8,157,349,21,22,23,31,33),
(1,5,9,172,380,21,22,23,33,34),
(1,5,10,187,412,21,22,23,34,36),
(1,5,11,202,445,22,22,24,36,37),
(1,5,12,217,479,22,23,24,37,39),
(1,5,13,232,514,22,23,25,38,40),
(1,5,14,247,550,22,23,25,40,42),
(1,5,15,262,587,22,23,25,41,43),
(1,5,16,277,625,23,24,26,43,45),
(1,5,17,292,664,23,24,26,44,46),
(1,5,18,307,704,23,24,27,46,48),
(1,5,19,322,745,23,24,27,47,49),
(1,5,20,337,787,23,25,28,49,51),
(1,5,21,352,830,24,25,28,51,53),
(1,5,22,368,874,24,25,29,52,54),
(1,5,23,385,919,24,26,29,54,56),
(1,5,24,403,965,24,26,30,55,58),
(1,5,25,422,1012,25,26,30,57,59),
(1,5,26,442,1060,25,27,31,59,61),
(1,5,27,463,1109,25,27,31,60,63),
(1,5,28,485,1159,25,27,32,62,65),
(1,5,29,508,1210,25,28,32,64,66),
(1,5,30,532,1262,26,28,33,65,68),
(1,5,31,557,1315,26,28,33,67,70),
(1,5,32,583,1369,26,29,34,69,72),
(1,5,33,610,1423,27,29,34,70,73),
(1,5,34,638,1477,27,29,35,72,75),
(1,5,35,667,1531,27,30,35,74,77),
(1,5,36,697,1585,27,30,36,76,79),
(1,5,37,728,1639,28,30,36,78,81),
(1,5,38,760,1693,28,31,37,79,83),
(1,5,39,793,1747,28,31,38,81,85),
(1,5,40,827,1801,28,31,38,83,87),
(1,5,41,862,1855,29,32,39,85,88),
(1,5,42,898,1909,29,32,39,87,90),
(1,5,43,935,1963,29,33,40,89,92),
(1,5,44,973,2017,30,33,40,91,94),
(1,5,45,1012,2071,30,33,41,92,96),
(1,5,46,1052,2125,30,34,42,94,98),
(1,5,47,1093,2179,31,34,42,96,100),
(1,5,48,1135,2233,31,35,43,98,102),
(1,5,49,1178,2287,31,35,44,100,104),
(1,5,50,1222,2341,32,36,44,102,106),
(1,5,51,1267,2395,32,36,45,104,109),
(1,5,52,1313,2449,32,36,45,106,111),
(1,5,53,1360,2503,33,37,46,108,113),
(1,5,54,1408,2557,33,37,47,110,115),
(1,5,55,1457,2611,33,38,47,112,117),
(1,5,56,1507,2665,34,38,48,114,119),
(1,5,57,1558,2719,34,39,49,117,121),
(1,5,58,1610,2773,34,39,49,119,124),
(1,5,59,1663,2827,35,40,50,121,126),
(1,5,60,1717,2881,35,40,51,123,128),
(1,5,61,1887,3050,35,41,51,125,130),
(1,5,62,2065,3204,36,41,52,127,132),
(1,5,63,2251,3373,36,41,53,129,135),
(1,5,64,2445,3527,37,42,54,132,137),
(1,5,65,2647,3696,37,42,54,134,139),
(1,5,66,2858,3850,37,43,55,136,142),
(1,5,67,3078,4019,38,43,56,138,144),
(1,5,68,3307,4173,38,44,57,140,146),
(1,5,69,3545,4342,39,44,57,143,149),
(1,5,70,3792,4511,39,45,58,145,151),
(1,8,1,52,165,20,20,20,23,22),
(1,8,2,67,190,20,20,20,24,23),
(1,8,3,82,216,20,20,21,26,25),
(1,8,4,97,243,20,20,21,27,26),
(1,8,5,112,271,20,21,21,28,27),
(1,8,6,127,300,20,21,21,30,29),
(1,8,7,142,330,21,21,22,31,30),
(1,8,8,157,361,21,21,22,33,31),
(1,8,9,172,393,21,21,22,34,33),
(1,8,10,187,426,21,21,23,36,34),
(1,8,11,202,460,21,22,23,37,36),
(1,8,12,217,495,21,22,23,39,37),
(1,8,13,232,531,21,22,24,40,38),
(1,8,14,247,568,21,22,24,42,40),
(1,8,15,262,606,21,22,24,43,41),
(1,8,16,277,645,21,23,25,45,43),
(1,8,17,292,685,22,23,25,46,44),
(1,8,18,307,726,22,23,25,48,46),
(1,8,19,322,768,22,23,26,49,47),
(1,8,20,337,811,22,23,26,51,49),
(1,8,21,352,855,22,24,26,53,51),
(1,8,22,367,900,22,24,27,54,52),
(1,8,23,382,946,22,24,27,56,54),
(1,8,24,398,993,23,24,28,58,55),
(1,8,25,415,1041,23,25,28,59,57),
(1,8,26,433,1090,23,25,28,61,59),
(1,8,27,452,1140,23,25,29,63,60),
(1,8,28,472,1191,23,25,29,65,62),
(1,8,29,493,1242,23,25,30,66,64),
(1,8,30,515,1293,24,26,30,68,65),
(1,8,31,538,1344,24,26,30,70,67),
(1,8,32,562,1395,24,26,31,72,69),
(1,8,33,587,1446,24,27,31,73,70),
(1,8,34,613,1497,24,27,32,75,72),
(1,8,35,640,1548,24,27,32,77,74),
(1,8,36,668,1599,25,27,33,79,76),
(1,8,37,697,1650,25,28,33,81,78),
(1,8,38,727,1701,25,28,34,83,79),
(1,8,39,758,1752,25,28,34,85,81),
(1,8,40,790,1803,25,28,35,87,83),
(1,8,41,823,1854,26,29,35,88,85),
(1,8,42,857,1905,26,29,35,90,87),
(1,8,43,892,1956,26,29,36,92,89),
(1,8,44,928,2007,26,30,36,94,91),
(1,8,45,965,2058,26,30,37,96,92),
(1,8,46,1003,2109,27,30,37,98,94),
(1,8,47,1042,2160,27,31,38,100,96),
(1,8,48,1082,2211,27,31,38,102,98),
(1,8,49,1123,2262,27,31,39,104,100),
(1,8,50,1165,2313,28,32,40,106,102),
(1,8,51,1208,2364,28,32,40,109,104),
(1,8,52,1252,2415,28,32,41,111,106),
(1,8,53,1297,2466,28,33,41,113,108),
(1,8,54,1343,2517,29,33,42,115,110),
(1,8,55,1390,2568,29,33,42,117,112),
(1,8,56,1438,2619,29,34,43,119,114),
(1,8,57,1487,2670,29,34,43,121,117),
(1,8,58,1537,2721,30,34,44,124,119),
(1,8,59,1588,2772,30,35,44,126,121),
(1,8,60,1640,2823,30,35,45,128,123),
(1,8,61,1806,2956,30,35,46,130,125),
(1,8,62,1981,3104,31,36,46,132,127),
(1,8,63,2165,3237,31,36,47,135,129),
(1,8,64,2358,3385,31,37,47,137,132),
(1,8,65,2560,3518,32,37,48,139,134),
(1,8,66,2772,3666,32,37,49,142,136),
(1,8,67,2994,3799,32,38,49,144,138),
(1,8,68,3226,3947,32,38,50,146,140),
(1,8,69,3469,4080,33,39,50,149,143),
(1,8,70,3723,4228,33,39,51,151,145),
(1,9,1,53,140,20,20,21,22,22),
(1,9,2,68,163,20,20,22,23,23),
(1,9,3,83,187,21,21,22,24,24),
(1,9,4,98,212,21,21,23,26,25),
(1,9,5,113,238,21,21,23,27,27),
(1,9,6,128,265,21,22,24,28,28),
(1,9,7,143,293,22,22,24,29,29),
(1,9,8,158,322,22,23,25,30,30),
(1,9,9,173,352,22,23,26,32,31),
(1,9,10,188,383,23,23,26,33,33),
(1,9,11,203,415,23,24,27,34,34),
(1,9,12,218,448,23,24,27,35,35),
(1,9,13,233,482,24,25,28,37,36),
(1,9,14,248,517,24,25,29,38,38),
(1,9,15,263,553,24,25,29,39,39),
(1,9,16,278,590,25,26,30,41,40),
(1,9,17,293,628,25,26,31,42,42),
(1,9,18,309,667,25,27,31,43,43),
(1,9,19,326,707,26,27,32,45,44),
(1,9,20,344,748,26,28,33,46,46),
(1,9,21,363,790,26,28,33,48,47),
(1,9,22,383,833,27,29,34,49,49),
(1,9,23,404,877,27,29,35,51,50),
(1,9,24,426,922,28,30,35,52,51),
(1,9,25,449,968,28,30,36,53,53),
(1,9,26,473,1015,28,31,37,55,54),
(1,9,27,498,1063,29,31,37,56,56),
(1,9,28,524,1112,29,32,38,58,57),
(1,9,29,551,1162,30,32,39,59,59),
(1,9,30,579,1213,30,33,40,61,60),
(1,9,31,608,1264,30,33,40,62,62),
(1,9,32,638,1315,31,34,41,64,63),
(1,9,33,669,1366,31,34,42,66,65),
(1,9,34,701,1417,32,35,43,67,66),
(1,9,35,734,1468,32,35,44,69,68),
(1,9,36,768,1519,33,36,44,70,69),
(1,9,37,803,1570,33,36,45,72,71),
(1,9,38,839,1621,34,37,46,74,73),
(1,9,39,876,1672,34,38,47,75,74),
(1,9,40,914,1723,35,38,48,77,76),
(1,9,41,953,1774,35,39,48,79,78),
(1,9,42,993,1825,35,39,49,80,79),
(1,9,43,1034,1876,36,40,50,82,81),
(1,9,44,1076,1927,36,40,51,84,83),
(1,9,45,1119,1978,37,41,52,85,84),
(1,9,46,1163,2029,37,42,53,87,86),
(1,9,47,1208,2080,38,42,54,89,88),
(1,9,48,1254,2131,38,43,55,91,89),
(1,9,49,1301,2182,39,44,55,93,91),
(1,9,50,1349,2233,40,44,56,94,93),
(1,9,51,1398,2284,40,45,57,96,95),
(1,9,52,1448,2335,41,45,58,98,97),
(1,9,53,1499,2386,41,46,59,100,98),
(1,9,54,1551,2437,42,47,60,102,100),
(1,9,55,1604,2488,42,47,61,103,102),
(1,9,56,1658,2539,43,48,62,105,104),
(1,9,57,1713,2590,43,49,63,107,106),
(1,9,58,1769,2641,44,49,64,109,108),
(1,9,59,1826,2692,44,50,65,111,109),
(1,9,60,1884,2743,45,51,66,113,111),
(1,9,61,2060,2897,46,51,67,115,113),
(1,9,62,2245,3051,46,52,68,117,115),
(1,9,63,2439,3220,47,53,69,119,117),
(1,9,64,2642,3374,47,54,70,121,119),
(1,9,65,2854,3528,48,54,71,123,121),
(1,9,66,3076,3697,49,55,72,125,123),
(1,9,67,3308,3851,49,56,73,127,125),
(1,9,68,3551,4005,50,57,74,129,127),
(1,9,69,3805,4174,50,57,75,131,129),
(1,9,70,4070,4328,51,58,76,133,131),
(2,1,1,80,0,26,17,24,17,23),
(2,1,2,99,0,27,18,25,17,23),
(2,1,3,118,0,29,19,26,17,24),
(2,1,4,137,0,30,19,27,17,24),
(2,1,5,156,0,31,20,29,17,24),
(2,1,6,175,0,32,21,30,17,24),
(2,1,7,194,0,34,22,31,18,25),
(2,1,8,213,0,35,23,32,18,25),
(2,1,9,232,0,37,24,34,18,25),
(2,1,10,251,0,38,24,35,18,26),
(2,1,11,270,0,39,25,36,18,26),
(2,1,12,289,0,41,26,37,18,26),
(2,1,13,308,0,42,27,39,18,27),
(2,1,14,328,0,44,28,40,18,27),
(2,1,15,349,0,45,29,41,18,27),
(2,1,16,371,0,47,30,43,19,28),
(2,1,17,394,0,48,31,44,19,28),
(2,1,18,418,0,50,32,45,19,28),
(2,1,19,443,0,51,33,47,19,29),
(2,1,20,469,0,53,34,48,19,29),
(2,1,21,496,0,54,34,50,19,29),
(2,1,22,524,0,56,35,51,19,30),
(2,1,23,553,0,57,36,52,20,30),
(2,1,24,583,0,59,37,54,20,30),
(2,1,25,614,0,60,38,55,20,31),
(2,1,26,646,0,62,39,57,20,31),
(2,1,27,679,0,64,40,58,20,32),
(2,1,28,713,0,65,41,60,20,32),
(2,1,29,748,0,67,43,61,21,32),
(2,1,30,784,0,69,44,63,21,33),
(2,1,31,821,0,70,45,64,21,33),
(2,1,32,859,0,72,46,66,21,34),
(2,1,33,898,0,74,47,67,21,34),
(2,1,34,938,0,76,48,69,21,35),
(2,1,35,979,0,77,49,71,22,35),
(2,1,36,1021,0,79,50,72,22,36),
(2,1,37,1065,0,81,51,74,22,36),
(2,1,38,1111,0,83,52,76,22,36),
(2,1,39,1159,0,84,53,77,22,37),
(2,1,40,1209,0,86,55,79,23,37),
(2,1,41,1261,0,88,56,81,23,38),
(2,1,42,1315,0,90,57,82,23,38),
(2,1,43,1371,0,92,58,84,23,39),
(2,1,44,1429,0,94,59,86,23,39),
(2,1,45,1489,0,96,60,87,24,40),
(2,1,46,1551,0,98,62,89,24,40),
(2,1,47,1615,0,100,63,91,24,41),
(2,1,48,1681,0,101,64,93,24,41),
(2,1,49,1749,0,103,65,94,25,42),
(2,1,50,1819,0,105,66,96,25,42),
(2,1,51,1891,0,107,68,98,25,43),
(2,1,52,1965,0,109,69,100,25,43),
(2,1,53,2041,0,111,70,102,25,44),
(2,1,54,2119,0,113,71,104,26,45),
(2,1,55,2199,0,115,73,105,26,45),
(2,1,56,2281,0,118,74,107,26,46),
(2,1,57,2365,0,120,75,109,26,46),
(2,1,58,2451,0,122,77,111,27,47),
(2,1,59,2539,0,124,78,113,27,47),
(2,1,60,2629,0,126,79,115,27,48),
(2,1,61,2862,0,128,81,117,27,48),
(2,1,62,3109,0,130,82,119,28,49),
(2,1,63,3370,0,132,83,121,28,50),
(2,1,64,3645,0,135,85,123,28,50),
(2,1,65,3935,0,137,86,125,29,51),
(2,1,66,4240,0,139,87,127,29,52),
(2,1,67,4560,0,141,89,129,29,52),
(2,1,68,4896,0,143,90,131,29,53),
(2,1,69,5248,0,146,92,133,30,53),
(2,1,70,5616,0,148,93,135,30,54),
(2,3,1,76,82,23,20,23,17,24),
(2,3,2,93,102,23,21,24,18,25),
(2,3,3,110,123,24,23,25,18,25),
(2,3,4,127,145,24,24,26,19,26),
(2,3,5,144,168,25,25,27,19,26),
(2,3,6,161,192,25,27,28,20,27),
(2,3,7,178,217,26,28,28,21,28),
(2,3,8,195,243,26,30,29,21,28),
(2,3,9,212,270,26,31,30,22,29),
(2,3,10,229,298,27,33,31,22,30),
(2,3,11,246,327,27,34,32,23,30),
(2,3,12,263,357,28,36,33,24,31),
(2,3,13,280,388,28,37,34,24,32),
(2,3,14,298,420,29,39,35,25,33),
(2,3,15,317,453,29,40,36,26,33),
(2,3,16,337,487,30,42,37,26,34),
(2,3,17,358,522,30,43,39,27,35),
(2,3,18,380,558,31,45,40,28,35),
(2,3,19,403,595,31,47,41,28,36),
(2,3,20,427,633,32,48,42,29,37),
(2,3,21,452,672,32,50,43,30,38),
(2,3,22,478,712,33,51,44,31,39),
(2,3,23,505,753,34,53,45,31,39),
(2,3,24,533,795,34,55,46,32,40),
(2,3,25,562,838,35,57,47,33,41),
(2,3,26,592,882,35,58,48,34,42),
(2,3,27,623,927,36,60,50,34,43),
(2,3,28,655,972,36,62,51,35,43),
(2,3,29,688,1017,37,63,52,36,44),
(2,3,30,722,1062,38,65,53,37,45),
(2,3,31,757,1107,38,67,54,37,46),
(2,3,32,793,1152,39,69,56,38,47),
(2,3,33,830,1197,39,71,57,39,48),
(2,3,34,868,1242,40,72,58,40,49),
(2,3,35,907,1287,41,74,59,41,49),
(2,3,36,947,1332,41,76,61,42,50),
(2,3,37,988,1377,42,78,62,42,51),
(2,3,38,1030,1422,43,80,63,43,52),
(2,3,39,1073,1467,43,82,64,44,53),
(2,3,40,1117,1512,44,84,66,45,54),
(2,3,41,1162,1557,45,86,67,46,55),
(2,3,42,1208,1602,45,88,68,47,56),
(2,3,43,1255,1647,46,90,70,47,57),
(2,3,44,1303,1692,47,91,71,48,58),
(2,3,45,1352,1737,47,93,72,49,59),
(2,3,46,1402,1782,48,95,74,50,60),
(2,3,47,1453,1827,49,98,75,51,61),
(2,3,48,1505,1872,50,100,77,52,62),
(2,3,49,1558,1917,50,102,78,53,63),
(2,3,50,1612,1962,51,104,79,54,64),
(2,3,51,1667,2007,52,106,81,55,65),
(2,3,52,1723,2052,52,108,82,56,66),
(2,3,53,1780,2097,53,110,84,57,67),
(2,3,54,1838,2142,54,112,85,58,68),
(2,3,55,1897,2187,55,114,87,59,69),
(2,3,56,1957,2232,55,116,88,60,70),
(2,3,57,2018,2277,56,118,90,61,71),
(2,3,58,2080,2322,57,121,91,62,72),
(2,3,59,2143,2367,58,123,93,63,73),
(2,3,60,2207,2412,59,125,94,64,74),
(2,3,61,2393,2593,59,127,96,65,76),
(2,3,62,2588,2774,60,130,97,66,77),
(2,3,63,2792,2955,61,132,99,67,78),
(2,3,64,3005,3136,62,134,100,68,79),
(2,3,65,3227,3332,63,136,102,69,80),
(2,3,66,3459,3513,64,139,104,70,81),
(2,3,67,3701,3694,64,141,105,71,82),
(2,3,68,3953,3875,65,143,107,72,84),
(2,3,69,4215,4056,66,146,108,73,85),
(2,3,70,4488,4252,67,148,110,74,86),
(2,4,1,75,0,24,20,23,17,23),
(2,4,2,92,0,25,21,24,17,23),
(2,4,3,109,0,25,23,24,17,24),
(2,4,4,126,0,26,24,25,17,24),
(2,4,5,143,0,27,26,26,18,24),
(2,4,6,160,0,28,27,26,18,25),
(2,4,7,177,0,29,29,27,18,25),
(2,4,8,194,0,29,30,28,18,26),
(2,4,9,211,0,30,32,29,18,26),
(2,4,10,228,0,31,33,29,19,26),
(2,4,11,245,0,32,35,30,19,27),
(2,4,12,262,0,33,37,31,19,27),
(2,4,13,279,0,34,38,32,19,28),
(2,4,14,296,0,34,40,32,19,28),
(2,4,15,313,0,35,41,33,19,28),
(2,4,16,331,0,36,43,34,20,29),
(2,4,17,350,0,37,45,35,20,29),
(2,4,18,370,0,38,46,36,20,30),
(2,4,19,391,0,39,48,37,20,30),
(2,4,20,413,0,40,50,37,21,31),
(2,4,21,436,0,41,52,38,21,31),
(2,4,22,460,0,42,53,39,21,31),
(2,4,23,485,0,43,55,40,21,32),
(2,4,24,511,0,43,57,41,21,32),
(2,4,25,538,0,44,59,42,22,33),
(2,4,26,566,0,45,60,43,22,33),
(2,4,27,595,0,46,62,44,22,34),
(2,4,28,625,0,47,64,44,22,34),
(2,4,29,656,0,48,66,45,23,35),
(2,4,30,688,0,49,68,46,23,35),
(2,4,31,721,0,50,70,47,23,36),
(2,4,32,755,0,51,72,48,23,36),
(2,4,33,790,0,53,73,49,24,37),
(2,4,34,826,0,54,75,50,24,38),
(2,4,35,863,0,55,77,51,24,38),
(2,4,36,901,0,56,79,52,24,39),
(2,4,37,940,0,57,81,53,25,39),
(2,4,38,980,0,58,83,54,25,40),
(2,4,39,1021,0,59,85,55,25,40),
(2,4,40,1063,0,60,87,56,26,41),
(2,4,41,1106,0,61,89,57,26,41),
(2,4,42,1150,0,62,91,58,26,42),
(2,4,43,1195,0,63,93,59,27,43),
(2,4,44,1241,0,65,95,60,27,43),
(2,4,45,1288,0,66,98,61,27,44),
(2,4,46,1336,0,67,100,62,27,44),
(2,4,47,1385,0,68,102,64,28,45),
(2,4,48,1435,0,69,104,65,28,46),
(2,4,49,1486,0,71,106,66,28,46),
(2,4,50,1538,0,72,108,67,29,47),
(2,4,51,1591,0,73,110,68,29,48),
(2,4,52,1645,0,74,113,69,29,48),
(2,4,53,1700,0,75,115,70,30,49),
(2,4,54,1756,0,77,117,71,30,50),
(2,4,55,1813,0,78,119,73,30,50),
(2,4,56,1871,0,79,122,74,31,51),
(2,4,57,1930,0,80,124,75,31,52),
(2,4,58,1990,0,82,126,76,31,52),
(2,4,59,2051,0,83,129,77,32,53),
(2,4,60,2113,0,84,131,78,32,54),
(2,4,61,2302,0,86,133,80,33,54),
(2,4,62,2500,0,87,136,81,33,55),
(2,4,63,2707,0,88,138,82,33,56),
(2,4,64,2923,0,90,140,83,34,57),
(2,4,65,3149,0,91,143,85,34,57),
(2,4,66,3385,0,92,145,86,34,58),
(2,4,67,3631,0,94,148,87,35,59),
(2,4,68,3888,0,95,150,88,35,59),
(2,4,69,4156,0,97,153,90,36,60),
(2,4,70,4435,0,98,155,91,36,61),
(2,7,1,77,73,24,17,23,18,25),
(2,7,2,94,94,25,17,24,19,26),
(2,7,3,111,116,26,18,25,20,27),
(2,7,4,128,139,26,18,26,21,28),
(2,7,5,145,163,27,19,27,22,29),
(2,7,6,162,188,28,19,28,23,30),
(2,7,7,179,214,29,20,29,24,31),
(2,7,8,196,241,30,20,30,25,32),
(2,7,9,213,269,31,21,31,26,33),
(2,7,10,230,298,32,21,32,27,34),
(2,7,11,247,328,33,22,33,28,36),
(2,7,12,264,359,34,22,34,29,37),
(2,7,13,281,391,34,23,35,30,38),
(2,7,14,298,424,35,23,36,31,39),
(2,7,15,315,458,36,24,37,32,40),
(2,7,16,332,493,37,24,39,33,41),
(2,7,17,350,529,38,25,40,34,43),
(2,7,18,369,566,39,25,41,35,44),
(2,7,19,389,604,40,26,42,36,45),
(2,7,20,410,643,41,26,43,37,46),
(2,7,21,432,683,42,27,44,38,47),
(2,7,22,455,724,43,27,45,39,49),
(2,7,23,479,766,44,28,47,40,50),
(2,7,24,504,809,45,28,48,41,51),
(2,7,25,530,853,47,29,49,43,52),
(2,7,26,557,898,48,30,50,44,54),
(2,7,27,585,944,49,30,52,45,55),
(2,7,28,614,991,50,31,53,46,56),
(2,7,29,644,1039,51,31,54,47,58),
(2,7,30,675,1088,52,32,55,48,59),
(2,7,31,707,1138,53,33,57,50,60),
(2,7,32,740,1189,54,33,58,51,62),
(2,7,33,774,1240,55,34,59,52,63),
(2,7,34,809,1291,57,34,61,53,65),
(2,7,35,845,1342,58,35,62,55,66),
(2,7,36,882,1393,59,36,63,56,67),
(2,7,37,920,1444,60,36,65,57,69),
(2,7,38,959,1495,61,37,66,58,70),
(2,7,39,999,1546,62,38,67,60,72),
(2,7,40,1040,1597,64,38,69,61,73),
(2,7,41,1082,1648,65,39,70,62,75),
(2,7,42,1125,1699,66,40,72,64,76),
(2,7,43,1169,1750,67,40,73,65,78),
(2,7,44,1214,1801,69,41,74,66,79),
(2,7,45,1260,1852,70,42,76,68,81),
(2,7,46,1307,1903,71,42,77,69,82),
(2,7,47,1355,1954,72,43,79,70,84),
(2,7,48,1404,2005,74,44,80,72,85),
(2,7,49,1454,2056,75,45,82,73,87),
(2,7,50,1505,2107,76,45,83,75,89),
(2,7,51,1557,2158,78,46,85,76,90),
(2,7,52,1610,2209,79,47,86,77,92),
(2,7,53,1664,2260,80,47,88,79,93),
(2,7,54,1719,2311,82,48,90,80,95),
(2,7,55,1775,2362,83,49,91,82,97),
(2,7,56,1832,2413,85,50,93,83,98),
(2,7,57,1890,2464,86,50,94,85,100),
(2,7,58,1949,2515,87,51,96,86,102),
(2,7,59,2009,2566,89,52,97,88,103),
(2,7,60,2070,2617,90,53,99,89,105),
(2,7,61,2238,2776,92,54,101,91,107),
(2,7,62,2414,2935,93,54,102,92,109),
(2,7,63,2598,3109,95,55,104,94,110),
(2,7,64,2790,3268,96,56,106,95,112),
(2,7,65,2991,3427,97,57,107,97,114),
(2,7,66,3201,3601,99,58,109,99,116),
(2,7,67,3421,3760,100,58,111,100,118),
(2,7,68,3651,3919,102,59,113,102,119),
(2,7,69,3891,4093,103,60,114,103,121),
(2,7,70,4141,4252,105,61,116,105,123),
(2,9,1,73,109,23,17,23,19,25),
(2,9,2,88,132,23,17,24,20,26),
(2,9,3,103,156,24,18,24,21,27),
(2,9,4,118,181,24,18,25,23,28),
(2,9,5,133,207,24,18,25,24,30),
(2,9,6,148,234,24,19,26,25,31),
(2,9,7,163,262,25,19,26,26,32),
(2,9,8,178,291,25,20,27,27,33),
(2,9,9,193,321,25,20,27,29,34),
(2,9,10,208,352,26,20,28,30,36),
(2,9,11,223,384,26,21,29,31,37),
(2,9,12,238,417,26,21,29,33,38),
(2,9,13,253,451,27,22,30,34,39),
(2,9,14,268,486,27,22,31,35,41),
(2,9,15,283,522,27,23,31,37,42),
(2,9,16,298,559,28,23,32,38,43),
(2,9,17,313,597,28,23,32,39,45),
(2,9,18,329,636,28,24,33,41,46),
(2,9,19,346,676,29,24,34,42,47),
(2,9,20,364,717,29,25,34,43,49),
(2,9,21,383,759,29,25,35,45,50),
(2,9,22,403,802,30,26,36,46,51),
(2,9,23,424,846,30,26,37,48,53),
(2,9,24,446,891,30,27,37,49,54),
(2,9,25,469,937,31,27,38,51,56),
(2,9,26,493,984,31,28,39,52,57),
(2,9,27,518,1032,32,28,39,54,59),
(2,9,28,544,1081,32,29,40,55,60),
(2,9,29,571,1131,32,29,41,57,62),
(2,9,30,599,1182,33,30,42,58,63),
(2,9,31,628,1233,33,30,42,60,65),
(2,9,32,658,1284,34,31,43,61,66),
(2,9,33,689,1335,34,31,44,63,68),
(2,9,34,721,1386,35,32,45,64,69),
(2,9,35,754,1437,35,32,45,66,71),
(2,9,36,788,1488,36,33,46,68,72),
(2,9,37,823,1539,36,34,47,69,74),
(2,9,38,859,1590,36,34,48,71,76),
(2,9,39,896,1641,37,35,49,72,77),
(2,9,40,934,1692,37,35,50,74,79),
(2,9,41,973,1743,38,36,50,76,80),
(2,9,42,1013,1794,38,36,51,77,82),
(2,9,43,1054,1845,39,37,52,79,84),
(2,9,44,1096,1896,39,38,53,81,85),
(2,9,45,1139,1947,40,38,54,83,87),
(2,9,46,1183,1998,40,39,55,84,89),
(2,9,47,1228,2049,41,39,56,86,91),
(2,9,48,1274,2100,41,40,56,88,92),
(2,9,49,1321,2151,42,41,57,90,94),
(2,9,50,1369,2202,42,41,58,91,96),
(2,9,51,1418,2253,43,42,59,93,98),
(2,9,52,1468,2304,43,43,60,95,99),
(2,9,53,1519,2355,44,43,61,97,101),
(2,9,54,1571,2406,45,44,62,99,103),
(2,9,55,1624,2457,45,45,63,101,105),
(2,9,56,1678,2508,46,45,64,102,107),
(2,9,57,1733,2559,46,46,65,104,109),
(2,9,58,1789,2610,47,47,66,106,110),
(2,9,59,1846,2661,47,47,67,108,112),
(2,9,60,1904,2712,48,48,68,110,114),
(2,9,61,2080,2866,48,49,69,112,116),
(2,9,62,2265,3020,49,49,70,114,118),
(2,9,63,2459,3189,50,50,71,116,120),
(2,9,64,2662,3343,50,51,72,118,122),
(2,9,65,2874,3497,51,51,73,120,124),
(2,9,66,3096,3666,52,52,74,122,126),
(2,9,67,3328,3820,52,53,75,124,128),
(2,9,68,3571,3974,53,54,76,126,130),
(2,9,69,3825,4143,53,54,77,128,132),
(2,9,70,4090,4297,54,55,78,130,134),
(3,1,1,90,0,25,16,25,19,19),
(3,1,2,109,0,26,17,26,19,19),
(3,1,3,128,0,28,18,27,19,20),
(3,1,4,147,0,29,18,28,19,20),
(3,1,5,166,0,30,19,30,19,20),
(3,1,6,185,0,31,20,31,19,20),
(3,1,7,204,0,33,21,32,20,21),
(3,1,8,223,0,34,22,33,20,21),
(3,1,9,242,0,36,23,35,20,21),
(3,1,10,261,0,37,23,36,20,22),
(3,1,11,280,0,38,24,37,20,22),
(3,1,12,299,0,40,25,38,20,22),
(3,1,13,318,0,41,26,40,20,23),
(3,1,14,338,0,43,27,41,20,23),
(3,1,15,359,0,44,28,42,20,23),
(3,1,16,381,0,46,29,44,21,24),
(3,1,17,404,0,47,30,45,21,24),
(3,1,18,428,0,49,31,46,21,24),
(3,1,19,453,0,50,32,48,21,25),
(3,1,20,479,0,52,33,49,21,25),
(3,1,21,506,0,53,34,51,21,26),
(3,1,22,534,0,55,34,52,21,26),
(3,1,23,563,0,56,35,53,21,26),
(3,1,24,593,0,58,36,55,22,27),
(3,1,25,624,0,59,37,56,22,27),
(3,1,26,656,0,61,38,58,22,27),
(3,1,27,689,0,63,39,59,22,28),
(3,1,28,723,0,64,41,61,22,28),
(3,1,29,758,0,66,42,62,22,29),
(3,1,30,794,0,68,43,64,23,29),
(3,1,31,831,0,69,44,65,23,30),
(3,1,32,869,0,71,45,67,23,30),
(3,1,33,908,0,73,46,68,23,30),
(3,1,34,948,0,75,47,70,23,31),
(3,1,35,989,0,76,48,72,24,31),
(3,1,36,1031,0,78,49,73,24,32),
(3,1,37,1075,0,80,50,75,24,32),
(3,1,38,1121,0,82,51,76,24,33),
(3,1,39,1169,0,84,52,78,24,33),
(3,1,40,1219,0,85,54,80,24,34),
(3,1,41,1271,0,87,55,81,25,34),
(3,1,42,1325,0,89,56,83,25,35),
(3,1,43,1381,0,91,57,85,25,35),
(3,1,44,1439,0,93,58,87,25,36),
(3,1,45,1499,0,95,59,88,26,36),
(3,1,46,1561,0,97,61,90,26,37),
(3,1,47,1625,0,99,62,92,26,37),
(3,1,48,1691,0,101,63,94,26,38),
(3,1,49,1759,0,102,64,95,26,38),
(3,1,50,1829,0,104,65,97,27,39),
(3,1,51,1901,0,106,67,99,27,39),
(3,1,52,1975,0,108,68,101,27,40),
(3,1,53,2051,0,110,69,103,27,40),
(3,1,54,2129,0,112,70,104,28,41),
(3,1,55,2209,0,115,72,106,28,41),
(3,1,56,2291,0,117,73,108,28,42),
(3,1,57,2375,0,119,74,110,28,42),
(3,1,58,2461,0,121,76,112,29,43),
(3,1,59,2549,0,123,77,114,29,43),
(3,1,60,2639,0,125,78,116,29,44),
(3,1,61,2872,0,127,80,118,29,45),
(3,1,62,3119,0,129,81,120,30,45),
(3,1,63,3380,0,131,82,122,30,46),
(3,1,64,3655,0,134,84,124,30,46),
(3,1,65,3945,0,136,85,126,31,47),
(3,1,66,4250,0,138,86,128,31,48),
(3,1,67,4570,0,140,88,130,31,48),
(3,1,68,4906,0,142,89,132,31,49),
(3,1,69,5258,0,145,91,134,32,49),
(3,1,70,5626,0,147,92,136,32,50),
(3,2,1,88,79,24,16,25,19,20),
(3,2,2,106,98,25,17,26,20,21),
(3,2,3,124,118,26,17,27,20,21),
(3,2,4,142,139,27,18,28,21,22),
(3,2,5,160,161,28,18,29,22,23),
(3,2,6,178,184,29,19,30,22,24),
(3,2,7,196,208,31,20,31,23,24),
(3,2,8,214,233,32,20,32,24,25),
(3,2,9,232,259,33,21,33,24,26),
(3,2,10,250,286,34,21,34,25,26),
(3,2,11,268,314,35,22,36,26,27),
(3,2,12,286,343,36,23,37,26,28),
(3,2,13,304,373,38,23,38,27,29),
(3,2,14,322,404,39,24,39,28,30),
(3,2,15,341,436,40,25,40,29,30),
(3,2,16,361,469,41,25,41,29,31),
(3,2,17,382,503,43,26,43,30,32),
(3,2,18,404,538,44,27,44,31,33),
(3,2,19,427,574,45,28,45,32,34),
(3,2,20,451,611,47,28,46,32,35),
(3,2,21,476,649,48,29,47,33,35),
(3,2,22,502,688,49,30,49,34,36),
(3,2,23,529,728,51,30,50,35,37),
(3,2,24,557,769,52,31,51,36,38),
(3,2,25,586,811,53,32,52,36,39),
(3,2,26,616,853,55,33,54,37,40),
(3,2,27,647,895,56,33,55,38,41),
(3,2,28,679,937,57,34,56,39,42),
(3,2,29,712,979,59,35,58,40,43),
(3,2,30,746,1021,60,36,59,41,43),
(3,2,31,781,1063,62,37,60,42,44),
(3,2,32,817,1105,63,37,62,42,45),
(3,2,33,854,1147,65,38,63,43,46),
(3,2,34,892,1189,66,39,65,44,47),
(3,2,35,931,1231,68,40,66,45,48),
(3,2,36,971,1273,69,41,67,46,49),
(3,2,37,1012,1315,71,41,69,47,50),
(3,2,38,1054,1357,72,42,70,48,51),
(3,2,39,1097,1399,74,43,72,49,52),
(3,2,40,1141,1441,75,44,73,50,53),
(3,2,41,1186,1483,77,45,75,51,54),
(3,2,42,1232,1525,78,46,76,52,55),
(3,2,43,1279,1567,80,47,78,53,56),
(3,2,44,1327,1609,82,47,79,54,57),
(3,2,45,1376,1651,83,48,81,55,59),
(3,2,46,1426,1693,85,49,82,56,60),
(3,2,47,1477,1735,87,50,84,57,61),
(3,2,48,1529,1777,88,51,85,58,62),
(3,2,49,1582,1819,90,52,87,59,63),
(3,2,50,1636,1861,92,53,89,60,64),
(3,2,51,1691,1903,93,54,90,61,65),
(3,2,52,1747,1945,95,55,92,62,66),
(3,2,53,1804,1987,97,56,93,63,67),
(3,2,54,1862,2029,98,57,95,64,69),
(3,2,55,1921,2071,100,58,97,65,70),
(3,2,56,1981,2113,102,59,98,66,71),
(3,2,57,2042,2155,104,60,100,67,72),
(3,2,58,2104,2197,106,61,102,68,73),
(3,2,59,2167,2239,107,62,103,69,74),
(3,2,60,2231,2281,109,63,105,70,76),
(3,2,61,2411,2440,111,64,107,72,77),
(3,2,62,2599,2599,113,65,109,73,78),
(3,2,63,2795,2773,115,66,110,74,79),
(3,2,64,3000,2932,117,67,112,75,80),
(3,2,65,3214,3091,118,68,114,76,82),
(3,2,66,3437,3265,120,69,116,77,83),
(3,2,67,3670,3424,122,70,118,78,84),
(3,2,68,3913,3583,124,71,119,80,85),
(3,2,69,4166,3757,126,72,121,81,87),
(3,2,70,4429,3916,128,73,123,82,88),
(3,3,1,86,84,22,19,24,19,20),
(3,3,2,103,104,22,20,25,20,21),
(3,3,3,120,125,23,22,26,20,21),
(3,3,4,137,147,23,23,27,21,22),
(3,3,5,154,170,24,25,28,21,23),
(3,3,6,171,194,24,26,29,22,23),
(3,3,7,188,219,25,27,29,23,24),
(3,3,8,205,245,25,29,30,23,25),
(3,3,9,222,272,25,30,31,24,25),
(3,3,10,239,300,26,32,32,24,26),
(3,3,11,256,329,26,33,33,25,27),
(3,3,12,273,359,27,35,34,26,27),
(3,3,13,290,390,27,36,35,26,28),
(3,3,14,308,422,28,38,36,27,29),
(3,3,15,327,455,28,39,37,28,29),
(3,3,16,347,489,29,41,38,28,30),
(3,3,17,368,524,29,42,39,29,31),
(3,3,18,390,560,30,44,41,30,32),
(3,3,19,413,597,30,46,42,30,32),
(3,3,20,437,635,31,47,43,31,33),
(3,3,21,462,674,32,49,44,32,34),
(3,3,22,488,714,32,51,45,33,35),
(3,3,23,515,755,33,52,46,33,36),
(3,3,24,543,797,33,54,47,34,36),
(3,3,25,572,840,34,56,48,35,37),
(3,3,26,602,884,34,57,49,35,38),
(3,3,27,633,929,35,59,51,36,39),
(3,3,28,665,974,35,61,52,37,40),
(3,3,29,698,1019,36,63,53,38,40),
(3,3,30,732,1064,37,64,54,39,41),
(3,3,31,767,1109,37,66,55,39,42),
(3,3,32,803,1154,38,68,57,40,43),
(3,3,33,840,1199,38,70,58,41,44),
(3,3,34,878,1244,39,71,59,42,45),
(3,3,35,917,1289,40,73,60,43,46),
(3,3,36,957,1334,40,75,62,43,47),
(3,3,37,998,1379,41,77,63,44,47),
(3,3,38,1040,1424,42,79,64,45,48),
(3,3,39,1083,1469,42,81,65,46,49),
(3,3,40,1127,1514,43,83,67,47,50),
(3,3,41,1172,1559,44,85,68,48,51),
(3,3,42,1218,1604,44,87,69,49,52),
(3,3,43,1265,1649,45,89,71,49,53),
(3,3,44,1313,1694,46,91,72,50,54),
(3,3,45,1362,1739,46,93,73,51,55),
(3,3,46,1412,1784,47,95,75,52,56),
(3,3,47,1463,1829,48,97,76,53,57),
(3,3,48,1515,1874,49,99,78,54,58),
(3,3,49,1568,1919,49,101,79,55,59),
(3,3,50,1622,1964,50,103,80,56,60),
(3,3,51,1677,2009,51,105,82,57,61),
(3,3,52,1733,2054,51,107,83,58,62),
(3,3,53,1790,2099,52,109,85,59,63),
(3,3,54,1848,2144,53,111,86,60,64),
(3,3,55,1907,2189,54,113,88,61,65),
(3,3,56,1967,2234,55,115,89,62,66),
(3,3,57,2028,2279,55,118,91,62,67),
(3,3,58,2090,2324,56,120,92,63,68),
(3,3,59,2153,2369,57,122,94,64,70),
(3,3,60,2217,2414,58,124,95,65,71),
(3,3,61,2403,2595,58,126,97,67,72),
(3,3,62,2598,2776,59,129,98,68,73),
(3,3,63,2802,2957,60,131,100,69,74),
(3,3,64,3015,3138,61,133,101,70,75),
(3,3,65,3237,3334,62,135,103,71,76),
(3,3,66,3469,3515,63,138,105,72,77),
(3,3,67,3711,3696,63,140,106,73,78),
(3,3,68,3963,3877,64,142,108,74,80),
(3,3,69,4225,4058,65,145,109,75,81),
(3,3,70,4498,4254,66,147,111,76,82),
(3,4,1,85,0,23,19,24,19,19),
(3,4,2,102,0,24,20,25,19,19),
(3,4,3,119,0,24,22,25,19,20),
(3,4,4,136,0,25,23,26,19,20),
(3,4,5,153,0,26,25,27,20,20),
(3,4,6,170,0,27,26,27,20,21),
(3,4,7,187,0,28,28,28,20,21),
(3,4,8,204,0,28,29,29,20,22),
(3,4,9,221,0,29,31,30,20,22),
(3,4,10,238,0,30,32,30,20,22),
(3,4,11,255,0,31,34,31,21,23),
(3,4,12,272,0,32,36,32,21,23),
(3,4,13,289,0,33,37,33,21,24),
(3,4,14,306,0,33,39,33,21,24),
(3,4,15,323,0,34,40,34,21,25),
(3,4,16,341,0,35,42,35,22,25),
(3,4,17,360,0,36,44,36,22,25),
(3,4,18,380,0,37,45,37,22,26),
(3,4,19,401,0,38,47,38,22,26),
(3,4,20,423,0,39,49,38,22,27),
(3,4,21,446,0,40,51,39,23,27),
(3,4,22,470,0,41,52,40,23,28),
(3,4,23,495,0,42,54,41,23,28),
(3,4,24,521,0,43,56,42,23,29),
(3,4,25,548,0,44,58,43,24,29),
(3,4,26,576,0,44,59,44,24,30),
(3,4,27,605,0,45,61,44,24,30),
(3,4,28,635,0,46,63,45,24,31),
(3,4,29,666,0,47,65,46,25,31),
(3,4,30,698,0,48,67,47,25,32),
(3,4,31,731,0,49,69,48,25,32),
(3,4,32,765,0,51,71,49,25,33),
(3,4,33,800,0,52,72,50,26,33),
(3,4,34,836,0,53,74,51,26,34),
(3,4,35,873,0,54,76,52,26,34),
(3,4,36,911,0,55,78,53,26,35),
(3,4,37,950,0,56,80,54,27,35),
(3,4,38,990,0,57,82,55,27,36),
(3,4,39,1031,0,58,84,56,27,37),
(3,4,40,1073,0,59,86,57,28,37),
(3,4,41,1116,0,60,88,58,28,38),
(3,4,42,1160,0,61,90,59,28,38),
(3,4,43,1205,0,63,92,60,28,39),
(3,4,44,1251,0,64,95,61,29,39),
(3,4,45,1298,0,65,97,62,29,40),
(3,4,46,1346,0,66,99,63,29,41),
(3,4,47,1395,0,67,101,64,30,41),
(3,4,48,1445,0,68,103,66,30,42),
(3,4,49,1496,0,70,105,67,30,43),
(3,4,50,1548,0,71,107,68,31,43),
(3,4,51,1601,0,72,110,69,31,44),
(3,4,52,1655,0,73,112,70,31,44),
(3,4,53,1710,0,74,114,71,32,45),
(3,4,54,1766,0,76,116,72,32,46),
(3,4,55,1823,0,77,118,73,32,46),
(3,4,56,1881,0,78,121,75,33,47),
(3,4,57,1940,0,80,123,76,33,48),
(3,4,58,2000,0,81,125,77,33,48),
(3,4,59,2061,0,82,128,78,34,49),
(3,4,60,2123,0,83,130,79,34,50),
(3,4,61,2312,0,85,132,81,34,51),
(3,4,62,2510,0,86,135,82,35,51),
(3,4,63,2717,0,87,137,83,35,52),
(3,4,64,2933,0,89,139,84,36,53),
(3,4,65,3159,0,90,142,86,36,53),
(3,4,66,3395,0,91,144,87,36,54),
(3,4,67,3641,0,93,147,88,37,55),
(3,4,68,3898,0,94,149,89,37,56),
(3,4,69,4166,0,96,152,91,38,56),
(3,4,70,4445,0,97,154,92,38,57),
(3,5,1,82,145,22,16,23,21,22),
(3,5,2,97,169,22,16,23,22,23),
(3,5,3,112,194,22,16,24,24,25),
(3,5,4,127,220,22,17,24,25,26),
(3,5,5,142,247,23,17,24,26,27),
(3,5,6,157,275,23,17,25,28,29),
(3,5,7,172,304,23,17,25,29,30),
(3,5,8,187,334,23,18,26,30,32),
(3,5,9,202,365,23,18,26,32,33),
(3,5,10,217,397,23,18,26,33,35),
(3,5,11,232,430,24,18,27,35,36),
(3,5,12,247,464,24,19,27,36,38),
(3,5,13,262,499,24,19,28,37,39),
(3,5,14,277,535,24,19,28,39,41),
(3,5,15,292,572,24,19,28,40,42),
(3,5,16,307,610,24,20,29,42,44),
(3,5,17,322,649,25,20,29,43,45),
(3,5,18,337,689,25,20,30,45,47),
(3,5,19,352,730,25,21,30,46,49),
(3,5,20,367,772,25,21,31,48,50),
(3,5,21,382,815,25,21,31,50,52),
(3,5,22,398,859,26,22,31,51,53),
(3,5,23,415,904,26,22,32,53,55),
(3,5,24,433,950,26,22,32,54,57),
(3,5,25,452,997,26,22,33,56,58),
(3,5,26,472,1045,27,23,33,58,60),
(3,5,27,493,1094,27,23,34,59,62),
(3,5,28,515,1144,27,23,34,61,64),
(3,5,29,538,1195,27,24,35,63,65),
(3,5,30,562,1247,28,24,35,64,67),
(3,5,31,587,1300,28,24,36,66,69),
(3,5,32,613,1354,28,25,36,68,71),
(3,5,33,640,1408,28,25,37,70,72),
(3,5,34,668,1462,29,26,38,71,74),
(3,5,35,697,1516,29,26,38,73,76),
(3,5,36,727,1570,29,26,39,75,78),
(3,5,37,758,1624,29,27,39,77,80),
(3,5,38,790,1678,30,27,40,78,82),
(3,5,39,823,1732,30,27,40,80,84),
(3,5,40,857,1786,30,28,41,82,86),
(3,5,41,892,1840,31,28,41,84,88),
(3,5,42,928,1894,31,29,42,86,89),
(3,5,43,965,1948,31,29,43,88,91),
(3,5,44,1003,2002,32,29,43,90,93),
(3,5,45,1042,2056,32,30,44,92,95),
(3,5,46,1082,2110,32,30,44,93,97),
(3,5,47,1123,2164,32,30,45,95,99),
(3,5,48,1165,2218,33,31,46,97,101),
(3,5,49,1208,2272,33,31,46,99,103),
(3,5,50,1252,2326,33,32,47,101,106),
(3,5,51,1297,2380,34,32,48,103,108),
(3,5,52,1343,2434,34,33,48,105,110),
(3,5,53,1390,2488,35,33,49,107,112),
(3,5,54,1438,2542,35,33,50,109,114),
(3,5,55,1487,2596,35,34,50,111,116),
(3,5,56,1537,2650,36,34,51,113,118),
(3,5,57,1588,2704,36,35,52,116,120),
(3,5,58,1640,2758,36,35,52,118,123),
(3,5,59,1693,2812,37,36,53,120,125),
(3,5,60,1747,2866,37,36,54,122,127),
(3,5,61,1917,3035,37,37,54,124,129),
(3,5,62,2095,3189,38,37,55,126,131),
(3,5,63,2281,3358,38,38,56,128,134),
(3,5,64,2475,3512,39,38,57,131,136),
(3,5,65,2677,3681,39,39,57,133,138),
(3,5,66,2888,3835,39,39,58,135,141),
(3,5,67,3108,4004,40,40,59,137,143),
(3,5,68,3337,4158,40,40,59,139,145),
(3,5,69,3575,4327,41,40,60,142,148),
(3,5,70,3822,4496,41,41,61,144,150),
(4,1,1,50,0,20,25,21,20,20),
(4,1,2,69,0,21,26,22,20,20),
(4,1,3,88,0,23,27,23,20,21),
(4,1,4,107,0,24,27,25,20,21),
(4,1,5,126,0,25,28,26,20,21),
(4,1,6,145,0,27,29,27,20,21),
(4,1,7,164,0,28,30,28,21,22),
(4,1,8,183,0,29,31,29,21,22),
(4,1,9,202,0,31,31,31,21,22),
(4,1,10,221,0,32,32,32,21,23),
(4,1,11,240,0,33,33,33,21,23),
(4,1,12,259,0,35,34,34,21,23),
(4,1,13,278,0,36,35,36,21,24),
(4,1,14,298,0,38,36,37,21,24),
(4,1,15,319,0,39,37,38,21,24),
(4,1,16,341,0,41,37,40,21,25),
(4,1,17,364,0,42,38,41,22,25),
(4,1,18,388,0,44,39,43,22,25),
(4,1,19,413,0,45,40,44,22,26),
(4,1,20,439,0,47,41,45,22,26),
(4,1,21,466,0,48,42,47,22,26),
(4,1,22,494,0,50,43,48,22,27),
(4,1,23,523,0,52,44,50,22,27),
(4,1,24,553,0,53,45,51,23,28),
(4,1,25,584,0,55,46,52,23,28),
(4,1,26,616,0,56,47,54,23,28),
(4,1,27,649,0,58,48,55,23,29),
(4,1,28,683,0,60,49,57,23,29),
(4,1,29,718,0,61,50,58,23,30),
(4,1,30,754,0,63,51,60,24,30),
(4,1,31,791,0,65,52,62,24,30),
(4,1,32,829,0,66,53,63,24,31),
(4,1,33,868,0,68,54,65,24,31),
(4,1,34,908,0,70,55,66,24,32),
(4,1,35,949,0,72,56,68,24,32),
(4,1,36,991,0,73,58,69,25,33),
(4,1,37,1035,0,75,59,71,25,33),
(4,1,38,1081,0,77,60,73,25,34),
(4,1,39,1129,0,79,61,74,25,34),
(4,1,40,1179,0,81,62,76,25,35),
(4,1,41,1231,0,82,63,78,26,35),
(4,1,42,1285,0,84,64,79,26,35),
(4,1,43,1341,0,86,66,81,26,36),
(4,1,44,1399,0,88,67,83,26,36),
(4,1,45,1459,0,90,68,85,26,37),
(4,1,46,1521,0,92,69,86,27,37),
(4,1,47,1585,0,94,70,88,27,38),
(4,1,48,1651,0,96,72,90,27,38),
(4,1,49,1719,0,98,73,92,27,39),
(4,1,50,1789,0,100,74,93,28,40),
(4,1,51,1861,0,102,75,95,28,40),
(4,1,52,1935,0,104,77,97,28,41),
(4,1,53,2011,0,106,78,99,28,41),
(4,1,54,2089,0,108,79,101,29,42),
(4,1,55,2169,0,110,80,103,29,42),
(4,1,56,2251,0,112,82,104,29,43),
(4,1,57,2335,0,114,83,106,29,43),
(4,1,58,2421,0,116,84,108,30,44),
(4,1,59,2509,0,118,86,110,30,44),
(4,1,60,2599,0,120,87,112,30,45),
(4,1,61,2832,0,122,88,114,30,46),
(4,1,62,3079,0,124,90,116,31,46),
(4,1,63,3340,0,127,91,118,31,47),
(4,1,64,3615,0,129,92,120,31,47),
(4,1,65,3905,0,131,94,122,32,48),
(4,1,66,4210,0,133,95,124,32,49),
(4,1,67,4530,0,135,97,126,32,49),
(4,1,68,4866,0,138,98,128,32,50),
(4,1,69,5218,0,140,100,130,33,50),
(4,1,70,5586,0,142,101,132,33,51),
(4,3,1,46,85,17,28,20,20,21),
(4,3,2,63,105,17,29,21,21,22),
(4,3,3,80,126,18,31,22,21,22),
(4,3,4,97,148,18,32,23,22,23),
(4,3,5,114,171,19,33,24,22,24),
(4,3,6,131,195,19,35,25,23,24),
(4,3,7,148,220,20,36,26,24,25),
(4,3,8,165,246,20,38,27,24,25),
(4,3,9,182,273,21,39,27,25,26),
(4,3,10,199,301,21,40,28,25,27),
(4,3,11,216,330,22,42,29,26,28),
(4,3,12,233,360,22,43,30,27,28),
(4,3,13,250,391,23,45,31,27,29),
(4,3,14,268,423,23,46,32,28,30),
(4,3,15,287,456,24,48,34,29,30),
(4,3,16,307,490,24,50,35,29,31),
(4,3,17,328,525,25,51,36,30,32),
(4,3,18,350,561,25,53,37,31,33),
(4,3,19,373,598,26,54,38,31,33),
(4,3,20,397,636,26,56,39,32,34),
(4,3,21,422,675,27,57,40,33,35),
(4,3,22,448,715,27,59,41,33,36),
(4,3,23,475,756,28,61,42,34,36),
(4,3,24,503,798,28,62,43,35,37),
(4,3,25,532,841,29,64,44,36,38),
(4,3,26,562,885,30,66,46,36,39),
(4,3,27,593,930,30,68,47,37,40),
(4,3,28,625,975,31,69,48,38,41),
(4,3,29,658,1020,31,71,49,39,41),
(4,3,30,692,1065,32,73,50,39,42),
(4,3,31,727,1110,33,75,52,40,43),
(4,3,32,763,1155,33,76,53,41,44),
(4,3,33,800,1200,34,78,54,42,45),
(4,3,34,838,1245,34,80,55,43,46),
(4,3,35,877,1290,35,82,57,44,47),
(4,3,36,917,1335,36,84,58,44,48),
(4,3,37,958,1380,36,86,59,45,48),
(4,3,38,1000,1425,37,87,60,46,49),
(4,3,39,1043,1470,38,89,62,47,50),
(4,3,40,1087,1515,38,91,63,48,51),
(4,3,41,1132,1560,39,93,64,49,52),
(4,3,42,1178,1605,40,95,66,49,53),
(4,3,43,1225,1650,40,97,67,50,54),
(4,3,44,1273,1695,41,99,68,51,55),
(4,3,45,1322,1740,42,101,70,52,56),
(4,3,46,1372,1785,42,103,71,53,57),
(4,3,47,1423,1830,43,105,72,54,58),
(4,3,48,1475,1875,44,107,74,55,59),
(4,3,49,1528,1920,45,109,75,56,60),
(4,3,50,1582,1965,45,111,77,57,61),
(4,3,51,1637,2010,46,113,78,58,62),
(4,3,52,1693,2055,47,115,79,59,63),
(4,3,53,1750,2100,47,118,81,60,64),
(4,3,54,1808,2145,48,120,82,61,65),
(4,3,55,1867,2190,49,122,84,61,66),
(4,3,56,1927,2235,50,124,85,62,67),
(4,3,57,1988,2280,50,126,87,63,68),
(4,3,58,2050,2325,51,128,88,64,69),
(4,3,59,2113,2370,52,131,90,65,70),
(4,3,60,2177,2415,53,133,91,66,72),
(4,3,61,2363,2596,54,135,93,67,73),
(4,3,62,2558,2777,54,137,94,69,74),
(4,3,63,2762,2958,55,140,96,70,75),
(4,3,64,2975,3139,56,142,97,71,76),
(4,3,65,3197,3335,57,144,99,72,77),
(4,3,66,3429,3516,58,147,101,73,78),
(4,3,67,3671,3697,58,149,102,74,79),
(4,3,68,3923,3878,59,151,104,75,81),
(4,3,69,4185,4059,60,154,105,76,82),
(4,3,70,4458,4255,61,156,107,77,83),
(4,4,1,45,0,18,28,20,20,20),
(4,4,2,62,0,19,29,21,20,20),
(4,4,3,79,0,20,31,21,20,21),
(4,4,4,96,0,20,32,22,20,21),
(4,4,5,113,0,21,34,23,21,21),
(4,4,6,130,0,22,35,24,21,22),
(4,4,7,147,0,23,37,24,21,22),
(4,4,8,164,0,24,38,25,21,23),
(4,4,9,181,0,24,40,26,21,23),
(4,4,10,198,0,25,41,26,21,23),
(4,4,11,215,0,26,43,27,22,24),
(4,4,12,232,0,27,44,28,22,24),
(4,4,13,249,0,28,46,29,22,25),
(4,4,14,266,0,29,48,30,22,25),
(4,4,15,283,0,29,49,30,22,25),
(4,4,16,301,0,30,51,31,23,26),
(4,4,17,320,0,31,52,32,23,26),
(4,4,18,340,0,32,54,33,23,27),
(4,4,19,361,0,33,56,34,23,27),
(4,4,20,383,0,34,57,35,23,28),
(4,4,21,406,0,35,59,35,24,28),
(4,4,22,430,0,36,61,36,24,29),
(4,4,23,455,0,37,63,37,24,29),
(4,4,24,481,0,38,64,38,24,30),
(4,4,25,508,0,39,66,39,25,30),
(4,4,26,536,0,40,68,40,25,31),
(4,4,27,565,0,41,70,41,25,31),
(4,4,28,595,0,42,72,42,25,32),
(4,4,29,626,0,43,73,43,25,32),
(4,4,30,658,0,44,75,43,26,33),
(4,4,31,691,0,45,77,44,26,33),
(4,4,32,725,0,46,79,45,26,34),
(4,4,33,760,0,47,81,46,27,34),
(4,4,34,796,0,48,83,47,27,35),
(4,4,35,833,0,49,85,48,27,35),
(4,4,36,871,0,50,87,49,27,36),
(4,4,37,910,0,51,89,50,28,36),
(4,4,38,950,0,52,91,51,28,37),
(4,4,39,991,0,53,93,52,28,38),
(4,4,40,1033,0,54,95,53,28,38),
(4,4,41,1076,0,56,97,54,29,39),
(4,4,42,1120,0,57,99,55,29,39),
(4,4,43,1165,0,58,101,56,29,40),
(4,4,44,1211,0,59,103,57,30,40),
(4,4,45,1258,0,60,105,59,30,41),
(4,4,46,1306,0,61,107,60,30,42),
(4,4,47,1355,0,62,109,61,31,42),
(4,4,48,1405,0,64,112,62,31,43),
(4,4,49,1456,0,65,114,63,31,44),
(4,4,50,1508,0,66,116,64,32,44),
(4,4,51,1561,0,67,118,65,32,45),
(4,4,52,1615,0,68,120,66,32,45),
(4,4,53,1670,0,70,123,67,33,46),
(4,4,54,1726,0,71,125,69,33,47),
(4,4,55,1783,0,72,127,70,33,47),
(4,4,56,1841,0,73,129,71,34,48),
(4,4,57,1900,0,75,132,72,34,49),
(4,4,58,1960,0,76,134,73,34,49),
(4,4,59,2021,0,77,136,74,35,50),
(4,4,60,2083,0,79,139,76,35,51),
(4,4,61,2272,0,80,141,77,35,51),
(4,4,62,2470,0,81,143,78,36,52),
(4,4,63,2677,0,82,146,79,36,53),
(4,4,64,2893,0,84,148,80,37,54),
(4,4,65,3119,0,85,151,82,37,54),
(4,4,66,3355,0,87,153,83,37,55),
(4,4,67,3601,0,88,156,84,38,56),
(4,4,68,3858,0,89,158,85,38,57),
(4,4,69,4126,0,91,160,87,39,57),
(4,4,70,4405,0,92,163,88,39,58),
(4,5,1,51,160,17,25,19,22,23),
(4,5,2,66,184,17,25,19,23,24),
(4,5,3,81,209,17,25,20,25,26),
(4,5,4,96,235,17,26,20,26,27),
(4,5,5,111,262,18,26,20,27,28),
(4,5,6,126,290,18,26,21,29,30),
(4,5,7,141,319,18,26,21,30,31),
(4,5,8,156,349,18,26,22,31,33),
(4,5,9,171,380,18,27,22,33,34),
(4,5,10,186,412,19,27,22,34,36),
(4,5,11,201,445,19,27,23,36,37),
(4,5,12,216,479,19,27,23,37,39),
(4,5,13,231,514,19,28,24,38,40),
(4,5,14,246,550,19,28,24,40,42),
(4,5,15,261,587,19,28,25,41,43),
(4,5,16,276,625,20,28,25,43,45),
(4,5,17,291,664,20,29,25,44,46),
(4,5,18,306,704,20,29,26,46,48),
(4,5,19,321,745,20,29,26,47,49),
(4,5,20,336,787,21,30,27,49,51),
(4,5,21,351,830,21,30,27,51,53),
(4,5,22,367,874,21,30,28,52,54),
(4,5,23,384,919,21,30,28,54,56),
(4,5,24,402,965,21,31,29,55,58),
(4,5,25,421,1012,22,31,29,57,59),
(4,5,26,441,1060,22,31,30,59,61),
(4,5,27,462,1109,22,32,30,60,63),
(4,5,28,484,1159,22,32,31,62,65),
(4,5,29,507,1210,23,32,31,64,66),
(4,5,30,531,1262,23,33,32,65,68),
(4,5,31,556,1315,23,33,32,67,70),
(4,5,32,582,1369,23,33,33,69,72),
(4,5,33,609,1423,24,34,33,70,73),
(4,5,34,637,1477,24,34,34,72,75),
(4,5,35,666,1531,24,34,34,74,77),
(4,5,36,696,1585,24,35,35,76,79),
(4,5,37,727,1639,25,35,35,78,81),
(4,5,38,759,1693,25,35,36,79,83),
(4,5,39,792,1747,25,36,37,81,85),
(4,5,40,826,1801,26,36,37,83,87),
(4,5,41,861,1855,26,37,38,85,88),
(4,5,42,897,1909,26,37,38,87,90),
(4,5,43,934,1963,27,37,39,89,92),
(4,5,44,972,2017,27,38,39,91,94),
(4,5,45,1011,2071,27,38,40,92,96),
(4,5,46,1051,2125,27,39,41,94,98),
(4,5,47,1092,2179,28,39,41,96,100),
(4,5,48,1134,2233,28,39,42,98,102),
(4,5,49,1177,2287,28,40,43,100,104),
(4,5,50,1221,2341,29,40,43,102,106),
(4,5,51,1266,2395,29,41,44,104,109),
(4,5,52,1312,2449,29,41,44,106,111),
(4,5,53,1359,2503,30,42,45,108,113),
(4,5,54,1407,2557,30,42,46,110,115),
(4,5,55,1456,2611,30,43,46,112,117),
(4,5,56,1506,2665,31,43,47,114,119),
(4,5,57,1557,2719,31,43,48,117,121),
(4,5,58,1609,2773,31,44,48,119,124),
(4,5,59,1662,2827,32,44,49,121,126),
(4,5,60,1716,2881,32,45,50,123,128),
(4,5,61,1886,3050,33,45,51,125,130),
(4,5,62,2064,3204,33,46,51,127,132),
(4,5,63,2250,3373,33,46,52,129,135),
(4,5,64,2444,3527,34,47,53,132,137),
(4,5,65,2646,3696,34,47,53,134,139),
(4,5,66,2857,3850,34,48,54,136,142),
(4,5,67,3077,4019,35,48,55,138,144),
(4,5,68,3306,4173,35,49,56,140,146),
(4,5,69,3544,4342,36,49,56,143,149),
(4,5,70,3791,4511,36,50,57,145,151),
(4,11,1,53,100,18,25,19,22,22),
(4,11,2,70,122,19,25,20,23,23),
(4,11,3,87,145,19,26,20,24,24),
(4,11,4,104,169,20,26,21,25,26),
(4,11,5,121,194,20,27,22,26,27),
(4,11,6,138,220,21,27,22,27,28),
(4,11,7,155,247,21,28,23,28,29),
(4,11,8,172,275,22,28,24,29,30),
(4,11,9,189,304,23,29,24,30,32),
(4,11,10,206,334,23,29,25,32,33),
(4,11,11,223,365,24,30,26,33,34),
(4,11,12,240,397,24,31,26,34,35),
(4,11,13,257,430,25,31,27,35,37),
(4,11,14,274,464,26,32,28,36,38),
(4,11,15,291,499,26,32,29,37,39),
(4,11,16,308,535,27,33,29,38,41),
(4,11,17,325,572,28,33,30,40,42),
(4,11,18,343,610,28,34,31,41,43),
(4,11,19,362,649,29,35,32,42,45),
(4,11,20,382,689,30,35,32,43,46),
(4,11,21,403,730,30,36,33,45,48),
(4,11,22,425,772,31,36,34,46,49),
(4,11,23,448,815,32,37,35,47,51),
(4,11,24,472,859,32,38,36,48,52),
(4,11,25,497,904,33,38,36,50,53),
(4,11,26,523,949,34,39,37,51,55),
(4,11,27,550,994,35,40,38,52,56),
(4,11,28,578,1039,35,40,39,54,58),
(4,11,29,607,1084,36,41,40,55,59),
(4,11,30,637,1129,37,42,41,56,61),
(4,11,31,668,1174,38,42,42,58,62),
(4,11,32,700,1219,38,43,42,59,64),
(4,11,33,733,1264,39,44,43,60,66),
(4,11,34,767,1309,40,44,44,62,67),
(4,11,35,802,1354,41,45,45,63,69),
(4,11,36,838,1399,42,46,46,65,70),
(4,11,37,875,1444,42,47,47,66,72),
(4,11,38,913,1489,43,47,48,67,74),
(4,11,39,952,1534,44,48,49,69,75),
(4,11,40,992,1579,45,49,50,70,77),
(4,11,41,1033,1624,46,50,51,72,79),
(4,11,42,1075,1669,46,50,52,73,80),
(4,11,43,1118,1714,47,51,53,75,82),
(4,11,44,1162,1759,48,52,54,76,84),
(4,11,45,1207,1804,49,53,55,78,85),
(4,11,46,1253,1849,50,54,56,79,87),
(4,11,47,1300,1894,51,54,57,81,89),
(4,11,48,1348,1939,52,55,58,83,91),
(4,11,49,1397,1984,53,56,59,84,93),
(4,11,50,1447,2029,53,57,60,86,94),
(4,11,51,1498,2074,54,58,61,87,96),
(4,11,52,1550,2119,55,59,62,89,98),
(4,11,53,1603,2164,56,59,63,91,100),
(4,11,54,1657,2209,57,60,64,92,102),
(4,11,55,1712,2254,58,61,65,94,103),
(4,11,56,1768,2299,59,62,66,95,105),
(4,11,57,1825,2344,60,63,67,97,107),
(4,11,58,1883,2389,61,64,68,99,109),
(4,11,59,1942,2434,62,65,69,101,111),
(4,11,60,2002,2479,63,66,70,102,113),
(4,11,61,2177,2607,64,66,72,104,115),
(4,11,62,2363,2750,65,67,73,106,117),
(4,11,63,2560,2893,66,68,74,107,119),
(4,11,64,2768,3036,67,69,75,109,121),
(4,11,65,2987,3179,68,70,76,111,123),
(4,11,66,3217,3322,69,71,77,113,125),
(4,11,67,3459,3465,70,72,78,115,127),
(4,11,68,3713,3608,71,73,80,116,129),
(4,11,69,3979,3751,72,74,81,118,131),
(4,11,70,4257,3894,73,75,82,120,133),
(5,1,1,70,0,22,18,23,18,25),
(5,1,2,89,0,23,19,24,18,25),
(5,1,3,108,0,25,20,25,18,26),
(5,1,4,127,0,26,20,26,18,26),
(5,1,5,146,0,27,21,28,18,26),
(5,1,6,165,0,29,22,29,18,26),
(5,1,7,184,0,30,23,30,19,27),
(5,1,8,203,0,31,24,31,19,27),
(5,1,9,222,0,33,25,33,19,27),
(5,1,10,241,0,34,25,34,19,28),
(5,1,11,260,0,35,26,35,19,28),
(5,1,12,279,0,37,27,36,19,28),
(5,1,13,298,0,38,28,38,19,28),
(5,1,14,318,0,40,29,39,19,29),
(5,1,15,339,0,41,30,40,19,29),
(5,1,16,361,0,43,31,42,20,29),
(5,1,17,384,0,44,32,43,20,30),
(5,1,18,408,0,46,33,44,20,30),
(5,1,19,433,0,47,34,46,20,31),
(5,1,20,459,0,49,34,47,20,31),
(5,1,21,486,0,50,35,49,20,31),
(5,1,22,514,0,52,36,50,20,32),
(5,1,23,543,0,53,37,51,21,32),
(5,1,24,573,0,55,38,53,21,32),
(5,1,25,604,0,57,39,54,21,33),
(5,1,26,636,0,58,40,56,21,33),
(5,1,27,669,0,60,41,57,21,34),
(5,1,28,703,0,62,42,59,21,34),
(5,1,29,738,0,63,43,60,21,34),
(5,1,30,774,0,65,44,62,22,35),
(5,1,31,811,0,67,46,63,22,35),
(5,1,32,849,0,68,47,65,22,36),
(5,1,33,888,0,70,48,67,22,36),
(5,1,34,928,0,72,49,68,22,36),
(5,1,35,969,0,74,50,70,23,37),
(5,1,36,1011,0,75,51,71,23,37),
(5,1,37,1055,0,77,52,73,23,38),
(5,1,38,1101,0,79,53,75,23,38),
(5,1,39,1149,0,81,54,76,23,39),
(5,1,40,1199,0,83,55,78,24,39),
(5,1,41,1251,0,84,57,80,24,40),
(5,1,42,1305,0,86,58,81,24,40),
(5,1,43,1361,0,88,59,83,24,41),
(5,1,44,1419,0,90,60,85,24,41),
(5,1,45,1479,0,92,61,86,25,42),
(5,1,46,1541,0,94,62,88,25,42),
(5,1,47,1605,0,96,64,90,25,43),
(5,1,48,1671,0,98,65,92,25,43),
(5,1,49,1739,0,100,66,93,25,44),
(5,1,50,1809,0,102,67,95,26,44),
(5,1,51,1881,0,104,69,97,26,45),
(5,1,52,1955,0,106,70,99,26,45),
(5,1,53,2031,0,108,71,101,26,46),
(5,1,54,2109,0,110,72,103,27,46),
(5,1,55,2189,0,112,74,104,27,47),
(5,1,56,2271,0,114,75,106,27,48),
(5,1,57,2355,0,116,76,108,27,48),
(5,1,58,2441,0,118,78,110,28,49),
(5,1,59,2529,0,120,79,112,28,49),
(5,1,60,2619,0,122,80,114,28,50),
(5,1,61,2852,0,124,82,116,28,50),
(5,1,62,3099,0,126,83,118,29,51),
(5,1,63,3360,0,128,84,120,29,52),
(5,1,64,3635,0,131,86,122,29,52),
(5,1,65,3925,0,133,87,124,30,53),
(5,1,66,4230,0,135,88,126,30,53),
(5,1,67,4550,0,137,90,128,30,54),
(5,1,68,4886,0,139,91,130,30,55),
(5,1,69,5238,0,142,93,132,31,55),
(5,1,70,5606,0,144,94,134,31,56),
(5,4,1,65,0,20,21,22,18,25),
(5,4,2,82,0,21,22,23,18,25),
(5,4,3,99,0,22,24,23,18,26),
(5,4,4,116,0,22,25,24,18,26),
(5,4,5,133,0,23,27,25,19,26),
(5,4,6,150,0,24,28,25,19,27),
(5,4,7,167,0,25,30,26,19,27),
(5,4,8,184,0,25,31,27,19,27),
(5,4,9,201,0,26,33,28,19,28),
(5,4,10,218,0,27,34,28,19,28),
(5,4,11,235,0,28,36,29,20,29),
(5,4,12,252,0,29,38,30,20,29),
(5,4,13,269,0,30,39,31,20,29),
(5,4,14,286,0,31,41,32,20,30),
(5,4,15,303,0,31,42,32,20,30),
(5,4,16,321,0,32,44,33,21,31),
(5,4,17,340,0,33,46,34,21,31),
(5,4,18,360,0,34,47,35,21,32),
(5,4,19,381,0,35,49,36,21,32),
(5,4,20,403,0,36,51,36,21,32),
(5,4,21,426,0,37,52,37,22,33),
(5,4,22,450,0,38,54,38,22,33),
(5,4,23,475,0,39,56,39,22,34),
(5,4,24,501,0,40,58,40,22,34),
(5,4,25,528,0,41,60,41,23,35),
(5,4,26,556,0,42,61,42,23,35),
(5,4,27,585,0,43,63,43,23,36),
(5,4,28,615,0,44,65,44,23,36),
(5,4,29,646,0,45,67,44,24,37),
(5,4,30,678,0,46,69,45,24,37),
(5,4,31,711,0,47,71,46,24,38),
(5,4,32,745,0,48,72,47,24,38),
(5,4,33,780,0,49,74,48,25,39),
(5,4,34,816,0,50,76,49,25,39),
(5,4,35,853,0,51,78,50,25,40),
(5,4,36,891,0,52,80,51,25,41),
(5,4,37,930,0,53,82,52,26,41),
(5,4,38,970,0,54,84,53,26,42),
(5,4,39,1011,0,55,86,54,26,42),
(5,4,40,1053,0,56,88,55,27,43),
(5,4,41,1096,0,57,90,56,27,43),
(5,4,42,1140,0,59,92,57,27,44),
(5,4,43,1185,0,60,94,58,27,45),
(5,4,44,1231,0,61,96,59,28,45),
(5,4,45,1278,0,62,99,60,28,46),
(5,4,46,1326,0,63,101,61,28,46),
(5,4,47,1375,0,64,103,63,29,47),
(5,4,48,1425,0,66,105,64,29,48),
(5,4,49,1476,0,67,107,65,29,48),
(5,4,50,1528,0,68,109,66,30,49),
(5,4,51,1581,0,69,111,67,30,50),
(5,4,52,1635,0,70,114,68,30,50),
(5,4,53,1690,0,72,116,69,31,51),
(5,4,54,1746,0,73,118,70,31,52),
(5,4,55,1803,0,74,120,72,31,52),
(5,4,56,1861,0,75,123,73,32,53),
(5,4,57,1920,0,77,125,74,32,54),
(5,4,58,1980,0,78,127,75,32,54),
(5,4,59,2041,0,79,130,76,33,55),
(5,4,60,2103,0,81,132,77,33,56),
(5,4,61,2292,0,82,134,79,34,56),
(5,4,62,2490,0,83,137,80,34,57),
(5,4,63,2697,0,84,139,81,34,58),
(5,4,64,2913,0,86,141,82,35,59),
(5,4,65,3139,0,87,144,84,35,59),
(5,4,66,3375,0,88,146,85,35,60),
(5,4,67,3621,0,90,149,86,36,61),
(5,4,68,3878,0,91,151,87,36,61),
(5,4,69,4146,0,93,154,89,37,62),
(5,4,70,4425,0,94,156,90,37,63),
(5,5,1,62,130,19,18,21,20,28),
(5,5,2,77,154,19,18,21,21,29),
(5,5,3,92,179,19,18,22,23,31),
(5,5,4,107,205,19,19,22,24,32),
(5,5,5,122,232,20,19,22,25,33),
(5,5,6,137,260,20,19,23,27,35),
(5,5,7,152,289,20,19,23,28,36),
(5,5,8,167,319,20,20,24,29,38),
(5,5,9,182,350,20,20,24,31,39),
(5,5,10,197,382,20,20,24,32,40),
(5,5,11,212,415,21,20,25,34,42),
(5,5,12,227,449,21,21,25,35,43),
(5,5,13,242,484,21,21,26,37,45),
(5,5,14,257,520,21,21,26,38,46),
(5,5,15,272,557,21,21,26,39,48),
(5,5,16,287,595,22,22,27,41,50),
(5,5,17,302,634,22,22,27,42,51),
(5,5,18,317,674,22,22,28,44,53),
(5,5,19,332,715,22,23,28,46,54),
(5,5,20,347,757,22,23,29,47,56),
(5,5,21,362,800,23,23,29,49,57),
(5,5,22,378,844,23,23,30,50,59),
(5,5,23,395,889,23,24,30,52,61),
(5,5,24,413,935,23,24,31,53,62),
(5,5,25,432,982,24,24,31,55,64),
(5,5,26,452,1030,24,25,32,57,66),
(5,5,27,473,1079,24,25,32,58,68),
(5,5,28,495,1129,24,25,33,60,69),
(5,5,29,518,1180,25,26,33,62,71),
(5,5,30,542,1232,25,26,34,63,73),
(5,5,31,567,1285,25,26,34,65,75),
(5,5,32,593,1339,25,27,35,67,76),
(5,5,33,620,1393,26,27,35,69,78),
(5,5,34,648,1447,26,27,36,70,80),
(5,5,35,677,1501,26,28,36,72,82),
(5,5,36,707,1555,26,28,37,74,84),
(5,5,37,738,1609,27,28,37,76,86),
(5,5,38,770,1663,27,29,38,77,87),
(5,5,39,803,1717,27,29,38,79,89),
(5,5,40,837,1771,28,30,39,81,91),
(5,5,41,872,1825,28,30,40,83,93),
(5,5,42,908,1879,28,30,40,85,95),
(5,5,43,945,1933,28,31,41,87,97),
(5,5,44,983,1987,29,31,41,89,99),
(5,5,45,1022,2041,29,32,42,91,101),
(5,5,46,1062,2095,29,32,43,92,103),
(5,5,47,1103,2149,30,32,43,94,105),
(5,5,48,1145,2203,30,33,44,96,107),
(5,5,49,1188,2257,30,33,44,98,109),
(5,5,50,1232,2311,31,34,45,100,111),
(5,5,51,1277,2365,31,34,46,102,113),
(5,5,52,1323,2419,31,35,46,104,115),
(5,5,53,1370,2473,32,35,47,106,118),
(5,5,54,1418,2527,32,35,48,108,120),
(5,5,55,1467,2581,32,36,48,110,122),
(5,5,56,1517,2635,33,36,49,113,124),
(5,5,57,1568,2689,33,37,50,115,126),
(5,5,58,1620,2743,33,37,50,117,128),
(5,5,59,1673,2797,34,38,51,119,131),
(5,5,60,1727,2851,34,38,52,121,133),
(5,5,61,1897,3020,34,39,52,123,135),
(5,5,62,2075,3174,35,39,53,125,137),
(5,5,63,2261,3343,35,40,54,127,140),
(5,5,64,2455,3497,36,40,55,130,142),
(5,5,65,2657,3666,36,41,55,132,144),
(5,5,66,2868,3820,36,41,56,134,147),
(5,5,67,3088,3989,37,41,57,136,149),
(5,5,68,3317,4143,37,42,58,138,151),
(5,5,69,3555,4312,38,42,58,141,154),
(5,5,70,3802,4481,38,43,59,143,156),
(5,8,1,62,135,19,18,21,21,27),
(5,8,2,77,160,19,18,21,22,28),
(5,8,3,92,186,19,18,22,24,30),
(5,8,4,107,213,19,18,22,25,31),
(5,8,5,122,241,19,19,22,26,32),
(5,8,6,137,270,19,19,22,28,34),
(5,8,7,152,300,20,19,23,29,35),
(5,8,8,167,331,20,19,23,31,36),
(5,8,9,182,363,20,19,23,32,38),
(5,8,10,197,396,20,19,24,34,39),
(5,8,11,212,430,20,20,24,35,40),
(5,8,12,227,465,20,20,24,37,42),
(5,8,13,242,501,20,20,25,38,43),
(5,8,14,257,538,20,20,25,40,45),
(5,8,15,272,576,20,20,25,41,46),
(5,8,16,287,615,21,21,26,43,48),
(5,8,17,302,655,21,21,26,44,49),
(5,8,18,317,696,21,21,26,46,51),
(5,8,19,332,738,21,21,27,48,52),
(5,8,20,347,781,21,21,27,49,54),
(5,8,21,362,825,21,22,27,51,55),
(5,8,22,377,870,21,22,28,52,57),
(5,8,23,392,916,21,22,28,54,58),
(5,8,24,408,963,22,22,29,56,60),
(5,8,25,425,1011,22,23,29,57,62),
(5,8,26,443,1060,22,23,29,59,63),
(5,8,27,462,1110,22,23,30,61,65),
(5,8,28,482,1161,22,23,30,63,67),
(5,8,29,503,1212,22,24,31,64,68),
(5,8,30,525,1263,23,24,31,66,70),
(5,8,31,548,1314,23,24,31,68,72),
(5,8,32,572,1365,23,24,32,70,73),
(5,8,33,597,1416,23,25,32,72,75),
(5,8,34,623,1467,23,25,33,73,77),
(5,8,35,650,1518,24,25,33,75,79),
(5,8,36,678,1569,24,25,34,77,80),
(5,8,37,707,1620,24,26,34,79,82),
(5,8,38,737,1671,24,26,35,81,84),
(5,8,39,768,1722,24,26,35,83,86),
(5,8,40,800,1773,24,27,35,85,88),
(5,8,41,833,1824,25,27,36,87,90),
(5,8,42,867,1875,25,27,36,89,91),
(5,8,43,902,1926,25,27,37,90,93),
(5,8,44,938,1977,25,28,37,92,95),
(5,8,45,975,2028,26,28,38,94,97),
(5,8,46,1013,2079,26,28,38,96,99),
(5,8,47,1052,2130,26,29,39,98,101),
(5,8,48,1092,2181,26,29,39,100,103),
(5,8,49,1133,2232,26,29,40,103,105),
(5,8,50,1175,2283,27,30,40,105,107),
(5,8,51,1218,2334,27,30,41,107,109),
(5,8,52,1262,2385,27,30,42,109,111),
(5,8,53,1307,2436,27,31,42,111,113),
(5,8,54,1353,2487,28,31,43,113,115),
(5,8,55,1400,2538,28,31,43,115,117),
(5,8,56,1448,2589,28,32,44,117,119),
(5,8,57,1497,2640,28,32,44,119,121),
(5,8,58,1547,2691,29,32,45,122,123),
(5,8,59,1598,2742,29,33,45,124,126),
(5,8,60,1650,2793,29,33,46,126,128),
(5,8,61,1816,2926,29,34,47,128,130),
(5,8,62,1991,3074,30,34,47,131,132),
(5,8,63,2175,3207,30,34,48,133,134),
(5,8,64,2368,3355,30,35,48,135,136),
(5,8,65,2570,3488,31,35,49,137,139),
(5,8,66,2782,3636,31,35,50,140,141),
(5,8,67,3004,3769,31,36,50,142,143),
(5,8,68,3236,3917,31,36,51,144,145),
(5,8,69,3479,4050,32,37,51,147,148),
(5,8,70,3733,4198,32,37,52,149,150),
(5,9,1,63,110,19,18,22,20,27),
(5,9,2,78,133,19,18,23,21,28),
(5,9,3,93,157,20,19,23,22,29),
(5,9,4,108,182,20,19,24,24,30),
(5,9,5,123,208,20,19,24,25,32),
(5,9,6,138,235,20,20,25,26,33),
(5,9,7,153,263,21,20,25,27,34),
(5,9,8,168,292,21,21,26,28,35),
(5,9,9,183,322,21,21,26,30,36),
(5,9,10,198,353,22,21,27,31,38),
(5,9,11,213,385,22,22,28,32,39),
(5,9,12,228,418,22,22,28,34,40),
(5,9,13,243,452,23,23,29,35,41),
(5,9,14,258,487,23,23,30,36,43),
(5,9,15,273,523,23,24,30,37,44),
(5,9,16,288,560,24,24,31,39,45),
(5,9,17,303,598,24,24,31,40,47),
(5,9,18,319,637,24,25,32,42,48),
(5,9,19,336,677,25,25,33,43,49),
(5,9,20,354,718,25,26,33,44,51),
(5,9,21,373,760,26,26,34,46,52),
(5,9,22,393,803,26,27,35,47,53),
(5,9,23,414,847,26,27,36,49,55),
(5,9,24,436,892,27,28,36,50,56),
(5,9,25,459,938,27,28,37,52,58),
(5,9,26,483,985,27,29,38,53,59),
(5,9,27,508,1033,28,29,38,55,60),
(5,9,28,534,1082,28,30,39,56,62),
(5,9,29,561,1132,29,30,40,58,63),
(5,9,30,589,1183,29,31,41,59,65),
(5,9,31,618,1234,30,31,41,61,66),
(5,9,32,648,1285,30,32,42,62,68),
(5,9,33,679,1336,30,32,43,64,69),
(5,9,34,711,1387,31,33,44,65,71),
(5,9,35,744,1438,31,33,45,67,73),
(5,9,36,778,1489,32,34,45,69,74),
(5,9,37,813,1540,32,34,46,70,76),
(5,9,38,849,1591,33,35,47,72,77),
(5,9,39,886,1642,33,36,48,73,79),
(5,9,40,924,1693,34,36,49,75,81),
(5,9,41,963,1744,34,37,49,77,82),
(5,9,42,1003,1795,35,37,50,78,84),
(5,9,43,1044,1846,35,38,51,80,86),
(5,9,44,1086,1897,36,39,52,82,87),
(5,9,45,1129,1948,36,39,53,84,89),
(5,9,46,1173,1999,37,40,54,85,91),
(5,9,47,1218,2050,37,40,55,87,92),
(5,9,48,1264,2101,38,41,55,89,94),
(5,9,49,1311,2152,38,42,56,91,96),
(5,9,50,1359,2203,39,42,57,92,98),
(5,9,51,1408,2254,39,43,58,94,100),
(5,9,52,1458,2305,40,44,59,96,101),
(5,9,53,1509,2356,40,44,60,98,103),
(5,9,54,1561,2407,41,45,61,100,105),
(5,9,55,1614,2458,41,45,62,102,107),
(5,9,56,1668,2509,42,46,63,103,109),
(5,9,57,1723,2560,42,47,64,105,111),
(5,9,58,1779,2611,43,47,65,107,112),
(5,9,59,1836,2662,43,48,66,109,114),
(5,9,60,1894,2713,44,49,67,111,116),
(5,9,61,2070,2867,45,50,68,113,118),
(5,9,62,2255,3021,45,50,69,115,120),
(5,9,63,2449,3190,46,51,70,117,122),
(5,9,64,2652,3344,46,52,71,119,124),
(5,9,65,2864,3498,47,52,72,121,126),
(5,9,66,3086,3667,48,53,73,123,128),
(5,9,67,3318,3821,48,54,74,125,130),
(5,9,68,3561,3975,49,55,75,127,132),
(5,9,69,3815,4144,49,55,76,129,134),
(5,9,70,4080,4298,50,56,77,131,136),
(6,1,1,80,0,28,15,24,15,22),
(6,1,2,99,0,29,16,25,15,22),
(6,1,3,118,0,31,17,26,15,23),
(6,1,4,137,0,32,17,27,15,23),
(6,1,5,156,0,33,18,29,15,23),
(6,1,6,175,0,34,19,30,15,23),
(6,1,7,194,0,36,20,31,16,24),
(6,1,8,213,0,37,21,32,16,24),
(6,1,9,232,0,38,22,34,16,24),
(6,1,10,251,0,40,22,35,16,25),
(6,1,11,270,0,41,23,36,16,25),
(6,1,12,289,0,43,24,37,16,25),
(6,1,13,308,0,44,25,39,16,26),
(6,1,14,328,0,46,26,40,16,26),
(6,1,15,349,0,47,27,41,17,26),
(6,1,16,371,0,48,28,43,17,27),
(6,1,17,394,0,50,29,44,17,27),
(6,1,18,418,0,51,30,45,17,27),
(6,1,19,443,0,53,31,47,17,28),
(6,1,20,469,0,54,32,48,17,28),
(6,1,21,496,0,56,33,50,17,28),
(6,1,22,524,0,58,34,51,18,29),
(6,1,23,553,0,59,35,52,18,29),
(6,1,24,583,0,61,36,54,18,30),
(6,1,25,614,0,62,37,55,18,30),
(6,1,26,646,0,64,38,57,18,30),
(6,1,27,679,0,66,39,58,18,31),
(6,1,28,713,0,67,40,60,18,31),
(6,1,29,748,0,69,41,61,19,32),
(6,1,30,784,0,71,42,63,19,32),
(6,1,31,821,0,72,43,64,19,32),
(6,1,32,859,0,74,44,66,19,33),
(6,1,33,898,0,76,45,67,19,33),
(6,1,34,938,0,77,46,69,20,34),
(6,1,35,979,0,79,47,71,20,34),
(6,1,36,1021,0,81,48,72,20,35),
(6,1,37,1065,0,83,49,74,20,35),
(6,1,38,1111,0,85,50,76,20,35),
(6,1,39,1159,0,86,51,77,21,36),
(6,1,40,1209,0,88,53,79,21,36),
(6,1,41,1261,0,90,54,81,21,37),
(6,1,42,1315,0,92,55,82,21,37),
(6,1,43,1371,0,94,56,84,21,38),
(6,1,44,1429,0,96,57,86,22,38),
(6,1,45,1489,0,98,58,87,22,39),
(6,1,46,1551,0,99,60,89,22,39),
(6,1,47,1615,0,101,61,91,22,40),
(6,1,48,1681,0,103,62,93,22,40),
(6,1,49,1749,0,105,63,94,23,41),
(6,1,50,1819,0,107,65,96,23,41),
(6,1,51,1891,0,109,66,98,23,42),
(6,1,52,1965,0,111,67,100,23,42),
(6,1,53,2041,0,113,68,102,24,43),
(6,1,54,2119,0,115,70,104,24,44),
(6,1,55,2199,0,117,71,105,24,44),
(6,1,56,2281,0,119,72,107,24,45),
(6,1,57,2365,0,122,73,109,25,45),
(6,1,58,2451,0,124,75,111,25,46),
(6,1,59,2539,0,126,76,113,25,46),
(6,1,60,2629,0,128,77,115,25,47),
(6,1,61,2862,0,130,79,117,26,48),
(6,1,62,3109,0,132,80,119,26,48),
(6,1,63,3370,0,134,81,121,26,49),
(6,1,64,3645,0,137,83,123,26,49),
(6,1,65,3935,0,139,84,125,27,50),
(6,1,66,4240,0,141,85,127,27,51),
(6,1,67,4560,0,143,87,129,27,51),
(6,1,68,4896,0,145,88,131,27,52),
(6,1,69,5248,0,148,90,133,28,52),
(6,1,70,5616,0,150,91,135,28,53),
(6,3,1,76,80,25,18,23,15,23),
(6,3,2,93,100,25,19,24,16,24),
(6,3,3,110,121,26,21,25,16,24),
(6,3,4,127,143,26,22,26,17,25),
(6,3,5,144,166,27,24,27,17,25),
(6,3,6,161,190,27,25,28,18,26),
(6,3,7,178,215,28,26,28,19,27),
(6,3,8,195,241,28,28,29,19,27),
(6,3,9,212,268,28,29,30,20,28),
(6,3,10,229,296,29,31,31,20,29),
(6,3,11,246,325,29,32,32,21,29),
(6,3,12,263,355,30,34,33,22,30),
(6,3,13,280,386,30,35,34,22,31),
(6,3,14,298,418,31,37,35,23,32),
(6,3,15,317,451,31,38,36,24,32),
(6,3,16,337,485,32,40,37,24,33),
(6,3,17,358,520,32,41,39,25,34),
(6,3,18,380,556,33,43,40,26,35),
(6,3,19,403,593,33,45,41,27,35),
(6,3,20,427,631,34,46,42,27,36),
(6,3,21,452,670,34,48,43,28,37),
(6,3,22,478,710,35,50,44,29,38),
(6,3,23,505,751,35,51,45,29,38),
(6,3,24,533,793,36,53,46,30,39),
(6,3,25,562,836,37,55,47,31,40),
(6,3,26,592,880,37,56,48,32,41),
(6,3,27,623,925,38,58,50,32,42),
(6,3,28,655,970,38,60,51,33,42),
(6,3,29,688,1015,39,62,52,34,43),
(6,3,30,722,1060,39,63,53,35,44),
(6,3,31,757,1105,40,65,54,36,45),
(6,3,32,793,1150,41,67,56,36,46),
(6,3,33,830,1195,41,69,57,37,47),
(6,3,34,868,1240,42,71,58,38,48),
(6,3,35,907,1285,43,72,59,39,48),
(6,3,36,947,1330,43,74,61,40,49),
(6,3,37,988,1375,44,76,62,40,50),
(6,3,38,1030,1420,45,78,63,41,51),
(6,3,39,1073,1465,45,80,64,42,52),
(6,3,40,1117,1510,46,82,66,43,53),
(6,3,41,1162,1555,47,84,67,44,54),
(6,3,42,1208,1600,47,86,68,45,55),
(6,3,43,1255,1645,48,88,70,46,56),
(6,3,44,1303,1690,49,90,71,46,57),
(6,3,45,1352,1735,49,92,72,47,58),
(6,3,46,1402,1780,50,94,74,48,59),
(6,3,47,1453,1825,51,96,75,49,60),
(6,3,48,1505,1870,51,98,77,50,61),
(6,3,49,1558,1915,52,100,78,51,62),
(6,3,50,1612,1960,53,102,79,52,63),
(6,3,51,1667,2005,54,104,81,53,64),
(6,3,52,1723,2050,54,106,82,54,65),
(6,3,53,1780,2095,55,108,84,55,66),
(6,3,54,1838,2140,56,110,85,56,67),
(6,3,55,1897,2185,57,112,87,57,68),
(6,3,56,1957,2230,57,114,88,58,69),
(6,3,57,2018,2275,58,117,90,59,70),
(6,3,58,2080,2320,59,119,91,60,71),
(6,3,59,2143,2365,60,121,93,61,72),
(6,3,60,2207,2410,61,123,94,62,74),
(6,3,61,2393,2591,61,125,96,63,75),
(6,3,62,2588,2772,62,128,97,64,76),
(6,3,63,2792,2953,63,130,99,65,77),
(6,3,64,3005,3134,64,132,100,66,78),
(6,3,65,3227,3330,65,134,102,67,79),
(6,3,66,3459,3511,66,137,104,68,80),
(6,3,67,3701,3692,66,139,105,69,81),
(6,3,68,3953,3873,67,141,107,70,83),
(6,3,69,4215,4054,68,144,108,71,84),
(6,3,70,4488,4250,69,146,110,72,85),
(6,7,1,77,71,26,15,23,16,24),
(6,7,2,94,92,27,15,24,17,25),
(6,7,3,111,114,28,16,25,18,26),
(6,7,4,128,137,28,16,26,19,27),
(6,7,5,145,161,29,17,27,20,28),
(6,7,6,162,186,30,17,28,21,29),
(6,7,7,179,212,31,18,29,22,30),
(6,7,8,196,239,32,18,30,23,31),
(6,7,9,213,267,33,19,31,24,32),
(6,7,10,230,296,34,19,32,25,33),
(6,7,11,247,326,35,20,33,26,35),
(6,7,12,264,357,35,20,34,27,36),
(6,7,13,281,389,36,21,35,28,37),
(6,7,14,298,422,37,21,36,29,38),
(6,7,15,315,456,38,22,37,30,39),
(6,7,16,332,491,39,22,39,31,40),
(6,7,17,350,527,40,23,40,32,42),
(6,7,18,369,564,41,23,41,33,43),
(6,7,19,389,602,42,24,42,34,44),
(6,7,20,410,641,43,24,43,35,45),
(6,7,21,432,681,44,25,44,36,46),
(6,7,22,455,722,45,25,45,37,48),
(6,7,23,479,764,46,26,47,38,49),
(6,7,24,504,807,47,27,48,40,50),
(6,7,25,530,851,48,27,49,41,51),
(6,7,26,557,896,49,28,50,42,53),
(6,7,27,585,942,51,28,52,43,54),
(6,7,28,614,989,52,29,53,44,55),
(6,7,29,644,1037,53,29,54,45,57),
(6,7,30,675,1086,54,30,55,47,58),
(6,7,31,707,1136,55,31,57,48,59),
(6,7,32,740,1187,56,31,58,49,61),
(6,7,33,774,1238,57,32,59,50,62),
(6,7,34,809,1289,58,33,61,51,64),
(6,7,35,845,1340,60,33,62,53,65),
(6,7,36,882,1391,61,34,63,54,66),
(6,7,37,920,1442,62,34,65,55,68),
(6,7,38,959,1493,63,35,66,57,69),
(6,7,39,999,1544,64,36,67,58,71),
(6,7,40,1040,1595,66,36,69,59,72),
(6,7,41,1082,1646,67,37,70,60,74),
(6,7,42,1125,1697,68,38,72,62,75),
(6,7,43,1169,1748,69,38,73,63,77),
(6,7,44,1214,1799,70,39,74,64,78),
(6,7,45,1260,1850,72,40,76,66,80),
(6,7,46,1307,1901,73,41,77,67,81),
(6,7,47,1355,1952,74,41,79,69,83),
(6,7,48,1404,2003,76,42,80,70,84),
(6,7,49,1454,2054,77,43,82,71,86),
(6,7,50,1505,2105,78,43,83,73,88),
(6,7,51,1557,2156,80,44,85,74,89),
(6,7,52,1610,2207,81,45,86,76,91),
(6,7,53,1664,2258,82,46,88,77,92),
(6,7,54,1719,2309,84,46,90,78,94),
(6,7,55,1775,2360,85,47,91,80,96),
(6,7,56,1832,2411,86,48,93,81,97),
(6,7,57,1890,2462,88,49,94,83,99),
(6,7,58,1949,2513,89,49,96,84,101),
(6,7,59,2009,2564,91,50,97,86,102),
(6,7,60,2070,2615,92,51,99,87,104),
(6,7,61,2238,2774,94,52,101,89,106),
(6,7,62,2414,2933,95,52,102,90,108),
(6,7,63,2598,3107,96,53,104,92,109),
(6,7,64,2790,3266,98,54,106,93,111),
(6,7,65,2991,3425,99,55,107,95,113),
(6,7,66,3201,3599,101,56,109,97,115),
(6,7,67,3421,3758,102,57,111,98,117),
(6,7,68,3651,3917,104,57,113,100,118),
(6,7,69,3891,4091,105,58,114,101,120),
(6,7,70,4141,4250,107,59,116,103,122),
(6,11,1,74,67,26,15,22,17,24),
(6,11,2,91,89,27,16,23,18,25),
(6,11,3,108,112,27,16,23,19,26),
(6,11,4,125,136,28,17,24,20,27),
(6,11,5,142,161,28,17,25,21,29),
(6,11,6,159,187,29,18,25,22,30),
(6,11,7,176,214,29,18,26,23,31),
(6,11,8,193,242,30,19,27,24,32),
(6,11,9,210,271,30,19,27,26,34),
(6,11,10,227,301,31,20,28,27,35),
(6,11,11,244,332,32,20,29,28,36),
(6,11,12,261,364,32,21,29,29,37),
(6,11,13,278,397,33,21,30,30,39),
(6,11,14,295,431,33,22,31,31,40),
(6,11,15,312,466,34,23,32,32,41),
(6,11,16,329,502,35,23,32,34,43),
(6,11,17,346,539,35,24,33,35,44),
(6,11,18,364,577,36,24,34,36,45),
(6,11,19,383,616,37,25,35,37,47),
(6,11,20,403,656,37,26,35,39,48),
(6,11,21,424,697,38,26,36,40,50),
(6,11,22,446,739,39,27,37,41,51),
(6,11,23,469,782,39,28,38,42,52),
(6,11,24,493,826,40,28,39,44,54),
(6,11,25,518,871,41,29,39,45,55),
(6,11,26,544,916,41,30,40,46,57),
(6,11,27,571,961,42,30,41,47,58),
(6,11,28,599,1006,43,31,42,49,60),
(6,11,29,628,1051,44,32,43,50,61),
(6,11,30,658,1096,44,32,44,52,63),
(6,11,31,689,1141,45,33,44,53,64),
(6,11,32,721,1186,46,34,45,54,66),
(6,11,33,754,1231,47,34,46,56,67),
(6,11,34,788,1276,47,35,47,57,69),
(6,11,35,823,1321,48,36,48,58,71),
(6,11,36,859,1366,49,36,49,60,72),
(6,11,37,896,1411,50,37,50,61,74),
(6,11,38,934,1456,51,38,51,63,76),
(6,11,39,973,1501,52,39,52,64,77),
(6,11,40,1013,1546,52,39,53,66,79),
(6,11,41,1054,1591,53,40,54,67,81),
(6,11,42,1096,1636,54,41,55,69,82),
(6,11,43,1139,1681,55,42,56,70,84),
(6,11,44,1183,1726,56,43,57,72,86),
(6,11,45,1228,1771,57,43,57,73,87),
(6,11,46,1274,1816,57,44,58,75,89),
(6,11,47,1321,1861,58,45,60,76,91),
(6,11,48,1369,1906,59,46,61,78,93),
(6,11,49,1418,1951,60,47,62,79,94),
(6,11,50,1468,1996,61,47,63,81,96),
(6,11,51,1519,2041,62,48,64,83,98),
(6,11,52,1571,2086,63,49,65,84,100),
(6,11,53,1624,2131,64,50,66,86,102),
(6,11,54,1678,2176,65,51,67,87,104),
(6,11,55,1733,2221,66,51,68,89,105),
(6,11,56,1789,2266,67,52,69,91,107),
(6,11,57,1846,2311,68,53,70,92,109),
(6,11,58,1904,2356,69,54,71,94,111),
(6,11,59,1963,2401,70,55,72,96,113),
(6,11,60,2023,2446,71,56,73,97,115),
(6,11,61,2198,2574,72,57,74,99,117),
(6,11,62,2384,2717,73,58,76,101,119),
(6,11,63,2581,2860,74,59,77,103,121),
(6,11,64,2789,3003,75,59,78,104,123),
(6,11,65,3008,3146,76,60,79,106,125),
(6,11,66,3238,3289,77,61,80,108,127),
(6,11,67,3480,3432,78,62,81,110,129),
(6,11,68,3734,3575,79,63,83,111,131),
(6,11,69,4000,3718,80,64,84,113,133),
(6,11,70,4278,3861,81,65,85,115,135),
(7,1,1,50,0,18,23,21,24,20),
(7,1,2,69,0,19,24,22,24,20),
(7,1,3,88,0,21,25,23,24,21),
(7,1,4,107,0,22,25,25,24,21),
(7,1,5,126,0,23,26,26,24,21),
(7,1,6,145,0,25,27,27,24,21),
(7,1,7,164,0,26,28,28,24,22),
(7,1,8,183,0,27,29,29,25,22),
(7,1,9,202,0,29,29,31,25,22),
(7,1,10,221,0,30,30,32,25,23),
(7,1,11,240,0,32,31,33,25,23),
(7,1,12,259,0,33,32,34,25,23),
(7,1,13,278,0,34,33,36,25,24),
(7,1,14,298,0,36,34,37,25,24),
(7,1,15,319,0,37,35,38,25,24),
(7,1,16,341,0,39,36,40,25,25),
(7,1,17,364,0,40,36,41,25,25),
(7,1,18,388,0,42,37,43,26,25),
(7,1,19,413,0,43,38,44,26,26),
(7,1,20,439,0,45,39,45,26,26),
(7,1,21,466,0,47,40,47,26,26),
(7,1,22,494,0,48,41,48,26,27),
(7,1,23,523,0,50,42,50,26,27),
(7,1,24,553,0,51,43,51,26,28),
(7,1,25,584,0,53,44,52,27,28),
(7,1,26,616,0,55,45,54,27,28),
(7,1,27,649,0,56,46,55,27,29),
(7,1,28,683,0,58,47,57,27,29),
(7,1,29,718,0,59,48,58,27,30),
(7,1,30,754,0,61,49,60,27,30),
(7,1,31,791,0,63,50,62,27,30),
(7,1,32,829,0,65,51,63,28,31),
(7,1,33,868,0,66,52,65,28,31),
(7,1,34,908,0,68,53,66,28,32),
(7,1,35,949,0,70,55,68,28,32),
(7,1,36,991,0,72,56,69,28,33),
(7,1,37,1035,0,73,57,71,29,33),
(7,1,38,1081,0,75,58,73,29,34),
(7,1,39,1129,0,77,59,74,29,34),
(7,1,40,1179,0,79,60,76,29,35),
(7,1,41,1231,0,81,61,78,29,35),
(7,1,42,1285,0,82,62,79,30,35),
(7,1,43,1341,0,84,64,81,30,36),
(7,1,44,1399,0,86,65,83,30,36),
(7,1,45,1459,0,88,66,85,30,37),
(7,1,46,1521,0,90,67,86,30,37),
(7,1,47,1585,0,92,68,88,31,38),
(7,1,48,1651,0,94,70,90,31,38),
(7,1,49,1719,0,96,71,92,31,39),
(7,1,50,1789,0,98,72,93,31,40),
(7,1,51,1861,0,100,73,95,32,40),
(7,1,52,1935,0,102,75,97,32,41),
(7,1,53,2011,0,104,76,99,32,41),
(7,1,54,2089,0,106,77,101,32,42),
(7,1,55,2169,0,108,78,103,33,42),
(7,1,56,2251,0,110,80,104,33,43),
(7,1,57,2335,0,112,81,106,33,43),
(7,1,58,2421,0,114,82,108,33,44),
(7,1,59,2509,0,116,84,110,34,44),
(7,1,60,2599,0,118,85,112,34,45),
(7,1,61,2832,0,120,86,114,34,46),
(7,1,62,3079,0,122,88,116,35,46),
(7,1,63,3340,0,125,89,118,35,47),
(7,1,64,3615,0,127,91,120,35,47),
(7,1,65,3905,0,129,92,122,35,48),
(7,1,66,4210,0,131,93,124,36,49),
(7,1,67,4530,0,133,95,126,36,49),
(7,1,68,4866,0,136,96,128,36,50),
(7,1,69,5218,0,138,98,130,37,50),
(7,1,70,5586,0,140,99,132,37,51),
(7,4,1,45,0,16,26,20,24,20),
(7,4,2,62,0,17,27,21,24,20),
(7,4,3,79,0,18,29,21,24,21),
(7,4,4,96,0,18,30,22,24,21),
(7,4,5,113,0,19,32,23,25,21),
(7,4,6,130,0,20,33,24,25,22),
(7,4,7,147,0,21,35,24,25,22),
(7,4,8,164,0,22,36,25,25,23),
(7,4,9,181,0,22,38,26,25,23),
(7,4,10,198,0,23,39,26,25,23),
(7,4,11,215,0,24,41,27,25,24),
(7,4,12,232,0,25,42,28,26,24),
(7,4,13,249,0,26,44,29,26,25),
(7,4,14,266,0,27,46,30,26,25),
(7,4,15,283,0,28,47,30,26,25),
(7,4,16,301,0,28,49,31,26,26),
(7,4,17,320,0,29,50,32,27,26),
(7,4,18,340,0,30,52,33,27,27),
(7,4,19,361,0,31,54,34,27,27),
(7,4,20,383,0,32,56,35,27,28),
(7,4,21,406,0,33,57,35,27,28),
(7,4,22,430,0,34,59,36,28,29),
(7,4,23,455,0,35,61,37,28,29),
(7,4,24,481,0,36,62,38,28,30),
(7,4,25,508,0,37,64,39,28,30),
(7,4,26,536,0,38,66,40,29,31),
(7,4,27,565,0,39,68,41,29,31),
(7,4,28,595,0,40,70,42,29,32),
(7,4,29,626,0,41,72,43,29,32),
(7,4,30,658,0,42,73,43,29,33),
(7,4,31,691,0,43,75,44,30,33),
(7,4,32,725,0,44,77,45,30,34),
(7,4,33,760,0,45,79,46,30,34),
(7,4,34,796,0,46,81,47,31,35),
(7,4,35,833,0,47,83,48,31,35),
(7,4,36,871,0,48,85,49,31,36),
(7,4,37,910,0,49,87,50,31,36),
(7,4,38,950,0,50,89,51,32,37),
(7,4,39,991,0,51,91,52,32,38),
(7,4,40,1033,0,53,93,53,32,38),
(7,4,41,1076,0,54,95,54,33,39),
(7,4,42,1120,0,55,97,55,33,39),
(7,4,43,1165,0,56,99,56,33,40),
(7,4,44,1211,0,57,101,57,33,40),
(7,4,45,1258,0,58,103,59,34,41),
(7,4,46,1306,0,59,105,60,34,42),
(7,4,47,1355,0,61,107,61,34,42),
(7,4,48,1405,0,62,110,62,35,43),
(7,4,49,1456,0,63,112,63,35,44),
(7,4,50,1508,0,64,114,64,35,44),
(7,4,51,1561,0,65,116,65,36,45),
(7,4,52,1615,0,67,118,66,36,45),
(7,4,53,1670,0,68,121,67,36,46),
(7,4,54,1726,0,69,123,69,37,47),
(7,4,55,1783,0,70,125,70,37,47),
(7,4,56,1841,0,72,127,71,37,48),
(7,4,57,1900,0,73,130,72,38,49),
(7,4,58,1960,0,74,132,73,38,49),
(7,4,59,2021,0,75,134,74,39,50),
(7,4,60,2083,0,77,137,76,39,51),
(7,4,61,2272,0,78,139,77,39,51),
(7,4,62,2470,0,79,141,78,40,52),
(7,4,63,2677,0,81,144,79,40,53),
(7,4,64,2893,0,82,146,80,41,54),
(7,4,65,3119,0,83,149,82,41,54),
(7,4,66,3355,0,85,151,83,41,55),
(7,4,67,3601,0,86,154,84,42,56),
(7,4,68,3858,0,87,156,85,42,57),
(7,4,69,4126,0,89,158,87,43,57),
(7,4,70,4405,0,90,161,88,43,58),
(7,8,1,51,225,15,23,19,27,22),
(7,8,2,66,250,15,23,19,28,23),
(7,8,3,81,276,15,23,20,30,25),
(7,8,4,96,303,15,23,20,31,26),
(7,8,5,111,331,15,24,20,32,27),
(7,8,6,126,360,15,24,20,34,29),
(7,8,7,141,390,16,24,21,35,30),
(7,8,8,156,421,16,24,21,37,31),
(7,8,9,171,453,16,24,21,38,33),
(7,8,10,186,486,16,24,22,40,34),
(7,8,11,201,520,16,25,22,41,36),
(7,8,12,216,555,16,25,22,42,37),
(7,8,13,231,591,16,25,23,44,38),
(7,8,14,246,628,16,25,23,45,40),
(7,8,15,261,666,17,25,23,47,41),
(7,8,16,276,705,17,25,24,49,43),
(7,8,17,291,745,17,26,24,50,44),
(7,8,18,306,786,17,26,24,52,46),
(7,8,19,321,828,17,26,25,53,47),
(7,8,20,336,871,17,26,25,55,49),
(7,8,21,351,915,17,26,26,57,51),
(7,8,22,366,960,18,27,26,58,52),
(7,8,23,381,1006,18,27,26,60,54),
(7,8,24,397,1053,18,27,27,61,55),
(7,8,25,414,1101,18,27,27,63,57),
(7,8,26,432,1150,18,28,27,65,59),
(7,8,27,451,1200,18,28,28,67,60),
(7,8,28,471,1251,18,28,28,68,62),
(7,8,29,492,1302,19,28,29,70,64),
(7,8,30,514,1353,19,29,29,72,65),
(7,8,31,537,1404,19,29,30,74,67),
(7,8,32,561,1455,19,29,30,75,69),
(7,8,33,586,1506,19,29,30,77,70),
(7,8,34,612,1557,20,30,31,79,72),
(7,8,35,639,1608,20,30,31,81,74),
(7,8,36,667,1659,20,30,32,83,76),
(7,8,37,696,1710,20,30,32,85,78),
(7,8,38,726,1761,20,31,33,86,79),
(7,8,39,757,1812,21,31,33,88,81),
(7,8,40,789,1863,21,31,34,90,83),
(7,8,41,822,1914,21,32,34,92,85),
(7,8,42,856,1965,21,32,35,94,87),
(7,8,43,891,2016,21,32,35,96,89),
(7,8,44,927,2067,22,32,36,98,91),
(7,8,45,964,2118,22,33,36,100,92),
(7,8,46,1002,2169,22,33,37,102,94),
(7,8,47,1041,2220,22,33,37,104,96),
(7,8,48,1081,2271,22,34,38,106,98),
(7,8,49,1122,2322,23,34,38,108,100),
(7,8,50,1164,2373,23,34,39,110,102),
(7,8,51,1207,2424,23,35,39,112,104),
(7,8,52,1251,2475,23,35,40,114,106),
(7,8,53,1296,2526,24,35,40,117,108),
(7,8,54,1342,2577,24,36,41,119,110),
(7,8,55,1389,2628,24,36,41,121,112),
(7,8,56,1437,2679,24,37,42,123,114),
(7,8,57,1486,2730,25,37,42,125,117),
(7,8,58,1536,2781,25,37,43,127,119),
(7,8,59,1587,2832,25,38,43,130,121),
(7,8,60,1639,2883,25,38,44,132,123),
(7,8,61,1805,3016,26,38,45,134,125),
(7,8,62,1980,3164,26,39,45,136,127),
(7,8,63,2164,3297,26,39,46,139,129),
(7,8,64,2357,3445,26,40,46,141,132),
(7,8,65,2559,3578,27,40,47,143,134),
(7,8,66,2771,3726,27,40,48,146,136),
(7,8,67,2993,3859,27,41,48,148,138),
(7,8,68,3225,4007,27,41,49,150,140),
(7,8,69,3468,4140,28,42,49,153,143),
(7,8,70,3722,4288,28,42,50,155,145),
(7,9,1,43,200,15,23,20,26,22),
(7,9,2,58,223,15,23,21,27,23),
(7,9,3,73,247,16,24,21,28,24),
(7,9,4,88,272,16,24,22,29,25),
(7,9,5,103,298,16,24,22,31,27),
(7,9,6,118,325,17,25,23,32,28),
(7,9,7,133,353,17,25,23,33,29),
(7,9,8,148,382,17,26,24,34,30),
(7,9,9,163,412,17,26,25,36,31),
(7,9,10,178,443,18,26,25,37,33),
(7,9,11,193,475,18,27,26,38,34),
(7,9,12,208,508,18,27,26,39,35),
(7,9,13,223,542,19,28,27,41,36),
(7,9,14,238,577,19,28,28,42,38),
(7,9,15,253,613,20,28,28,43,39),
(7,9,16,268,650,20,29,29,45,40),
(7,9,17,283,688,20,29,30,46,42),
(7,9,18,299,727,21,30,30,47,43),
(7,9,19,316,767,21,30,31,49,44),
(7,9,20,334,808,21,31,32,50,46),
(7,9,21,353,850,22,31,32,51,47),
(7,9,22,373,893,22,31,33,53,49),
(7,9,23,394,937,23,32,34,54,50),
(7,9,24,416,982,23,32,34,56,51),
(7,9,25,439,1028,23,33,35,57,53),
(7,9,26,463,1075,24,33,36,59,54),
(7,9,27,488,1123,24,34,37,60,56),
(7,9,28,514,1172,25,34,37,62,57),
(7,9,29,541,1222,25,35,38,63,59),
(7,9,30,569,1273,25,35,39,65,60),
(7,9,31,598,1324,26,36,40,66,62),
(7,9,32,628,1375,26,36,40,68,63),
(7,9,33,659,1426,27,37,41,69,65),
(7,9,34,691,1477,27,38,42,71,66),
(7,9,35,724,1528,28,38,43,73,68),
(7,9,36,758,1579,28,39,43,74,69),
(7,9,37,793,1630,28,39,44,76,71),
(7,9,38,829,1681,29,40,45,77,73),
(7,9,39,866,1732,29,40,46,79,74),
(7,9,40,904,1783,30,41,47,81,76),
(7,9,41,943,1834,30,41,48,82,78),
(7,9,42,983,1885,31,42,48,84,79),
(7,9,43,1024,1936,31,43,49,86,81),
(7,9,44,1066,1987,32,43,50,88,83),
(7,9,45,1109,2038,32,44,51,89,84),
(7,9,46,1153,2089,33,44,52,91,86),
(7,9,47,1198,2140,33,45,53,93,88),
(7,9,48,1244,2191,34,46,54,95,89),
(7,9,49,1291,2242,34,46,54,96,91),
(7,9,50,1339,2293,35,47,55,98,93),
(7,9,51,1388,2344,35,48,56,100,95),
(7,9,52,1438,2395,36,48,57,102,97),
(7,9,53,1489,2446,36,49,58,104,98),
(7,9,54,1541,2497,37,50,59,105,100),
(7,9,55,1594,2548,37,50,60,107,102),
(7,9,56,1648,2599,38,51,61,109,104),
(7,9,57,1703,2650,38,52,62,111,106),
(7,9,58,1759,2701,39,52,63,113,108),
(7,9,59,1816,2752,40,53,64,115,109),
(7,9,60,1874,2803,40,54,65,117,111),
(7,9,61,2050,2957,41,54,66,119,113),
(7,9,62,2235,3111,41,55,67,121,115),
(7,9,63,2429,3280,42,56,68,123,117),
(7,9,64,2632,3434,42,57,69,125,119),
(7,9,65,2844,3588,43,57,70,127,121),
(7,9,66,3066,3757,44,58,71,129,123),
(7,9,67,3298,3911,44,59,72,131,125),
(7,9,68,3541,4065,45,59,73,133,127),
(7,9,69,3795,4234,45,60,74,135,129),
(7,9,70,4060,4388,46,61,75,137,131),
(8,1,1,70,0,24,22,23,16,21),
(8,1,2,89,0,25,23,24,16,21),
(8,1,3,108,0,27,24,25,16,22),
(8,1,4,127,0,28,24,26,16,22),
(8,1,5,146,0,29,25,28,16,22),
(8,1,6,165,0,31,26,29,16,22),
(8,1,7,184,0,32,27,30,17,23),
(8,1,8,203,0,33,28,31,17,23),
(8,1,9,222,0,35,28,33,17,23),
(8,1,10,241,0,36,29,34,17,24),
(8,1,11,260,0,37,30,35,17,24),
(8,1,12,279,0,39,31,36,17,24),
(8,1,13,298,0,40,32,38,17,25),
(8,1,14,318,0,42,33,39,17,25),
(8,1,15,339,0,43,34,40,18,25),
(8,1,16,361,0,45,35,42,18,26),
(8,1,17,384,0,46,35,43,18,26),
(8,1,18,408,0,48,36,44,18,26),
(8,1,19,433,0,49,37,46,18,27),
(8,1,20,459,0,51,38,47,18,27),
(8,1,21,486,0,52,39,49,18,27),
(8,1,22,514,0,54,40,50,18,28),
(8,1,23,543,0,55,41,51,19,28),
(8,1,24,573,0,57,42,53,19,29),
(8,1,25,604,0,59,43,54,19,29),
(8,1,26,636,0,60,44,56,19,29),
(8,1,27,669,0,62,45,57,19,30),
(8,1,28,703,0,63,46,59,19,30),
(8,1,29,738,0,65,47,60,20,31),
(8,1,30,774,0,67,48,62,20,31),
(8,1,31,811,0,69,49,63,20,31),
(8,1,32,849,0,70,50,65,20,32),
(8,1,33,888,0,72,51,67,20,32),
(8,1,34,928,0,74,53,68,20,33),
(8,1,35,969,0,75,54,70,21,33),
(8,1,36,1011,0,77,55,71,21,34),
(8,1,37,1055,0,79,56,73,21,34),
(8,1,38,1101,0,81,57,75,21,35),
(8,1,39,1149,0,83,58,76,21,35),
(8,1,40,1199,0,84,59,78,22,35),
(8,1,41,1251,0,86,60,80,22,36),
(8,1,42,1305,0,88,62,81,22,36),
(8,1,43,1361,0,90,63,83,22,37),
(8,1,44,1419,0,92,64,85,22,37),
(8,1,45,1479,0,94,65,86,23,38),
(8,1,46,1541,0,96,66,88,23,38),
(8,1,47,1605,0,98,67,90,23,39),
(8,1,48,1671,0,100,69,92,23,39),
(8,1,49,1739,0,102,70,93,24,40),
(8,1,50,1809,0,103,71,95,24,40),
(8,1,51,1881,0,105,72,97,24,41),
(8,1,52,1955,0,107,74,99,24,42),
(8,1,53,2031,0,109,75,101,25,42),
(8,1,54,2109,0,112,76,103,25,43),
(8,1,55,2189,0,114,78,104,25,43),
(8,1,56,2271,0,116,79,106,25,44),
(8,1,57,2355,0,118,80,108,25,44),
(8,1,58,2441,0,120,81,110,26,45),
(8,1,59,2529,0,122,83,112,26,45),
(8,1,60,2619,0,124,84,114,26,46),
(8,1,61,2852,0,126,85,116,27,47),
(8,1,62,3099,0,128,87,118,27,47),
(8,1,63,3360,0,130,88,120,27,48),
(8,1,64,3635,0,133,90,122,27,48),
(8,1,65,3925,0,135,91,124,28,49),
(8,1,66,4230,0,137,92,126,28,50),
(8,1,67,4550,0,139,94,128,28,50),
(8,1,68,4886,0,141,95,130,28,51),
(8,1,69,5238,0,144,97,132,29,51),
(8,1,70,5606,0,146,98,134,29,52),
(8,3,1,66,81,21,25,22,16,22),
(8,3,2,83,101,21,26,23,17,23),
(8,3,3,100,122,22,28,24,17,23),
(8,3,4,117,144,22,29,25,18,24),
(8,3,5,134,167,23,30,26,18,25),
(8,3,6,151,191,23,32,27,19,25),
(8,3,7,168,216,24,33,28,20,26),
(8,3,8,185,242,24,35,28,20,26),
(8,3,9,202,269,25,36,29,21,27),
(8,3,10,219,297,25,38,30,21,28),
(8,3,11,236,326,25,39,31,22,29),
(8,3,12,253,356,26,41,32,23,29),
(8,3,13,270,387,26,42,33,23,30),
(8,3,14,288,419,27,44,34,24,31),
(8,3,15,307,452,27,45,35,25,31),
(8,3,16,327,486,28,47,36,25,32),
(8,3,17,348,521,28,48,38,26,33),
(8,3,18,370,557,29,50,39,27,34),
(8,3,19,393,594,29,51,40,28,34),
(8,3,20,417,632,30,53,41,28,35),
(8,3,21,442,671,31,55,42,29,36),
(8,3,22,468,711,31,56,43,30,37),
(8,3,23,495,752,32,58,44,30,37),
(8,3,24,523,794,32,60,45,31,38),
(8,3,25,552,837,33,61,46,32,39),
(8,3,26,582,881,33,63,48,33,40),
(8,3,27,613,926,34,65,49,33,41),
(8,3,28,645,971,35,66,50,34,41),
(8,3,29,678,1016,35,68,51,35,42),
(8,3,30,712,1061,36,70,52,36,43),
(8,3,31,747,1106,36,72,53,37,44),
(8,3,32,783,1151,37,73,55,37,45),
(8,3,33,820,1196,38,75,56,38,46),
(8,3,34,858,1241,38,77,57,39,47),
(8,3,35,897,1286,39,79,58,40,48),
(8,3,36,937,1331,39,81,60,41,48),
(8,3,37,978,1376,40,83,61,41,49),
(8,3,38,1020,1421,41,85,62,42,50),
(8,3,39,1063,1466,41,86,63,43,51),
(8,3,40,1107,1511,42,88,65,44,52),
(8,3,41,1152,1556,43,90,66,45,53),
(8,3,42,1198,1601,43,92,67,46,54),
(8,3,43,1245,1646,44,94,69,47,55),
(8,3,44,1293,1691,45,96,70,47,56),
(8,3,45,1342,1736,45,98,71,48,57),
(8,3,46,1392,1781,46,100,73,49,58),
(8,3,47,1443,1826,47,102,74,50,59),
(8,3,48,1495,1871,48,104,76,51,60),
(8,3,49,1548,1916,48,106,77,52,61),
(8,3,50,1602,1961,49,108,78,53,62),
(8,3,51,1657,2006,50,110,80,54,63),
(8,3,52,1713,2051,51,113,81,55,64),
(8,3,53,1770,2096,51,115,83,56,65),
(8,3,54,1828,2141,52,117,84,57,66),
(8,3,55,1887,2186,53,119,86,58,67),
(8,3,56,1947,2231,54,121,87,59,68),
(8,3,57,2008,2276,54,123,89,60,69),
(8,3,58,2070,2321,55,126,90,61,70),
(8,3,59,2133,2366,56,128,92,62,71),
(8,3,60,2197,2411,57,130,93,63,73),
(8,3,61,2383,2592,58,132,95,64,74),
(8,3,62,2578,2773,58,134,96,65,75),
(8,3,63,2782,2954,59,137,98,66,76),
(8,3,64,2995,3135,60,139,99,67,77),
(8,3,65,3217,3331,61,141,101,68,78),
(8,3,66,3449,3512,62,144,103,69,79),
(8,3,67,3691,3693,62,146,104,70,80),
(8,3,68,3943,3874,63,148,106,71,82),
(8,3,69,4205,4055,64,151,107,72,83),
(8,3,70,4478,4251,65,153,109,73,84),
(8,4,1,65,0,22,25,22,16,21),
(8,4,2,82,0,23,26,23,16,21),
(8,4,3,99,0,24,28,23,16,22),
(8,4,4,116,0,24,29,24,16,22),
(8,4,5,133,0,25,31,25,17,22),
(8,4,6,150,0,26,32,25,17,23),
(8,4,7,167,0,27,34,26,17,23),
(8,4,8,184,0,27,35,27,17,24),
(8,4,9,201,0,28,37,28,17,24),
(8,4,10,218,0,29,38,28,18,24),
(8,4,11,235,0,30,40,29,18,25),
(8,4,12,252,0,31,41,30,18,25),
(8,4,13,269,0,32,43,31,18,26),
(8,4,14,286,0,32,45,32,18,26),
(8,4,15,303,0,33,46,32,19,26),
(8,4,16,321,0,34,48,33,19,27),
(8,4,17,340,0,35,50,34,19,27),
(8,4,18,360,0,36,51,35,19,28),
(8,4,19,381,0,37,53,36,19,28),
(8,4,20,403,0,38,55,36,20,29),
(8,4,21,426,0,39,56,37,20,29),
(8,4,22,450,0,40,58,38,20,30),
(8,4,23,475,0,41,60,39,20,30),
(8,4,24,501,0,42,62,40,20,31),
(8,4,25,528,0,43,63,41,21,31),
(8,4,26,556,0,44,65,42,21,32),
(8,4,27,585,0,45,67,43,21,32),
(8,4,28,615,0,46,69,44,21,33),
(8,4,29,646,0,47,71,44,22,33),
(8,4,30,678,0,48,72,45,22,34),
(8,4,31,711,0,49,74,46,22,34),
(8,4,32,745,0,50,76,47,22,35),
(8,4,33,780,0,51,78,48,23,35),
(8,4,34,816,0,52,80,49,23,36),
(8,4,35,853,0,53,82,50,23,36),
(8,4,36,891,0,54,84,51,24,37),
(8,4,37,930,0,55,86,52,24,37),
(8,4,38,970,0,56,88,53,24,38),
(8,4,39,1011,0,57,90,54,24,38),
(8,4,40,1053,0,58,92,55,25,39),
(8,4,41,1096,0,59,94,56,25,40),
(8,4,42,1140,0,60,96,57,25,40),
(8,4,43,1185,0,62,98,58,26,41),
(8,4,44,1231,0,63,100,59,26,41),
(8,4,45,1278,0,64,102,60,26,42),
(8,4,46,1326,0,65,104,61,27,43),
(8,4,47,1375,0,66,107,63,27,43),
(8,4,48,1425,0,67,109,64,27,44),
(8,4,49,1476,0,69,111,65,27,44),
(8,4,50,1528,0,70,113,66,28,45),
(8,4,51,1581,0,71,115,67,28,46),
(8,4,52,1635,0,72,117,68,28,46),
(8,4,53,1690,0,74,120,69,29,47),
(8,4,54,1746,0,75,122,70,29,48),
(8,4,55,1803,0,76,124,72,29,48),
(8,4,56,1861,0,77,126,73,30,49),
(8,4,57,1920,0,79,129,74,30,50),
(8,4,58,1980,0,80,131,75,30,50),
(8,4,59,2041,0,81,133,76,31,51),
(8,4,60,2103,0,82,136,77,31,52),
(8,4,61,2292,0,84,138,79,32,52),
(8,4,62,2490,0,85,140,80,32,53),
(8,4,63,2697,0,86,143,81,32,54),
(8,4,64,2913,0,88,145,82,33,55),
(8,4,65,3139,0,89,148,84,33,55),
(8,4,66,3375,0,90,150,85,33,56),
(8,4,67,3621,0,92,153,86,34,57),
(8,4,68,3878,0,93,155,87,34,58),
(8,4,69,4146,0,95,157,89,35,58),
(8,4,70,4425,0,96,160,90,35,59),
(8,5,1,62,128,21,22,21,18,24),
(8,5,2,77,152,21,22,21,19,25),
(8,5,3,92,177,21,22,22,21,27),
(8,5,4,107,203,21,23,22,22,28),
(8,5,5,122,230,22,23,22,23,29),
(8,5,6,137,258,22,23,23,25,31),
(8,5,7,152,287,22,23,23,26,32),
(8,5,8,167,317,22,24,24,27,34),
(8,5,9,182,348,22,24,24,29,35),
(8,5,10,197,380,22,24,24,30,37),
(8,5,11,212,413,23,24,25,32,38),
(8,5,12,227,447,23,24,25,33,40),
(8,5,13,242,482,23,25,26,35,41),
(8,5,14,257,518,23,25,26,36,43),
(8,5,15,272,555,23,25,26,38,44),
(8,5,16,287,593,24,26,27,39,46),
(8,5,17,302,632,24,26,27,41,47),
(8,5,18,317,672,24,26,28,42,49),
(8,5,19,332,713,24,26,28,44,50),
(8,5,20,347,755,24,27,29,45,52),
(8,5,21,362,798,25,27,29,47,54),
(8,5,22,378,842,25,27,30,48,55),
(8,5,23,395,887,25,28,30,50,57),
(8,5,24,413,933,25,28,31,52,59),
(8,5,25,432,980,25,28,31,53,60),
(8,5,26,452,1028,26,28,32,55,62),
(8,5,27,473,1077,26,29,32,56,64),
(8,5,28,495,1127,26,29,33,58,65),
(8,5,29,518,1178,26,29,33,60,67),
(8,5,30,542,1230,27,30,34,62,69),
(8,5,31,567,1283,27,30,34,63,71),
(8,5,32,593,1337,27,30,35,65,73),
(8,5,33,620,1391,27,31,35,67,74),
(8,5,34,648,1445,28,31,36,68,76),
(8,5,35,677,1499,28,32,36,70,78),
(8,5,36,707,1553,28,32,37,72,80),
(8,5,37,738,1607,29,32,37,74,82),
(8,5,38,770,1661,29,33,38,76,84),
(8,5,39,803,1715,29,33,38,77,86),
(8,5,40,837,1769,29,33,39,79,87),
(8,5,41,872,1823,30,34,40,81,89),
(8,5,42,908,1877,30,34,40,83,91),
(8,5,43,945,1931,30,35,41,85,93),
(8,5,44,983,1985,31,35,41,87,95),
(8,5,45,1022,2039,31,35,42,89,97),
(8,5,46,1062,2093,31,36,43,91,99),
(8,5,47,1103,2147,32,36,43,93,101),
(8,5,48,1145,2201,32,37,44,94,103),
(8,5,49,1188,2255,32,37,44,96,105),
(8,5,50,1232,2309,33,37,45,98,107),
(8,5,51,1277,2363,33,38,46,100,110),
(8,5,52,1323,2417,33,38,46,102,112),
(8,5,53,1370,2471,34,39,47,104,114),
(8,5,54,1418,2525,34,39,48,106,116),
(8,5,55,1467,2579,34,40,48,109,118),
(8,5,56,1517,2633,35,40,49,111,120),
(8,5,57,1568,2687,35,41,50,113,122),
(8,5,58,1620,2741,35,41,50,115,125),
(8,5,59,1673,2795,36,42,51,117,127),
(8,5,60,1727,2849,36,42,52,119,129),
(8,5,61,1897,3018,36,42,52,121,131),
(8,5,62,2075,3172,37,43,53,123,133),
(8,5,63,2261,3341,37,43,54,125,136),
(8,5,64,2455,3495,38,44,55,128,138),
(8,5,65,2657,3664,38,44,55,130,140),
(8,5,66,2868,3818,38,45,56,132,143),
(8,5,67,3088,3987,39,45,57,134,145),
(8,5,68,3317,4141,39,46,58,136,147),
(8,5,69,3555,4310,40,46,58,139,150),
(8,5,70,3802,4479,40,47,59,141,152),
(8,7,1,67,72,22,22,22,17,23),
(8,7,2,84,93,23,22,23,18,24),
(8,7,3,101,115,24,23,24,19,25),
(8,7,4,118,138,25,23,25,20,26),
(8,7,5,135,162,25,24,26,21,27),
(8,7,6,152,187,26,24,27,22,28),
(8,7,7,169,213,27,25,28,23,29),
(8,7,8,186,240,28,25,29,24,30),
(8,7,9,203,268,29,25,30,25,31),
(8,7,10,220,297,30,26,31,26,33),
(8,7,11,237,327,31,26,32,27,34),
(8,7,12,254,358,32,27,33,28,35),
(8,7,13,271,390,33,27,34,29,36),
(8,7,14,288,423,34,28,35,30,37),
(8,7,15,305,457,34,28,36,31,38),
(8,7,16,322,492,35,29,38,32,39),
(8,7,17,340,528,36,29,39,33,41),
(8,7,18,359,565,37,30,40,34,42),
(8,7,19,379,603,38,30,41,35,43),
(8,7,20,400,642,39,31,42,36,44),
(8,7,21,422,682,40,32,43,37,45),
(8,7,22,445,723,41,32,45,38,47),
(8,7,23,469,765,43,33,46,39,48),
(8,7,24,494,808,44,33,47,40,49),
(8,7,25,520,852,45,34,48,42,51),
(8,7,26,547,897,46,34,49,43,52),
(8,7,27,575,943,47,35,51,44,53),
(8,7,28,604,990,48,35,52,45,54),
(8,7,29,634,1038,49,36,53,46,56),
(8,7,30,665,1087,50,37,54,48,57),
(8,7,31,697,1137,51,37,56,49,59),
(8,7,32,730,1188,52,38,57,50,60),
(8,7,33,764,1239,53,38,58,51,61),
(8,7,34,799,1290,55,39,60,52,63),
(8,7,35,835,1341,56,40,61,54,64),
(8,7,36,872,1392,57,40,62,55,66),
(8,7,37,910,1443,58,41,64,56,67),
(8,7,38,949,1494,59,42,65,57,68),
(8,7,39,989,1545,61,42,66,59,70),
(8,7,40,1030,1596,62,43,68,60,71),
(8,7,41,1072,1647,63,44,69,61,73),
(8,7,42,1115,1698,64,44,71,63,74),
(8,7,43,1159,1749,65,45,72,64,76),
(8,7,44,1204,1800,67,46,74,65,77),
(8,7,45,1250,1851,68,46,75,67,79),
(8,7,46,1297,1902,69,47,76,68,80),
(8,7,47,1345,1953,71,48,78,69,82),
(8,7,48,1394,2004,72,49,79,71,83),
(8,7,49,1444,2055,73,49,81,72,85),
(8,7,50,1495,2106,74,50,82,74,87),
(8,7,51,1547,2157,76,51,84,75,88),
(8,7,52,1600,2208,77,51,85,77,90),
(8,7,53,1654,2259,78,52,87,78,92),
(8,7,54,1709,2310,80,53,89,79,93),
(8,7,55,1765,2361,81,54,90,81,95),
(8,7,56,1822,2412,83,55,92,82,96),
(8,7,57,1880,2463,84,55,93,84,98),
(8,7,58,1939,2514,85,56,95,85,100),
(8,7,59,1999,2565,87,57,97,87,102),
(8,7,60,2060,2616,88,58,98,88,103),
(8,7,61,2228,2775,90,58,100,90,105),
(8,7,62,2404,2934,91,59,101,91,107),
(8,7,63,2588,3108,93,60,103,93,108),
(8,7,64,2780,3267,94,61,105,94,110),
(8,7,65,2981,3426,95,62,106,96,112),
(8,7,66,3191,3600,97,63,108,98,114),
(8,7,67,3411,3759,98,63,110,99,116),
(8,7,68,3641,3918,100,64,112,101,117),
(8,7,69,3881,4092,101,65,113,102,119),
(8,7,70,4131,4251,103,66,115,104,121),
(8,8,1,62,119,21,22,21,19,23),
(8,8,2,77,144,21,22,21,20,24),
(8,8,3,92,170,21,22,22,22,26),
(8,8,4,107,197,21,22,22,23,27),
(8,8,5,122,225,21,23,22,25,28),
(8,8,6,137,254,21,23,22,26,30),
(8,8,7,152,284,21,23,23,27,31),
(8,8,8,167,315,22,23,23,29,32),
(8,8,9,182,347,22,23,23,30,34),
(8,8,10,197,380,22,23,24,32,35),
(8,8,11,212,414,22,24,24,33,37),
(8,8,12,227,449,22,24,24,35,38),
(8,8,13,242,485,22,24,25,36,39),
(8,8,14,257,522,22,24,25,38,41),
(8,8,15,272,560,22,24,25,39,42),
(8,8,16,287,599,22,24,26,41,44),
(8,8,17,302,639,23,25,26,42,45),
(8,8,18,317,680,23,25,26,44,47),
(8,8,19,332,722,23,25,27,46,48),
(8,8,20,347,765,23,25,27,47,50),
(8,8,21,362,809,23,25,27,49,51),
(8,8,22,377,854,23,26,28,51,53),
(8,8,23,392,900,23,26,28,52,55),
(8,8,24,408,947,24,26,29,54,56),
(8,8,25,425,995,24,26,29,56,58),
(8,8,26,443,1044,24,27,29,57,60),
(8,8,27,462,1094,24,27,30,59,61),
(8,8,28,482,1145,24,27,30,61,63),
(8,8,29,503,1196,24,27,31,63,65),
(8,8,30,525,1247,24,28,31,64,66),
(8,8,31,548,1298,25,28,31,66,68),
(8,8,32,572,1349,25,28,32,68,70),
(8,8,33,597,1400,25,28,32,70,71),
(8,8,34,623,1451,25,29,33,71,73),
(8,8,35,650,1502,25,29,33,73,75),
(8,8,36,678,1553,26,29,34,75,77),
(8,8,37,707,1604,26,29,34,77,79),
(8,8,38,737,1655,26,30,35,79,80),
(8,8,39,768,1706,26,30,35,81,82),
(8,8,40,800,1757,26,30,35,83,84),
(8,8,41,833,1808,27,31,36,85,86),
(8,8,42,867,1859,27,31,36,87,88),
(8,8,43,902,1910,27,31,37,89,90),
(8,8,44,938,1961,27,32,37,91,91),
(8,8,45,975,2012,27,32,38,93,93),
(8,8,46,1013,2063,28,32,38,95,95),
(8,8,47,1052,2114,28,32,39,97,97),
(8,8,48,1092,2165,28,33,39,99,99),
(8,8,49,1133,2216,28,33,40,101,101),
(8,8,50,1175,2267,29,33,40,103,103),
(8,8,51,1218,2318,29,34,41,105,105),
(8,8,52,1262,2369,29,34,42,107,107),
(8,8,53,1307,2420,29,35,42,109,109),
(8,8,54,1353,2471,30,35,43,111,111),
(8,8,55,1400,2522,30,35,43,113,113),
(8,8,56,1448,2573,30,36,44,115,115),
(8,8,57,1497,2624,30,36,44,118,118),
(8,8,58,1547,2675,31,36,45,120,120),
(8,8,59,1598,2726,31,37,45,122,122),
(8,8,60,1650,2777,31,37,46,124,124),
(8,8,61,1816,2910,31,37,47,126,126),
(8,8,62,1991,3058,32,38,47,129,128),
(8,8,63,2175,3191,32,38,48,131,130),
(8,8,64,2368,3339,32,39,48,133,133),
(8,8,65,2570,3472,33,39,49,135,135),
(8,8,66,2782,3620,33,39,50,138,137),
(8,8,67,3004,3753,33,40,50,140,139),
(8,8,68,3236,3901,33,40,51,142,141),
(8,8,69,3479,4034,34,41,51,145,144),
(8,8,70,3733,4182,34,41,52,147,146),
(10,2,1,38,140,19,22,21,24,20),
(10,2,2,56,159,20,23,22,25,21),
(10,2,3,74,179,21,23,23,25,21),
(10,2,4,92,200,22,24,24,26,22),
(10,2,5,110,222,23,24,25,27,23),
(10,2,6,128,245,25,25,26,27,24),
(10,2,7,146,269,26,25,27,28,24),
(10,2,8,164,294,27,26,28,29,25),
(10,2,9,182,320,28,27,29,29,26),
(10,2,10,200,347,29,27,31,30,26),
(10,2,11,218,375,30,28,32,31,27),
(10,2,12,236,404,32,29,33,31,28),
(10,2,13,254,434,33,29,34,32,29),
(10,2,14,272,465,34,30,35,33,30),
(10,2,15,291,497,35,31,36,33,30),
(10,2,16,311,530,37,31,37,34,31),
(10,2,17,332,564,38,32,39,35,32),
(10,2,18,354,599,39,33,40,36,33),
(10,2,19,377,635,40,33,41,36,34),
(10,2,20,401,672,42,34,42,37,35),
(10,2,21,426,710,43,35,44,38,35),
(10,2,22,452,749,44,35,45,39,36),
(10,2,23,479,789,46,36,46,40,37),
(10,2,24,507,830,47,37,47,40,38),
(10,2,25,536,872,49,38,49,41,39),
(10,2,26,566,914,50,38,50,42,40),
(10,2,27,597,956,51,39,51,43,41),
(10,2,28,629,998,53,40,53,44,42),
(10,2,29,662,1040,54,41,54,45,43),
(10,2,30,696,1082,56,41,55,45,43),
(10,2,31,731,1124,57,42,57,46,44),
(10,2,32,767,1166,58,43,58,47,45),
(10,2,33,804,1208,60,44,59,48,46),
(10,2,34,842,1250,61,45,61,49,47),
(10,2,35,881,1292,63,45,62,50,48),
(10,2,36,921,1334,64,46,64,51,49),
(10,2,37,962,1376,66,47,65,52,50),
(10,2,38,1004,1418,67,48,67,53,51),
(10,2,39,1047,1460,69,49,68,54,52),
(10,2,40,1091,1502,71,50,69,55,53),
(10,2,41,1136,1544,72,50,71,55,54),
(10,2,42,1182,1586,74,51,72,56,55),
(10,2,43,1229,1628,75,52,74,57,56),
(10,2,44,1277,1670,77,53,75,58,57),
(10,2,45,1326,1712,79,54,77,59,59),
(10,2,46,1376,1754,80,55,78,60,60),
(10,2,47,1427,1796,82,56,80,61,61),
(10,2,48,1479,1838,83,57,82,62,62),
(10,2,49,1532,1880,85,58,83,63,63),
(10,2,50,1586,1922,87,59,85,64,64),
(10,2,51,1641,1964,89,60,86,66,65),
(10,2,52,1697,2006,90,61,88,67,66),
(10,2,53,1754,2048,92,61,90,68,67),
(10,2,54,1812,2090,94,62,91,69,69),
(10,2,55,1871,2132,95,63,93,70,70),
(10,2,56,1931,2174,97,64,95,71,71),
(10,2,57,1992,2216,99,65,96,72,72),
(10,2,58,2054,2258,101,66,98,73,73),
(10,2,59,2117,2300,102,67,100,74,74),
(10,2,60,2181,2342,104,68,101,75,76),
(10,2,61,2361,2501,106,69,103,76,77),
(10,2,62,2549,2660,108,70,105,78,78),
(10,2,63,2745,2834,110,72,106,79,79),
(10,2,64,2950,2993,112,73,108,80,80),
(10,2,65,3164,3152,113,74,110,81,82),
(10,2,66,3387,3326,115,75,112,82,83),
(10,2,67,3620,3485,117,76,114,83,84),
(10,2,68,3863,3644,119,77,115,85,85),
(10,2,69,4116,3818,121,78,117,86,87),
(10,2,70,4379,3977,123,79,119,87,88),
(10,3,1,45,145,17,25,20,24,20),
(10,3,2,62,165,17,26,21,25,21),
(10,3,3,79,186,18,28,22,25,21),
(10,3,4,96,208,18,29,23,26,22),
(10,3,5,113,231,19,30,24,26,23),
(10,3,6,130,255,19,32,25,27,23),
(10,3,7,147,280,20,33,26,27,24),
(10,3,8,164,306,20,35,27,28,25),
(10,3,9,181,333,21,36,27,29,25),
(10,3,10,198,361,21,38,28,29,26),
(10,3,11,215,390,22,39,29,30,27),
(10,3,12,232,420,22,41,30,31,27),
(10,3,13,249,451,23,42,31,31,28),
(10,3,14,267,483,23,44,32,32,29),
(10,3,15,286,516,24,45,34,32,29),
(10,3,16,306,550,24,47,35,33,30),
(10,3,17,327,585,25,48,36,34,31),
(10,3,18,349,621,25,50,37,34,32),
(10,3,19,372,658,26,51,38,35,32),
(10,3,20,396,696,26,53,39,36,33),
(10,3,21,421,735,27,55,40,37,34),
(10,3,22,447,775,27,56,41,37,35),
(10,3,23,474,816,28,58,42,38,36),
(10,3,24,502,858,28,60,43,39,36),
(10,3,25,531,901,29,61,44,39,37),
(10,3,26,561,945,30,63,46,40,38),
(10,3,27,592,990,30,65,47,41,39),
(10,3,28,624,1035,31,66,48,42,40),
(10,3,29,657,1080,31,68,49,42,40),
(10,3,30,691,1125,32,70,50,43,41),
(10,3,31,726,1170,33,72,52,44,42),
(10,3,32,762,1215,33,73,53,45,43),
(10,3,33,799,1260,34,75,54,46,44),
(10,3,34,837,1305,34,77,55,46,45),
(10,3,35,876,1350,35,79,57,47,46),
(10,3,36,916,1395,36,81,58,48,47),
(10,3,37,957,1440,36,83,59,49,47),
(10,3,38,999,1485,37,85,60,50,48),
(10,3,39,1042,1530,38,86,62,51,49),
(10,3,40,1086,1575,38,88,63,51,50),
(10,3,41,1131,1620,39,90,64,52,51),
(10,3,42,1177,1665,40,92,66,53,52),
(10,3,43,1224,1710,40,94,67,54,53),
(10,3,44,1272,1755,41,96,68,55,54),
(10,3,45,1321,1800,42,98,70,56,55),
(10,3,46,1371,1845,42,100,71,57,56),
(10,3,47,1422,1890,43,102,72,58,57),
(10,3,48,1474,1935,44,104,74,59,58),
(10,3,49,1527,1980,45,106,75,60,59),
(10,3,50,1581,2025,45,108,77,61,60),
(10,3,51,1636,2070,46,110,78,61,61),
(10,3,52,1692,2115,47,113,79,62,62),
(10,3,53,1749,2160,47,115,81,63,63),
(10,3,54,1807,2205,48,117,82,64,64),
(10,3,55,1866,2250,49,119,84,65,65),
(10,3,56,1926,2295,50,121,85,66,66),
(10,3,57,1987,2340,50,123,87,67,67),
(10,3,58,2049,2385,51,126,88,68,68),
(10,3,59,2112,2430,52,128,90,69,70),
(10,3,60,2176,2475,53,130,91,70,71),
(10,3,61,2362,2656,54,132,93,71,72),
(10,3,62,2557,2837,54,134,94,72,73),
(10,3,63,2761,3018,55,137,96,73,74),
(10,3,64,2974,3199,56,139,97,75,75),
(10,3,65,3196,3395,57,141,99,76,76),
(10,3,66,3428,3576,58,144,101,77,77),
(10,3,67,3670,3757,58,146,102,78,78),
(10,3,68,3922,3938,59,148,104,79,80),
(10,3,69,4184,4119,60,151,105,80,81),
(10,3,70,4457,4315,61,153,107,81,82),
(10,4,1,45,0,18,25,20,24,19),
(10,4,2,62,0,19,26,21,24,19),
(10,4,3,79,0,20,28,21,24,20),
(10,4,4,96,0,20,29,22,24,20),
(10,4,5,113,0,21,31,23,25,20),
(10,4,6,130,0,22,32,24,25,21),
(10,4,7,147,0,23,34,24,25,21),
(10,4,8,164,0,24,35,25,25,22),
(10,4,9,181,0,24,37,26,25,22),
(10,4,10,198,0,25,38,26,25,22),
(10,4,11,215,0,26,40,27,25,23),
(10,4,12,232,0,27,41,28,26,23),
(10,4,13,249,0,28,43,29,26,24),
(10,4,14,266,0,29,45,30,26,24),
(10,4,15,283,0,29,46,30,26,25),
(10,4,16,301,0,30,48,31,26,25),
(10,4,17,320,0,31,50,32,27,25),
(10,4,18,340,0,32,51,33,27,26),
(10,4,19,361,0,33,53,34,27,26),
(10,4,20,383,0,34,55,35,27,27),
(10,4,21,406,0,35,56,35,27,27),
(10,4,22,430,0,36,58,36,28,28),
(10,4,23,455,0,37,60,37,28,28),
(10,4,24,481,0,38,62,38,28,29),
(10,4,25,508,0,39,63,39,28,29),
(10,4,26,536,0,40,65,40,29,30),
(10,4,27,565,0,41,67,41,29,30),
(10,4,28,595,0,42,69,42,29,31),
(10,4,29,626,0,43,71,43,29,31),
(10,4,30,658,0,44,72,43,29,32),
(10,4,31,691,0,45,74,44,30,32),
(10,4,32,725,0,46,76,45,30,33),
(10,4,33,760,0,47,78,46,30,33),
(10,4,34,796,0,48,80,47,31,34),
(10,4,35,833,0,49,82,48,31,34),
(10,4,36,871,0,50,84,49,31,35),
(10,4,37,910,0,51,86,50,31,35),
(10,4,38,950,0,52,88,51,32,36),
(10,4,39,991,0,53,90,52,32,37),
(10,4,40,1033,0,54,92,53,32,37),
(10,4,41,1076,0,56,94,54,33,38),
(10,4,42,1120,0,57,96,55,33,38),
(10,4,43,1165,0,58,98,56,33,39),
(10,4,44,1211,0,59,100,57,33,39),
(10,4,45,1258,0,60,102,59,34,40),
(10,4,46,1306,0,61,104,60,34,41),
(10,4,47,1355,0,62,107,61,34,41),
(10,4,48,1405,0,64,109,62,35,42),
(10,4,49,1456,0,65,111,63,35,43),
(10,4,50,1508,0,66,113,64,35,43),
(10,4,51,1561,0,67,115,65,36,44),
(10,4,52,1615,0,68,117,66,36,44),
(10,4,53,1670,0,70,120,67,36,45),
(10,4,54,1726,0,71,122,69,37,46),
(10,4,55,1783,0,72,124,70,37,46),
(10,4,56,1841,0,73,126,71,37,47),
(10,4,57,1900,0,75,129,72,38,48),
(10,4,58,1960,0,76,131,73,38,48),
(10,4,59,2021,0,77,133,74,39,49),
(10,4,60,2083,0,79,136,76,39,50),
(10,4,61,2272,0,80,138,77,39,51),
(10,4,62,2470,0,81,140,78,40,51),
(10,4,63,2677,0,82,143,79,40,52),
(10,4,64,2893,0,84,145,80,41,53),
(10,4,65,3119,0,85,148,82,41,53),
(10,4,66,3355,0,87,150,83,41,54),
(10,4,67,3601,0,88,153,84,42,55),
(10,4,68,3858,0,89,155,85,42,56),
(10,4,69,4126,0,91,157,87,43,56),
(10,4,70,4405,0,92,160,88,43,57),
(10,5,1,55,220,17,22,19,26,22),
(10,5,2,70,244,17,22,19,27,23),
(10,5,3,85,269,17,22,20,29,25),
(10,5,4,100,295,17,23,20,30,26),
(10,5,5,115,322,18,23,20,31,27),
(10,5,6,130,350,18,23,21,33,29),
(10,5,7,145,379,18,23,21,34,30),
(10,5,8,160,409,18,24,22,35,32),
(10,5,9,175,440,18,24,22,37,33),
(10,5,10,190,472,19,24,22,38,35),
(10,5,11,205,505,19,24,23,39,36),
(10,5,12,220,539,19,24,23,41,38),
(10,5,13,235,574,19,25,24,42,39),
(10,5,14,250,610,19,25,24,44,41),
(10,5,15,265,647,19,25,25,45,42),
(10,5,16,280,685,20,26,25,47,44),
(10,5,17,295,724,20,26,25,48,45),
(10,5,18,310,764,20,26,26,50,47),
(10,5,19,325,805,20,26,26,51,49),
(10,5,20,340,847,21,27,27,53,50),
(10,5,21,355,890,21,27,27,54,52),
(10,5,22,371,934,21,27,28,56,53),
(10,5,23,388,979,21,28,28,58,55),
(10,5,24,406,1025,21,28,29,59,57),
(10,5,25,425,1072,22,28,29,61,58),
(10,5,26,445,1120,22,28,30,62,60),
(10,5,27,466,1169,22,29,30,64,62),
(10,5,28,488,1219,22,29,31,66,64),
(10,5,29,511,1270,23,29,31,67,65),
(10,5,30,535,1322,23,30,32,69,67),
(10,5,31,560,1375,23,30,32,71,69),
(10,5,32,586,1429,23,30,33,72,71),
(10,5,33,613,1483,24,31,33,74,72),
(10,5,34,641,1537,24,31,34,76,74),
(10,5,35,670,1591,24,32,34,78,76),
(10,5,36,700,1645,24,32,35,80,78),
(10,5,37,731,1699,25,32,35,81,80),
(10,5,38,763,1753,25,33,36,83,82),
(10,5,39,796,1807,25,33,37,85,84),
(10,5,40,830,1861,26,33,37,87,86),
(10,5,41,865,1915,26,34,38,89,88),
(10,5,42,901,1969,26,34,38,91,89),
(10,5,43,938,2023,27,35,39,92,91),
(10,5,44,976,2077,27,35,39,94,93),
(10,5,45,1015,2131,27,35,40,96,95),
(10,5,46,1055,2185,27,36,41,98,97),
(10,5,47,1096,2239,28,36,41,100,99),
(10,5,48,1138,2293,28,37,42,102,101),
(10,5,49,1181,2347,28,37,43,104,103),
(10,5,50,1225,2401,29,37,43,106,106),
(10,5,51,1270,2455,29,38,44,108,108),
(10,5,52,1316,2509,29,38,44,110,110),
(10,5,53,1363,2563,30,39,45,112,112),
(10,5,54,1411,2617,30,39,46,114,114),
(10,5,55,1460,2671,30,40,46,116,116),
(10,5,56,1510,2725,31,40,47,118,118),
(10,5,57,1561,2779,31,41,48,120,120),
(10,5,58,1613,2833,31,41,48,123,123),
(10,5,59,1666,2887,32,42,49,125,125),
(10,5,60,1720,2941,32,42,50,127,127),
(10,5,61,1890,3110,33,42,51,129,129),
(10,5,62,2068,3264,33,43,51,131,131),
(10,5,63,2254,3433,33,43,52,133,134),
(10,5,64,2448,3587,34,44,53,135,136),
(10,5,65,2650,3756,34,44,53,138,138),
(10,5,66,2861,3910,34,45,54,140,141),
(10,5,67,3081,4079,35,45,55,142,143),
(10,5,68,3310,4233,35,46,56,144,145),
(10,5,69,3548,4402,36,46,56,147,148),
(10,5,70,3795,4571,36,47,57,149,150),
(10,8,1,55,225,17,22,19,27,21),
(10,8,2,70,250,17,22,19,28,22),
(10,8,3,85,276,17,22,20,30,24),
(10,8,4,100,303,17,22,20,31,25),
(10,8,5,115,331,17,23,20,32,26),
(10,8,6,130,360,17,23,20,34,28),
(10,8,7,145,390,18,23,21,35,29),
(10,8,8,160,421,18,23,21,37,30),
(10,8,9,175,453,18,23,21,38,32),
(10,8,10,190,486,18,23,22,40,33),
(10,8,11,205,520,18,24,22,41,35),
(10,8,12,220,555,18,24,22,42,36),
(10,8,13,235,591,18,24,23,44,37),
(10,8,14,250,628,18,24,23,45,39),
(10,8,15,265,666,18,24,23,47,40),
(10,8,16,280,705,19,24,24,49,42),
(10,8,17,295,745,19,25,24,50,43),
(10,8,18,310,786,19,25,24,52,45),
(10,8,19,325,828,19,25,25,53,46),
(10,8,20,340,871,19,25,25,55,48),
(10,8,21,355,915,19,25,26,57,50),
(10,8,22,370,960,19,26,26,58,51),
(10,8,23,385,1006,20,26,26,60,53),
(10,8,24,401,1053,20,26,27,61,54),
(10,8,25,418,1101,20,26,27,63,56),
(10,8,26,436,1150,20,27,27,65,58),
(10,8,27,455,1200,20,27,28,67,59),
(10,8,28,475,1251,20,27,28,68,61),
(10,8,29,496,1302,21,27,29,70,63),
(10,8,30,518,1353,21,28,29,72,64),
(10,8,31,541,1404,21,28,30,74,66),
(10,8,32,565,1455,21,28,30,75,68),
(10,8,33,590,1506,21,28,30,77,70),
(10,8,34,616,1557,21,29,31,79,71),
(10,8,35,643,1608,22,29,31,81,73),
(10,8,36,671,1659,22,29,32,83,75),
(10,8,37,700,1710,22,29,32,85,77),
(10,8,38,730,1761,22,30,33,86,78),
(10,8,39,761,1812,22,30,33,88,80),
(10,8,40,793,1863,23,30,34,90,82),
(10,8,41,826,1914,23,31,34,92,84),
(10,8,42,860,1965,23,31,35,94,86),
(10,8,43,895,2016,23,31,35,96,88),
(10,8,44,931,2067,23,32,36,98,90),
(10,8,45,968,2118,24,32,36,100,92),
(10,8,46,1006,2169,24,32,37,102,93),
(10,8,47,1045,2220,24,32,37,104,95),
(10,8,48,1085,2271,24,33,38,106,97),
(10,8,49,1126,2322,25,33,38,108,99),
(10,8,50,1168,2373,25,33,39,110,101),
(10,8,51,1211,2424,25,34,39,112,103),
(10,8,52,1255,2475,25,34,40,114,105),
(10,8,53,1300,2526,25,35,40,117,107),
(10,8,54,1346,2577,26,35,41,119,109),
(10,8,55,1393,2628,26,35,41,121,111),
(10,8,56,1441,2679,26,36,42,123,113),
(10,8,57,1490,2730,26,36,42,125,116),
(10,8,58,1540,2781,27,36,43,127,118),
(10,8,59,1591,2832,27,37,43,130,120),
(10,8,60,1643,2883,27,37,44,132,122),
(10,8,61,1809,3016,27,37,45,134,124),
(10,8,62,1984,3164,28,38,45,136,126),
(10,8,63,2168,3297,28,38,46,139,128),
(10,8,64,2361,3445,28,39,46,141,131),
(10,8,65,2563,3578,29,39,47,143,133),
(10,8,66,2775,3726,29,39,48,146,135),
(10,8,67,2997,3859,29,40,48,148,137),
(10,8,68,3229,4007,29,40,49,150,139),
(10,8,69,3472,4140,30,41,49,153,142),
(10,8,70,3726,4288,30,41,50,155,144),
(10,9,1,42,197,17,22,20,26,21),
(10,9,2,57,220,17,22,21,27,22),
(10,9,3,72,244,18,23,21,28,23),
(10,9,4,87,269,18,23,22,29,24),
(10,9,5,102,295,18,23,22,31,26),
(10,9,6,117,322,18,24,23,32,27),
(10,9,7,132,350,19,24,23,33,28),
(10,9,8,147,379,19,25,24,34,29),
(10,9,9,162,409,19,25,25,36,30),
(10,9,10,177,440,20,25,25,37,32),
(10,9,11,192,472,20,26,26,38,33),
(10,9,12,207,505,20,26,26,39,34),
(10,9,13,222,539,21,27,27,41,36),
(10,9,14,237,574,21,27,28,42,37),
(10,9,15,252,610,21,27,28,43,38),
(10,9,16,267,647,22,28,29,45,39),
(10,9,17,282,685,22,28,30,46,41),
(10,9,18,298,724,23,29,30,47,42),
(10,9,19,315,764,23,29,31,49,43),
(10,9,20,333,805,23,30,32,50,45),
(10,9,21,352,847,24,30,32,51,46),
(10,9,22,372,890,24,31,33,53,48),
(10,9,23,393,934,24,31,34,54,49),
(10,9,24,415,979,25,31,34,56,50),
(10,9,25,438,1025,25,32,35,57,52),
(10,9,26,462,1072,26,32,36,59,53),
(10,9,27,487,1120,26,33,37,60,55),
(10,9,28,513,1169,26,33,37,62,56),
(10,9,29,540,1219,27,34,38,63,58),
(10,9,30,568,1270,27,34,39,65,59),
(10,9,31,597,1321,28,35,40,66,61),
(10,9,32,627,1372,28,36,40,68,62),
(10,9,33,658,1423,29,36,41,69,64),
(10,9,34,690,1474,29,37,42,71,65),
(10,9,35,723,1525,29,37,43,73,67),
(10,9,36,757,1576,30,38,43,74,69),
(10,9,37,792,1627,30,38,44,76,70),
(10,9,38,828,1678,31,39,45,77,72),
(10,9,39,865,1729,31,39,46,79,73),
(10,9,40,903,1780,32,40,47,81,75),
(10,9,41,942,1831,32,41,48,82,77),
(10,9,42,982,1882,33,41,48,84,78),
(10,9,43,1023,1933,33,42,49,86,80),
(10,9,44,1065,1984,34,42,50,88,82),
(10,9,45,1108,2035,34,43,51,89,83),
(10,9,46,1152,2086,35,44,52,91,85),
(10,9,47,1197,2137,35,44,53,93,87),
(10,9,48,1243,2188,36,45,54,95,89),
(10,9,49,1290,2239,36,45,54,96,90),
(10,9,50,1338,2290,37,46,55,98,92),
(10,9,51,1387,2341,37,47,56,100,94),
(10,9,52,1437,2392,38,47,57,102,96),
(10,9,53,1488,2443,38,48,58,104,97),
(10,9,54,1540,2494,39,49,59,105,99),
(10,9,55,1593,2545,39,49,60,107,101),
(10,9,56,1647,2596,40,50,61,109,103),
(10,9,57,1702,2647,40,51,62,111,105),
(10,9,58,1758,2698,41,51,63,113,107),
(10,9,59,1815,2749,42,52,64,115,108),
(10,9,60,1873,2800,42,53,65,117,110),
(10,9,61,2049,2954,43,53,66,119,112),
(10,9,62,2234,3108,43,54,67,121,114),
(10,9,63,2428,3277,44,55,68,123,116),
(10,9,64,2631,3431,44,56,69,125,118),
(10,9,65,2843,3585,45,56,70,127,120),
(10,9,66,3065,3754,46,57,71,129,122),
(10,9,67,3297,3908,46,58,72,131,124),
(10,9,68,3540,4062,47,58,73,133,126),
(10,9,69,3794,4231,47,59,74,135,128),
(10,9,70,4059,4385,48,60,75,137,130),
(11,1,1,50,0,24,17,21,21,22),
(11,1,2,69,0,25,18,22,21,22),
(11,1,3,88,0,27,19,23,21,23),
(11,1,4,107,0,28,19,25,21,23),
(11,1,5,126,0,29,20,26,21,23),
(11,1,6,145,0,31,21,27,21,23),
(11,1,7,164,0,32,22,28,21,24),
(11,1,8,183,0,33,23,29,22,24),
(11,1,9,202,0,35,24,31,22,24),
(11,1,10,221,0,36,24,32,22,25),
(11,1,11,240,0,37,25,33,22,25),
(11,1,12,259,0,39,26,34,22,25),
(11,1,13,278,0,40,27,36,22,26),
(11,1,14,298,0,42,28,37,22,26),
(11,1,15,319,0,43,29,38,22,26),
(11,1,16,341,0,45,30,40,22,27),
(11,1,17,364,0,46,31,41,23,27),
(11,1,18,388,0,48,32,43,23,27),
(11,1,19,413,0,49,33,44,23,28),
(11,1,20,439,0,51,34,45,23,28),
(11,1,21,466,0,52,34,47,23,28),
(11,1,22,494,0,54,35,48,23,29),
(11,1,23,523,0,55,36,50,23,29),
(11,1,24,553,0,57,37,51,24,30),
(11,1,25,584,0,59,38,52,24,30),
(11,1,26,616,0,60,39,54,24,30),
(11,1,27,649,0,62,40,55,24,31),
(11,1,28,683,0,63,41,57,24,31),
(11,1,29,718,0,65,43,58,24,32),
(11,1,30,754,0,67,44,60,24,32),
(11,1,31,791,0,69,45,62,25,32),
(11,1,32,829,0,70,46,63,25,33),
(11,1,33,868,0,72,47,65,25,33),
(11,1,34,908,0,74,48,66,25,34),
(11,1,35,949,0,75,49,68,25,34),
(11,1,36,991,0,77,50,69,26,35),
(11,1,37,1035,0,79,51,71,26,35),
(11,1,38,1081,0,81,52,73,26,35),
(11,1,39,1129,0,83,53,74,26,36),
(11,1,40,1179,0,84,55,76,26,36),
(11,1,41,1231,0,86,56,78,27,37),
(11,1,42,1285,0,88,57,79,27,37),
(11,1,43,1341,0,90,58,81,27,38),
(11,1,44,1399,0,92,59,83,27,38),
(11,1,45,1459,0,94,60,85,27,39),
(11,1,46,1521,0,96,62,86,28,39),
(11,1,47,1585,0,98,63,88,28,40),
(11,1,48,1651,0,100,64,90,28,40),
(11,1,49,1719,0,102,65,92,28,41),
(11,1,50,1789,0,103,66,93,29,41),
(11,1,51,1861,0,105,68,95,29,42),
(11,1,52,1935,0,107,69,97,29,42),
(11,1,53,2011,0,109,70,99,29,43),
(11,1,54,2089,0,112,71,101,30,44),
(11,1,55,2169,0,114,73,103,30,44),
(11,1,56,2251,0,116,74,104,30,45),
(11,1,57,2335,0,118,75,106,30,45),
(11,1,58,2421,0,120,77,108,31,46),
(11,1,59,2509,0,122,78,110,31,46),
(11,1,60,2599,0,124,79,112,31,47),
(11,1,61,2832,0,126,81,114,31,48),
(11,1,62,3079,0,128,82,116,32,48),
(11,1,63,3340,0,130,83,118,32,49),
(11,1,64,3615,0,133,85,120,32,49),
(11,1,65,3905,0,135,86,122,33,50),
(11,1,66,4210,0,137,87,124,33,51),
(11,1,67,4530,0,139,89,126,33,51),
(11,1,68,4866,0,141,90,128,33,52),
(11,1,69,5218,0,144,92,130,34,52),
(11,1,70,5586,0,146,93,132,34,53),
(11,2,1,48,95,23,17,21,21,23),
(11,2,2,66,114,24,18,22,22,24),
(11,2,3,84,134,25,18,23,22,24),
(11,2,4,102,155,26,19,24,23,25),
(11,2,5,120,177,27,19,25,24,26),
(11,2,6,138,200,29,20,26,24,26),
(11,2,7,156,224,30,21,27,25,27),
(11,2,8,174,249,31,21,28,26,28),
(11,2,9,192,275,32,22,29,26,29),
(11,2,10,210,302,33,22,31,27,29),
(11,2,11,228,330,34,23,32,28,30),
(11,2,12,246,359,36,24,33,28,31),
(11,2,13,264,389,37,24,34,29,32),
(11,2,14,282,420,38,25,35,30,32),
(11,2,15,301,452,39,26,36,31,33),
(11,2,16,321,485,40,26,37,31,34),
(11,2,17,342,519,42,27,39,32,35),
(11,2,18,364,554,43,28,40,33,36),
(11,2,19,387,590,44,28,41,34,37),
(11,2,20,411,627,46,29,42,34,37),
(11,2,21,436,665,47,30,44,35,38),
(11,2,22,462,704,48,31,45,36,39),
(11,2,23,489,744,50,31,46,37,40),
(11,2,24,517,785,51,32,47,38,41),
(11,2,25,546,827,52,33,49,38,42),
(11,2,26,576,869,54,34,50,39,43),
(11,2,27,607,911,55,34,51,40,44),
(11,2,28,639,953,56,35,53,41,44),
(11,2,29,672,995,58,36,54,42,45),
(11,2,30,706,1037,59,37,55,43,46),
(11,2,31,741,1079,61,37,57,43,47),
(11,2,32,777,1121,62,38,58,44,48),
(11,2,33,814,1163,64,39,59,45,49),
(11,2,34,852,1205,65,40,61,46,50),
(11,2,35,891,1247,67,41,62,47,51),
(11,2,36,931,1289,68,42,64,48,52),
(11,2,37,972,1331,70,42,65,49,53),
(11,2,38,1014,1373,71,43,67,50,54),
(11,2,39,1057,1415,73,44,68,51,55),
(11,2,40,1101,1457,74,45,69,52,56),
(11,2,41,1146,1499,76,46,71,53,57),
(11,2,42,1192,1541,78,47,72,54,58),
(11,2,43,1239,1583,79,47,74,55,59),
(11,2,44,1287,1625,81,48,75,56,60),
(11,2,45,1336,1667,82,49,77,57,61),
(11,2,46,1386,1709,84,50,78,58,62),
(11,2,47,1437,1751,86,51,80,59,64),
(11,2,48,1489,1793,87,52,82,60,65),
(11,2,49,1542,1835,89,53,83,61,66),
(11,2,50,1596,1877,91,54,85,62,67),
(11,2,51,1651,1919,92,55,86,63,68),
(11,2,52,1707,1961,94,56,88,64,69),
(11,2,53,1764,2003,96,57,90,65,70),
(11,2,54,1822,2045,97,58,91,66,71),
(11,2,55,1881,2087,99,59,93,67,73),
(11,2,56,1941,2129,101,60,95,68,74),
(11,2,57,2002,2171,103,61,96,69,75),
(11,2,58,2064,2213,105,62,98,70,76),
(11,2,59,2127,2255,106,63,100,71,77),
(11,2,60,2191,2297,108,64,101,72,78),
(11,2,61,2371,2456,110,65,103,74,80),
(11,2,62,2559,2615,112,66,105,75,81),
(11,2,63,2755,2789,114,67,106,76,82),
(11,2,64,2960,2948,116,68,108,77,83),
(11,2,65,3174,3107,117,69,110,78,85),
(11,2,66,3397,3281,119,70,112,79,86),
(11,2,67,3630,3440,121,71,114,80,87),
(11,2,68,3873,3599,123,72,115,82,88),
(11,2,69,4126,3773,125,73,117,83,90),
(11,2,70,4389,3932,127,74,119,84,91),
(11,3,1,46,100,21,20,20,21,23),
(11,3,2,63,120,21,21,21,22,24),
(11,3,3,80,141,22,23,22,22,24),
(11,3,4,97,163,22,24,23,23,25),
(11,3,5,114,186,23,25,24,23,25),
(11,3,6,131,210,23,27,25,24,26),
(11,3,7,148,235,24,28,26,24,27),
(11,3,8,165,261,24,30,27,25,27),
(11,3,9,182,288,25,31,27,26,28),
(11,3,10,199,316,25,33,28,26,29),
(11,3,11,216,345,25,34,29,27,29),
(11,3,12,233,375,26,36,30,28,30),
(11,3,13,250,406,26,37,31,28,31),
(11,3,14,268,438,27,39,32,29,32),
(11,3,15,287,471,27,40,34,30,32),
(11,3,16,307,505,28,42,35,30,33),
(11,3,17,328,540,28,43,36,31,34),
(11,3,18,350,576,29,45,37,32,35),
(11,3,19,373,613,29,47,38,32,35),
(11,3,20,397,651,30,48,39,33,36),
(11,3,21,422,690,31,50,40,34,37),
(11,3,22,448,730,31,51,41,34,38),
(11,3,23,475,771,32,53,42,35,38),
(11,3,24,503,813,32,55,43,36,39),
(11,3,25,532,856,33,57,44,37,40),
(11,3,26,562,900,33,58,46,37,41),
(11,3,27,593,945,34,60,47,38,42),
(11,3,28,625,990,35,62,48,39,42),
(11,3,29,658,1035,35,63,49,40,43),
(11,3,30,692,1080,36,65,50,40,44),
(11,3,31,727,1125,36,67,52,41,45),
(11,3,32,763,1170,37,69,53,42,46),
(11,3,33,800,1215,38,71,54,43,47),
(11,3,34,838,1260,38,72,55,44,48),
(11,3,35,877,1305,39,74,57,44,48),
(11,3,36,917,1350,39,76,58,45,49),
(11,3,37,958,1395,40,78,59,46,50),
(11,3,38,1000,1440,41,80,60,47,51),
(11,3,39,1043,1485,41,82,62,48,52),
(11,3,40,1087,1530,42,84,63,49,53),
(11,3,41,1132,1575,43,86,64,50,54),
(11,3,42,1178,1620,43,88,66,50,55),
(11,3,43,1225,1665,44,90,67,51,56),
(11,3,44,1273,1710,45,91,68,52,57),
(11,3,45,1322,1755,45,93,70,53,58),
(11,3,46,1372,1800,46,95,71,54,59),
(11,3,47,1423,1845,47,98,72,55,60),
(11,3,48,1475,1890,48,100,74,56,61),
(11,3,49,1528,1935,48,102,75,57,62),
(11,3,50,1582,1980,49,104,77,58,63),
(11,3,51,1637,2025,50,106,78,59,64),
(11,3,52,1693,2070,51,108,79,60,65),
(11,3,53,1750,2115,51,110,81,61,66),
(11,3,54,1808,2160,52,112,82,61,67),
(11,3,55,1867,2205,53,114,84,62,68),
(11,3,56,1927,2250,54,116,85,63,69),
(11,3,57,1988,2295,54,118,87,64,70),
(11,3,58,2050,2340,55,121,88,65,71),
(11,3,59,2113,2385,56,123,90,66,72),
(11,3,60,2177,2430,57,125,91,67,74),
(11,3,61,2363,2611,58,127,93,68,75),
(11,3,62,2558,2792,58,130,94,69,76),
(11,3,63,2762,2973,59,132,96,71,77),
(11,3,64,2975,3154,60,134,97,72,78),
(11,3,65,3197,3350,61,136,99,73,79),
(11,3,66,3429,3531,62,139,101,74,80),
(11,3,67,3671,3712,62,141,102,75,81),
(11,3,68,3923,3893,63,143,104,76,83),
(11,3,69,4185,4074,64,146,105,77,84),
(11,3,70,4458,4270,65,148,107,78,85),
(11,5,1,51,175,21,17,19,23,25),
(11,5,2,66,199,21,17,19,24,26),
(11,5,3,81,224,21,17,20,26,28),
(11,5,4,96,250,21,18,20,27,29),
(11,5,5,111,277,22,18,20,28,30),
(11,5,6,126,305,22,18,21,30,32),
(11,5,7,141,334,22,18,21,31,33),
(11,5,8,156,364,22,19,22,32,35),
(11,5,9,171,395,22,19,22,34,36),
(11,5,10,186,427,22,19,22,35,38),
(11,5,11,201,460,23,19,23,37,39),
(11,5,12,216,494,23,20,23,38,41),
(11,5,13,231,529,23,20,24,39,42),
(11,5,14,246,565,23,20,24,41,44),
(11,5,15,261,602,23,20,25,42,45),
(11,5,16,276,640,24,21,25,44,47),
(11,5,17,291,679,24,21,25,45,48),
(11,5,18,306,719,24,21,26,47,50),
(11,5,19,321,760,24,22,26,48,51),
(11,5,20,336,802,24,22,27,50,53),
(11,5,21,351,845,25,22,27,51,55),
(11,5,22,367,889,25,22,28,53,56),
(11,5,23,384,934,25,23,28,55,58),
(11,5,24,402,980,25,23,29,56,60),
(11,5,25,421,1027,25,23,29,58,61),
(11,5,26,441,1075,26,24,30,60,63),
(11,5,27,462,1124,26,24,30,61,65),
(11,5,28,484,1174,26,24,31,63,66),
(11,5,29,507,1225,26,25,31,65,68),
(11,5,30,531,1277,27,25,32,66,70),
(11,5,31,556,1330,27,25,32,68,72),
(11,5,32,582,1384,27,26,33,70,73),
(11,5,33,609,1438,27,26,33,71,75),
(11,5,34,637,1492,28,26,34,73,77),
(11,5,35,666,1546,28,27,34,75,79),
(11,5,36,696,1600,28,27,35,77,81),
(11,5,37,727,1654,29,28,35,79,83),
(11,5,38,759,1708,29,28,36,80,85),
(11,5,39,792,1762,29,28,37,82,86),
(11,5,40,826,1816,29,29,37,84,88),
(11,5,41,861,1870,30,29,38,86,90),
(11,5,42,897,1924,30,29,38,88,92),
(11,5,43,934,1978,30,30,39,90,94),
(11,5,44,972,2032,31,30,39,91,96),
(11,5,45,1011,2086,31,31,40,93,98),
(11,5,46,1051,2140,31,31,41,95,100),
(11,5,47,1092,2194,32,31,41,97,102),
(11,5,48,1134,2248,32,32,42,99,104),
(11,5,49,1177,2302,32,32,43,101,106),
(11,5,50,1221,2356,33,33,43,103,108),
(11,5,51,1266,2410,33,33,44,105,110),
(11,5,52,1312,2464,33,34,44,107,113),
(11,5,53,1359,2518,34,34,45,109,115),
(11,5,54,1407,2572,34,34,46,111,117),
(11,5,55,1456,2626,34,35,46,113,119),
(11,5,56,1506,2680,35,35,47,115,121),
(11,5,57,1557,2734,35,36,48,118,123),
(11,5,58,1609,2788,35,36,48,120,126),
(11,5,59,1662,2842,36,37,49,122,128),
(11,5,60,1716,2896,36,37,50,124,130),
(11,5,61,1886,3065,36,38,51,126,132),
(11,5,62,2064,3219,37,38,51,128,134),
(11,5,63,2250,3388,37,39,52,130,137),
(11,5,64,2444,3542,38,39,53,133,139),
(11,5,65,2646,3711,38,40,53,135,141),
(11,5,66,2857,3865,38,40,54,137,144),
(11,5,67,3077,4034,39,40,55,139,146),
(11,5,68,3306,4188,39,41,56,141,148),
(11,5,69,3544,4357,40,41,56,144,151),
(11,5,70,3791,4526,40,42,57,146,153),
(11,7,1,47,105,22,17,20,22,24),
(11,7,2,64,126,23,17,21,23,25),
(11,7,3,81,148,24,18,22,24,26),
(11,7,4,98,171,25,18,23,25,27),
(11,7,5,115,195,25,19,24,26,28),
(11,7,6,132,220,26,19,25,27,29),
(11,7,7,149,246,27,20,26,28,30),
(11,7,8,166,273,28,20,27,28,31),
(11,7,9,183,301,29,21,28,29,32),
(11,7,10,200,330,30,21,29,30,33),
(11,7,11,217,360,31,22,30,31,35),
(11,7,12,234,391,32,22,31,32,36),
(11,7,13,251,423,33,23,32,33,37),
(11,7,14,268,456,34,23,33,34,38),
(11,7,15,285,490,34,24,35,35,39),
(11,7,16,302,525,35,24,36,36,40),
(11,7,17,320,561,36,25,37,38,42),
(11,7,18,339,598,37,25,38,39,43),
(11,7,19,359,636,38,26,39,40,44),
(11,7,20,380,675,39,26,40,41,45),
(11,7,21,402,715,40,27,41,42,46),
(11,7,22,425,756,41,27,43,43,48),
(11,7,23,449,798,43,28,44,44,49),
(11,7,24,474,841,44,28,45,45,50),
(11,7,25,500,885,45,29,46,46,51),
(11,7,26,527,930,46,30,47,48,53),
(11,7,27,555,976,47,30,49,49,54),
(11,7,28,584,1023,48,31,50,50,55),
(11,7,29,614,1071,49,31,51,51,57),
(11,7,30,645,1120,50,32,53,52,58),
(11,7,31,677,1170,51,33,54,53,59),
(11,7,32,710,1221,52,33,55,55,61),
(11,7,33,744,1272,53,34,56,56,62),
(11,7,34,779,1323,55,34,58,57,64),
(11,7,35,815,1374,56,35,59,58,65),
(11,7,36,852,1425,57,36,60,60,66),
(11,7,37,890,1476,58,36,62,61,68),
(11,7,38,929,1527,59,37,63,62,69),
(11,7,39,969,1578,61,38,65,63,71),
(11,7,40,1010,1629,62,38,66,65,72),
(11,7,41,1052,1680,63,39,67,66,74),
(11,7,42,1095,1731,64,40,69,67,75),
(11,7,43,1139,1782,65,40,70,69,77),
(11,7,44,1184,1833,67,41,72,70,78),
(11,7,45,1230,1884,68,42,73,71,80),
(11,7,46,1277,1935,69,42,75,73,81),
(11,7,47,1325,1986,71,43,76,74,83),
(11,7,48,1374,2037,72,44,78,76,84),
(11,7,49,1424,2088,73,45,79,77,86),
(11,7,50,1475,2139,74,45,81,78,88),
(11,7,51,1527,2190,76,46,82,80,89),
(11,7,52,1580,2241,77,47,84,81,91),
(11,7,53,1634,2292,78,47,85,83,92),
(11,7,54,1689,2343,80,48,87,84,94),
(11,7,55,1745,2394,81,49,88,86,96),
(11,7,56,1802,2445,83,50,90,87,97),
(11,7,57,1860,2496,84,50,91,89,99),
(11,7,58,1919,2547,85,51,93,90,101),
(11,7,59,1979,2598,87,52,95,92,102),
(11,7,60,2040,2649,88,53,96,93,104),
(11,7,61,2208,2808,90,54,98,95,106),
(11,7,62,2384,2967,91,54,99,96,108),
(11,7,63,2568,3141,93,55,101,98,109),
(11,7,64,2760,3300,94,56,103,99,111),
(11,7,65,2961,3459,95,57,104,101,113),
(11,7,66,3171,3633,97,58,106,103,115),
(11,7,67,3391,3792,98,58,108,104,117),
(11,7,68,3621,3951,100,59,110,106,118),
(11,7,69,3861,4125,101,60,111,107,120),
(11,7,70,4111,4284,103,61,113,109,122),
(11,8,1,51,180,21,17,19,24,24),
(11,8,2,66,205,21,17,19,25,25),
(11,8,3,81,231,21,17,20,27,27),
(11,8,4,96,258,21,17,20,28,28),
(11,8,5,111,286,21,18,20,29,29),
(11,8,6,126,315,21,18,20,31,31),
(11,8,7,141,345,21,18,21,32,32),
(11,8,8,156,376,22,18,21,34,33),
(11,8,9,171,408,22,18,21,35,35),
(11,8,10,186,441,22,19,22,37,36),
(11,8,11,201,475,22,19,22,38,37),
(11,8,12,216,510,22,19,22,40,39),
(11,8,13,231,546,22,19,23,41,40),
(11,8,14,246,583,22,19,23,43,42),
(11,8,15,261,621,22,19,23,44,43),
(11,8,16,276,660,22,20,24,46,45),
(11,8,17,291,700,23,20,24,47,46),
(11,8,18,306,741,23,20,24,49,48),
(11,8,19,321,783,23,20,25,50,49),
(11,8,20,336,826,23,21,25,52,51),
(11,8,21,351,870,23,21,26,54,52),
(11,8,22,366,915,23,21,26,55,54),
(11,8,23,381,961,23,21,26,57,56),
(11,8,24,397,1008,24,21,27,59,57),
(11,8,25,414,1056,24,22,27,60,59),
(11,8,26,432,1105,24,22,27,62,60),
(11,8,27,451,1155,24,22,28,64,62),
(11,8,28,471,1206,24,22,28,65,64),
(11,8,29,492,1257,24,23,29,67,65),
(11,8,30,514,1308,24,23,29,69,67),
(11,8,31,537,1359,25,23,30,71,69),
(11,8,32,561,1410,25,23,30,73,71),
(11,8,33,586,1461,25,24,30,74,72),
(11,8,34,612,1512,25,24,31,76,74),
(11,8,35,639,1563,25,24,31,78,76),
(11,8,36,667,1614,26,24,32,80,78),
(11,8,37,696,1665,26,25,32,82,79),
(11,8,38,726,1716,26,25,33,84,81),
(11,8,39,757,1767,26,25,33,86,83),
(11,8,40,789,1818,26,26,34,87,85),
(11,8,41,822,1869,27,26,34,89,87),
(11,8,42,856,1920,27,26,35,91,89),
(11,8,43,891,1971,27,27,35,93,91),
(11,8,44,927,2022,27,27,36,95,92),
(11,8,45,964,2073,27,27,36,97,94),
(11,8,46,1002,2124,28,27,37,99,96),
(11,8,47,1041,2175,28,28,37,101,98),
(11,8,48,1081,2226,28,28,38,103,100),
(11,8,49,1122,2277,28,28,38,105,102),
(11,8,50,1164,2328,29,29,39,107,104),
(11,8,51,1207,2379,29,29,39,110,106),
(11,8,52,1251,2430,29,29,40,112,108),
(11,8,53,1296,2481,29,30,40,114,110),
(11,8,54,1342,2532,30,30,41,116,112),
(11,8,55,1389,2583,30,30,41,118,114),
(11,8,56,1437,2634,30,31,42,120,116),
(11,8,57,1486,2685,30,31,42,122,118),
(11,8,58,1536,2736,31,31,43,125,121),
(11,8,59,1587,2787,31,32,43,127,123),
(11,8,60,1639,2838,31,32,44,129,125),
(11,8,61,1805,2971,31,33,45,131,127),
(11,8,62,1980,3119,32,33,45,133,129),
(11,8,63,2164,3252,32,33,46,136,131),
(11,8,64,2357,3400,32,34,46,138,134),
(11,8,65,2559,3533,33,34,47,140,136),
(11,8,66,2771,3681,33,34,48,143,138),
(11,8,67,2993,3814,33,35,48,145,140),
(11,8,68,3225,3962,33,35,49,147,142),
(11,8,69,3468,4095,34,36,49,150,145),
(11,8,70,3722,4243,34,36,50,152,147);
/*!40000 ALTER TABLE `player_levelstats` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `playercreateinfo`
--

DROP TABLE IF EXISTS `playercreateinfo`;
CREATE TABLE `playercreateinfo` (
  `race` tinyint(3) unsigned NOT NULL default '0',
  `class` tinyint(3) unsigned NOT NULL default '0',
  `map` mediumint(8) unsigned NOT NULL default '0',
  `zone` mediumint(8) unsigned NOT NULL default '0',
  `position_x` float NOT NULL default '0',
  `position_y` float NOT NULL default '0',
  `position_z` float NOT NULL default '0',
  PRIMARY KEY  (`race`,`class`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `playercreateinfo`
--

LOCK TABLES `playercreateinfo` WRITE;
/*!40000 ALTER TABLE `playercreateinfo` DISABLE KEYS */;
INSERT INTO `playercreateinfo` (`race`,`class`,`map`,`zone`,`position_x`,`position_y`,`position_z`) VALUES
(1,1,0,12,-8949,-132,84),
(1,2,0,12,-8949,-132,84),
(1,4,0,12,-8949,-132,84),
(1,5,0,12,-8949,-132,84),
(1,8,0,12,-8949,-132,84),
(1,9,0,12,-8949,-132,84),
(2,1,1,14,-618,-4251,39),
(2,3,1,14,-618,-4251,39),
(2,4,1,14,-618,-4251,39),
(2,7,1,14,-618,-4251,39),
(2,9,1,14,-618,-4251,39),
(3,1,0,1,-6240,331,383),
(3,2,0,1,-6240,331,383),
(3,3,0,1,-6240,331,383),
(3,4,0,1,-6240,331,383),
(3,5,0,1,-6240,331,383),
(4,1,1,141,10311,832,1327),
(4,3,1,141,10311,832,1327),
(4,4,1,141,10311,832,1327),
(4,5,1,141,10311,832,1327),
(4,11,1,141,10311,832,1327),
(5,1,0,85,1676,1677,122),
(5,4,0,85,1676,1677,122),
(5,5,0,85,1676,1677,122),
(5,8,0,85,1676,1677,122),
(5,9,0,85,1676,1677,122),
(6,1,1,215,-2917,-257,53),
(6,3,1,215,-2917,-257,53),
(6,7,1,215,-2917,-257,53),
(6,11,1,215,-2917,-257,53),
(7,1,0,1,-6240,331,383),
(7,4,0,1,-6340,331,383),
(7,8,0,1,-6340,331,383),
(7,9,0,1,-6340,331,383),
(8,1,1,14,-618,-4251,39),
(8,3,1,14,-618,-4251,39),
(8,4,1,14,-618,-4251,39),
(8,5,1,14,-618,-4251,39),
(8,7,1,14,-618,-4251,39),
(8,8,1,14,-618,-4251,39),
(10,2,530,3431,10349.6,-6357.29,33.4026),
(10,3,530,3431,10349.6,-6357.29,33.4026),
(10,4,530,3431,10349.6,-6357.29,33.4026),
(10,5,530,3431,10349.6,-6357.29,33.4026),
(10,8,530,3431,10349.6,-6357.29,33.4026),
(10,9,530,3431,10349.6,-6357.29,33.4026),
(11,1,530,3526,-3961.64,-13931.2,100.615),
(11,2,530,3526,-3961.64,-13931.2,100.615),
(11,3,530,3526,-3961.64,-13931.2,100.615),
(11,5,530,3526,-3961.64,-13931.2,100.615),
(11,7,530,3526,-3961.64,-13931.2,100.615),
(11,8,530,3526,-3961.64,-13931.2,100.615);
/*!40000 ALTER TABLE `playercreateinfo` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `playercreateinfo_action`
--

DROP TABLE IF EXISTS `playercreateinfo_action`;
CREATE TABLE `playercreateinfo_action` (
  `race` tinyint(3) unsigned NOT NULL default '0',
  `class` tinyint(3) unsigned NOT NULL default '0',
  `button` smallint(2) unsigned NOT NULL default '0',
  `action` smallint(6) unsigned NOT NULL default '0',
  `type` smallint(3) unsigned NOT NULL default '0',
  `misc` smallint(3) unsigned NOT NULL default '0',
  KEY `playercreateinfo_race_class_index` (`race`,`class`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `playercreateinfo_action`
--

LOCK TABLES `playercreateinfo_action` WRITE;
/*!40000 ALTER TABLE `playercreateinfo_action` DISABLE KEYS */;
INSERT INTO `playercreateinfo_action` (`race`,`class`,`button`,`action`,`type`,`misc`) VALUES
(1,1,1,78,0,0),
(1,1,0,6603,0,0),
(1,1,11,65020,128,0),
(1,2,2,635,0,0),
(1,2,0,6603,0,0),
(1,2,1,21084,0,0),
(1,2,10,65021,128,0),
(1,2,11,65022,128,0),
(1,4,1,1752,0,0),
(1,4,2,2098,0,0),
(1,4,3,2764,0,0),
(1,4,0,6603,0,0),
(1,4,11,65022,128,0),
(1,5,1,585,0,0),
(1,5,2,2050,0,0),
(1,5,0,6603,0,0),
(1,5,10,65021,128,0),
(1,5,11,65022,128,0),
(1,8,1,133,0,0),
(1,8,2,168,0,0),
(1,8,0,6603,0,0),
(1,8,10,65021,128,0),
(1,8,11,65022,128,0),
(1,9,1,686,0,0),
(1,9,2,687,0,0),
(1,9,0,6603,0,0),
(1,9,10,65021,128,0),
(1,9,11,65027,128,0),
(2,1,1,78,0,0),
(2,1,0,6603,0,0),
(2,1,11,65020,128,0),
(2,3,2,75,0,0),
(2,3,1,2973,0,0),
(2,3,0,6603,0,0),
(2,3,11,65020,128,0),
(2,3,10,65021,128,0),
(2,4,10,0,128,0),
(2,4,1,1752,0,0),
(2,4,2,2098,0,0),
(2,4,0,6603,0,0),
(2,4,11,65020,128,0),
(2,7,2,331,0,0),
(2,7,1,403,0,0),
(2,7,0,6603,0,0),
(2,7,11,65020,128,0),
(2,7,10,65021,128,0),
(2,9,1,686,0,0),
(2,9,2,687,0,0),
(2,9,0,6603,0,0),
(2,9,11,65020,128,0),
(2,9,10,65021,128,0),
(3,1,1,78,0,0),
(3,1,0,6603,0,0),
(3,1,11,65020,128,0),
(3,2,2,635,0,0),
(3,2,0,6603,0,0),
(3,2,1,21084,0,0),
(3,2,10,65021,128,0),
(3,2,11,65026,128,0),
(3,3,2,75,0,0),
(3,3,1,2973,0,0),
(3,3,0,6603,0,0),
(3,3,11,65020,128,0),
(3,3,10,65021,128,0),
(3,4,1,1752,0,0),
(3,4,2,2098,0,0),
(3,4,3,2764,0,0),
(3,4,0,6603,0,0),
(3,4,11,65026,128,0),
(3,5,1,585,0,0),
(3,5,2,2050,0,0),
(3,5,0,6603,0,0),
(3,5,10,65021,128,0),
(3,5,11,65026,128,0),
(4,1,1,78,0,0),
(4,1,0,6603,0,0),
(4,1,11,65020,128,0),
(4,3,2,75,0,0),
(4,3,1,2973,0,0),
(4,3,0,6603,0,0),
(4,3,11,65020,128,0),
(4,3,10,65021,128,0),
(4,4,1,1752,0,0),
(4,4,2,2098,0,0),
(4,4,3,2764,0,0),
(4,4,0,6603,0,0),
(4,4,11,65026,128,0),
(4,5,1,585,0,0),
(4,5,2,2050,0,0),
(4,5,0,6603,0,0),
(4,5,10,65021,128,0),
(4,5,11,65022,128,0),
(4,11,1,5176,0,0),
(4,11,2,5185,0,0),
(4,11,0,6603,0,0),
(4,11,10,65021,128,0),
(4,11,11,65025,128,0),
(5,1,11,65027,128,0),
(5,1,0,6603,0,0),
(5,1,1,78,0,0),
(5,4,11,65027,128,0),
(5,4,3,2764,0,0),
(5,4,2,2098,0,0),
(5,4,1,1752,0,0),
(5,4,0,6603,0,0),
(5,5,10,65021,128,0),
(5,5,2,2050,0,0),
(5,5,1,585,0,0),
(5,5,11,65027,128,0),
(5,5,0,6603,0,0),
(5,8,11,65027,128,0),
(5,8,10,65021,128,0),
(5,8,2,168,0,0),
(5,8,1,133,0,0),
(5,8,0,6603,0,0),
(5,9,1,686,0,0),
(5,9,10,65021,128,0),
(5,9,2,687,0,0),
(5,9,11,65027,128,0),
(5,9,0,6603,0,0),
(6,1,1,78,0,0),
(6,1,2,20549,0,0),
(6,1,11,65026,128,0),
(6,1,0,6603,0,0),
(6,3,1,2973,0,0),
(6,3,10,65021,128,0),
(6,3,2,75,0,0),
(6,3,3,20549,0,0),
(6,3,11,65020,128,0),
(6,3,0,6603,0,0),
(6,7,1,403,0,0),
(6,7,10,65021,128,0),
(6,7,2,331,0,0),
(6,7,3,20549,0,0),
(6,7,11,65027,128,0),
(6,7,0,6603,0,0),
(6,11,1,5176,0,0),
(6,11,10,65021,128,0),
(6,11,2,5185,0,0),
(6,11,3,20549,0,0),
(6,11,11,65025,128,0),
(6,11,0,6603,0,0),
(7,1,11,65020,128,0),
(7,1,1,78,0,0),
(7,1,0,6603,0,0),
(7,4,11,65020,128,0),
(7,4,3,2764,0,0),
(7,4,1,1752,0,0),
(7,4,2,2098,0,0),
(7,4,0,6603,0,0),
(7,8,11,65025,128,0),
(7,8,1,133,0,0),
(7,8,2,168,0,0),
(7,8,10,65021,128,0),
(7,8,0,6603,0,0),
(7,9,11,65027,128,0),
(7,9,1,686,0,0),
(7,9,2,687,0,0),
(7,9,10,65021,128,0),
(7,9,0,6603,0,0),
(8,1,11,65020,128,0),
(8,1,1,78,0,0),
(8,1,3,2764,0,0),
(8,1,0,6603,0,0),
(8,3,10,65021,128,0),
(8,3,11,65027,128,0),
(8,3,1,2973,0,0),
(8,3,2,75,0,0),
(8,3,0,6603,0,0),
(8,4,1,1752,0,0),
(8,4,3,2764,0,0),
(8,4,2,2098,0,0),
(8,4,11,65020,128,0),
(8,4,0,6603,0,0),
(8,5,1,585,0,0),
(8,5,10,65021,128,0),
(8,5,2,2050,0,0),
(8,5,11,65026,128,0),
(8,5,0,6603,0,0),
(8,7,1,403,0,0),
(8,7,10,65021,128,0),
(8,7,2,331,0,0),
(8,7,11,65020,128,0),
(8,7,0,6603,0,0),
(8,8,1,133,0,0),
(8,8,10,65021,128,0),
(8,8,2,168,0,0),
(8,8,11,65020,128,0),
(8,8,0,6603,0,0),
(10,2,0,6603,0,0),
(10,2,1,21084,0,0),
(10,2,2,635,0,0),
(10,2,3,28734,0,0),
(10,2,4,28730,0,0),
(10,2,10,159,128,0),
(10,2,11,20857,128,0),
(10,3,0,6603,0,0),
(10,3,1,2973,0,0),
(10,3,2,75,0,0),
(10,3,3,28734,0,0),
(10,3,4,28730,0,0),
(10,3,10,159,128,0),
(10,3,11,20857,128,0),
(10,4,0,6603,0,0),
(10,4,1,1752,0,0),
(10,4,2,2098,0,0),
(10,4,3,2764,0,0),
(10,4,4,28734,0,0),
(10,4,5,25046,0,0),
(10,4,11,20857,128,0),
(10,5,0,6603,0,0),
(10,5,1,585,0,0),
(10,5,2,2050,0,0),
(10,5,3,28734,0,0),
(10,5,4,28730,0,0),
(10,5,10,159,128,0),
(10,5,11,20857,128,0),
(10,8,0,6603,0,0),
(10,8,1,133,0,0),
(10,8,2,168,0,0),
(10,8,3,28734,0,0),
(10,8,4,28730,0,0),
(10,8,10,159,128,0),
(10,8,11,20857,128,0),
(10,9,11,20857,128,0),
(10,9,10,159,128,0),
(10,9,4,28730,0,0),
(10,9,3,28734,0,0),
(10,9,2,687,0,0),
(10,9,1,686,0,0),
(10,9,0,6603,0,0),
(11,1,0,6603,0,0),
(11,1,72,6603,0,0),
(11,1,73,78,0,0),
(11,1,74,28880,0,0),
(11,1,83,4540,128,0),
(11,1,84,6603,0,0),
(11,1,96,6603,0,0),
(11,1,108,6603,0,0),
(11,2,0,6603,0,0),
(11,2,1,21084,0,0),
(11,2,2,635,0,0),
(11,2,3,28880,0,0),
(11,2,10,159,128,0),
(11,2,11,4540,128,0),
(11,2,83,4540,128,0),
(11,3,0,6603,0,0),
(11,3,1,2973,0,0),
(11,3,2,75,0,0),
(11,3,3,28880,0,0),
(11,3,10,159,128,0),
(11,3,11,4540,128,0),
(11,3,72,6603,0,0),
(11,3,73,2973,0,0),
(11,3,74,75,0,0),
(11,3,82,159,128,0),
(11,3,83,4540,128,0),
(11,5,0,6603,0,0),
(11,5,1,585,0,0),
(11,5,2,2050,0,0),
(11,5,3,28880,0,0),
(11,5,10,159,128,0),
(11,5,11,4540,128,0),
(11,5,83,4540,128,0),
(11,7,0,6603,0,0),
(11,7,1,403,0,0),
(11,7,2,331,0,0),
(11,7,3,28880,0,0),
(11,7,10,159,128,0),
(11,7,11,4540,128,0),
(11,8,0,6603,0,0),
(11,8,1,133,0,0),
(11,8,2,168,0,0),
(11,8,3,28880,0,0),
(11,8,10,159,128,0),
(11,8,11,4540,128,0),
(11,8,83,4540,128,0);
/*!40000 ALTER TABLE `playercreateinfo_action` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `playercreateinfo_item`
--

DROP TABLE IF EXISTS `playercreateinfo_item`;
CREATE TABLE `playercreateinfo_item` (
  `race` tinyint(3) unsigned NOT NULL default '0',
  `class` tinyint(3) unsigned NOT NULL default '0',
  `itemid` mediumint(8) unsigned NOT NULL default '0',
  `amount` tinyint(8) unsigned NOT NULL default '1',
  KEY `playercreateinfo_race_class_index` (`race`,`class`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `playercreateinfo_item`
--

LOCK TABLES `playercreateinfo_item` WRITE;
/*!40000 ALTER TABLE `playercreateinfo_item` DISABLE KEYS */;
INSERT INTO `playercreateinfo_item` (`race`,`class`,`itemid`,`amount`) VALUES
(1,1,38,1),
(1,1,39,1),
(1,1,40,1),
(1,1,25,1),
(1,1,2362,1),
(1,1,65020,4),
(1,1,6948,1),
(1,1,14646,1),
(1,2,45,1),
(1,2,44,1),
(1,2,43,1),
(1,2,2361,1),
(1,2,6948,1),
(1,2,65021,2),
(1,2,65022,4),
(1,2,14646,1),
(1,4,49,1),
(1,4,48,1),
(1,4,47,1),
(1,4,2092,1),
(1,4,65023,100),
(1,4,65022,4),
(1,4,6948,1),
(1,4,14646,1),
(1,5,53,1),
(1,5,6098,1),
(1,5,52,1),
(1,5,51,1),
(1,5,36,1),
(1,5,65021,2),
(1,5,65022,4),
(1,5,6948,1),
(1,5,14646,1),
(1,8,6096,1),
(1,8,56,1),
(1,8,1395,1),
(1,8,55,1),
(1,8,35,1),
(1,8,65022,4),
(1,8,65021,2),
(1,8,6948,1),
(1,8,14646,1),
(1,9,6097,1),
(1,9,57,1),
(1,9,1396,1),
(1,9,59,1),
(1,9,2092,1),
(1,9,65027,4),
(1,9,65021,2),
(1,9,6948,1),
(1,9,14646,1),
(2,1,6125,1),
(2,1,139,1),
(2,1,140,1),
(2,1,12282,1),
(2,1,6948,1),
(2,1,65020,4),
(2,1,14649,1),
(2,3,127,1),
(2,3,6126,1),
(2,3,6127,1),
(2,3,37,1),
(2,3,2504,1),
(2,3,65021,2),
(2,3,65020,4),
(2,3,6948,1),
(2,3,14649,1),
(2,3,2512,200),
(2,3,2101,1),
(2,4,2105,1),
(2,4,120,1),
(2,4,121,1),
(2,4,2092,1),
(2,4,65024,100),
(2,4,65020,4),
(2,4,6948,1),
(2,4,14649,1),
(2,7,154,1),
(2,7,153,1),
(2,7,36,1),
(2,7,6948,1),
(2,7,65020,4),
(2,7,65021,2),
(2,7,14649,1),
(2,9,6129,1),
(2,9,1396,1),
(2,9,59,1),
(2,9,2092,1),
(2,9,6948,1),
(2,9,65020,4),
(2,9,65021,2),
(2,9,14649,1),
(3,1,38,1),
(3,1,39,1),
(3,1,40,1),
(3,1,12282,1),
(3,1,6948,1),
(3,1,65020,4),
(3,1,14647,1),
(3,2,45,1),
(3,2,44,1),
(3,2,43,1),
(3,2,2361,1),
(3,2,65026,4),
(3,2,65021,2),
(3,2,6948,1),
(3,2,14647,1),
(3,3,148,1),
(3,3,147,1),
(3,3,129,1),
(3,3,37,1),
(3,3,2508,1),
(3,3,65021,2),
(3,3,65020,4),
(3,3,6948,1),
(3,3,14647,1),
(3,3,2516,200),
(3,3,2102,1),
(3,4,49,1),
(3,4,48,1),
(3,4,47,1),
(3,4,2092,1),
(3,4,65024,100),
(3,4,65026,4),
(3,4,6948,1),
(3,4,14647,1),
(3,5,53,1),
(3,5,6098,1),
(3,5,52,1),
(3,5,51,1),
(3,5,36,1),
(3,5,65021,2),
(3,5,65026,4),
(3,5,6948,1),
(3,5,14647,1),
(4,1,38,1),
(4,1,39,1),
(4,1,40,1),
(4,1,25,1),
(4,1,2362,1),
(4,1,65020,4),
(4,1,6948,1),
(4,1,14648,1),
(4,3,148,1),
(4,3,147,1),
(4,3,129,1),
(4,3,2092,1),
(4,3,2504,1),
(4,3,65021,2),
(4,3,65020,4),
(4,3,6948,1),
(4,3,14648,1),
(4,3,2512,200),
(4,3,2101,1),
(4,4,49,1),
(4,4,48,1),
(4,4,47,1),
(4,4,2092,1),
(4,4,65023,100),
(4,4,65026,4),
(4,4,6948,1),
(4,4,14648,1),
(4,5,53,1),
(4,5,6119,1),
(4,5,52,1),
(4,5,51,1),
(4,5,36,1),
(4,5,65022,4),
(4,5,65021,2),
(4,5,6948,1),
(4,5,14648,1),
(4,11,6123,1),
(4,11,44,1),
(4,11,3661,1),
(4,11,65021,2),
(4,11,65025,4),
(4,11,6948,1),
(4,11,14648,1),
(5,1,6125,1),
(5,1,139,1),
(5,1,140,1),
(5,1,25,1),
(5,1,2362,1),
(5,1,65027,4),
(5,1,6948,1),
(5,1,14651,1),
(5,4,2105,1),
(5,4,120,1),
(5,4,121,1),
(5,4,2092,1),
(5,4,65023,100),
(5,4,65027,4),
(5,4,6948,1),
(5,4,14651,1),
(5,5,53,1),
(5,5,6144,1),
(5,5,52,1),
(5,5,51,1),
(5,5,36,1),
(5,5,65027,4),
(5,5,65021,2),
(5,5,6948,1),
(5,5,14651,1),
(5,8,6096,1),
(5,8,6140,1),
(5,8,1395,1),
(5,8,55,1),
(5,8,35,1),
(5,8,65027,4),
(5,8,65021,2),
(5,8,6948,1),
(5,8,14651,1),
(5,9,6129,1),
(5,9,1396,1),
(5,9,59,1),
(5,9,2092,1),
(5,9,65027,4),
(5,9,65021,2),
(5,9,6948,1),
(5,9,14651,1),
(6,1,6125,1),
(6,1,139,1),
(6,1,2361,1),
(6,1,6948,1),
(6,1,65026,4),
(6,1,14650,1),
(6,3,127,1),
(6,3,6126,1),
(6,3,37,1),
(6,3,2508,1),
(6,3,65021,2),
(6,3,65020,4),
(6,3,6948,1),
(6,3,14650,1),
(6,3,2516,200),
(6,3,2102,1),
(6,7,154,1),
(6,7,153,1),
(6,7,36,1),
(6,7,6948,1),
(6,7,65027,4),
(6,7,65021,2),
(6,7,14650,1),
(6,11,6139,1),
(6,11,6124,1),
(6,11,35,1),
(6,11,65021,2),
(6,11,65025,4),
(6,11,6948,1),
(6,11,14650,1),
(7,1,38,1),
(7,1,39,1),
(7,1,40,1),
(7,1,25,1),
(7,1,2362,1),
(7,1,65020,4),
(7,1,6948,1),
(7,1,14647,1),
(7,4,49,1),
(7,4,48,1),
(7,4,47,1),
(7,4,2092,1),
(7,4,65023,100),
(7,4,65020,4),
(7,4,6948,1),
(7,4,14647,1),
(7,8,6096,1),
(7,8,56,1),
(7,8,1395,1),
(7,8,55,1),
(7,8,35,1),
(7,8,65025,4),
(7,8,65021,2),
(7,8,6948,1),
(7,8,14647,1),
(7,9,6097,1),
(7,9,57,1),
(7,9,1396,1),
(7,9,59,1),
(7,9,2092,1),
(7,9,65021,2),
(7,9,65027,4),
(7,9,6948,1),
(7,9,14647,1),
(8,1,6125,1),
(8,1,139,1),
(8,1,140,1),
(8,1,37,1),
(8,1,2362,1),
(8,1,65024,100),
(8,1,65020,4),
(8,1,6948,1),
(8,1,14649,1),
(8,3,127,1),
(8,3,6126,1),
(8,3,6127,1),
(8,3,37,1),
(8,3,2504,1),
(8,3,65027,4),
(8,3,65021,2),
(8,3,2512,200),
(8,3,2101,1),
(8,3,14649,1),
(8,3,6948,1),
(8,4,2105,1),
(8,4,120,1),
(8,4,121,1),
(8,4,2092,1),
(8,4,65024,100),
(8,4,65020,4),
(8,4,6948,1),
(8,4,14649,1),
(8,5,53,1),
(8,5,6144,1),
(8,5,52,1),
(8,5,36,1),
(8,5,65026,4),
(8,5,65021,2),
(8,5,6948,1),
(8,5,14649,1),
(8,7,6134,1),
(8,7,6135,1),
(8,7,36,1),
(8,7,65020,4),
(8,7,65021,2),
(8,7,6948,1),
(8,7,14649,1),
(8,8,6096,1),
(8,8,6140,1),
(8,8,1395,1),
(8,8,55,1),
(8,8,35,1),
(8,8,65020,4),
(8,8,65021,2),
(8,8,6948,1),
(8,8,14649,1),
(10,2,159,5),
(10,2,2070,5),
(10,2,6948,1),
(10,2,23346,1),
(10,2,24143,1),
(10,2,24145,1),
(10,2,24146,1),
(10,3,159,5),
(10,3,2101,1),
(10,3,2512,200),
(10,3,6948,1),
(10,3,20857,5),
(10,3,20899,1),
(10,3,20900,1),
(10,3,20901,1),
(10,3,20980,1),
(10,3,20982,1),
(10,4,3111,100),
(10,4,6948,1),
(10,4,20857,10),
(10,4,20896,1),
(10,4,20897,1),
(10,4,20898,1),
(10,4,20982,1),
(10,5,51,1),
(10,5,52,1),
(10,5,53,1),
(10,5,159,5),
(10,5,6948,1),
(10,5,20891,1),
(10,5,20981,5),
(10,8,35,1),
(10,8,159,5),
(10,8,6096,1),
(10,8,6948,1),
(10,8,20857,5),
(10,8,20893,1),
(10,8,20894,1),
(10,8,20895,1),
(10,9,59,1),
(10,9,159,5),
(10,9,1396,1),
(10,9,6948,1),
(10,9,20857,5),
(10,9,20892,1),
(10,9,20983,1),
(11,1,4540,5),
(11,1,6948,1),
(11,1,23346,1),
(11,1,23473,1),
(11,1,23474,1),
(11,1,23475,1),
(11,2,159,5),
(11,2,2361,1),
(11,2,4540,5),
(11,2,6948,1),
(11,2,23476,1),
(11,2,23476,1),
(11,2,23477,1),
(11,3,25,1),
(11,3,159,5),
(11,3,2101,1),
(11,3,2504,1),
(11,3,2512,200),
(11,3,4540,5),
(11,3,6948,1),
(11,3,23344,1),
(11,3,23345,1),
(11,3,23348,1),
(11,5,36,1),
(11,5,59,1),
(11,5,159,5),
(11,5,1396,1),
(11,5,4540,5),
(11,5,6097,1),
(11,5,6948,1),
(11,5,23322,1),
(11,7,36,1),
(11,7,159,5),
(11,7,4540,5),
(11,7,6948,1),
(11,7,23344,1),
(11,7,23345,1),
(11,7,23348,1),
(11,8,35,1),
(11,8,159,5),
(11,8,4540,5),
(11,8,6948,1),
(11,8,23473,1),
(11,8,23475,1),
(11,8,23478,1),
(11,8,23479,1);
/*!40000 ALTER TABLE `playercreateinfo_item` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `playercreateinfo_skill`
--

DROP TABLE IF EXISTS `playercreateinfo_skill`;
CREATE TABLE `playercreateinfo_skill` (
  `race` tinyint(3) unsigned NOT NULL default '0',
  `class` tinyint(3) unsigned NOT NULL default '0',
  `Skill` mediumint(8) unsigned NOT NULL default '0',
  `Note` varchar(255) default NULL,
  PRIMARY KEY  (`race`,`class`,`Skill`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `playercreateinfo_skill`
--

LOCK TABLES `playercreateinfo_skill` WRITE;
/*!40000 ALTER TABLE `playercreateinfo_skill` DISABLE KEYS */;
INSERT INTO `playercreateinfo_skill` (`race`,`class`,`Skill`,`Note`) VALUES
(1,1,183,'GENERIC (DND)'),
(1,2,183,'GENERIC (DND)'),
(1,4,183,'GENERIC (DND)'),
(1,5,183,'GENERIC (DND)'),
(1,8,183,'GENERIC (DND)'),
(1,9,183,'GENERIC (DND)'),
(2,1,183,'GENERIC (DND)'),
(2,3,183,'GENERIC (DND)'),
(2,4,183,'GENERIC (DND)'),
(2,7,183,'GENERIC (DND)'),
(2,9,183,'GENERIC (DND)'),
(3,1,183,'GENERIC (DND)'),
(3,2,183,'GENERIC (DND)'),
(3,3,183,'GENERIC (DND)'),
(3,4,183,'GENERIC (DND)'),
(3,5,183,'GENERIC (DND)'),
(4,1,183,'GENERIC (DND)'),
(4,3,183,'GENERIC (DND)'),
(4,4,183,'GENERIC (DND)'),
(4,5,183,'GENERIC (DND)'),
(4,11,183,'GENERIC (DND)'),
(5,1,183,'GENERIC (DND)'),
(5,4,183,'GENERIC (DND)'),
(5,5,183,'GENERIC (DND)'),
(5,8,183,'GENERIC (DND)'),
(5,9,183,'GENERIC (DND)'),
(6,1,183,'GENERIC (DND)'),
(6,3,183,'GENERIC (DND)'),
(6,7,183,'GENERIC (DND)'),
(6,11,183,'GENERIC (DND)'),
(7,1,183,'GENERIC (DND)'),
(7,4,183,'GENERIC (DND)'),
(7,8,183,'GENERIC (DND)'),
(7,9,183,'GENERIC (DND)'),
(8,1,183,'GENERIC (DND)'),
(8,3,183,'GENERIC (DND)'),
(8,4,183,'GENERIC (DND)'),
(8,5,183,'GENERIC (DND)'),
(8,7,183,'GENERIC (DND)'),
(8,8,183,'GENERIC (DND)'),
(1,8,6,'Frost'),
(5,8,6,'Frost'),
(7,8,6,'Frost'),
(8,8,6,'Frost'),
(1,8,8,'Fire'),
(5,8,8,'Fire'),
(7,8,8,'Fire'),
(8,8,8,'Fire'),
(1,1,26,'Arms'),
(2,1,26,'Arms'),
(3,1,26,'Arms'),
(4,1,26,'Arms'),
(5,1,26,'Arms'),
(6,1,26,'Arms'),
(7,1,26,'Arms'),
(8,1,26,'Arms'),
(1,4,38,'Combat'),
(2,4,38,'Combat'),
(3,4,38,'Combat'),
(4,4,38,'Combat'),
(5,4,38,'Combat'),
(7,4,38,'Combat'),
(8,4,38,'Combat'),
(2,3,51,'Survival'),
(3,3,51,'Survival'),
(4,3,51,'Survival'),
(6,3,51,'Survival'),
(8,3,51,'Survival'),
(1,5,56,'Holy'),
(3,5,56,'Holy'),
(4,5,56,'Holy'),
(5,5,56,'Holy'),
(8,5,56,'Holy'),
(1,2,594,'Holy'),
(3,2,594,'Holy'),
(3,1,101,'Dwarven Racial'),
(3,2,101,'Dwarven Racial'),
(3,3,101,'Dwarven Racial'),
(3,4,101,'Dwarven Racial'),
(3,5,101,'Dwarven Racial'),
(6,1,124,'Tauren Racial'),
(6,3,124,'Tauren Racial'),
(6,7,124,'Tauren Racial'),
(6,11,124,'Tauren Racial'),
(2,1,125,'Orc Racial'),
(2,3,125,'Orc Racial'),
(2,4,125,'Orc Racial'),
(2,7,125,'Orc Racial'),
(2,9,125,'Orc Racial'),
(4,1,126,'Night Elf Racial'),
(4,3,126,'Night Elf Racial'),
(4,4,126,'Night Elf Racial'),
(4,5,126,'Night Elf Racial'),
(4,11,126,'Night Elf Racial'),
(2,3,163,'Marksmanship'),
(3,3,163,'Marksmanship'),
(4,3,163,'Marksmanship'),
(6,3,163,'Marksmanship'),
(8,3,163,'Marksmanship'),
(5,1,220,'Racial - Undead'),
(5,4,220,'Racial - Undead'),
(5,5,220,'Racial - Undead'),
(5,8,220,'Racial - Undead'),
(5,9,220,'Racial - Undead'),
(1,4,253,'Assassination'),
(2,4,253,'Assassination'),
(3,4,253,'Assassination'),
(4,4,253,'Assassination'),
(5,4,253,'Assassination'),
(7,4,253,'Assassination'),
(8,4,253,'Assassination'),
(1,9,354,'Demonology'),
(2,9,354,'Demonology'),
(5,9,354,'Demonology'),
(7,9,354,'Demonology'),
(2,7,374,'Restoration'),
(6,7,374,'Restoration'),
(8,7,374,'Restoration'),
(4,11,573,'Restoration'),
(6,11,573,'Restoration'),
(2,7,375,'Elemental Combat'),
(6,7,375,'Elemental Combat'),
(8,7,375,'Elemental Combat'),
(4,11,574,'Balance'),
(6,11,574,'Balance'),
(1,9,593,'Destruction'),
(2,9,593,'Destruction'),
(5,9,593,'Destruction'),
(7,9,593,'Destruction'),
(8,1,733,'Racial - Troll'),
(8,3,733,'Racial - Troll'),
(8,4,733,'Racial - Troll'),
(8,5,733,'Racial - Troll'),
(8,7,733,'Racial - Troll'),
(8,8,733,'Racial - Troll'),
(7,1,753,'Racial - Gnome'),
(7,4,753,'Racial - Gnome'),
(7,8,753,'Racial - Gnome'),
(7,9,753,'Racial - Gnome'),
(1,1,754,'Racial - Human'),
(1,2,754,'Racial - Human'),
(1,4,754,'Racial - Human'),
(1,5,754,'Racial - Human'),
(1,8,754,'Racial - Human'),
(1,9,754,'Racial - Human'),
(10,2,183,'GENERIC (DND)'),
(10,2,594,'Holy (Paladin)'),
(10,2,756,'Blood Elf Racial'),
(10,3,51,'Survival'),
(10,3,163,'Marksmanship'),
(10,3,183,'GENERIC (DND)'),
(10,3,756,'Blood Elf Racial'),
(10,4,38,'Combat'),
(10,4,183,'GENERIC (DND)'),
(10,4,253,'Assassination'),
(10,4,756,'Blood Elf Racial'),
(10,5,56,'Holy (Priest)'),
(10,5,183,'GENERIC (DND)'),
(10,5,756,'Blood Elf Racial'),
(10,8,6,'Frost'),
(10,8,8,'Fire'),
(10,8,183,'GENERIC (DND)'),
(10,8,756,'Blood Elf Racial'),
(10,9,183,'GENERIC (DND)'),
(10,9,354,'Demonology'),
(10,9,593,'Destruction'),
(10,9,756,'Blood Elf Racial'),
(11,1,26,'Arms'),
(11,1,183,'GENERIC (DND)'),
(11,1,760,'Draenei Racial'),
(11,2,183,'GENERIC (DND)'),
(11,2,594,'Holy (Paladin)'),
(11,2,760,'Draenei Racial'),
(11,3,51,'Survival'),
(11,3,163,'Marksmanship'),
(11,3,183,'GENERIC (DND)'),
(11,3,760,'Draenei Racial'),
(11,5,56,'Holy (Priest)'),
(11,5,183,'GENERIC (DND)'),
(11,5,760,'Draenei Racial'),
(11,7,183,'GENERIC (DND)'),
(11,7,374,'Restoration (Shaman)'),
(11,7,375,'Elemental Combat'),
(11,7,760,'Draenei Racial'),
(11,8,6,'Frost'),
(11,8,8,'Fire'),
(11,8,183,'GENERIC (DND)'),
(11,8,760,'Draenei Racial');
/*!40000 ALTER TABLE `playercreateinfo_skill` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `playercreateinfo_spell`
--

DROP TABLE IF EXISTS `playercreateinfo_spell`;
CREATE TABLE `playercreateinfo_spell` (
  `race` tinyint(3) unsigned NOT NULL default '0',
  `class` tinyint(3) unsigned NOT NULL default '0',
  `Spell` bigint(20) unsigned NOT NULL default '0',
  `Note` varchar(255) default NULL,
  `Active` tinyint(3) unsigned NOT NULL default '1',
  PRIMARY KEY  (`race`,`class`,`Spell`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `playercreateinfo_spell`
--

LOCK TABLES `playercreateinfo_spell` WRITE;
/*!40000 ALTER TABLE `playercreateinfo_spell` DISABLE KEYS */;
INSERT INTO `playercreateinfo_spell` (`race`,`class`,`Spell`,`Note`,`Active`) VALUES
(1,1,78,'Heroic Strike',1),
(1,1,81,'Dodge',1),
(1,1,107,'Block',1),
(1,1,196,'One-Handed Axes',1),
(1,1,198,'One-Handed Maces',1),
(1,1,201,'One-Handed Swords',1),
(1,1,203,'Unarmed',1),
(1,1,204,'Defense',1),
(1,1,522,'SPELLDEFENSE(DND)',1),
(1,1,668,'Language Common',1),
(1,1,2382,'Generic',1),
(1,1,2457,'Battle Stance',1),
(1,1,2479,'Honorless Target',1),
(1,1,3050,'Detect',1),
(1,1,3365,'Opening',1),
(1,1,5301,'Defensive State(DND)',1),
(1,1,6233,'Closing',1),
(1,1,6246,'Closing',1),
(1,1,6247,'Opening',1),
(1,1,6477,'Opening',1),
(1,1,6478,'Opening',1),
(1,1,6603,'Attack',1),
(1,1,7266,'Duel',1),
(1,1,7267,'Grovel',1),
(1,1,7355,'Stuck',1),
(1,1,7376,'Defensive Stance Passive',0),
(1,1,7381,'Berserker Stance Passive',0),
(1,1,8386,'Attacking',1),
(1,1,8737,'Mail',1),
(1,1,9077,'Leather',1),
(1,1,9078,'Cloth',1),
(1,1,9116,'Shield',1),
(1,1,9125,'Generic',1),
(1,1,20597,'Sword Specialization',1),
(1,1,20598,'The Human Spirit',1),
(1,1,20599,'Diplomacy',1),
(1,1,20600,'Perception',1),
(1,1,20864,'Mace Specialization',1),
(1,1,21156,'Battle Stance Passive',0),
(1,1,21651,'Opening',1),
(1,1,21652,'Closing',1),
(1,1,22027,'Remove Insignia',1),
(1,1,22810,'Opening - No Text',1),
(1,1,32215,'Victorious State',1),
(1,2,81,'Dodge',1),
(1,2,107,'Block',1),
(1,2,198,'One-Handed Maces',1),
(1,2,199,'Two-Handed Maces',1),
(1,2,203,'Unarmed',1),
(1,2,204,'Defense',1),
(1,2,522,'SPELLDEFENSE(DND)',1),
(1,2,635,'Holy Light',1),
(1,2,668,'Language Common',1),
(1,2,2382,'Generic',1),
(1,2,2479,'Honorless Target',1),
(1,2,3050,'Detect',1),
(1,2,3365,'Opening',1),
(1,2,6233,'Closing',1),
(1,2,6246,'Closing',1),
(1,2,6247,'Opening',1),
(1,2,6477,'Opening',1),
(1,2,6478,'Opening',1),
(1,2,6603,'Attack',1),
(1,2,7266,'Duel',1),
(1,2,7267,'Grovel',1),
(1,2,7355,'Stuck',1),
(1,2,8386,'Attacking',1),
(1,2,8737,'Mail',1),
(1,2,9077,'Leather',1),
(1,2,9078,'Cloth',1),
(1,2,9116,'Shield',1),
(1,2,9125,'Generic',1),
(1,2,21084,'Seal of Righteousness',1),
(1,2,20597,'Sword Specialization',1),
(1,2,20598,'The Human Spirit',1),
(1,2,20599,'Diplomacy',1),
(1,2,20600,'Perception',1),
(1,2,20864,'Mace Specialization',1),
(1,2,21651,'Opening',1),
(1,2,21652,'Closing',1),
(1,2,22027,'Remove Insignia',1),
(1,2,22810,'Opening - No Text',1),
(1,2,27762,'Libram',1),
(1,4,81,'Dodge',1),
(1,4,203,'Unarmed',1),
(1,4,204,'Defense',1),
(1,4,522,'SPELLDEFENSE(DND)',1),
(1,4,668,'Language Common',1),
(1,4,1180,'Daggers',1),
(1,4,1752,'Sinister Strike',1),
(1,4,2098,'Eviscerate',1),
(1,4,2382,'Generic',1),
(1,4,2479,'Honorless Target',1),
(1,4,2567,'Thrown',1),
(1,4,2764,'Throw',1),
(1,4,3050,'Detect',1),
(1,4,3365,'Opening',1),
(1,4,6233,'Closing',1),
(1,4,6246,'Closing',1),
(1,4,6247,'Opening',1),
(1,4,6477,'Opening',1),
(1,4,6478,'Opening',1),
(1,4,6603,'Attack',1),
(1,4,7266,'Duel',1),
(1,4,7267,'Grovel',1),
(1,4,7355,'Stuck',1),
(1,4,8386,'Attacking',1),
(1,4,9077,'Leather',1),
(1,4,9078,'Cloth',1),
(1,4,9125,'Generic',1),
(1,4,16092,'Defensive State(DND)',1),
(1,4,20597,'Sword Specialization',1),
(1,4,20598,'The Human Spirit',1),
(1,4,20599,'Diplomacy',1),
(1,4,20600,'Perception',1),
(1,4,20864,'Mace Specialization',1),
(1,4,21184,'Rogue Passive(DND)',1),
(1,4,21651,'Opening',1),
(1,4,21652,'Closing',1),
(1,4,22027,'Remove Insignia',1),
(1,4,22810,'Opening - No Text',1),
(1,5,81,'Dodge',1),
(1,5,198,'One-Handed Maces',1),
(1,5,203,'Unarmed',1),
(1,5,204,'Defense',1),
(1,5,522,'SPELLDEFENSE(DND)',1),
(1,5,585,'Smite',1),
(1,5,668,'Language Common',1),
(1,5,2050,'Lesser Heal',1),
(1,5,2382,'Generic',1),
(1,5,2479,'Honorless Target',1),
(1,5,3050,'Detect',1),
(1,5,3365,'Opening',1),
(1,5,5009,'Wands',1),
(1,5,5019,'Shoot',1),
(1,5,6233,'Closing',1),
(1,5,6246,'Closing',1),
(1,5,6247,'Opening',1),
(1,5,6477,'Opening',1),
(1,5,6478,'Opening',1),
(1,5,6603,'Attack',1),
(1,5,7266,'Duel',1),
(1,5,7267,'Grovel',1),
(1,5,7355,'Stuck',1),
(1,5,8386,'Attacking',1),
(1,5,9078,'Cloth',1),
(1,5,9125,'Generic',1),
(1,5,20597,'Sword Specialization',1),
(1,5,20598,'The Human Spirit',1),
(1,5,20599,'Diplomacy',1),
(1,5,20600,'Perception',1),
(1,5,20864,'Mace Specialization',1),
(1,5,21651,'Opening',1),
(1,5,21652,'Closing',1),
(1,5,22027,'Remove Insignia',1),
(1,5,22810,'Opening - No Text',1),
(1,8,81,'Dodge',1),
(1,8,133,'Fireball',1),
(1,8,168,'Frost Armor',1),
(1,8,203,'Unarmed',1),
(1,8,204,'Defense',1),
(1,8,227,'Staves',1),
(1,8,522,'SPELLDEFENSE(DND)',1),
(1,8,668,'Language Common',1),
(1,8,2382,'Generic',1),
(1,8,2479,'Honorless Target',1),
(1,8,3050,'Detect',1),
(1,8,3365,'Opening',1),
(1,8,5009,'Wands',1),
(1,8,5019,'Shoot',1),
(1,8,6233,'Closing',1),
(1,8,6246,'Closing',1),
(1,8,6247,'Opening',1),
(1,8,6477,'Opening',1),
(1,8,6478,'Opening',1),
(1,8,6603,'Attack',1),
(1,8,7266,'Duel',1),
(1,8,7267,'Grovel',1),
(1,8,7355,'Stuck',1),
(1,8,8386,'Attacking',1),
(1,8,9078,'Cloth',1),
(1,8,9125,'Generic',1),
(1,8,20597,'Sword Specialization',1),
(1,8,20598,'The Human Spirit',1),
(1,8,20599,'Diplomacy',1),
(1,8,20600,'Perception',1),
(1,8,20864,'Mace Specialization',1),
(1,8,21651,'Opening',1),
(1,8,21652,'Closing',1),
(1,8,22027,'Remove Insignia',1),
(1,8,22810,'Opening - No Text',1),
(1,9,81,'Dodge',1),
(1,9,203,'Unarmed',1),
(1,9,204,'Defense',1),
(1,9,522,'SPELLDEFENSE(DND)',1),
(1,9,668,'Language Common',1),
(1,9,686,'Shadow Bolt',1),
(1,9,687,'Demon Skin',1),
(1,9,1180,'Daggers',1),
(1,9,2382,'Generic',1),
(1,9,2479,'Honorless Target',1),
(1,9,3050,'Detect',1),
(1,9,3365,'Opening',1),
(1,9,5009,'Wands',1),
(1,9,5019,'Shoot',1),
(1,9,6233,'Closing',1),
(1,9,6246,'Closing',1),
(1,9,6247,'Opening',1),
(1,9,6477,'Opening',1),
(1,9,6478,'Opening',1),
(1,9,6603,'Attack',1),
(1,9,7266,'Duel',1),
(1,9,7267,'Grovel',1),
(1,9,7355,'Stuck',1),
(1,9,8386,'Attacking',1),
(1,9,9078,'Cloth',1),
(1,9,9125,'Generic',1),
(1,9,20597,'Sword Specialization',1),
(1,9,20598,'The Human Spirit',1),
(1,9,20599,'Diplomacy',1),
(1,9,20600,'Perception',1),
(1,9,20864,'Mace Specialization',1),
(1,9,21651,'Opening',1),
(1,9,21652,'Closing',1),
(1,9,22027,'Remove Insignia',1),
(1,9,22810,'Opening - No Text',1),
(2,1,78,'Heroic Strike',1),
(2,1,81,'Dodge',1),
(2,1,107,'Block',1),
(2,1,196,'One-Handed Axes',1),
(2,1,197,'Two-Handed Axes',1),
(2,1,201,'One-Handed Swords',1),
(2,1,203,'Unarmed',1),
(2,1,204,'Defense',1),
(2,1,522,'SPELLDEFENSE(DND)',1),
(2,1,669,'Language Orcish',1),
(2,1,2382,'Generic',1),
(2,1,2457,'Battle Stance',1),
(2,1,2479,'Honorless Target',1),
(2,1,3050,'Detect',1),
(2,1,3365,'Opening',1),
(2,1,5301,'Defensive State(DND)',1),
(2,1,6233,'Closing',1),
(2,1,6246,'Closing',1),
(2,1,6247,'Opening',1),
(2,1,6477,'Opening',1),
(2,1,6478,'Opening',1),
(2,1,6603,'Attack',1),
(2,1,7266,'Duel',1),
(2,1,7267,'Grovel',1),
(2,1,7355,'Stuck',1),
(2,1,7376,'Defensive Stance Passive',0),
(2,1,7381,'Berserker Stance Passive',0),
(2,1,8386,'Attacking',1),
(2,1,8737,'Mail',1),
(2,1,9077,'Leather',1),
(2,1,9078,'Cloth',1),
(2,1,9116,'Shield',1),
(2,1,9125,'Generic',1),
(2,1,20572,'Blood Fury',1),
(2,1,20573,'Hardiness',1),
(2,1,20574,'Axe Specialization',1),
(2,1,21156,'Battle Stance Passive',0),
(2,1,21563,'Command',1),
(2,1,21651,'Opening',1),
(2,1,21652,'Closing',1),
(2,1,22027,'Remove Insignia',1),
(2,1,22810,'Opening - No Text',1),
(2,1,32215,'Victorious State',1),
(2,3,75,'Auto Shot',1),
(2,3,81,'Dodge',1),
(2,3,196,'One-Handed Axes',1),
(2,3,203,'Unarmed',1),
(2,3,204,'Defense',1),
(2,3,264,'Bows',1),
(2,3,522,'SPELLDEFENSE(DND)',1),
(2,3,669,'Language Orcish',1),
(2,3,2382,'Generic',1),
(2,3,2479,'Honorless Target',1),
(2,3,2973,'Raptor Strike',1),
(2,3,3050,'Detect',1),
(2,3,3365,'Opening',1),
(2,3,6233,'Closing',1),
(2,3,6246,'Closing',1),
(2,3,6247,'Opening',1),
(2,3,6477,'Opening',1),
(2,3,6478,'Opening',1),
(2,3,6603,'Attack',1),
(2,3,7266,'Duel',1),
(2,3,7267,'Grovel',1),
(2,3,7355,'Stuck',1),
(2,3,8386,'Attacking',1),
(2,3,9077,'Leather',1),
(2,3,9078,'Cloth',1),
(2,3,9125,'Generic',1),
(2,3,13358,'Defensive State(DND)',1),
(2,3,20572,'Blood Fury',1),
(2,3,20573,'Hardiness',1),
(2,3,20574,'Axe Specialization',1),
(2,3,20576,'Command',1),
(2,3,21651,'Opening',1),
(2,3,21652,'Closing',1),
(2,3,22027,'Remove Insignia',1),
(2,3,22810,'Opening - No Text',1),
(2,3,24949,'Defensive State 2(DND)',1),
(2,3,34082,'Advantaged State(DND)',1),
(2,4,81,'Dodge',1),
(2,4,203,'Unarmed',1),
(2,4,204,'Defense',1),
(2,4,522,'SPELLDEFENSE(DND)',1),
(2,4,669,'Language Orcish',1),
(2,4,1180,'Daggers',1),
(2,4,1752,'Sinister Strike',1),
(2,4,2098,'Eviscerate',1),
(2,4,2382,'Generic',1),
(2,4,2479,'Honorless Target',1),
(2,4,2567,'Thrown',1),
(2,4,2764,'Throw',1),
(2,4,3050,'Detect',1),
(2,4,3365,'Opening',1),
(2,4,6233,'Closing',1),
(2,4,6246,'Closing',1),
(2,4,6247,'Opening',1),
(2,4,6477,'Opening',1),
(2,4,6478,'Opening',1),
(2,4,6603,'Attack',1),
(2,4,7266,'Duel',1),
(2,4,7267,'Grovel',1),
(2,4,7355,'Stuck',1),
(2,4,8386,'Attacking',1),
(2,4,9077,'Leather',1),
(2,4,9078,'Cloth',1),
(2,4,9125,'Generic',1),
(2,4,16092,'Defensive State(DND)',1),
(2,4,20572,'Blood Fury',1),
(2,4,20573,'Hardiness',1),
(2,4,20574,'Axe Specialization',1),
(2,4,21184,'Rogue Passive(DND)',1),
(2,4,21563,'Command',1),
(2,4,21651,'Opening',1),
(2,4,21652,'Closing',1),
(2,4,22027,'Remove Insignia',1),
(2,4,22810,'Opening - No Text',1),
(2,7,81,'Dodge',1),
(2,7,107,'Block',1),
(2,7,198,'One-Handed Maces',1),
(2,7,203,'Unarmed',1),
(2,7,204,'Defense',1),
(2,7,227,'Staves',1),
(2,7,331,'Healing Wave',1),
(2,7,403,'Lightning Bolt',1),
(2,7,522,'SPELLDEFENSE(DND)',1),
(2,7,669,'Language Orcish',1),
(2,7,2382,'Generic',1),
(2,7,2479,'Honorless Target',1),
(2,7,3050,'Detect',1),
(2,7,3365,'Opening',1),
(2,7,6233,'Closing',1),
(2,7,6246,'Closing',1),
(2,7,6247,'Opening',1),
(2,7,6477,'Opening',1),
(2,7,6478,'Opening',1),
(2,7,6603,'Attack',1),
(2,7,7266,'Duel',1),
(2,7,7267,'Grovel',1),
(2,7,7355,'Stuck',1),
(2,7,8386,'Attacking',1),
(2,7,9077,'Leather',1),
(2,7,9078,'Cloth',1),
(2,7,9116,'Shield',1),
(2,7,9125,'Generic',1),
(2,7,20573,'Hardiness',1),
(2,7,20574,'Axe Specialization',1),
(2,7,21563,'Command',1),
(2,7,21651,'Opening',1),
(2,7,21652,'Closing',1),
(2,7,22027,'Remove Insignia',1),
(2,7,22810,'Opening - No Text',1),
(2,7,27763,'Totem',1),
(2,7,33697,'Blood Fury',1),
(2,9,81,'Dodge',1),
(2,9,203,'Unarmed',1),
(2,9,204,'Defense',1),
(2,9,522,'SPELLDEFENSE(DND)',1),
(2,9,669,'Language Orcish',1),
(2,9,686,'Shadow Bolt',1),
(2,9,687,'Demon Skin',1),
(2,9,1180,'Daggers',1),
(2,9,2382,'Generic',1),
(2,9,2479,'Honorless Target',1),
(2,9,3050,'Detect',1),
(2,9,3365,'Opening',1),
(2,9,5009,'Wands',1),
(2,9,5019,'Shoot',1),
(2,9,6233,'Closing',1),
(2,9,6246,'Closing',1),
(2,9,6247,'Opening',1),
(2,9,6477,'Opening',1),
(2,9,6478,'Opening',1),
(2,9,6603,'Attack',1),
(2,9,7266,'Duel',1),
(2,9,7267,'Grovel',1),
(2,9,7355,'Stuck',1),
(2,9,8386,'Attacking',1),
(2,9,9078,'Cloth',1),
(2,9,9125,'Generic',1),
(2,9,20573,'Hardiness',1),
(2,9,20574,'Axe Specialization',1),
(2,9,20575,'Command',1),
(2,9,21651,'Opening',1),
(2,9,21652,'Closing',1),
(2,9,22027,'Remove Insignia',1),
(2,9,22810,'Opening - No Text',1),
(2,9,33702,'Blood Fury',1),
(3,1,78,'Heroic Strike',1),
(3,1,81,'Dodge',1),
(3,1,107,'Block',1),
(3,1,196,'One-Handed Axes',1),
(3,1,197,'Two-Handed Axes',1),
(3,1,198,'One-Handed Maces',1),
(3,1,203,'Unarmed',1),
(3,1,204,'Defense',1),
(3,1,522,'SPELLDEFENSE(DND)',1),
(3,1,668,'Language Common',1),
(3,1,672,'Language Dwarven',1),
(3,1,2382,'Generic',1),
(3,1,2457,'Battle Stance',1),
(3,1,2479,'Honorless Target',1),
(3,1,2481,'Find Treasure',1),
(3,1,3050,'Detect',1),
(3,1,3365,'Opening',1),
(3,1,5301,'Defensive State(DND)',1),
(3,1,6233,'Closing',1),
(3,1,6246,'Closing',1),
(3,1,6247,'Opening',1),
(3,1,6477,'Opening',1),
(3,1,6478,'Opening',1),
(3,1,6603,'Attack',1),
(3,1,7266,'Duel',1),
(3,1,7267,'Grovel',1),
(3,1,7355,'Stuck',1),
(3,1,7376,'Defensive Stance Passive',0),
(3,1,7381,'Berserker Stance Passive',0),
(3,1,8386,'Attacking',1),
(3,1,8737,'Mail',1),
(3,1,9077,'Leather',1),
(3,1,9078,'Cloth',1),
(3,1,9116,'Shield',1),
(3,1,9125,'Generic',1),
(3,1,20594,'Stoneform',1),
(3,1,20595,'Gun Specialization',1),
(3,1,20596,'Frost Resistance',1),
(3,1,21156,'Battle Stance Passive',0),
(3,1,21651,'Opening',1),
(3,1,21652,'Closing',1),
(3,1,22027,'Remove Insignia',1),
(3,1,22810,'Opening - No Text',1),
(3,1,32215,'Victorious State',1),
(3,2,81,'Dodge',1),
(3,2,107,'Block',1),
(3,2,198,'One-Handed Maces',1),
(3,2,199,'Two-Handed Maces',1),
(3,2,203,'Unarmed',1),
(3,2,204,'Defense',1),
(3,2,522,'SPELLDEFENSE(DND)',1),
(3,2,635,'Holy Light',1),
(3,2,668,'Language Common',1),
(3,2,672,'Language Dwarven',1),
(3,2,2382,'Generic',1),
(3,2,2479,'Honorless Target',1),
(3,2,2481,'Find Treasure',1),
(3,2,3050,'Detect',1),
(3,2,3365,'Opening',1),
(3,2,6233,'Closing',1),
(3,2,6246,'Closing',1),
(3,2,6247,'Opening',1),
(3,2,6477,'Opening',1),
(3,2,6478,'Opening',1),
(3,2,6603,'Attack',1),
(3,2,7266,'Duel',1),
(3,2,7267,'Grovel',1),
(3,2,7355,'Stuck',1),
(3,2,8386,'Attacking',1),
(3,2,8737,'Mail',1),
(3,2,9077,'Leather',1),
(3,2,9078,'Cloth',1),
(3,2,9116,'Shield',1),
(3,2,9125,'Generic',1),
(3,2,21084,'Seal of Righteousness',1),
(3,2,20594,'Stoneform',1),
(3,2,20595,'Gun Specialization',1),
(3,2,20596,'Frost Resistance',1),
(3,2,21651,'Opening',1),
(3,2,21652,'Closing',1),
(3,2,22027,'Remove Insignia',1),
(3,2,22810,'Opening - No Text',1),
(3,2,27762,'Libram',1),
(3,3,75,'Auto Shot',1),
(3,3,81,'Dodge',1),
(3,3,196,'One-Handed Axes',1),
(3,3,203,'Unarmed',1),
(3,3,204,'Defense',1),
(3,3,266,'Guns',1),
(3,3,522,'SPELLDEFENSE(DND)',1),
(3,3,668,'Language Common',1),
(3,3,672,'Language Dwarven',1),
(3,3,2382,'Generic',1),
(3,3,2479,'Honorless Target',1),
(3,3,2481,'Find Treasure',1),
(3,3,2973,'Raptor Strike',1),
(3,3,3050,'Detect',1),
(3,3,3365,'Opening',1),
(3,3,6233,'Closing',1),
(3,3,6246,'Closing',1),
(3,3,6247,'Opening',1),
(3,3,6477,'Opening',1),
(3,3,6478,'Opening',1),
(3,3,6603,'Attack',1),
(3,3,7266,'Duel',1),
(3,3,7267,'Grovel',1),
(3,3,7355,'Stuck',1),
(3,3,8386,'Attacking',1),
(3,3,9077,'Leather',1),
(3,3,9078,'Cloth',1),
(3,3,9125,'Generic',1),
(3,3,13358,'Defensive State(DND)',1),
(3,3,20594,'Stoneform',1),
(3,3,20595,'Gun Specialization',1),
(3,3,20596,'Frost Resistance',1),
(3,3,21651,'Opening',1),
(3,3,21652,'Closing',1),
(3,3,22027,'Remove Insignia',1),
(3,3,22810,'Opening - No Text',1),
(3,3,24949,'Defensive State 2(DND)',1),
(3,3,34082,'Advantaged State(DND)',1),
(3,4,81,'Dodge',1),
(3,4,203,'Unarmed',1),
(3,4,204,'Defense',1),
(3,4,522,'SPELLDEFENSE(DND)',1),
(3,4,668,'Language Common',1),
(3,4,672,'Language Dwarven',1),
(3,4,1180,'Daggers',1),
(3,4,1752,'Sinister Strike',1),
(3,4,2098,'Eviscerate',1),
(3,4,2382,'Generic',1),
(3,4,2479,'Honorless Target',1),
(3,4,2481,'Find Treasure',1),
(3,4,2567,'Thrown',1),
(3,4,2764,'Throw',1),
(3,4,3050,'Detect',1),
(3,4,3365,'Opening',1),
(3,4,6233,'Closing',1),
(3,4,6246,'Closing',1),
(3,4,6247,'Opening',1),
(3,4,6477,'Opening',1),
(3,4,6478,'Opening',1),
(3,4,6603,'Attack',1),
(3,4,7266,'Duel',1),
(3,4,7267,'Grovel',1),
(3,4,7355,'Stuck',1),
(3,4,8386,'Attacking',1),
(3,4,9077,'Leather',1),
(3,4,9078,'Cloth',1),
(3,4,9125,'Generic',1),
(3,4,16092,'Defensive State(DND)',1),
(3,4,20594,'Stoneform',1),
(3,4,20595,'Gun Specialization',1),
(3,4,20596,'Frost Resistance',1),
(3,4,21184,'Rogue Passive(DND)',1),
(3,4,21651,'Opening',1),
(3,4,21652,'Closing',1),
(3,4,22027,'Remove Insignia',1),
(3,4,22810,'Opening - No Text',1),
(3,5,81,'Dodge',1),
(3,5,198,'One-Handed Maces',1),
(3,5,203,'Unarmed',1),
(3,5,204,'Defense',1),
(3,5,522,'SPELLDEFENSE(DND)',1),
(3,5,585,'Smite',1),
(3,5,668,'Language Common',1),
(3,5,672,'Language Dwarven',1),
(3,5,2050,'Lesser Heal',1),
(3,5,2382,'Generic',1),
(3,5,2479,'Honorless Target',1),
(3,5,2481,'Find Treasure',1),
(3,5,3050,'Detect',1),
(3,5,3365,'Opening',1),
(3,5,5009,'Wands',1),
(3,5,5019,'Shoot',1),
(3,5,6233,'Closing',1),
(3,5,6246,'Closing',1),
(3,5,6247,'Opening',1),
(3,5,6477,'Opening',1),
(3,5,6478,'Opening',1),
(3,5,6603,'Attack',1),
(3,5,7266,'Duel',1),
(3,5,7267,'Grovel',1),
(3,5,7355,'Stuck',1),
(3,5,8386,'Attacking',1),
(3,5,9078,'Cloth',1),
(3,5,9125,'Generic',1),
(3,5,20594,'Stoneform',1),
(3,5,20595,'Gun Specialization',1),
(3,5,20596,'Frost Resistance',1),
(3,5,21651,'Opening',1),
(3,5,21652,'Closing',1),
(3,5,22027,'Remove Insignia',1),
(3,5,22810,'Opening - No Text',1),
(4,1,78,'Heroic Strike',1),
(4,1,81,'Dodge',1),
(4,1,107,'Block',1),
(4,1,198,'One-Handed Maces',1),
(4,1,201,'One-Handed Swords',1),
(4,1,203,'Unarmed',1),
(4,1,204,'Defense',1),
(4,1,522,'SPELLDEFENSE(DND)',1),
(4,1,668,'Language Common',1),
(4,1,671,'Language Darnassian',1),
(4,1,1180,'Daggers',1),
(4,1,2382,'Generic',1),
(4,1,2457,'Battle Stance',1),
(4,1,2479,'Honorless Target',1),
(4,1,3050,'Detect',1),
(4,1,3365,'Opening',1),
(4,1,5301,'Defensive State(DND)',1),
(4,1,6233,'Closing',1),
(4,1,6246,'Closing',1),
(4,1,6247,'Opening',1),
(4,1,6477,'Opening',1),
(4,1,6478,'Opening',1),
(4,1,6603,'Attack',1),
(4,1,7266,'Duel',1),
(4,1,7267,'Grovel',1),
(4,1,7355,'Stuck',1),
(4,1,7376,'Defensive Stance Passive',0),
(4,1,7381,'Berserker Stance Passive',0),
(4,1,8386,'Attacking',1),
(4,1,8737,'Mail',1),
(4,1,9077,'Leather',1),
(4,1,9078,'Cloth',1),
(4,1,9116,'Shield',1),
(4,1,9125,'Generic',1),
(4,1,20580,'Shadowmeld',1),
(4,1,20582,'Quickness',1),
(4,1,20583,'Nature Resistance',1),
(4,1,20585,'Wisp Spirit',1),
(4,1,21009,'Shadowmeld Passive',1),
(4,1,21156,'Battle Stance Passive',0),
(4,1,21651,'Opening',1),
(4,1,21652,'Closing',1),
(4,1,22027,'Remove Insignia',1),
(4,1,22810,'Opening - No Text',1),
(4,1,32215,'Victorious State',1),
(4,3,75,'Auto Shot',1),
(4,3,81,'Dodge',1),
(4,3,203,'Unarmed',1),
(4,3,204,'Defense',1),
(4,3,264,'Bows',1),
(4,3,522,'SPELLDEFENSE(DND)',1),
(4,3,668,'Language Common',1),
(4,3,671,'Language Darnassian',1),
(4,3,1180,'Daggers',1),
(4,3,2382,'Generic',1),
(4,3,2479,'Honorless Target',1),
(4,3,2973,'Raptor Strike',1),
(4,3,3050,'Detect',1),
(4,3,3365,'Opening',1),
(4,3,6233,'Closing',1),
(4,3,6246,'Closing',1),
(4,3,6247,'Opening',1),
(4,3,6477,'Opening',1),
(4,3,6478,'Opening',1),
(4,3,6603,'Attack',1),
(4,3,7266,'Duel',1),
(4,3,7267,'Grovel',1),
(4,3,7355,'Stuck',1),
(4,3,8386,'Attacking',1),
(4,3,9077,'Leather',1),
(4,3,9078,'Cloth',1),
(4,3,9125,'Generic',1),
(4,3,13358,'Defensive State(DND)',1),
(4,3,20580,'Shadowmeld',1),
(4,3,20582,'Quickness',1),
(4,3,20583,'Nature Resistance',1),
(4,3,20585,'Wisp Spirit',1),
(4,3,21009,'Shadowmeld Passive',1),
(4,3,21651,'Opening',1),
(4,3,21652,'Closing',1),
(4,3,22027,'Remove Insignia',1),
(4,3,22810,'Opening - No Text',1),
(4,3,24949,'Defensive State 2(DND)',1),
(4,3,34082,'Advantaged State(DND)',1),
(4,4,81,'Dodge',1),
(4,4,203,'Unarmed',1),
(4,4,204,'Defense',1),
(4,4,522,'SPELLDEFENSE(DND)',1),
(4,4,668,'Language Common',1),
(4,4,671,'Language Darnassian',1),
(4,4,1180,'Daggers',1),
(4,4,1752,'Sinister Strike',1),
(4,4,2098,'Eviscerate',1),
(4,4,2382,'Generic',1),
(4,4,2479,'Honorless Target',1),
(4,4,2567,'Thrown',1),
(4,4,2764,'Throw',1),
(4,4,3050,'Detect',1),
(4,4,3365,'Opening',1),
(4,4,6233,'Closing',1),
(4,4,6246,'Closing',1),
(4,4,6247,'Opening',1),
(4,4,6477,'Opening',1),
(4,4,6478,'Opening',1),
(4,4,6603,'Attack',1),
(4,4,7266,'Duel',1),
(4,4,7267,'Grovel',1),
(4,4,7355,'Stuck',1),
(4,4,8386,'Attacking',1),
(4,4,9077,'Leather',1),
(4,4,9078,'Cloth',1),
(4,4,9125,'Generic',1),
(4,4,16092,'Defensive State(DND)',1),
(4,4,20580,'Shadowmeld',1),
(4,4,20582,'Quickness',1),
(4,4,20583,'Nature Resistance',1),
(4,4,20585,'Wisp Spirit',1),
(4,4,21009,'Shadowmeld Passive',1),
(4,4,21184,'Rogue Passive(DND)',1),
(4,4,21651,'Opening',1),
(4,4,21652,'Closing',1),
(4,4,22027,'Remove Insignia',1),
(4,4,22810,'Opening - No Text',1),
(4,5,81,'Dodge',1),
(4,5,198,'One-Handed Maces',1),
(4,5,203,'Unarmed',1),
(4,5,204,'Defense',1),
(4,5,522,'SPELLDEFENSE(DND)',1),
(4,5,585,'Smite',1),
(4,5,668,'Language Common',1),
(4,5,671,'Language Darnassian',1),
(4,5,2050,'Lesser Heal',1),
(4,5,2382,'Generic',1),
(4,5,2479,'Honorless Target',1),
(4,5,3050,'Detect',1),
(4,5,3365,'Opening',1),
(4,5,5009,'Wands',1),
(4,5,5019,'Shoot',1),
(4,5,6233,'Closing',1),
(4,5,6246,'Closing',1),
(4,5,6247,'Opening',1),
(4,5,6477,'Opening',1),
(4,5,6478,'Opening',1),
(4,5,6603,'Attack',1),
(4,5,7266,'Duel',1),
(4,5,7267,'Grovel',1),
(4,5,7355,'Stuck',1),
(4,5,8386,'Attacking',1),
(4,5,9078,'Cloth',1),
(4,5,9125,'Generic',1),
(4,5,20580,'Shadowmeld',1),
(4,5,20582,'Quickness',1),
(4,5,20583,'Nature Resistance',1),
(4,5,20585,'Wisp Spirit',1),
(4,5,21009,'Shadowmeld Passive',1),
(4,5,21651,'Opening',1),
(4,5,21652,'Closing',1),
(4,5,22027,'Remove Insignia',1),
(4,5,22810,'Opening - No Text',1),
(4,11,81,'Dodge',1),
(4,11,203,'Unarmed',1),
(4,11,204,'Defense',1),
(4,11,227,'Staves',1),
(4,11,522,'SPELLDEFENSE(DND)',1),
(4,11,668,'Language Common',1),
(4,11,671,'Language Darnassian',1),
(4,11,1178,'Bear Form(Passive)',0),
(4,11,1180,'Daggers',1),
(4,11,2382,'Generic',1),
(4,11,2479,'Honorless Target',1),
(4,11,3025,'Cat Form(Passive)',0),
(4,11,3050,'Detect',1),
(4,11,3365,'Opening',1),
(4,11,5176,'Wrath',1),
(4,11,5185,'Healing Touch',1),
(4,11,5419,'Travel Form(Passive)',0),
(4,11,5420,'Tree of Life',0),
(4,11,5421,'Aquatic Form(Passive)',0),
(4,11,6233,'Closing',1),
(4,11,6246,'Closing',1),
(4,11,6247,'Opening',1),
(4,11,6477,'Opening',1),
(4,11,6478,'Opening',1),
(4,11,6603,'Attack',1),
(4,11,7266,'Duel',1),
(4,11,7267,'Grovel',1),
(4,11,7355,'Stuck',1),
(4,11,8386,'Attacking',1),
(4,11,9077,'Leather',1),
(4,11,9078,'Cloth',1),
(4,11,9125,'Generic',1),
(4,11,9635,'Dire Bear Form(Passive)',0),
(4,11,20580,'Shadowmeld',1),
(4,11,20582,'Quickness',1),
(4,11,20583,'Nature Resistance',1),
(4,11,20585,'Wisp Spirit',1),
(4,11,21009,'Shadowmeld Passive',1),
(4,11,21178,'Bear Form(Passive2)',0),
(4,11,21651,'Opening',1),
(4,11,21652,'Closing',1),
(4,11,22027,'Remove Insignia',1),
(4,11,22810,'Opening - No Text',1),
(4,11,24905,'Moonkin Form(Passive)',0),
(4,11,27764,'Fetish',1),
(4,11,33948,'Flight Form(Passive)',0),
(4,11,34123,'Tree of Life(Passive)',0),
(4,11,40121,'Swift Flight Form(Passive)',0),
(5,1,78,'Heroic Strike',1),
(5,1,81,'Dodge',1),
(5,1,107,'Block',1),
(5,1,201,'One-Handed Swords',1),
(5,1,202,'Two-Handed Swords',1),
(5,1,203,'Unarmed',1),
(5,1,204,'Defense',1),
(5,1,522,'SPELLDEFENSE(DND)',1),
(5,1,669,'Language Orcish',1),
(5,1,1180,'Daggers',1),
(5,1,2382,'Generic',1),
(5,1,2457,'Battle Stance',1),
(5,1,2479,'Honorless Target',1),
(5,1,3050,'Detect',1),
(5,1,3365,'Opening',1),
(5,1,5227,'Underwater Breathing',1),
(5,1,5301,'Defensive State(DND)',1),
(5,1,6233,'Closing',1),
(5,1,6246,'Closing',1),
(5,1,6247,'Opening',1),
(5,1,6477,'Opening',1),
(5,1,6478,'Opening',1),
(5,1,6603,'Attack',1),
(5,1,7266,'Duel',1),
(5,1,7267,'Grovel',1),
(5,1,7355,'Stuck',1),
(5,1,7376,'Defensive Stance Passive',0),
(5,1,7381,'Berserker Stance Passive',0),
(5,1,7744,'Will of the Forsaken',1),
(5,1,8386,'Attacking',1),
(5,1,8737,'Mail',1),
(5,1,9077,'Leather',1),
(5,1,9078,'Cloth',1),
(5,1,9116,'Shield',1),
(5,1,9125,'Generic',1),
(5,1,17737,'Language Gutterspeak',1),
(5,1,20577,'Cannibalize',1),
(5,1,20579,'Shadow Resistance',1),
(5,1,21156,'Battle Stance Passive',0),
(5,1,21651,'Opening',1),
(5,1,21652,'Closing',1),
(5,1,22027,'Remove Insignia',1),
(5,1,22810,'Opening - No Text',1),
(5,1,32215,'Victorious State',1),
(5,4,81,'Dodge',1),
(5,4,203,'Unarmed',1),
(5,4,204,'Defense',1),
(5,4,522,'SPELLDEFENSE(DND)',1),
(5,4,669,'Language Orcish',1),
(5,4,1180,'Daggers',1),
(5,4,1752,'Sinister Strike',1),
(5,4,2098,'Eviscerate',1),
(5,4,2382,'Generic',1),
(5,4,2479,'Honorless Target',1),
(5,4,2567,'Thrown',1),
(5,4,2764,'Throw',1),
(5,4,3050,'Detect',1),
(5,4,3365,'Opening',1),
(5,4,5227,'Underwater Breathing',1),
(5,4,6233,'Closing',1),
(5,4,6246,'Closing',1),
(5,4,6247,'Opening',1),
(5,4,6477,'Opening',1),
(5,4,6478,'Opening',1),
(5,4,6603,'Attack',1),
(5,4,7266,'Duel',1),
(5,4,7267,'Grovel',1),
(5,4,7355,'Stuck',1),
(5,4,7744,'Will of the Forsaken',1),
(5,4,8386,'Attacking',1),
(5,4,9077,'Leather',1),
(5,4,9078,'Cloth',1),
(5,4,9125,'Generic',1),
(5,4,16092,'Defensive State(DND)',1),
(5,4,17737,'Language Gutterspeak',1),
(5,4,20577,'Cannibalize',1),
(5,4,20579,'Shadow Resistance',1),
(5,4,21184,'Rogue Passive(DND)',1),
(5,4,21651,'Opening',1),
(5,4,21652,'Closing',1),
(5,4,22027,'Remove Insignia',1),
(5,4,22810,'Opening - No Text',1),
(5,5,81,'Dodge',1),
(5,5,198,'One-Handed Maces',1),
(5,5,203,'Unarmed',1),
(5,5,204,'Defense',1),
(5,5,522,'SPELLDEFENSE(DND)',1),
(5,5,585,'Smite',1),
(5,5,669,'Language Orcish',1),
(5,5,2050,'Lesser Heal',1),
(5,5,2382,'Generic',1),
(5,5,2479,'Honorless Target',1),
(5,5,3050,'Detect',1),
(5,5,3365,'Opening',1),
(5,5,5009,'Wands',1),
(5,5,5019,'Shoot',1),
(5,5,5227,'Underwater Breathing',1),
(5,5,6233,'Closing',1),
(5,5,6246,'Closing',1),
(5,5,6247,'Opening',1),
(5,5,6477,'Opening',1),
(5,5,6478,'Opening',1),
(5,5,6603,'Attack',1),
(5,5,7266,'Duel',1),
(5,5,7267,'Grovel',1),
(5,5,7355,'Stuck',1),
(5,5,7744,'Will of the Forsaken',1),
(5,5,8386,'Attacking',1),
(5,5,9078,'Cloth',1),
(5,5,9125,'Generic',1),
(5,5,17737,'Language Gutterspeak',1),
(5,5,20577,'Cannibalize',1),
(5,5,20579,'Shadow Resistance',1),
(5,5,21651,'Opening',1),
(5,5,21652,'Closing',1),
(5,5,22027,'Remove Insignia',1),
(5,5,22810,'Opening - No Text',1),
(5,8,81,'Dodge',1),
(5,8,133,'Fireball',1),
(5,8,168,'Frost Armor',1),
(5,8,203,'Unarmed',1),
(5,8,204,'Defense',1),
(5,8,227,'Staves',1),
(5,8,522,'SPELLDEFENSE(DND)',1),
(5,8,669,'Language Orcish',1),
(5,8,2382,'Generic',1),
(5,8,2479,'Honorless Target',1),
(5,8,3050,'Detect',1),
(5,8,3365,'Opening',1),
(5,8,5009,'Wands',1),
(5,8,5019,'Shoot',1),
(5,8,5227,'Underwater Breathing',1),
(5,8,6233,'Closing',1),
(5,8,6246,'Closing',1),
(5,8,6247,'Opening',1),
(5,8,6477,'Opening',1),
(5,8,6478,'Opening',1),
(5,8,6603,'Attack',1),
(5,8,7266,'Duel',1),
(5,8,7267,'Grovel',1),
(5,8,7355,'Stuck',1),
(5,8,7744,'Will of the Forsaken',1),
(5,8,8386,'Attacking',1),
(5,8,9078,'Cloth',1),
(5,8,9125,'Generic',1),
(5,8,17737,'Language Gutterspeak',1),
(5,8,20577,'Cannibalize',1),
(5,8,20579,'Shadow Resistance',1),
(5,8,21651,'Opening',1),
(5,8,21652,'Closing',1),
(5,8,22027,'Remove Insignia',1),
(5,8,22810,'Opening - No Text',1),
(5,9,81,'Dodge',1),
(5,9,203,'Unarmed',1),
(5,9,204,'Defense',1),
(5,9,522,'SPELLDEFENSE(DND)',1),
(5,9,669,'Language Orcish',1),
(5,9,686,'Shadow Bolt',1),
(5,9,687,'Demon Skin',1),
(5,9,1180,'Daggers',1),
(5,9,2382,'Generic',1),
(5,9,2479,'Honorless Target',1),
(5,9,3050,'Detect',1),
(5,9,3365,'Opening',1),
(5,9,5009,'Wands',1),
(5,9,5019,'Shoot',1),
(5,9,5227,'Underwater Breathing',1),
(5,9,6233,'Closing',1),
(5,9,6246,'Closing',1),
(5,9,6247,'Opening',1),
(5,9,6477,'Opening',1),
(5,9,6478,'Opening',1),
(5,9,6603,'Attack',1),
(5,9,7266,'Duel',1),
(5,9,7267,'Grovel',1),
(5,9,7355,'Stuck',1),
(5,9,7744,'Will of the Forsaken',1),
(5,9,8386,'Attacking',1),
(5,9,9078,'Cloth',1),
(5,9,9125,'Generic',1),
(5,9,17737,'Language Gutterspeak',1),
(5,9,20577,'Cannibalize',1),
(5,9,20579,'Shadow Resistance',1),
(5,9,21651,'Opening',1),
(5,9,21652,'Closing',1),
(5,9,22027,'Remove Insignia',1),
(5,9,22810,'Opening - No Text',1),
(6,1,78,'Heroic Strike',1),
(6,1,81,'Dodge',1),
(6,1,107,'Block',1),
(6,1,196,'One-Handed Axes',1),
(6,1,198,'One-Handed Maces',1),
(6,1,199,'Two-Handed Maces',1),
(6,1,203,'Unarmed',1),
(6,1,204,'Defense',1),
(6,1,522,'SPELLDEFENSE(DND)',1),
(6,1,669,'Language Orcish',1),
(6,1,670,'Language Taurahe',1),
(6,1,2382,'Generic',1),
(6,1,2457,'Battle Stance',1),
(6,1,2479,'Honorless Target',1),
(6,1,3050,'Detect',1),
(6,1,3365,'Opening',1),
(6,1,5301,'Defensive State(DND)',1),
(6,1,6233,'Closing',1),
(6,1,6246,'Closing',1),
(6,1,6247,'Opening',1),
(6,1,6477,'Opening',1),
(6,1,6478,'Opening',1),
(6,1,6603,'Attack',1),
(6,1,7266,'Duel',1),
(6,1,7267,'Grovel',1),
(6,1,7355,'Stuck',1),
(6,1,7376,'Defensive Stance Passive',0),
(6,1,7381,'Berserker Stance Passive',0),
(6,1,8386,'Attacking',1),
(6,1,8737,'Mail',1),
(6,1,9077,'Leather',1),
(6,1,9078,'Cloth',1),
(6,1,9116,'Shield',1),
(6,1,9125,'Generic',1),
(6,1,20549,'War Stomp',1),
(6,1,20550,'Endurance',1),
(6,1,20551,'Nature Resistance',1),
(6,1,20552,'Cultivation',1),
(6,1,21156,'Battle Stance Passive',0),
(6,1,21651,'Opening',1),
(6,1,21652,'Closing',1),
(6,1,22027,'Remove Insignia',1),
(6,1,22810,'Opening - No Text',1),
(6,1,32215,'Victorious State',1),
(6,3,75,'Auto Shot',1),
(6,3,81,'Dodge',1),
(6,3,196,'One-Handed Axes',1),
(6,3,203,'Unarmed',1),
(6,3,204,'Defense',1),
(6,3,266,'Guns',1),
(6,3,522,'SPELLDEFENSE(DND)',1),
(6,3,669,'Language Orcish',1),
(6,3,670,'Language Taurahe',1),
(6,3,2382,'Generic',1),
(6,3,2479,'Honorless Target',1),
(6,3,2973,'Raptor Strike',1),
(6,3,3050,'Detect',1),
(6,3,3365,'Opening',1),
(6,3,6233,'Closing',1),
(6,3,6246,'Closing',1),
(6,3,6247,'Opening',1),
(6,3,6477,'Opening',1),
(6,3,6478,'Opening',1),
(6,3,6603,'Attack',1),
(6,3,7266,'Duel',1),
(6,3,7267,'Grovel',1),
(6,3,7355,'Stuck',1),
(6,3,8386,'Attacking',1),
(6,3,9077,'Leather',1),
(6,3,9078,'Cloth',1),
(6,3,9125,'Generic',1),
(6,3,13358,'Defensive State(DND)',1),
(6,3,20549,'War Stomp',1),
(6,3,20550,'Endurance',1),
(6,3,20551,'Nature Resistance',1),
(6,3,20552,'Cultivation',1),
(6,3,21651,'Opening',1),
(6,3,21652,'Closing',1),
(6,3,22027,'Remove Insignia',1),
(6,3,22810,'Opening - No Text',1),
(6,3,24949,'Defensive State 2(DND)',1),
(6,3,34082,'Advantaged State(DND)',1),
(6,7,81,'Dodge',1),
(6,7,107,'Block',1),
(6,7,198,'One-Handed Maces',1),
(6,7,203,'Unarmed',1),
(6,7,204,'Defense',1),
(6,7,227,'Staves',1),
(6,7,331,'Healing Wave',1),
(6,7,403,'Lightning Bolt',1),
(6,7,522,'SPELLDEFENSE(DND)',1),
(6,7,669,'Language Orcish',1),
(6,7,670,'Language Taurahe',1),
(6,7,2382,'Generic',1),
(6,7,2479,'Honorless Target',1),
(6,7,3050,'Detect',1),
(6,7,3365,'Opening',1),
(6,7,6233,'Closing',1),
(6,7,6246,'Closing',1),
(6,7,6247,'Opening',1),
(6,7,6477,'Opening',1),
(6,7,6478,'Opening',1),
(6,7,6603,'Attack',1),
(6,7,7266,'Duel',1),
(6,7,7267,'Grovel',1),
(6,7,7355,'Stuck',1),
(6,7,8386,'Attacking',1),
(6,7,9077,'Leather',1),
(6,7,9078,'Cloth',1),
(6,7,9116,'Shield',1),
(6,7,9125,'Generic',1),
(6,7,20549,'War Stomp',1),
(6,7,20550,'Endurance',1),
(6,7,20551,'Nature Resistance',1),
(6,7,20552,'Cultivation',1),
(6,7,21651,'Opening',1),
(6,7,21652,'Closing',1),
(6,7,22027,'Remove Insignia',1),
(6,7,22810,'Opening - No Text',1),
(6,7,27763,'Totem',1),
(6,11,81,'Dodge',1),
(6,11,198,'One-Handed Maces',1),
(6,11,203,'Unarmed',1),
(6,11,204,'Defense',1),
(6,11,227,'Staves',1),
(6,11,522,'SPELLDEFENSE(DND)',1),
(6,11,669,'Language Orcish',1),
(6,11,670,'Language Taurahe',1),
(6,11,1178,'Bear Form(Passive)',0),
(6,11,2382,'Generic',1),
(6,11,2479,'Honorless Target',1),
(6,11,3025,'Cat Form(Passive)',0),
(6,11,3050,'Detect',1),
(6,11,3365,'Opening',1),
(6,11,5176,'Wrath',1),
(6,11,5185,'Healing Touch',1),
(6,11,5419,'Travel Form(Passive)',0),
(6,11,5420,'Tree of Life',0),
(6,11,5421,'Aquatic Form(Passive)',0),
(6,11,6233,'Closing',1),
(6,11,6246,'Closing',1),
(6,11,6247,'Opening',1),
(6,11,6477,'Opening',1),
(6,11,6478,'Opening',1),
(6,11,6603,'Attack',1),
(6,11,7266,'Duel',1),
(6,11,7267,'Grovel',1),
(6,11,7355,'Stuck',1),
(6,11,8386,'Attacking',1),
(6,11,9077,'Leather',1),
(6,11,9078,'Cloth',1),
(6,11,9125,'Generic',1),
(6,11,9635,'Dire Bear Form(Passive)',0),
(6,11,20549,'War Stomp',1),
(6,11,20550,'Endurance',1),
(6,11,20551,'Nature Resistance',1),
(6,11,20552,'Cultivation',1),
(6,11,21178,'Bear Form(Passive2)',0),
(6,11,21651,'Opening',1),
(6,11,21652,'Closing',1),
(6,11,22027,'Remove Insignia',1),
(6,11,22810,'Opening - No Text',1),
(6,11,24905,'Moonkin Form(Passive)',0),
(6,11,27764,'Fetish',1),
(6,11,33948,'Flight Form(Passive)',0),
(6,11,34123,'Tree of Life(Passive)',0),
(6,11,40121,'Swift Flight Form(Passive)',0),
(7,1,78,'Heroic Strike',1),
(7,1,81,'Dodge',1),
(7,1,107,'Block',1),
(7,1,198,'One-Handed Maces',1),
(7,1,201,'One-Handed Swords',1),
(7,1,203,'Unarmed',1),
(7,1,204,'Defense',1),
(7,1,522,'SPELLDEFENSE(DND)',1),
(7,1,668,'Language Common',1),
(7,1,1180,'Daggers',1),
(7,1,2382,'Generic',1),
(7,1,2457,'Battle Stance',1),
(7,1,2479,'Honorless Target',1),
(7,1,3050,'Detect',1),
(7,1,3365,'Opening',1),
(7,1,5301,'Defensive State(DND)',1),
(7,1,6233,'Closing',1),
(7,1,6246,'Closing',1),
(7,1,6247,'Opening',1),
(7,1,6477,'Opening',1),
(7,1,6478,'Opening',1),
(7,1,6603,'Attack',1),
(7,1,7266,'Duel',1),
(7,1,7267,'Grovel',1),
(7,1,7340,'Language Gnomish',1),
(7,1,7355,'Stuck',1),
(7,1,7376,'Defensive Stance Passive',0),
(7,1,7381,'Berserker Stance Passive',0),
(7,1,8386,'Attacking',1),
(7,1,8737,'Mail',1),
(7,1,9077,'Leather',1),
(7,1,9078,'Cloth',1),
(7,1,9116,'Shield',1),
(7,1,9125,'Generic',1),
(7,1,20589,'Escape Artist',1),
(7,1,20591,'Expansive Mind',1),
(7,1,20592,'Arcane Resistance',1),
(7,1,20593,'Engineering Specialization',1),
(7,1,21156,'Battle Stance Passive',0),
(7,1,21651,'Opening',1),
(7,1,21652,'Closing',1),
(7,1,22027,'Remove Insignia',1),
(7,1,22810,'Opening - No Text',1),
(7,1,32215,'Victorious State',1),
(7,4,81,'Dodge',1),
(7,4,203,'Unarmed',1),
(7,4,204,'Defense',1),
(7,4,522,'SPELLDEFENSE(DND)',1),
(7,4,668,'Language Common',1),
(7,4,1180,'Daggers',1),
(7,4,1752,'Sinister Strike',1),
(7,4,2098,'Eviscerate',1),
(7,4,2382,'Generic',1),
(7,4,2479,'Honorless Target',1),
(7,4,2567,'Thrown',1),
(7,4,2764,'Throw',1),
(7,4,3050,'Detect',1),
(7,4,3365,'Opening',1),
(7,4,6233,'Closing',1),
(7,4,6246,'Closing',1),
(7,4,6247,'Opening',1),
(7,4,6477,'Opening',1),
(7,4,6478,'Opening',1),
(7,4,6603,'Attack',1),
(7,4,7266,'Duel',1),
(7,4,7267,'Grovel',1),
(7,4,7340,'Language Gnomish',1),
(7,4,7355,'Stuck',1),
(7,4,8386,'Attacking',1),
(7,4,9077,'Leather',1),
(7,4,9078,'Cloth',1),
(7,4,9125,'Generic',1),
(7,4,16092,'Defensive State(DND)',1),
(7,4,20589,'Escape Artist',1),
(7,4,20591,'Expansive Mind',1),
(7,4,20592,'Arcane Resistance',1),
(7,4,20593,'Engineering Specialization',1),
(7,4,21184,'Rogue Passive(DND)',1),
(7,4,21651,'Opening',1),
(7,4,21652,'Closing',1),
(7,4,22027,'Remove Insignia',1),
(7,4,22810,'Opening - No Text',1),
(7,8,81,'Dodge',1),
(7,8,133,'Fireball',1),
(7,8,168,'Frost Armor',1),
(7,8,203,'Unarmed',1),
(7,8,204,'Defense',1),
(7,8,227,'Staves',1),
(7,8,522,'SPELLDEFENSE(DND)',1),
(7,8,668,'Language Common',1),
(7,8,2382,'Generic',1),
(7,8,2479,'Honorless Target',1),
(7,8,3050,'Detect',1),
(7,8,3365,'Opening',1),
(7,8,5009,'Wands',1),
(7,8,5019,'Shoot',1),
(7,8,6233,'Closing',1),
(7,8,6246,'Closing',1),
(7,8,6247,'Opening',1),
(7,8,6477,'Opening',1),
(7,8,6478,'Opening',1),
(7,8,6603,'Attack',1),
(7,8,7266,'Duel',1),
(7,8,7267,'Grovel',1),
(7,8,7340,'Language Gnomish',1),
(7,8,7355,'Stuck',1),
(7,8,8386,'Attacking',1),
(7,8,9078,'Cloth',1),
(7,8,9125,'Generic',1),
(7,8,20589,'Escape Artist',1),
(7,8,20591,'Expansive Mind',1),
(7,8,20592,'Arcane Resistance',1),
(7,8,20593,'Engineering Specialization',1),
(7,8,21651,'Opening',1),
(7,8,21652,'Closing',1),
(7,8,22027,'Remove Insignia',1),
(7,8,22810,'Opening - No Text',1),
(7,9,81,'Dodge',1),
(7,9,203,'Unarmed',1),
(7,9,204,'Defense',1),
(7,9,522,'SPELLDEFENSE(DND)',1),
(7,9,668,'Language Common',1),
(7,9,686,'Shadow Bolt',1),
(7,9,687,'Demon Skin',1),
(7,9,1180,'Daggers',1),
(7,9,2382,'Generic',1),
(7,9,2479,'Honorless Target',1),
(7,9,3050,'Detect',1),
(7,9,3365,'Opening',1),
(7,9,5009,'Wands',1),
(7,9,5019,'Shoot',1),
(7,9,6233,'Closing',1),
(7,9,6246,'Closing',1),
(7,9,6247,'Opening',1),
(7,9,6477,'Opening',1),
(7,9,6478,'Opening',1),
(7,9,6603,'Attack',1),
(7,9,7266,'Duel',1),
(7,9,7267,'Grovel',1),
(7,9,7340,'Language Gnomish',1),
(7,9,7355,'Stuck',1),
(7,9,8386,'Attacking',1),
(7,9,9078,'Cloth',1),
(7,9,9125,'Generic',1),
(7,9,20589,'Escape Artist',1),
(7,9,20591,'Expansive Mind',1),
(7,9,20592,'Arcane Resistance',1),
(7,9,20593,'Engineering Specialization',1),
(7,9,21651,'Opening',1),
(7,9,21652,'Closing',1),
(7,9,22027,'Remove Insignia',1),
(7,9,22810,'Opening - No Text',1),
(8,1,78,'Heroic Strike',1),
(8,1,81,'Dodge',1),
(8,1,107,'Block',1),
(8,1,196,'One-Handed Axes',1),
(8,1,203,'Unarmed',1),
(8,1,204,'Defense',1),
(8,1,522,'SPELLDEFENSE(DND)',1),
(8,1,669,'Language Orcish',1),
(8,1,1180,'Daggers',1),
(8,1,2382,'Generic',1),
(8,1,2457,'Battle Stance',1),
(8,1,2479,'Honorless Target',1),
(8,1,2567,'Thrown',1),
(8,1,2764,'Throw',1),
(8,1,3050,'Detect',1),
(8,1,3365,'Opening',1),
(8,1,5301,'Defensive State(DND)',1),
(8,1,6233,'Closing',1),
(8,1,6246,'Closing',1),
(8,1,6247,'Opening',1),
(8,1,6477,'Opening',1),
(8,1,6478,'Opening',1),
(8,1,6603,'Attack',1),
(8,1,7266,'Duel',1),
(8,1,7267,'Grovel',1),
(8,1,7341,'Language Troll',1),
(8,1,7355,'Stuck',1),
(8,1,7376,'Defensive Stance Passive',0),
(8,1,7381,'Berserker Stance Passive',0),
(8,1,8386,'Attacking',1),
(8,1,8737,'Mail',1),
(8,1,9077,'Leather',1),
(8,1,9078,'Cloth',1),
(8,1,9116,'Shield',1),
(8,1,9125,'Generic',1),
(8,1,20555,'Regeneration',1),
(8,1,20557,'Beast Slaying',1),
(8,1,20558,'Throwing Specialization',1),
(8,1,21156,'Battle Stance Passive',0),
(8,1,21651,'Opening',1),
(8,1,21652,'Closing',1),
(8,1,22027,'Remove Insignia',1),
(8,1,22810,'Opening - No Text',1),
(8,1,26290,'Bow Specialization',1),
(8,1,26296,'Berserking',1),
(8,1,32215,'Victorious State',1),
(8,3,75,'Auto Shot',1),
(8,3,81,'Dodge',1),
(8,3,196,'One-Handed Axes',1),
(8,3,203,'Unarmed',1),
(8,3,204,'Defense',1),
(8,3,264,'Bows',1),
(8,3,522,'SPELLDEFENSE(DND)',1),
(8,3,669,'Language Orcish',1),
(8,3,2382,'Generic',1),
(8,3,2479,'Honorless Target',1),
(8,3,2973,'Raptor Strike',1),
(8,3,3050,'Detect',1),
(8,3,3365,'Opening',1),
(8,3,6233,'Closing',1),
(8,3,6246,'Closing',1),
(8,3,6247,'Opening',1),
(8,3,6477,'Opening',1),
(8,3,6478,'Opening',1),
(8,3,6603,'Attack',1),
(8,3,7266,'Duel',1),
(8,3,7267,'Grovel',1),
(8,3,7341,'Language Troll',1),
(8,3,7355,'Stuck',1),
(8,3,8386,'Attacking',1),
(8,3,9077,'Leather',1),
(8,3,9078,'Cloth',1),
(8,3,9125,'Generic',1),
(8,3,13358,'Defensive State(DND)',1),
(8,3,20554,'Berserking',1),
(8,3,20555,'Regeneration',1),
(8,3,20557,'Beast Slaying',1),
(8,3,20558,'Throwing Specialization',1),
(8,3,21651,'Opening',1),
(8,3,21652,'Closing',1),
(8,3,22027,'Remove Insignia',1),
(8,3,22810,'Opening - No Text',1),
(8,3,24949,'Defensive State 2(DND)',1),
(8,3,26290,'Bow Specialization',1),
(8,3,34082,'Advantaged State(DND)',1),
(8,4,81,'Dodge',1),
(8,4,203,'Unarmed',1),
(8,4,204,'Defense',1),
(8,4,522,'SPELLDEFENSE(DND)',1),
(8,4,669,'Language Orcish',1),
(8,4,1180,'Daggers',1),
(8,4,1752,'Sinister Strike',1),
(8,4,2098,'Eviscerate',1),
(8,4,2382,'Generic',1),
(8,4,2479,'Honorless Target',1),
(8,4,2567,'Thrown',1),
(8,4,2764,'Throw',1),
(8,4,3050,'Detect',1),
(8,4,3365,'Opening',1),
(8,4,6233,'Closing',1),
(8,4,6246,'Closing',1),
(8,4,6247,'Opening',1),
(8,4,6477,'Opening',1),
(8,4,6478,'Opening',1),
(8,4,6603,'Attack',1),
(8,4,7266,'Duel',1),
(8,4,7267,'Grovel',1),
(8,4,7341,'Language Troll',1),
(8,4,7355,'Stuck',1),
(8,4,8386,'Attacking',1),
(8,4,9077,'Leather',1),
(8,4,9078,'Cloth',1),
(8,4,9125,'Generic',1),
(8,4,16092,'Defensive State(DND)',1),
(8,4,20555,'Regeneration',1),
(8,4,20557,'Beast Slaying',1),
(8,4,20558,'Throwing Specialization',1),
(8,4,21184,'Rogue Passive(DND)',1),
(8,4,21651,'Opening',1),
(8,4,21652,'Closing',1),
(8,4,22027,'Remove Insignia',1),
(8,4,22810,'Opening - No Text',1),
(8,4,26290,'Bow Specialization',1),
(8,4,26297,'Berserking',1),
(8,5,81,'Dodge',1),
(8,5,198,'One-Handed Maces',1),
(8,5,203,'Unarmed',1),
(8,5,204,'Defense',1),
(8,5,522,'SPELLDEFENSE(DND)',1),
(8,5,585,'Smite',1),
(8,5,669,'Language Orcish',1),
(8,5,2050,'Lesser Heal',1),
(8,5,2382,'Generic',1),
(8,5,2479,'Honorless Target',1),
(8,5,3050,'Detect',1),
(8,5,3365,'Opening',1),
(8,5,5009,'Wands',1),
(8,5,5019,'Shoot',1),
(8,5,6233,'Closing',1),
(8,5,6246,'Closing',1),
(8,5,6247,'Opening',1),
(8,5,6477,'Opening',1),
(8,5,6478,'Opening',1),
(8,5,6603,'Attack',1),
(8,5,7266,'Duel',1),
(8,5,7267,'Grovel',1),
(8,5,7341,'Language Troll',1),
(8,5,7355,'Stuck',1),
(8,5,8386,'Attacking',1),
(8,5,9078,'Cloth',1),
(8,5,9125,'Generic',1),
(8,5,20554,'Berserking',1),
(8,5,20555,'Regeneration',1),
(8,5,20557,'Beast Slaying',1),
(8,5,20558,'Throwing Specialization',1),
(8,5,21651,'Opening',1),
(8,5,21652,'Closing',1),
(8,5,22027,'Remove Insignia',1),
(8,5,22810,'Opening - No Text',1),
(8,5,26290,'Bow Specialization',1),
(8,7,81,'Dodge',1),
(8,7,107,'Block',1),
(8,7,198,'One-Handed Maces',1),
(8,7,203,'Unarmed',1),
(8,7,204,'Defense',1),
(8,7,227,'Staves',1),
(8,7,331,'Healing Wave',1),
(8,7,403,'Lightning Bolt',1),
(8,7,522,'SPELLDEFENSE(DND)',1),
(8,7,669,'Language Orcish',1),
(8,7,2382,'Generic',1),
(8,7,2479,'Honorless Target',1),
(8,7,3050,'Detect',1),
(8,7,3365,'Opening',1),
(8,7,6233,'Closing',1),
(8,7,6246,'Closing',1),
(8,7,6247,'Opening',1),
(8,7,6477,'Opening',1),
(8,7,6478,'Opening',1),
(8,7,6603,'Attack',1),
(8,7,7266,'Duel',1),
(8,7,7267,'Grovel',1),
(8,7,7341,'Language Troll',1),
(8,7,7355,'Stuck',1),
(8,7,8386,'Attacking',1),
(8,7,9077,'Leather',1),
(8,7,9078,'Cloth',1),
(8,7,9116,'Shield',1),
(8,7,9125,'Generic',1),
(8,7,20554,'Berserking',1),
(8,7,20555,'Regeneration',1),
(8,7,20557,'Beast Slaying',1),
(8,7,20558,'Throwing Specialization',1),
(8,7,21651,'Opening',1),
(8,7,21652,'Closing',1),
(8,7,22027,'Remove Insignia',1),
(8,7,22810,'Opening - No Text',1),
(8,7,26290,'Bow Specialization',1),
(8,7,27763,'Totem',1),
(8,8,81,'Dodge',1),
(8,8,133,'Fireball',1),
(8,8,168,'Frost Armor',1),
(8,8,203,'Unarmed',1),
(8,8,204,'Defense',1),
(8,8,227,'Staves',1),
(8,8,522,'SPELLDEFENSE(DND)',1),
(8,8,669,'Language Orcish',1),
(8,8,2382,'Generic',1),
(8,8,2479,'Honorless Target',1),
(8,8,3050,'Detect',1),
(8,8,3365,'Opening',1),
(8,8,5009,'Wands',1),
(8,8,5019,'Shoot',1),
(8,8,6233,'Closing',1),
(8,8,6246,'Closing',1),
(8,8,6247,'Opening',1),
(8,8,6477,'Opening',1),
(8,8,6478,'Opening',1),
(8,8,6603,'Attack',1),
(8,8,7266,'Duel',1),
(8,8,7267,'Grovel',1),
(8,8,7341,'Language Troll',1),
(8,8,7355,'Stuck',1),
(8,8,8386,'Attacking',1),
(8,8,9078,'Cloth',1),
(8,8,9125,'Generic',1),
(8,8,20554,'Berserking',1),
(8,8,20555,'Regeneration',1),
(8,8,20557,'Beast Slaying',1),
(8,8,20558,'Throwing Specialization',1),
(8,8,21651,'Opening',1),
(8,8,21652,'Closing',1),
(8,8,22027,'Remove Insignia',1),
(8,8,22810,'Opening - No Text',1),
(8,8,26290,'Bow Specialization',1),
(10,2,81,'Dodge',1),
(10,2,107,'Block',1),
(10,2,201,'One-Handed Swords',1),
(10,2,202,'Two-Handed Swords',1),
(10,2,203,'Unarmed',1),
(10,2,204,'Defense',1),
(10,2,522,'SPELLDEFENSE(DND)',1),
(10,2,635,'Holy Light',1),
(10,2,669,'Language Orcish',1),
(10,2,813,'Language Thalassian',1),
(10,2,822,'Magic Resistance',1),
(10,2,2382,'Generic',1),
(10,2,2479,'Honorless Target',1),
(10,2,3050,'Detect',1),
(10,2,3365,'Opening',1),
(10,2,6233,'Closing',1),
(10,2,6246,'Closing',1),
(10,2,6247,'Opening',1),
(10,2,6477,'Opening',1),
(10,2,6478,'Opening',1),
(10,2,6603,'Attack',1),
(10,2,7266,'Duel',1),
(10,2,7267,'Grovel',1),
(10,2,7355,'Stuck',1),
(10,2,8386,'Attacking',1),
(10,2,8737,'Mail',1),
(10,2,9077,'Leather',1),
(10,2,9078,'Cloth',1),
(10,2,9116,'Shield',1),
(10,2,9125,'Generic',1),
(10,2,21084,'Seal of Righteousness',1),
(10,2,21651,'Opening',1),
(10,2,21652,'Closing',1),
(10,2,22027,'Remove Insignia',1),
(10,2,22810,'Opening - No Text',1),
(10,2,27762,'Libram',1),
(10,2,28730,'Arcane Torrent',1),
(10,2,28734,'Mana Tap',1),
(10,2,28877,'Arcane Affinity',1),
(10,3,75,'Auto Shot',1),
(10,3,81,'Dodge',1),
(10,3,203,'Unarmed',1),
(10,3,204,'Defense',1),
(10,3,264,'Bows',1),
(10,3,522,'SPELLDEFENSE(DND)',1),
(10,3,669,'Language Orcish',1),
(10,3,813,'Language Thalassian',1),
(10,3,822,'Magic Resistance',1),
(10,3,1180,'Daggers',1),
(10,3,2382,'Generic',1),
(10,3,2479,'Honorless Target',1),
(10,3,2973,'Raptor Strike',1),
(10,3,3050,'Detect',1),
(10,3,3365,'Opening',1),
(10,3,6233,'Closing',1),
(10,3,6246,'Closing',1),
(10,3,6247,'Opening',1),
(10,3,6477,'Opening',1),
(10,3,6478,'Opening',1),
(10,3,6603,'Attack',1),
(10,3,7266,'Duel',1),
(10,3,7267,'Grovel',1),
(10,3,7355,'Stuck',1),
(10,3,8386,'Attacking',1),
(10,3,9077,'Leather',1),
(10,3,9078,'Cloth',1),
(10,3,9125,'Generic',1),
(10,3,13358,'Defensive State(DND)',1),
(10,3,21651,'Opening',1),
(10,3,21652,'Closing',1),
(10,3,22027,'Remove Insignia',1),
(10,3,22810,'Opening - No Text',1),
(10,3,24949,'Defensive State 2(DND)',1),
(10,3,28730,'Arcane Torrent',1),
(10,3,28734,'Mana Tap',1),
(10,3,28877,'Arcane Affinity',1),
(10,3,34082,'Advantaged State(DND)',1),
(10,4,81,'Dodge',1),
(10,4,203,'Unarmed',1),
(10,4,204,'Defense',1),
(10,4,522,'SPELLDEFENSE(DND)',1),
(10,4,669,'Language Orcish',1),
(10,4,813,'Language Thalassian',1),
(10,4,822,'Magic Resistance',1),
(10,4,1180,'Daggers',1),
(10,4,1752,'Sinister Strike',1),
(10,4,2098,'Eviscerate',1),
(10,4,2382,'Generic',1),
(10,4,2479,'Honorless Target',1),
(10,4,2567,'Thrown',1),
(10,4,2764,'Throw',1),
(10,4,3050,'Detect',1),
(10,4,3365,'Opening',1),
(10,4,6233,'Closing',1),
(10,4,6246,'Closing',1),
(10,4,6247,'Opening',1),
(10,4,6477,'Opening',1),
(10,4,6478,'Opening',1),
(10,4,6603,'Attack',1),
(10,4,7266,'Duel',1),
(10,4,7267,'Grovel',1),
(10,4,7355,'Stuck',1),
(10,4,8386,'Attacking',1),
(10,4,9077,'Leather',1),
(10,4,9078,'Cloth',1),
(10,4,9125,'Generic',1),
(10,4,16092,'Defensive State(DND)',1),
(10,4,21184,'Rogue Passive(DND)',1),
(10,4,21651,'Opening',1),
(10,4,21652,'Closing',1),
(10,4,22027,'Remove Insignia',1),
(10,4,22810,'Opening - No Text',1),
(10,4,25046,'Arcane Torrent',1),
(10,4,28734,'Mana Tap',1),
(10,4,28877,'Arcane Affinity',1),
(10,5,81,'Dodge',1),
(10,5,198,'One-Handed Maces',1),
(10,5,203,'Unarmed',1),
(10,5,204,'Defense',1),
(10,5,522,'SPELLDEFENSE(DND)',1),
(10,5,585,'Smite',1),
(10,5,669,'Language Orcish',1),
(10,5,813,'Language Thalassian',1),
(10,5,822,'Magic Resistance',1),
(10,5,2050,'Lesser Heal',1),
(10,5,2382,'Generic',1),
(10,5,2479,'Honorless Target',1),
(10,5,3050,'Detect',1),
(10,5,3365,'Opening',1),
(10,5,5009,'Wands',1),
(10,5,5019,'Shoot',1),
(10,5,6233,'Closing',1),
(10,5,6246,'Closing',1),
(10,5,6247,'Opening',1),
(10,5,6477,'Opening',1),
(10,5,6478,'Opening',1),
(10,5,6603,'Attack',1),
(10,5,7266,'Duel',1),
(10,5,7267,'Grovel',1),
(10,5,7355,'Stuck',1),
(10,5,8386,'Attacking',1),
(10,5,9078,'Cloth',1),
(10,5,9125,'Generic',1),
(10,5,21651,'Opening',1),
(10,5,21652,'Closing',1),
(10,5,22027,'Remove Insignia',1),
(10,5,22810,'Opening - No Text',1),
(10,5,28730,'Arcane Torrent',1),
(10,5,28734,'Mana Tap',1),
(10,5,28877,'Arcane Affinity',1),
(10,8,81,'Dodge',1),
(10,8,133,'Fireball',1),
(10,8,168,'Frost Armor',1),
(10,8,203,'Unarmed',1),
(10,8,204,'Defense',1),
(10,8,227,'Staves',1),
(10,8,522,'SPELLDEFENSE(DND)',1),
(10,8,669,'Language Orcish',1),
(10,8,813,'Language Thalassian',1),
(10,8,822,'Magic Resistance',1),
(10,8,2382,'Generic',1),
(10,8,2479,'Honorless Target',1),
(10,8,3050,'Detect',1),
(10,8,3365,'Opening',1),
(10,8,5009,'Wands',1),
(10,8,5019,'Shoot',1),
(10,8,6233,'Closing',1),
(10,8,6246,'Closing',1),
(10,8,6247,'Opening',1),
(10,8,6477,'Opening',1),
(10,8,6478,'Opening',1),
(10,8,6603,'Attack',1),
(10,8,7266,'Duel',1),
(10,8,7267,'Grovel',1),
(10,8,7355,'Stuck',1),
(10,8,8386,'Attacking',1),
(10,8,9078,'Cloth',1),
(10,8,9125,'Generic',1),
(10,8,21651,'Opening',1),
(10,8,21652,'Closing',1),
(10,8,22027,'Remove Insignia',1),
(10,8,22810,'Opening - No Text',1),
(10,8,28730,'Arcane Torrent',1),
(10,8,28734,'Mana Tap',1),
(10,8,28877,'Arcane Affinity',1),
(10,9,81,'Dodge',1),
(10,9,203,'Unarmed',1),
(10,9,204,'Defense',1),
(10,9,522,'SPELLDEFENSE(DND)',1),
(10,9,669,'Language Orcish',1),
(10,9,686,'Shadow Bolt',1),
(10,9,687,'Demon Skin',1),
(10,9,813,'Language Thalassian',1),
(10,9,822,'Magic Resistance',1),
(10,9,1180,'Daggers',1),
(10,9,2382,'Generic',1),
(10,9,2479,'Honorless Target',1),
(10,9,3050,'Detect',1),
(10,9,3365,'Opening',1),
(10,9,5009,'Wands',1),
(10,9,5019,'Shoot',1),
(10,9,6233,'Closing',1),
(10,9,6246,'Closing',1),
(10,9,6247,'Opening',1),
(10,9,6477,'Opening',1),
(10,9,6478,'Opening',1),
(10,9,6603,'Attack',1),
(10,9,7266,'Duel',1),
(10,9,7267,'Grovel',1),
(10,9,7355,'Stuck',1),
(10,9,8386,'Attacking',1),
(10,9,9078,'Cloth',1),
(10,9,9125,'Generic',1),
(10,9,21651,'Opening',1),
(10,9,21652,'Closing',1),
(10,9,22027,'Remove Insignia',1),
(10,9,22810,'Opening - No Text',1),
(10,9,28730,'Arcane Torrent',1),
(10,9,28734,'Mana Tap',1),
(10,9,28877,'Arcane Affinity',1),
(11,1,78,'Heroic Strike',1),
(11,1,81,'Dodge',1),
(11,1,107,'Block',1),
(11,1,198,'One-Handed Maces',1),
(11,1,201,'One-Handed Swords',1),
(11,1,202,'Two-Handed Swords',1),
(11,1,203,'Unarmed',1),
(11,1,204,'Defense',1),
(11,1,522,'SPELLDEFENSE(DND)',1),
(11,1,668,'Language Common',1),
(11,1,2382,'Generic',1),
(11,1,2457,'Battle Stance',1),
(11,1,2479,'Honorless Target',1),
(11,1,3050,'Detect',1),
(11,1,3365,'Opening',1),
(11,1,5301,'Defensive State(DND)',1),
(11,1,6233,'Closing',1),
(11,1,6246,'Closing',1),
(11,1,6247,'Opening',1),
(11,1,6477,'Opening',1),
(11,1,6478,'Opening',1),
(11,1,6562,'Heroic Presence',1),
(11,1,6603,'Attack',1),
(11,1,7266,'Duel',1),
(11,1,7267,'Grovel',1),
(11,1,7355,'Stuck',1),
(11,1,7376,'Defensive Stance Passive',0),
(11,1,7381,'Berserker Stance Passive',0),
(11,1,8386,'Attacking',1),
(11,1,8737,'Mail',1),
(11,1,9077,'Leather',1),
(11,1,9078,'Cloth',1),
(11,1,9116,'Shield',1),
(11,1,9125,'Generic',1),
(11,1,20579,'Shadow Resistance',1),
(11,1,21156,'Battle Stance Passive',0),
(11,1,21651,'Opening',1),
(11,1,21652,'Closing',1),
(11,1,22027,'Remove Insignia',1),
(11,1,22810,'Opening - No Text',1),
(11,1,28875,'Gemcutting',1),
(11,1,28880,'Gift of the Naaru',1),
(11,1,29932,'Language Draenei',1),
(11,1,32215,'Victorious State',1),
(11,2,81,'Dodge',1),
(11,2,107,'Block',1),
(11,2,198,'One-Handed Maces',1),
(11,2,199,'Two-Handed Maces',1),
(11,2,203,'Unarmed',1),
(11,2,204,'Defense',1),
(11,2,522,'SPELLDEFENSE(DND)',1),
(11,2,635,'Holy Light',1),
(11,2,668,'Language Common',1),
(11,2,2382,'Generic',1),
(11,2,2479,'Honorless Target',1),
(11,2,3050,'Detect',1),
(11,2,3365,'Opening',1),
(11,2,6233,'Closing',1),
(11,2,6246,'Closing',1),
(11,2,6247,'Opening',1),
(11,2,6477,'Opening',1),
(11,2,6478,'Opening',1),
(11,2,6562,'Heroic Presence',1),
(11,2,6603,'Attack',1),
(11,2,7266,'Duel',1),
(11,2,7267,'Grovel',1),
(11,2,7355,'Stuck',1),
(11,2,8386,'Attacking',1),
(11,2,8737,'Mail',1),
(11,2,9077,'Leather',1),
(11,2,9078,'Cloth',1),
(11,2,9116,'Shield',1),
(11,2,9125,'Generic',1),
(11,2,21084,'Seal of Righteousness',1),
(11,2,20579,'Shadow Resistance',1),
(11,2,21651,'Opening',1),
(11,2,21652,'Closing',1),
(11,2,22027,'Remove Insignia',1),
(11,2,22810,'Opening - No Text',1),
(11,2,27762,'Libram',1),
(11,2,28875,'Gemcutting',1),
(11,2,28880,'Gift of the Naaru',1),
(11,2,29932,'Language Draenei',1),
(11,3,75,'Auto Shot',1),
(11,3,81,'Dodge',1),
(11,3,201,'One-Handed Swords',1),
(11,3,203,'Unarmed',1),
(11,3,204,'Defense',1),
(11,3,522,'SPELLDEFENSE(DND)',1),
(11,3,668,'Language Common',1),
(11,3,2382,'Generic',1),
(11,3,2479,'Honorless Target',1),
(11,3,2973,'Raptor Strike',1),
(11,3,3050,'Detect',1),
(11,3,3365,'Opening',1),
(11,3,5011,'Crossbows',1),
(11,3,6233,'Closing',1),
(11,3,6246,'Closing',1),
(11,3,6247,'Opening',1),
(11,3,6477,'Opening',1),
(11,3,6478,'Opening',1),
(11,3,6562,'Heroic Presence',1),
(11,3,6603,'Attack',1),
(11,3,7266,'Duel',1),
(11,3,7267,'Grovel',1),
(11,3,7355,'Stuck',1),
(11,3,8386,'Attacking',1),
(11,3,9077,'Leather',1),
(11,3,9078,'Cloth',1),
(11,3,9125,'Generic',1),
(11,3,13358,'Defensive State(DND)',1),
(11,3,20579,'Shadow Resistance',1),
(11,3,21651,'Opening',1),
(11,3,21652,'Closing',1),
(11,3,22027,'Remove Insignia',1),
(11,3,22810,'Opening - No Text',1),
(11,3,24949,'Defensive State 2(DND)',1),
(11,3,28875,'Gemcutting',1),
(11,3,28880,'Gift of the Naaru',1),
(11,3,29932,'Language Draenei',1),
(11,3,34082,'Advantaged State(DND)',1),
(11,5,81,'Dodge',1),
(11,5,198,'One-Handed Maces',1),
(11,5,203,'Unarmed',1),
(11,5,204,'Defense',1),
(11,5,522,'SPELLDEFENSE(DND)',1),
(11,5,585,'Smite',1),
(11,5,668,'Language Common',1),
(11,5,2050,'Lesser Heal',1),
(11,5,2382,'Generic',1),
(11,5,2479,'Honorless Target',1),
(11,5,3050,'Detect',1),
(11,5,3365,'Opening',1),
(11,5,5009,'Wands',1),
(11,5,5019,'Shoot',1),
(11,5,6233,'Closing',1),
(11,5,6246,'Closing',1),
(11,5,6247,'Opening',1),
(11,5,6477,'Opening',1),
(11,5,6478,'Opening',1),
(11,5,6603,'Attack',1),
(11,5,7266,'Duel',1),
(11,5,7267,'Grovel',1),
(11,5,7355,'Stuck',1),
(11,5,8386,'Attacking',1),
(11,5,9078,'Cloth',1),
(11,5,9125,'Generic',1),
(11,5,20579,'Shadow Resistance',1),
(11,5,21651,'Opening',1),
(11,5,21652,'Closing',1),
(11,5,22027,'Remove Insignia',1),
(11,5,22810,'Opening - No Text',1),
(11,5,28875,'Gemcutting',1),
(11,5,28878,'Inspiring Presence',1),
(11,5,28880,'Gift of the Naaru',1),
(11,5,29932,'Language Draenei',1),
(11,7,81,'Dodge',1),
(11,7,107,'Block',1),
(11,7,198,'One-Handed Maces',1),
(11,7,203,'Unarmed',1),
(11,7,204,'Defense',1),
(11,7,227,'Staves',1),
(11,7,331,'Healing Wave',1),
(11,7,403,'Lightning Bolt',1),
(11,7,522,'SPELLDEFENSE(DND)',1),
(11,7,668,'Language Common',1),
(11,7,2382,'Generic',1),
(11,7,2479,'Honorless Target',1),
(11,7,3050,'Detect',1),
(11,7,3365,'Opening',1),
(11,7,6233,'Closing',1),
(11,7,6246,'Closing',1),
(11,7,6247,'Opening',1),
(11,7,6477,'Opening',1),
(11,7,6478,'Opening',1),
(11,7,6603,'Attack',1),
(11,7,7266,'Duel',1),
(11,7,7267,'Grovel',1),
(11,7,7355,'Stuck',1),
(11,7,8386,'Attacking',1),
(11,7,9077,'Leather',1),
(11,7,9078,'Cloth',1),
(11,7,9116,'Shield',1),
(11,7,9125,'Generic',1),
(11,7,20579,'Shadow Resistance',1),
(11,7,21651,'Opening',1),
(11,7,21652,'Closing',1),
(11,7,22027,'Remove Insignia',1),
(11,7,22810,'Opening - No Text',1),
(11,7,27763,'Totem',1),
(11,7,28875,'Gemcutting',1),
(11,7,28878,'Inspiring Presence',1),
(11,7,28880,'Gift of the Naaru',1),
(11,7,29932,'Language Draenei',1),
(11,8,81,'Dodge',1),
(11,8,133,'Fireball',1),
(11,8,168,'Frost Armor',1),
(11,8,203,'Unarmed',1),
(11,8,204,'Defense',1),
(11,8,227,'Staves',1),
(11,8,522,'SPELLDEFENSE(DND)',1),
(11,8,668,'Language Common',1),
(11,8,2382,'Generic',1),
(11,8,2479,'Honorless Target',1),
(11,8,3050,'Detect',1),
(11,8,3365,'Opening',1),
(11,8,5009,'Wands',1),
(11,8,5019,'Shoot',1),
(11,8,6233,'Closing',1),
(11,8,6246,'Closing',1),
(11,8,6247,'Opening',1),
(11,8,6477,'Opening',1),
(11,8,6478,'Opening',1),
(11,8,6603,'Attack',1),
(11,8,7266,'Duel',1),
(11,8,7267,'Grovel',1),
(11,8,7355,'Stuck',1),
(11,8,8386,'Attacking',1),
(11,8,9078,'Cloth',1),
(11,8,9125,'Generic',1),
(11,8,20579,'Shadow Resistance',1),
(11,8,21651,'Opening',1),
(11,8,21652,'Closing',1),
(11,8,22027,'Remove Insignia',1),
(11,8,22810,'Opening - No Text',1),
(11,8,28875,'Gemcutting',1),
(11,8,28878,'Inspiring Presence',1),
(11,8,28880,'Gift of the Naaru',1),
(11,8,29932,'Language Draenei',1);
/*!40000 ALTER TABLE `playercreateinfo_spell` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `prospecting_loot_template`
--

DROP TABLE IF EXISTS `prospecting_loot_template`;
CREATE TABLE `prospecting_loot_template` (
  `entry` int(11) unsigned NOT NULL default '0',
  `item` int(11) unsigned NOT NULL default '0',
  `ChanceOrRef` float NOT NULL default '100',
  `QuestChanceOrGroup` tinyint(3) NOT NULL default '0',
  `mincount` tinyint(3) unsigned NOT NULL default '1',
  `maxcount` tinyint(3) unsigned NOT NULL default '1',
  `freeforall` tinyint(1) unsigned NOT NULL default '0',
  `lootcondition` tinyint(3) unsigned NOT NULL default '0',
  `condition_value1` int(11) unsigned NOT NULL default '0',
  `condition_value2` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`entry`,`item`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Loot System';

--
-- Dumping data for table `prospecting_loot_template`
--

LOCK TABLES `prospecting_loot_template` WRITE;
/*!40000 ALTER TABLE `prospecting_loot_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `prospecting_loot_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `quest_end_scripts`
--

DROP TABLE IF EXISTS `quest_end_scripts`;
CREATE TABLE `quest_end_scripts` (
  `id` int(11) unsigned NOT NULL default '0',
  `delay` int(11) unsigned NOT NULL default '0',
  `command` int(11) unsigned NOT NULL default '0',
  `datalong` int(11) unsigned NOT NULL default '0',
  `datalong2` int(11) unsigned NOT NULL default '0',
  `datatext` text NOT NULL,
  `x` float NOT NULL default '0',
  `y` float NOT NULL default '0',
  `z` float NOT NULL default '0',
  `o` float NOT NULL default '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `quest_end_scripts`
--

LOCK TABLES `quest_end_scripts` WRITE;
/*!40000 ALTER TABLE `quest_end_scripts` DISABLE KEYS */;
/*!40000 ALTER TABLE `quest_end_scripts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `quest_start_scripts`
--

DROP TABLE IF EXISTS `quest_start_scripts`;
CREATE TABLE `quest_start_scripts` (
  `id` int(11) unsigned NOT NULL default '0',
  `delay` int(11) unsigned NOT NULL default '0',
  `command` int(11) unsigned NOT NULL default '0',
  `datalong` int(11) unsigned NOT NULL default '0',
  `datalong2` int(11) unsigned NOT NULL default '0',
  `datatext` text NOT NULL,
  `x` float NOT NULL default '0',
  `y` float NOT NULL default '0',
  `z` float NOT NULL default '0',
  `o` float NOT NULL default '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `quest_start_scripts`
--

LOCK TABLES `quest_start_scripts` WRITE;
/*!40000 ALTER TABLE `quest_start_scripts` DISABLE KEYS */;
/*!40000 ALTER TABLE `quest_start_scripts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `quest_template`
--

DROP TABLE IF EXISTS `quest_template`;
CREATE TABLE `quest_template` (
  `entry` int(11) unsigned NOT NULL default '0',
  `ZoneOrSort` int(11) NOT NULL default '0',
  `MinLevel` int(11) unsigned NOT NULL default '0',
  `QuestLevel` int(11) unsigned NOT NULL default '0',
  `Type` int(11) unsigned NOT NULL default '0',
  `RequiredRaces` int(11) unsigned NOT NULL default '0',
  `RequiredSkillValue` int(11) unsigned NOT NULL default '0',
  `RequiredMinRepFaction` int(10) unsigned NOT NULL default '0',
  `RequiredMinRepValue` int(10) NOT NULL default '0',
  `RequiredMaxRepFaction` int(10) unsigned NOT NULL default '0',
  `RequiredMaxRepValue` int(10) NOT NULL default '0',
  `SuggestedPlayers` int(11) unsigned NOT NULL default '0',
  `LimitTime` int(11) unsigned NOT NULL default '0',
  `QuestFlags` smallint(5) unsigned NOT NULL default '0',
  `SpecialFlags` tinyint(1) unsigned NOT NULL default '0',
  `PrevQuestId` int(11) NOT NULL default '0',
  `NextQuestId` int(11) NOT NULL default '0',
  `ExclusiveGroup` int(11) NOT NULL default '0',
  `NextQuestInChain` int(11) unsigned NOT NULL default '0',
  `SrcItemId` int(11) unsigned NOT NULL default '0',
  `SrcItemCount` int(11) unsigned NOT NULL default '0',
  `SrcSpell` int(11) unsigned NOT NULL default '0',
  `Title` text,
  `Details` text,
  `Objectives` text,
  `OfferRewardText` text,
  `RequestItemsText` text,
  `EndText` text,
  `ObjectiveText1` text,
  `ObjectiveText2` text,
  `ObjectiveText3` text,
  `ObjectiveText4` text,
  `ReqItemId1` int(11) unsigned NOT NULL default '0',
  `ReqItemId2` int(11) unsigned NOT NULL default '0',
  `ReqItemId3` int(11) unsigned NOT NULL default '0',
  `ReqItemId4` int(11) unsigned NOT NULL default '0',
  `ReqItemCount1` int(11) unsigned NOT NULL default '0',
  `ReqItemCount2` int(11) unsigned NOT NULL default '0',
  `ReqItemCount3` int(11) unsigned NOT NULL default '0',
  `ReqItemCount4` int(11) unsigned NOT NULL default '0',
  `ReqSourceId1` int(11) unsigned NOT NULL default '0',
  `ReqSourceId2` int(11) unsigned NOT NULL default '0',
  `ReqSourceId3` int(11) unsigned NOT NULL default '0',
  `ReqSourceId4` int(11) unsigned NOT NULL default '0',
  `ReqSourceCount1` int(11) unsigned NOT NULL default '0',
  `ReqSourceCount2` int(11) unsigned NOT NULL default '0',
  `ReqSourceCount3` int(11) unsigned NOT NULL default '0',
  `ReqSourceCount4` int(11) unsigned NOT NULL default '0',
  `ReqSourceRef1` int(11) unsigned NOT NULL default '0',
  `ReqSourceRef2` int(11) unsigned NOT NULL default '0',
  `ReqSourceRef3` int(11) unsigned NOT NULL default '0',
  `ReqSourceRef4` int(11) unsigned NOT NULL default '0',
  `ReqCreatureOrGOId1` int(11) NOT NULL default '0',
  `ReqCreatureOrGOId2` int(11) NOT NULL default '0',
  `ReqCreatureOrGOId3` int(11) NOT NULL default '0',
  `ReqCreatureOrGOId4` int(11) NOT NULL default '0',
  `ReqCreatureOrGOCount1` int(11) unsigned NOT NULL default '0',
  `ReqCreatureOrGOCount2` int(11) unsigned NOT NULL default '0',
  `ReqCreatureOrGOCount3` int(11) unsigned NOT NULL default '0',
  `ReqCreatureOrGOCount4` int(11) unsigned NOT NULL default '0',
  `ReqSpellCast1` int(11) unsigned NOT NULL default '0',
  `ReqSpellCast2` int(11) unsigned NOT NULL default '0',
  `ReqSpellCast3` int(11) unsigned NOT NULL default '0',
  `ReqSpellCast4` int(11) unsigned NOT NULL default '0',
  `RewChoiceItemId1` int(11) unsigned NOT NULL default '0',
  `RewChoiceItemId2` int(11) unsigned NOT NULL default '0',
  `RewChoiceItemId3` int(11) unsigned NOT NULL default '0',
  `RewChoiceItemId4` int(11) unsigned NOT NULL default '0',
  `RewChoiceItemId5` int(11) unsigned NOT NULL default '0',
  `RewChoiceItemId6` int(11) unsigned NOT NULL default '0',
  `RewChoiceItemCount1` int(11) unsigned NOT NULL default '0',
  `RewChoiceItemCount2` int(11) unsigned NOT NULL default '0',
  `RewChoiceItemCount3` int(11) unsigned NOT NULL default '0',
  `RewChoiceItemCount4` int(11) unsigned NOT NULL default '0',
  `RewChoiceItemCount5` int(11) unsigned NOT NULL default '0',
  `RewChoiceItemCount6` int(11) unsigned NOT NULL default '0',
  `RewItemId1` int(11) unsigned NOT NULL default '0',
  `RewItemId2` int(11) unsigned NOT NULL default '0',
  `RewItemId3` int(11) unsigned NOT NULL default '0',
  `RewItemId4` int(11) unsigned NOT NULL default '0',
  `RewItemCount1` int(11) unsigned NOT NULL default '0',
  `RewItemCount2` int(11) unsigned NOT NULL default '0',
  `RewItemCount3` int(11) unsigned NOT NULL default '0',
  `RewItemCount4` int(11) unsigned NOT NULL default '0',
  `RewRepFaction1` int(11) unsigned NOT NULL default '0' COMMENT 'faction id from Faction.dbc in this case',
  `RewRepFaction2` int(11) unsigned NOT NULL default '0' COMMENT 'faction id from Faction.dbc in this case',
  `RewRepFaction3` int(11) unsigned NOT NULL default '0' COMMENT 'faction id from Faction.dbc in this case',
  `RewRepFaction4` int(11) unsigned NOT NULL default '0' COMMENT 'faction id from Faction.dbc in this case',
  `RewRepFaction5` int(11) unsigned NOT NULL default '0' COMMENT 'faction id from Faction.dbc in this case',
  `RewRepValue1` int(11) NOT NULL default '0',
  `RewRepValue2` int(11) NOT NULL default '0',
  `RewRepValue3` int(11) NOT NULL default '0',
  `RewRepValue4` int(11) NOT NULL default '0',
  `RewRepValue5` int(11) NOT NULL default '0',
  `RewOrReqMoney` int(11) NOT NULL default '0',
  `RewMoneyMaxLevel` int(11) unsigned NOT NULL default '0',
  `RewSpell` int(11) unsigned NOT NULL default '0',
  `PointMapId` int(11) unsigned NOT NULL default '0',
  `PointX` float NOT NULL default '0',
  `PointY` float NOT NULL default '0',
  `PointOpt` int(2) unsigned NOT NULL default '0',
  `DetailsEmote1` int(11) unsigned NOT NULL default '0',
  `DetailsEmote2` int(11) unsigned NOT NULL default '0',
  `DetailsEmote3` int(11) unsigned NOT NULL default '0',
  `DetailsEmote4` int(11) unsigned NOT NULL default '0',
  `IncompleteEmote` int(11) unsigned NOT NULL default '0',
  `CompleteEmote` int(11) unsigned NOT NULL default '0',
  `OfferRewardEmote1` int(11) unsigned NOT NULL default '0',
  `OfferRewardEmote2` int(11) unsigned NOT NULL default '0',
  `OfferRewardEmote3` int(11) unsigned NOT NULL default '0',
  `OfferRewardEmote4` int(11) unsigned NOT NULL default '0',
  `StartScript` int(11) unsigned NOT NULL default '0',
  `CompleteScript` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`entry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Quest System';

--
-- Dumping data for table `quest_template`
--

LOCK TABLES `quest_template` WRITE;
/*!40000 ALTER TABLE `quest_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `quest_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `reserved_name`
--

DROP TABLE IF EXISTS `reserved_name`;
CREATE TABLE `reserved_name` (
  `name` varchar(12) NOT NULL default '',
  PRIMARY KEY  (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='Player Reserved Names';

--
-- Dumping data for table `reserved_name`
--

LOCK TABLES `reserved_name` WRITE;
/*!40000 ALTER TABLE `reserved_name` DISABLE KEYS */;
/*!40000 ALTER TABLE `reserved_name` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `skill_discovery_template`
--

DROP TABLE IF EXISTS `skill_discovery_template`;
CREATE TABLE `skill_discovery_template` (
  `spellId` int(11) unsigned NOT NULL default '0' COMMENT 'SpellId of the discoverable spell',
  `reqSpell` int(11) unsigned NOT NULL default '0' COMMENT 'spell requirement',
  `chance` float NOT NULL default '0' COMMENT 'chance to discover',
  PRIMARY KEY  (`spellId`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Skill Discovery System';

--
-- Dumping data for table `skill_discovery_template`
--

LOCK TABLES `skill_discovery_template` WRITE;
/*!40000 ALTER TABLE `skill_discovery_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `skill_discovery_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `skill_extra_item_template`
--

DROP TABLE IF EXISTS `skill_extra_item_template`;
CREATE TABLE `skill_extra_item_template` (
  `spellId` int(11) unsigned NOT NULL default '0' COMMENT 'SpellId of the item creation spell',
  `requiredSpecialization` int(11) unsigned NOT NULL default '0' COMMENT 'Specialization spell id',
  `additionalCreateChance` float NOT NULL default '0' COMMENT 'chance to create add',
  `additionalMaxNum` int(11) unsigned NOT NULL default '0' COMMENT 'max num of adds',

  PRIMARY KEY  (`spellId`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Skill Specialization System';

--
-- Dumping data for table `skill_extra_item_template`
--

LOCK TABLES `skill_extra_item_template` WRITE;
/*!40000 ALTER TABLE `skill_extra_item_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `skill_extra_item_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `skinning_loot_template`
--

DROP TABLE IF EXISTS `skinning_loot_template`;
CREATE TABLE `skinning_loot_template` (
  `entry` int(11) unsigned NOT NULL default '0',
  `item` int(11) unsigned NOT NULL default '0',
  `ChanceOrRef` float NOT NULL default '100',
  `QuestChanceOrGroup` tinyint(3) NOT NULL default '0',
  `mincount` tinyint(3) unsigned NOT NULL default '1',
  `maxcount` tinyint(3) unsigned NOT NULL default '1',
  `freeforall` tinyint(1) unsigned NOT NULL default '0',
  `lootcondition` tinyint(3) unsigned NOT NULL default '0',
  `condition_value1` int(11) unsigned NOT NULL default '0',
  `condition_value2` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`entry`,`item`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Loot System';

--
-- Dumping data for table `skinning_loot_template`
--

LOCK TABLES `skinning_loot_template` WRITE;
/*!40000 ALTER TABLE `skinning_loot_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `skinning_loot_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `spell_affect`
--

DROP TABLE IF EXISTS `spell_affect`;
CREATE TABLE `spell_affect` (
  `entry` smallint(5) unsigned NOT NULL default '0',
  `effectId` tinyint(3) unsigned NOT NULL default '0',
  `SpellId` smallint(5) unsigned NOT NULL default '0',
  `SchoolMask` tinyint(3) unsigned NOT NULL default '0',
  `Category` smallint(5) unsigned NOT NULL default '0',
  `SkillID` smallint(5) unsigned NOT NULL default '0',
  `SpellFamily` tinyint(3) unsigned NOT NULL default '0',
  `SpellFamilyMask` bigint(20) unsigned NOT NULL default '0',
  `Charges` smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`entry`,`effectId`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `spell_affect`
--

LOCK TABLES `spell_affect` WRITE;
/*!40000 ALTER TABLE `spell_affect` DISABLE KEYS */;
INSERT INTO `spell_affect` (`entry`,`effectId`,`SpellId`,`SchoolMask`,`Category`,`SkillID`,`SpellFamily`,`SpellFamilyMask`,`Charges`) VALUES
(11069,0,0,0,0,0,0,0x0000000000000001,0),
(11070,0,0,0,0,0,0,0x0000000000000020,0),
(11083,0,0,0,0,0,0,0x0000000000C20017,0),
(11095,0,0,0,0,0,0,0x0000000000000010,0),
(11124,0,0,0,0,0,0,0x0000000008C20017,0),
(11151,0,0,0,0,0,0,0x00000000000002E0,0),
(11160,0,0,0,0,0,0,0x00000001020003E0,0),
(11175,1,0,0,0,0,0,0x0000000000100000,0),
(11207,0,0,0,0,0,0,0x00000000000002E0,0),
(11222,0,0,0,0,0,0,0x0000000020001800,0),
(11242,0,0,0,0,0,0,0x0000000020001000,0),
(11247,0,0,0,0,0,0,0x0000000000002000,0),
(11252,0,0,0,0,0,0,0x0000000000008000,0),
(12042,0,0,0,0,0,0,0x0000000020E01AF7,0),
(12042,1,0,0,0,0,0,0x0000000020E01AF7,0),
(12042,2,0,0,0,0,0,0x0000000020E01AF7,0),
(12043,0,0,0,0,0,0,0x0000000021400035,0),
(12285,0,0,0,0,0,0,0x0000000000000001,0),
(12286,0,0,0,0,0,0,0x0000000000000020,0),
(12287,1,0,0,0,0,0,0x0000000000000080,0),
(12301,0,0,0,0,0,0,0x0000000000000100,0),
(12318,0,0,0,0,0,0,0x0000008000010000,0),
(12321,0,0,0,0,0,0,0x0000008000030000,0),
(12321,1,0,0,0,0,0,0x0000008000030000,0),
(12325,0,0,0,0,0,0,0x0000000000000000,0),
(12330,0,0,0,0,0,0,0x0000000000200000,0),
(12338,0,0,0,0,0,0,0x0000000000000001,0),
(12339,0,0,0,0,0,0,0x0000000000000001,0),
(12340,0,0,0,0,0,0,0x0000000000000001,0),
(12341,0,0,0,0,0,0,0x0000000000000001,0),
(12351,0,0,0,0,0,0,0x0000000000C20017,0),
(12378,0,0,0,0,0,0,0x0000000008C20017,0),
(12398,0,0,0,0,0,0,0x0000000008C20017,0),
(12399,0,0,0,0,0,0,0x0000000008C20017,0),
(12400,0,0,0,0,0,0,0x0000000008C20017,0),
(12467,0,0,0,0,0,0,0x0000000020001000,0),
(12469,0,0,0,0,0,0,0x0000000020001000,0),
(12473,0,0,0,0,0,0,0x0000000000000020,0),
(12497,0,0,0,0,0,0,0x0000000000100000,0),
(12518,0,0,0,0,0,0,0x00000001020003E0,0),
(12519,0,0,0,0,0,0,0x00000001020003E0,0),
(12536,0,0,0,0,0,0,0x0000000020C01AF7,0),
(12569,1,0,0,0,0,0,0x0000000000100000,0),
(12571,1,0,0,0,0,0,0x0000000000100000,0),
(12605,0,0,0,0,0,0,0x0000000000008000,0),
(12658,0,0,0,0,0,0,0x0000000000000020,0),
(12659,0,0,0,0,0,0,0x0000000000000020,0),
(12665,1,0,0,0,0,0,0x0000000000000080,0),
(12666,1,0,0,0,0,0,0x0000000000000080,0),
(12672,0,0,0,0,0,0,0x00000000000002E0,0),
(12697,0,0,0,0,0,0,0x0000000000000001,0),
(12818,0,0,0,0,0,0,0x0000000000000100,0),
(12835,0,0,0,0,0,0,0x0000008000030000,0),
(12835,1,0,0,0,0,0,0x0000008000030000,0),
(12836,0,0,0,0,0,0,0x0000008000030000,0),
(12836,1,0,0,0,0,0,0x0000008000030000,0),
(12837,0,0,0,0,0,0,0x0000008000030000,0),
(12837,1,0,0,0,0,0,0x0000008000030000,0),
(12838,0,0,0,0,0,0,0x0000008000030000,0),
(12838,1,0,0,0,0,0,0x0000008000030000,0),
(12839,0,0,0,0,0,0,0x0000000020001800,0),
(12840,0,0,0,0,0,0,0x0000000020001800,0),
(12841,0,0,0,0,0,0,0x0000000020001800,0),
(12842,0,0,0,0,0,0,0x0000000020001800,0),
(12857,0,0,0,0,0,0,0x0000008000010000,0),
(12858,0,0,0,0,0,0,0x0000008000010000,0),
(12860,0,0,0,0,0,0,0x0000008000010000,0),
(12861,0,0,0,0,0,0,0x0000008000010000,0),
(12862,0,0,0,0,0,0,0x0000000000200000,0),
(12863,0,0,0,0,0,0,0x0000000000000000,0),
(12864,0,0,0,0,0,0,0x0000000000000000,0),
(12865,0,0,0,0,0,0,0x0000000000000000,0),
(12866,0,0,0,0,0,0,0x0000000000000000,0),
(12872,0,0,0,0,0,0,0x0000000000000010,0),
(12873,0,0,0,0,0,0,0x0000000000000010,0),
(12945,0,0,0,0,0,0,0x0000000000001000,0),
(12945,1,0,0,0,0,0,0x0000000000001000,0),
(12952,0,0,0,0,0,0,0x00000000000002E0,0),
(12953,0,0,0,0,0,0,0x00000000000002E0,0),
(12954,0,0,0,0,0,0,0x00000000000002E0,0),
(12957,0,0,0,0,0,0,0x00000000000002E0,0),
(13742,0,0,0,0,0,0,0x0000000000000060,0),
(13743,0,0,0,0,0,0,0x0000000000000040,0),
(13872,0,0,0,0,0,0,0x0000000000000060,0),
(13875,0,0,0,0,0,0,0x0000000000000040,0),
(13975,0,0,0,0,0,0,0x0000000000400000,0),
(13975,1,0,0,0,0,0,0x0000000000400000,0),
(13976,0,0,0,0,0,0,0x0000000000000700,0),
(13979,0,0,0,0,0,0,0x0000000000000700,0),
(13980,0,0,0,0,0,0,0x0000000000000700,0),
(13981,0,0,0,0,0,0,0x0000000001000800,0),
(14057,0,0,0,0,0,0,0x0000000E00000304,0),
(14062,0,0,0,0,0,0,0x0000000000400000,0),
(14062,1,0,0,0,0,0,0x0000000000400000,0),
(14063,0,0,0,0,0,0,0x0000000000400000,0),
(14063,1,0,0,0,0,0,0x0000000000400000,0),
(14064,0,0,0,0,0,0,0x0000000000400000,0),
(14064,1,0,0,0,0,0,0x0000000000400000,0),
(14065,0,0,0,0,0,0,0x0000000000400000,0),
(14065,1,0,0,0,0,0,0x0000000000400000,0),
(14066,0,0,0,0,0,0,0x0000000001000800,0),
(14072,0,0,0,0,0,0,0x0000000000000304,0),
(14073,0,0,0,0,0,0,0x0000000000000304,0),
(14074,0,0,0,0,0,0,0x0000000000000304,0),
(14075,0,0,0,0,0,0,0x0000000000000304,0),
(14082,0,0,0,0,0,0,0x0000000000000102,0),
(14083,0,0,0,0,0,0,0x0000000000000102,0),
(14113,0,0,0,0,0,0,0x000000000001E000,0),
(14114,0,0,0,0,0,0,0x000000000001E000,0),
(14115,0,0,0,0,0,0,0x000000000001E000,0),
(14116,0,0,0,0,0,0,0x000000000001E000,0),
(14117,0,0,0,0,0,0,0x000000000001E000,0),
(14128,0,0,0,0,0,0,0x0000000E2400000E,0),
(14132,0,0,0,0,0,0,0x0000000E2400000E,0),
(14135,0,0,0,0,0,0,0x0000000E2400000E,0),
(14136,0,0,0,0,0,0,0x0000000E2400000E,0),
(14137,0,0,0,0,0,0,0x0000000E2400000E,0),
(14143,0,0,0,0,0,0,0x0000000E06000206,0),
(14149,0,0,0,0,0,0,0x0000000E06000206,0),
(14162,0,0,0,0,0,0,0x0000000000020000,0),
(14163,0,0,0,0,0,0,0x0000000000020000,0),
(14164,0,0,0,0,0,0,0x0000000000020000,0),
(14168,0,0,0,0,0,0,0x0000000000080000,0),
(14169,0,0,0,0,0,0,0x0000000000080000,0),
(14174,0,0,0,0,0,0,0x0000000000200000,0),
(14175,0,0,0,0,0,0,0x0000000000200000,0),
(14176,0,0,0,0,0,0,0x0000000000200000,0),
(14177,0,0,0,0,0,8,0,0),
(14179,0,0,0,0,0,0,0x00000009003E0000,0),
(14523,1,0,66,0,0,0,0,0),
(14743,0,0,0,0,0,6,0,0),
(14750,0,0,0,0,0,0,0x0000000000000010,0),
(14751,0,0,0,0,0,6,0,0),
(14751,1,0,0,0,0,6,0,0),
(14772,0,0,0,0,0,0,0x0000000000000010,0),
(14784,1,0,66,0,0,0,0,0),
(14785,1,0,66,0,0,0,0,0),
(14786,1,0,66,0,0,0,0,0),
(14787,1,0,66,0,0,0,0,0),
(14908,0,0,0,0,0,0,0x0000000000000040,0),
(14909,1,0,0,0,0,0,0x0000000000100080,0),
(14911,0,0,0,0,0,0,0x0000002000000200,0),
(15017,1,0,0,0,0,0,0x0000000000100080,0),
(15018,0,0,0,0,0,0,0x0000002000000200,0),
(15020,0,0,0,0,0,0,0x0000000000000040,0),
(15047,0,0,0,0,0,0,0x00000000000002E0,0),
(15052,0,0,0,0,0,0,0x00000000000002E0,0),
(15053,0,0,0,0,0,0,0x00000000000002E0,0),
(15257,0,0,0,0,0,0,0x000004020288A010,0),
(15259,0,0,0,0,78,0,0,0),
(15259,1,0,0,0,78,0,0,0),
(15260,0,0,0,0,78,0,0,0),
(15272,0,0,0,0,78,0,0,0),
(15307,0,0,0,0,78,0,0,0),
(15307,1,0,0,0,78,0,0,0),
(15308,0,0,0,0,78,0,0,0),
(15308,1,0,0,0,78,0,0,0),
(15309,0,0,0,0,78,0,0,0),
(15309,1,0,0,0,78,0,0,0),
(15310,0,0,0,0,78,0,0,0),
(15310,1,0,0,0,78,0,0,0),
(15318,0,0,0,0,78,0,0,0),
(15320,0,0,0,0,78,0,0,0),
(15327,0,0,0,0,78,0,0,0),
(15328,0,0,0,0,78,0,0,0),
(15329,0,0,0,0,78,0,0,0),
(15330,0,0,0,0,78,0,0,0),
(15331,0,0,0,0,0,0,0x000004020288A010,0),
(15332,0,0,0,0,0,0,0x000004020288A010,0),
(15333,0,0,0,0,0,0,0x000004020288A010,0),
(15334,0,0,0,0,0,0,0x000004020288A010,0),
(16035,0,0,0,0,0,0,0x0000000090100003,0),
(16038,0,0,0,0,0,0,0x0000000040000000,0),
(16039,0,0,0,0,0,0,0x0000000090100003,0),
(16041,0,0,0,0,0,0,0x0000000000000003,0),
(16043,0,0,0,0,0,0,0x0000000000000008,0),
(16043,1,0,0,0,0,0,0x0000000100000000,0),
(16086,0,0,0,0,0,0,0x0000000000000020,0),
(16086,1,0,0,0,0,0,0x0000000000000020,0),
(16086,2,0,0,0,0,0,0x0000000000000004,0),
(16089,0,0,28,0,0,0,0,0),
(16105,0,0,0,0,0,0,0x0000000090100003,0),
(16106,0,0,0,0,0,0,0x0000000090100003,0),
(16106,1,0,0,0,0,0,0x0000000090100003,0),
(16107,0,0,0,0,0,0,0x0000000090100003,0),
(16108,0,0,0,0,0,0,0x0000000090100003,0),
(16109,0,0,0,0,0,0,0x0000000090100003,0),
(16110,0,0,0,0,0,0,0x0000000090100003,0),
(16111,0,0,0,0,0,0,0x0000000090100003,0),
(16112,0,0,0,0,0,0,0x0000000090100003,0),
(16117,0,0,0,0,0,0,0x0000000000000003,0),
(16118,0,0,0,0,0,0,0x0000000000000003,0),
(16119,0,0,0,0,0,0,0x0000000000000003,0),
(16120,0,0,0,0,0,0,0x0000000000000003,0),
(16130,0,0,0,0,0,0,0x0000000000000008,0),
(16130,1,0,0,0,0,0,0x100000000,0),
(16160,0,0,0,0,0,0,0x0000000040000000,0),
(16161,0,0,0,0,0,0,0x0000000040000000,0),
(16166,0,0,28,0,0,0,0,0),
(16166,1,0,28,0,0,0,0,0),
(16173,0,0,1,0,0,0,0,0),
(16179,0,0,0,0,0,0,0x00000000000000C0,0),
(16181,0,0,0,0,0,0,0x00000000000001C0,0),
(16184,0,0,0,0,0,0,0x0000000000000200,0),
(16184,1,0,0,0,0,0,0x0000000000000200,0),
(16187,0,0,0,0,0,0,0x0000000000006000,0),
(16187,1,0,0,0,0,0,0x0000000000006000,0),
(16189,0,0,0,0,0,0,0x0000000004000000,0),
(16205,0,0,0,0,0,0,0x0000000000006000,0),
(16205,1,0,0,0,0,0,0x0000000000006000,0),
(16206,0,0,0,0,0,0,0x0000000000006000,0),
(16206,1,0,0,0,0,0,0x0000000000006000,0),
(16207,0,0,0,0,0,0,0x0000000000006000,0),
(16207,1,0,0,0,0,0,0x0000000000006000,0),
(16208,0,0,0,0,0,0,0x0000000000006000,0),
(16208,1,0,0,0,0,0,0x0000000000006000,0),
(16209,1,0,0,0,0,0,0x0000000000000200,0),
(16214,0,0,0,0,0,0,0x00000000000000C0,0),
(16215,0,0,0,0,0,0,0x00000000000000C0,0),
(16216,0,0,0,0,0,0,0x00000000000000C0,0),
(16217,0,0,0,0,0,0,0x00000000000000C0,0),
(16222,0,0,0,0,0,0,0x0000000020000000,0),
(16223,0,0,0,0,0,0,0x0000000020000000,0),
(16224,0,0,0,0,0,0,0x0000000020000000,0),
(16225,0,0,0,0,0,0,0x0000000020000000,0),
(16230,0,0,0,0,0,0,0x00000000000001C0,0),
(16232,0,0,0,0,0,0,0x00000000000001C0,0),
(16233,0,0,0,0,0,0,0x00000000000001C0,0),
(16234,0,0,0,0,0,0,0x00000000000001C0,0),
(16258,0,0,0,0,0,0,0x0000000000008000,0),
(16258,1,0,0,0,0,0,0x0000000000040000,0),
(16259,0,0,0,0,0,0,0x0000000000010000,0),
(16259,1,0,0,0,0,0,0x0000000000020000,0),
(16261,0,0,0,0,0,0,0x0000000000000400,0),
(16266,0,0,0,0,0,0,0x0000000000400000,0),
(16266,1,0,0,0,0,0,0x0000000001000000,0),
(16266,2,0,0,0,0,0,0x0000000000800000,0),
(16290,0,0,0,0,0,0,0x0000000000000400,0),
(16291,0,0,0,0,0,0,0x0000000000000400,0),
(16293,0,0,0,0,0,0,0x0000000000008000,0),
(16293,1,0,0,0,0,0,0x0000000000040000,0),
(16295,0,0,0,0,0,0,0x0000000000010000,0),
(16295,1,0,0,0,0,0,0x0000000000020000,0),
(16493,0,0,0,0,0,0,0x0000014D2A600CEF,0),
(16494,0,0,0,0,0,0,0x0000014D2A600CEF,0),
(16513,0,0,0,0,0,0,0x000000000001E000,0),
(16513,1,0,0,0,0,0,0x000000000001E000,0),
(16513,2,0,0,0,0,0,0x000000000001E000,0),
(16514,0,0,0,0,0,0,0x000000000001E000,0),
(16514,1,0,0,0,0,0,0x000000000001E000,0),
(16514,2,0,0,0,0,0,0x000000000001E000,0),
(16515,0,0,0,0,0,0,0x000000000001E000,0),
(16515,1,0,0,0,0,0,0x000000000001E000,0),
(16515,2,0,0,0,0,0,0x000000000001E000,0),
(16544,0,0,0,0,0,0,0x0000000000000020,0),
(16544,1,0,0,0,0,0,0x0000000000000020,0),
(16544,2,0,0,0,0,0,0x0000000000000004,0),
(16719,0,0,0,0,0,0,0x000000000001E000,0),
(16719,1,0,0,0,0,0,0x000000000001E000,0),
(16719,2,0,0,0,0,0,0x000000000001E000,0),
(16720,0,0,0,0,0,0,0x000000000001E000,0),
(16720,1,0,0,0,0,0,0x000000000001E000,0),
(16720,2,0,0,0,0,0,0x000000000001E000,0),
(16757,0,0,0,0,0,0,0x00000000000000A0,0),
(16758,0,0,0,0,0,0,0x00000000000000A0,0),
(16763,0,0,0,0,0,0,0x0000000000000020,0),
(16765,0,0,0,0,0,0,0x0000000000000020,0),
(16766,0,0,0,0,0,0,0x0000000000000020,0),
(16814,0,0,0,0,0,0,0x0000000000000005,0),
(16815,0,0,0,0,0,0,0x0000000000000005,0),
(16816,0,0,0,0,0,0,0x0000000000000005,0),
(16817,0,0,0,0,0,0,0x0000000000000005,0),
(16818,0,0,0,0,0,0,0x0000000000000005,0),
(16819,0,0,0,0,0,0,0x0002122000600707,0),
(16820,0,0,0,0,0,0,0x0002122000600707,0),
(16821,0,0,0,0,0,0,0x0000000000000002,0),
(16821,1,0,0,0,0,0,0x0000000000000002,0),
(16821,2,0,0,0,0,0,0x0000000000000002,0),
(16822,0,0,0,0,0,0,0x0000000000000002,0),
(16822,1,0,0,0,0,0,0x0000000000000002,0),
(16822,2,0,0,0,0,0,0x0000000000000002,0),
(16824,1,0,0,0,0,0,0x0000000000000002,0),
(16824,2,0,0,0,0,0,0x0000000000000002,0),
(16833,0,0,0,0,0,0,0x0000E000E2000000,0),
(16834,0,0,0,0,0,0,0x0000E000E2000000,0),
(16835,0,0,0,0,0,0,0x0000E000E2000000,0),
(16836,1,0,0,0,0,0,0x0000000000000300,0),
(16839,1,0,0,0,0,0,0x0000000000000300,0),
(16840,1,0,0,0,0,0,0x0000000000000300,0),
(16850,1,0,0,0,0,0,0x0000000000000001,0),
(16870,0,0,0,0,0,0,0x001007F100E3FEFF,0),
(16886,0,0,0,0,0,0,0x0000000001000265,1),
(16896,0,0,0,0,0,0,0x0000000000000007,0),
(16896,1,0,0,0,0,0,0x0000000000000007,0),
(16897,0,0,0,0,0,0,0x0000000000000007,0),
(16897,1,0,0,0,0,0,0x0000000000000007,0),
(16899,0,0,0,0,0,0,0x0000000000000007,0),
(16899,1,0,0,0,0,0,0x0000000000000007,0),
(16900,0,0,0,0,0,0,0x0000000000000007,0),
(16900,1,0,0,0,0,0,0x0000000000000007,0),
(16901,0,0,0,0,0,0,0x0000000000000007,0),
(16901,1,0,0,0,0,0,0x0000000000000007,0),
(16918,0,0,0,0,0,0,0x0000002000000200,0),
(16919,0,0,0,0,0,0,0x0000002000000200,0),
(16920,0,0,0,0,0,0,0x0000002000000200,0),
(16923,1,0,0,0,0,0,0x0000000000000001,0),
(16924,1,0,0,0,0,0,0x0000000000000001,0),
(16934,0,0,0,0,0,0,0x0000000000000800,0),
(16934,1,0,0,0,0,0,0x0000000000001000,0),
(16935,0,0,0,0,0,0,0x0000000000000800,0),
(16935,1,0,0,0,0,0,0x0000000000001000,0),
(16936,0,0,0,0,0,0,0x0000000000000800,0),
(16936,1,0,0,0,0,0,0x0000000000001000,0),
(16937,0,0,0,0,0,0,0x0000000000000800,0),
(16937,1,0,0,0,0,0,0x0000000000001000,0),
(16938,0,0,0,0,0,0,0x0000000000000800,0),
(16938,1,0,0,0,0,0,0x0000000000001000,0),
(16947,1,0,0,0,0,0,0x0000000002000000,0),
(16948,1,0,0,0,0,0,0x0000000002000000,0),
(16949,1,0,0,0,0,0,0x0000000002000000,0),
(16966,0,0,0,0,0,0,0x0000000000008000,0),
(16966,1,0,0,0,0,0,0x0000010000000000,0),
(16968,0,0,0,0,0,0,0x0000000000008000,0),
(16968,1,0,0,0,0,0,0x0000010000000000,0),
(16998,0,0,0,0,0,0,0x0000000000001000,0),
(16998,2,0,0,0,0,0,0x0000000000001000,0),
(16999,0,0,0,0,0,0,0x0000000000001000,0),
(16999,2,0,0,0,0,0,0x0000000000001000,0),
(17104,0,0,0,0,0,0,0x00000010000000F0,0),
(17104,1,0,0,0,0,0,0x00000010000000F0,0),
(17111,0,0,0,0,0,0,0x0000000000000010,0),
(17112,0,0,0,0,0,0,0x0000000000000010,0),
(17113,0,0,0,0,0,0,0x0000000000000010,0),
(17114,0,0,0,0,0,0,0x0000000000000010,0),
(17115,0,0,0,0,0,0,0x0000000000000010,0),
(17116,0,0,0,0,0,0,0x0002002010000261,0),
(17118,0,0,0,0,0,0,0x001005D000E193F7,0),
(17118,1,0,0,0,0,0,0x0004103000340750,0),
(17119,0,0,0,0,0,0,0x001005D000E193F7,0),
(17119,1,0,0,0,0,0,0x0004103000340750,0),
(17120,0,0,0,0,0,0,0x001005D000E193F7,0),
(17120,1,0,0,0,0,0,0x0004103000340750,0),
(17121,0,0,0,0,0,0,0x001005D000E193F7,0),
(17121,1,0,0,0,0,0,0x0004103000340750,0),
(17122,0,0,0,0,0,0,0x001005D000E193F7,0),
(17122,1,0,0,0,0,0,0x0004103000340750,0),
(17123,0,0,0,0,0,0,0x0000000000000080,0),
(17124,0,0,0,0,0,0,0x0000000000000080,0),
(17191,0,0,0,0,0,0,0x0000000000000040,0),
(17322,0,0,0,0,78,0,0,0),
(17323,0,0,0,0,78,0,0,0),
(17768,0,0,0,0,0,0,0x0000000040000000,0),
(17768,1,0,0,0,0,0,0x0000000080000000,0),
(17778,0,0,0,0,593,0,0,0),
(17779,0,0,0,0,593,0,0,0),
(17780,0,0,0,0,593,0,0,0),
(17781,0,0,0,0,593,0,0,0),
(17782,0,0,0,0,593,0,0,0),
(17788,1,0,0,0,0,0,0x0000008000000000,0),
(17789,1,0,0,0,0,0,0x0000008000000000,0),
(17790,1,0,0,0,0,0,0x0000008000000000,0),
(17791,1,0,0,0,0,0,0x0000008000000000,0),
(17792,1,0,0,0,0,0,0x0000008000000000,0),
(17917,0,0,0,0,593,0,0,0),
(17917,1,0,0,0,593,0,0,0),
(17918,0,0,0,0,593,0,0,0),
(17918,1,0,0,0,593,0,0,0),
(17927,0,0,0,0,0,0,0x0000000000000100,0),
(17929,0,0,0,0,0,0,0x0000000000000100,0),
(17930,0,0,0,0,0,0,0x0000000000000100,0),
(17941,0,0,0,0,0,0,0x0000000000000001,1),
(17954,0,0,4,0,0,0,0,0),
(17954,1,0,4,0,0,0,0,0),
(17955,0,0,4,0,0,0,0,0),
(17955,1,0,4,0,0,0,0,0),
(17956,0,0,4,0,0,0,0,0),
(17956,1,0,4,0,0,0,0,0),
(17957,0,0,4,0,0,0,0,0),
(17957,1,0,4,0,0,0,0,0),
(17958,0,0,4,0,0,0,0,0),
(17958,1,0,4,0,0,0,0,0),
(17959,0,0,0,0,593,0,0,0),
(18126,0,0,0,0,0,0,0x0000000000001000,0),
(18127,0,0,0,0,0,0,0x0000000000001000,0),
(18130,0,0,0,0,593,0,0,0),
(18131,0,0,0,0,593,0,0,0),
(18132,0,0,0,0,593,0,0,0),
(18133,0,0,0,0,593,0,0,0),
(18134,0,0,0,0,593,0,0,0),
(18135,0,0,0,0,593,0,0,0),
(18136,0,0,0,0,593,0,0,0),
(18174,0,0,0,0,355,0,0,0),
(18175,0,0,0,0,355,0,0,0),
(18176,0,0,0,0,355,0,0,0),
(18177,0,0,0,0,355,0,0,0),
(18178,0,0,0,0,355,0,0,0),
(18179,0,0,0,0,0,0,0x0000000000008000,0),
(18180,0,0,0,0,0,0,0x0000000000008000,0),
(18213,0,0,0,0,0,0,0x0000000000004000,0),
(18213,1,0,0,0,355,0,0,0),
(18218,0,0,0,0,355,0,0,0),
(18219,0,0,0,0,355,0,0,0),
(18271,0,0,32,0,0,0,0,0),
(18271,1,0,32,0,0,0,0,0),
(18272,0,0,32,0,0,0,0,0),
(18272,1,0,32,0,0,0,0,0),
(18273,0,0,32,0,0,0,0,0),
(18273,1,0,32,0,0,0,0,0),
(18274,0,0,32,0,0,0,0,0),
(18274,1,0,32,0,0,0,0,0),
(18275,0,0,32,0,0,0,0,0),
(18275,1,0,32,0,0,0,0,0),
(18288,0,0,0,0,0,0,0x0000000200000400,0),
(18288,1,0,0,0,0,0,0x0000000000400000,0),
(18372,1,0,0,0,355,0,0,0),
(18544,0,0,0,0,0,6,0,0),
(18544,1,0,0,0,0,6,0,0),
(18544,2,0,0,0,0,6,0,0),
(18547,0,0,0,0,0,6,0,0),
(18547,1,0,0,0,0,6,0,0),
(18547,2,0,0,0,0,6,0,0),
(18548,0,0,0,0,0,6,0,0),
(18548,1,0,0,0,0,6,0,0),
(18548,2,0,0,0,0,6,0,0),
(18549,0,0,0,0,0,6,0,0),
(18549,1,0,0,0,0,6,0,0),
(18549,2,0,0,0,0,6,0,0),
(18550,0,0,0,0,0,6,0,0),
(18550,1,0,0,0,0,6,0,0),
(18550,2,0,0,0,0,6,0,0),
(18703,1,0,0,0,0,0,0x0000000001000000,0),
(18704,1,0,0,0,0,0,0x0000000001000000,0),
(18731,0,0,0,0,0,0,0x0000000010000000,0),
(18743,0,0,0,0,0,0,0x0000000010000000,0),
(18744,0,0,0,0,0,0,0x0000000010000000,0),
(18748,0,0,0,0,0,0,0x0000000008000000,0),
(18749,0,0,0,0,0,0,0x0000000008000000,0),
(18750,0,0,0,0,0,0,0x0000000008000000,0),
(18767,1,0,0,0,0,0,0x0000000000020000,0),
(18768,1,0,0,0,0,0,0x0000000000020000,0),
(18821,0,0,0,0,0,0,0x0000000000000800,0),
(18821,1,0,0,0,0,0,0x0000000000000800,0),
(18821,2,0,0,0,0,0,0x0000000000000800,0),
(18822,0,0,0,0,0,0,0x0000000000000800,0),
(18822,1,0,0,0,0,0,0x0000000000000800,0),
(18822,2,0,0,0,0,0,0x0000000000000800,0),
(18827,0,0,0,0,0,0,0x0000000000000400,0),
(18829,0,0,0,0,0,0,0x0000000000000400,0),
(19239,0,0,0,0,0,0,0x0000000000000018,0),
(19239,1,0,0,0,0,0,0x0000000000000004,0),
(19245,0,0,0,0,0,0,0x0000000000000018,0),
(19245,1,0,0,0,0,0,0x0000000000000004,0),
(19416,0,0,0,0,0,0,0x00210810007FA00,0),
(19417,0,0,0,0,0,0,0x00210810007FA00,0),
(19418,0,0,0,0,0,0,0x00210810007FA00,0),
(19419,0,0,0,0,0,0,0x00210810007FA00,0),
(19420,0,0,0,0,0,0,0x00210810007FA00,0),
(19461,0,0,0,0,0,0,0x0000000000003000,0),
(19461,1,0,0,0,0,0,0x0000000000003000,0),
(19462,0,0,0,0,0,0,0x0000000000003000,0),
(19462,1,0,0,0,0,0,0x0000000000003000,0),
(19464,0,0,0,0,0,0,0x0000010000004000,0),
(19464,1,0,0,0,0,0,0x0000008000000000,0),
(19464,2,0,0,0,0,0,0x000011800000C000,0),
(19465,0,0,0,0,0,0,0x0000010000004000,0),
(19465,1,0,0,0,0,0,0x0000008000000000,0),
(19465,2,0,0,0,0,0,0x000011800000C000,0),
(19466,0,0,0,0,0,0,0x0000010000004000,0),
(19466,1,0,0,0,0,0,0x0000008000000000,0),
(19466,2,0,0,0,0,0,0x000011800000C000,0),
(19467,0,0,0,0,0,0,0x0000010000004000,0),
(19467,1,0,0,0,0,0,0x0000008000000000,0),
(19467,2,0,0,0,0,0,0x000011800000C000,0),
(19468,0,0,0,0,0,0,0x0000010000004000,0),
(19468,1,0,0,0,0,0,0x0000008000000000,0),
(19468,2,0,0,0,0,0,0x000011800000C000,0),
(19485,0,0,0,0,0,0,0x000000100061801,0),
(19487,0,0,0,0,0,0,0x000000100061801,0),
(19488,0,0,0,0,0,0,0x000000100061801,0),
(19489,0,0,0,0,0,0,0x000000100061801,0),
(19490,0,0,0,0,0,0,0x000000100061801,0),
(19498,0,0,0,0,0,0,0x00210810007FA01,0),
(19499,0,0,0,0,0,0,0x00210810007FA01,0),
(19500,0,0,0,0,0,0,0x00210810007FA01,0),
(19549,0,0,0,0,0,0,0x0000000000080000,0),
(19550,0,0,0,0,0,0,0x0000000000080000,0),
(19551,0,0,0,0,0,0,0x0000000000080000,0),
(19552,0,0,0,0,0,0,0x0000000000100000,0),
(19552,1,0,0,0,0,0,0x0000020000000000,0),
(19553,0,0,0,0,0,0,0x0000000000100000,0),
(19553,1,0,0,0,0,0,0x0000020000000000,0),
(19554,0,0,0,0,0,0,0x0000000000100000,0),
(19554,1,0,0,0,0,0,0x0000020000000000,0),
(19555,0,0,0,0,0,0,0x0000000000100000,0),
(19555,1,0,0,0,0,0,0x0000020000000000,0),
(19556,0,0,0,0,0,0,0x0000000000100000,0),
(19556,1,0,0,0,0,0,0x0000020000000000,0),
(19559,0,0,0,0,0,0,0x0000000000200000,0),
(19560,0,0,0,0,0,0,0x0000000000200000,0),
(19572,1,0,0,0,0,0,0x0000000000800000,0),
(19573,1,0,0,0,0,0,0x0000000000800000,0),
(19583,0,0,0,0,0,0,0x0000000008000000,0),
(19584,0,0,0,0,0,0,0x0000000008000000,0),
(19585,0,0,0,0,0,0,0x0000000008000000,0),
(19586,0,0,0,0,0,0,0x0000000008000000,0),
(19587,0,0,0,0,0,0,0x0000000008000000,0),
(19590,0,0,0,0,0,0,0x0000000020000000,0),
(19592,0,0,0,0,0,0,0x0000000020000000,0),
(19598,0,0,0,0,0,0,0x0000000040000000,0),
(19599,0,0,0,0,0,0,0x0000000040000000,0),
(19600,0,0,0,0,0,0,0x0000000040000000,0),
(19601,0,0,0,0,0,0,0x0000000040000000,0),
(19602,0,0,0,0,0,0,0x0000000040000000,0),
(19609,0,0,0,0,0,0,0x0000000004000000,0),
(19610,0,0,0,0,0,0,0x0000000004000000,0),
(19612,0,0,0,0,0,0,0x0000000004000000,0),
(20101,0,0,0,0,0,0,0x000004000A000200,0),
(20102,0,0,0,0,0,0,0x000004000A000200,0),
(20103,0,0,0,0,0,0,0x000004000A000200,0),
(20104,0,0,0,0,0,0,0x000004000A000200,0),
(20105,0,0,0,0,0,0,0x000004000A000200,0),
(20138,0,0,0,0,0,0,0x0000000000000040,0),
(20139,0,0,0,0,0,0,0x0000000000000040,0),
(20140,0,0,0,0,0,0,0x0000000000000040,0),
(20141,0,0,0,0,0,0,0x0000000000000040,0),
(20142,0,0,0,0,0,0,0x0000000000000040,0),
(20174,0,0,0,0,0,0,0x0000000000000080,0),
(20174,1,0,0,0,0,0,0x0000000000000010,0),
(20175,0,0,0,0,0,0,0x0000000000000080,0),
(20175,1,0,0,0,0,0,0x0000000000000010,0),
(20216,0,0,0,0,0,0,0x0000000000206000,0),
(20224,0,0,0,0,0,0,0x0000000008000400,0),
(20225,0,0,0,0,0,0,0x0000000008000400,0),
(20237,0,0,0,0,0,0,0x00000000C0000000,0),
(20238,0,0,0,0,0,0,0x00000000C0000000,0),
(20239,0,0,0,0,0,0,0x00000000C0000000,0),
(20244,0,0,0,0,0,0,0x0000000000010000,0),
(20245,0,0,0,0,0,0,0x0000000000010000,0),
(20249,0,0,0,0,0,0,0x0000000040000000,0),
(20250,0,0,0,0,0,0,0x0000000040000000,0),
(20251,0,0,0,0,0,0,0x0000000040000000,0),
(20254,0,0,0,0,0,0,0x0000000000020000,0),
(20254,1,0,0,0,0,0,0x0000000000020000,0),
(20254,2,0,0,0,0,0,0x0000000000020000,0),
(20255,0,0,0,0,0,0,0x0000000000020000,0),
(20255,1,0,0,0,0,0,0x0000000000020000,0),
(20255,2,0,0,0,0,0,0x0000000000020000,0),
(20256,0,0,0,0,0,0,0x0000000000020000,0),
(20256,1,0,0,0,0,0,0x0000000000020000,0),
(20256,2,0,0,0,0,0,0x0000000000020000,0),
(20330,0,0,0,0,0,0,0x0000000008000400,0),
(20331,0,0,0,0,0,0,0x0000000008000400,0),
(20332,0,0,0,0,0,0,0x0000000008000400,0),
(20335,0,0,0,0,0,0,0x0000000020000000,0),
(20336,0,0,0,0,0,0,0x0000000020000000,0),
(20337,0,0,0,0,0,0,0x0000000020000000,0),
(20359,0,0,0,0,0,0,0x0000000080000000,0),
(20360,0,0,0,0,0,0,0x0000000080000000,0),
(20361,0,0,0,0,0,0,0x0000000080000000,0),
(20468,1,0,0,0,0,0,0x0000000000000001,0),
(20469,1,0,0,0,0,0,0x0000000000000001,0),
(20470,1,0,0,0,0,0,0x0000000000000001,0),
(20575,0,0,0,0,0,0,0x0000000004000000,0),
(20575,1,0,0,0,0,0,0x0000000004000000,0),
(20576,0,0,0,0,0,0,0x0000000002000000,0),
(21744,0,0,0,0,0,0,0x0000000010000180,0),
(21873,0,0,0,0,0,0,0x0000E000E2000000,0),
(21881,0,0,0,0,0,0,0x000000000001E000,0),
(21887,0,0,0,0,0,0,0x0000036C2A764EEF,0),
(21942,1,0,0,0,0,0,0x0000000008000000,0),
(22008,0,0,0,0,0,0,0x0000000021400035,1),
(23025,0,0,0,0,0,0,0x0000000000010000,0),
(23300,0,0,0,0,0,0,0x0000000020000000,0),
(23555,0,0,0,0,593,0,0,0),
(23565,0,0,0,0,0,0,0x0000000004020048,0),
(23724,0,0,0,0,0,0,0x0000E000E2000000,0),
(23726,0,0,0,0,0,0,0x0000000000002000,0),
(23726,1,0,0,0,0,0,0x0000000000010000,0),
(24348,0,0,0,0,0,0,0x0000000000200000,0),
(24429,0,0,0,0,0,0,0x0000000000004000,0),
(24431,0,0,0,0,0,0,0x0000000400000000,0),
(24460,0,0,0,0,0,0,0x0000000010000180,0),
(24499,0,0,0,0,0,0,0x0000000000000400,0),
(24691,0,0,0,0,0,0,0x0000000000003000,0),
(24691,1,0,0,0,0,0,0x0000000000003000,0),
(24943,0,0,0,0,0,0,0x00000010000000F0,0),
(24943,1,0,0,0,0,0,0x00000010000000F0,0),
(24944,0,0,0,0,0,0,0x00000010000000F0,0),
(24944,1,0,0,0,0,0,0x00000010000000F0,0),
(24945,0,0,0,0,0,0,0x00000010000000F0,0),
(24945,1,0,0,0,0,0,0x00000010000000F0,0),
(24946,0,0,0,0,0,0,0x00000010000000F0,0),
(24946,1,0,0,0,0,0,0x00000010000000F0,0),
(26109,0,0,0,0,0,0,0x00000080000F0000,0),
(26118,0,0,0,0,0,0,0x0000000004000000,0),
(26118,1,0,0,0,0,0,0x0000000004000000,0),
(26130,0,0,0,0,0,0,0x0000000820180000,0),
(26174,0,0,0,0,0,0,0x0000000000000020,0),
(27789,1,0,0,0,0,0,0x0000000010400200,0),
(27790,1,0,0,0,0,0,0x0000000010400200,0),
(27828,0,0,0,0,0,6,0,0),
(27846,0,0,0,0,0,0,0x0000000000000020,0),
(27848,0,0,0,0,0,0,0x000004000A000200,0),
(27850,0,0,0,0,0,0,0x0000000000000040,0),
(27851,0,0,0,0,0,0,0x0000000000001000,0),
(28088,0,0,0,0,0,0,0x000000000001E000,0),
(28107,0,0,0,0,0,0,0x0000000000040000,0),
(28539,0,0,0,0,0,0,0x0000000000001000,0),
(28682,0,0,0,0,0,0,0x0000004008C20017,0),
(28743,0,0,0,0,0,0,0x00000000000000F0,0),
(28751,0,0,0,0,0,0,0x0000000000021000,0),
(28755,0,0,0,0,0,0,0x0000000000000020,0),
(28763,0,0,0,0,0,0,0x0000000004000000,0),
(28774,0,0,0,0,0,0,0x0000000000008000,0),
(28775,0,0,0,0,0,0,0x0000000100000000,0),
(28787,0,0,0,0,0,0,0x0000000000001000,0),
(28807,0,0,0,0,0,0,0x0000000000000040,0),
(28811,0,0,0,0,0,0,0x0000000002020006,0),
(28814,0,0,0,0,0,0,0x0000000000020000,0),
(28818,0,0,0,0,0,0,0x0000000040000000,0),
(28821,0,0,0,0,0,0,0x0000000000000400,0),
(28829,0,0,0,0,0,0,0x0000000000000002,0),
(28830,0,0,0,0,0,0,0x0000000000040000,0),
(28831,0,0,0,0,0,0,0x0000000000000001,0),
(28842,0,0,0,0,0,0,0x0000000100004440,0),
(28843,0,0,0,0,0,0,0x0000000000088000,0),
(28844,0,0,0,0,0,0,0x0000000000000400,0),
(28852,0,0,0,0,0,0,0x0000000000000200,0),
(28852,1,0,0,0,0,0,0x0000000020000000,0),
(28855,0,0,0,0,0,0,0x0000000000000800,0),
(28855,1,0,0,0,0,0,0x10000000000000,0),
(28999,0,0,0,0,0,0,0x0000000000000003,0),
(29000,0,0,0,0,0,0,0x0000000000000003,0),
(29005,0,0,0,0,0,0,0x0000000090100003,0),
(29063,0,0,0,0,0,11,0,0),
(29079,0,0,0,0,0,0,0x0000000000400000,0),
(29079,1,0,0,0,0,0,0x0000000001000000,0),
(29079,2,0,0,0,0,0,0x0000000000800000,0),
(29080,0,0,0,0,0,0,0x0000000000400000,0),
(29080,1,0,0,0,0,0,0x0000000001000000,0),
(29080,2,0,0,0,0,0,0x0000000000800000,0),
(29171,0,0,0,0,0,0,0x0000000000004000,0),
(29187,0,0,0,0,0,0,0x00000000000001C0,0),
(29189,0,0,0,0,0,0,0x00000000000001C0,0),
(29191,0,0,0,0,0,0,0x00000000000001C0,0),
(29202,0,0,0,0,0,0,0x0000000000000040,0),
(29205,0,0,0,0,0,0,0x0000000000000040,0),
(29206,0,0,0,0,0,0,0x0000000000000040,0),
(29438,0,0,0,0,0,0,0x0000000000D000D7,0),
(29439,0,0,0,0,0,0,0x0000000000D000D7,0),
(29440,0,0,0,0,0,0,0x0000000000D000D7,0),
(29721,0,0,0,0,0,0,0x0000000400000000,0),
(29723,0,0,0,0,0,0,0x0000000080002010,0),
(29723,1,0,0,0,0,0,0x0000000080002010,0),
(29724,0,0,0,0,0,0,0x0000000080002010,0),
(29724,1,0,0,0,0,0,0x0000000080002010,0),
(29725,0,0,0,0,0,0,0x0000000080002010,0),
(29725,1,0,0,0,0,0,0x0000000080002010,0),
(29776,0,0,0,0,0,0,0x0000000400000000,0),
(29787,0,0,0,0,0,0,0x0000036C2A764EEF,0),
(29790,0,0,0,0,0,0,0x0000036C2A764EEF,0),
(29792,0,0,0,0,0,0,0x0000036C2A764EEF,0),
(29836,0,0,0,0,0,0,0x0000001000000020,0),
(29859,0,0,0,0,0,0,0x0000001000000020,0),
(29976,0,0,0,0,0,0,0x0000000021400035,0),
(30049,0,0,0,0,0,0,0x0000000000080000,0),
(30051,0,0,0,0,0,0,0x0000000000080000,0),
(30052,0,0,0,0,0,0,0x0000000000080000,0),
(30054,0,0,0,0,0,0,0x0000000800000000,0),
(30057,0,0,0,0,0,0,0x0000000800000000,0),
(30060,0,0,0,0,0,0,0x0000001000000402,0),
(30060,1,0,0,0,0,0,0x0000001000000402,0),
(30060,2,0,0,0,355,0,0,0),
(30061,0,0,0,0,0,0,0x0000001000000402,0),
(30061,1,0,0,0,0,0,0x0000001000000402,0),
(30061,2,0,0,0,355,0,0,0),
(30062,0,0,0,0,0,0,0x0000001000000402,0),
(30062,1,0,0,0,0,0,0x0000001000000402,0),
(30062,2,0,0,0,355,0,0,0),
(30063,0,0,0,0,0,0,0x0000001000000402,0),
(30063,1,0,0,0,0,0,0x0000001000000402,0),
(30063,2,0,0,0,355,0,0,0),
(30064,0,0,0,0,0,0,0x0000001000000402,0),
(30064,1,0,0,0,0,0,0x0000001000000402,0),
(30064,2,0,0,0,355,0,0,0),
(30085,0,0,0,0,355,0,0,0),
(30085,1,0,0,0,0,0,0x0000000000000400,0),
(30085,2,0,0,0,0,0,0x0000000000000002,0),
(30086,0,0,0,0,355,0,0,0),
(30086,1,0,0,0,0,0,0x0000000000000400,0),
(30086,2,0,0,0,0,0,0x0000000000000002,0),
(30251,0,0,0,0,593,0,0,0),
(30256,0,0,0,0,593,0,0,0),
(30288,0,0,0,0,0,0,0x0000000000000001,0),
(30289,0,0,0,0,0,0,0x0000000000000001,0),
(30290,0,0,0,0,0,0,0x0000000000000001,0),
(30291,0,0,0,0,0,0,0x0000000000000001,0),
(30292,0,0,0,0,0,0,0x0000000000000001,0),
(30326,0,0,0,0,0,0,0x0000000000040010,0),
(30327,0,0,0,0,0,0,0x0000000000040010,0),
(30328,0,0,0,0,0,0,0x0000000000040010,0),
(30872,0,0,0,0,0,0,0x0000000000000100,0),
(30873,0,0,0,0,0,0,0x0000000000000100,0),
(30892,0,0,0,0,0,0,0x0000000008000000,0),
(30893,0,0,0,0,0,0,0x0000000008000000,0),
(31226,0,0,0,0,0,0,0x000000000001E000,0),
(31227,0,0,0,0,0,0,0x000000000001E000,0),
(31234,0,0,0,0,0,8,0,0),
(31234,1,0,0,0,0,8,0,0),
(31235,0,0,0,0,0,8,0,0),
(31235,1,0,0,0,0,8,0,0),
(31236,0,0,0,0,0,8,0,0),
(31236,1,0,0,0,0,8,0,0),
(31237,0,0,0,0,0,8,0,0),
(31237,1,0,0,0,0,8,0,0),
(31238,0,0,0,0,0,8,0,0),
(31238,1,0,0,0,0,8,0,0),
(31569,0,0,0,0,0,0,0x0000000000010000,0),
(31570,0,0,0,0,0,0,0x0000000000010000,0),
(31571,0,0,0,0,0,0,0x0000000200000000,0),
(31572,0,0,0,0,0,0,0x0000000200000000,0),
(31573,0,0,0,0,0,0,0x0000000200000000,0),
(31579,0,0,0,0,0,0,0x0000000000000800,0),
(31579,1,0,0,0,0,0,0x0000000000000800,0),
(31582,0,0,0,0,0,0,0x0000000000000800,0),
(31582,1,0,0,0,0,0,0x0000000000000800,0),
(31583,0,0,0,0,0,0,0x0000000000000800,0),
(31583,1,0,0,0,0,0,0x0000000000000800,0),
(31656,0,0,0,0,0,0,0x0000000000000001,0),
(31657,0,0,0,0,0,0,0x0000000000000001,0),
(31658,0,0,0,0,0,0,0x0000000000000001,0),
(31659,0,0,0,0,0,0,0x0000000000000001,0),
(31660,0,0,0,0,0,0,0x0000000000000001,0),
(31670,0,0,0,0,0,0,0x0000000500000200,0),
(31672,0,0,0,0,0,0,0x0000000500000200,0),
(31682,0,0,0,0,0,0,0x0000000000000020,0),
(31682,1,0,0,0,0,0,0x0000000000000020,0),
(31683,0,0,0,0,0,0,0x0000000000000020,0),
(31683,1,0,0,0,0,0,0x0000000000000020,0),
(31684,0,0,0,0,0,0,0x0000000000000020,0),
(31684,1,0,0,0,0,0,0x0000000000000020,0),
(31685,0,0,0,0,0,0,0x0000000000000020,0),
(31685,1,0,0,0,0,0,0x0000000000000020,0),
(31686,0,0,0,0,0,0,0x0000000000000020,0),
(31686,1,0,0,0,0,0,0x0000000000000020,0),
(31821,0,0,0,0,0,0,0x0000000004020048,0),
(31825,0,0,0,0,0,0,0x0000000000001020,0),
(31825,1,0,0,0,0,0,0x0000000200000000,0),
(31826,0,0,0,0,0,0,0x0000000000001020,0),
(31826,1,0,0,0,0,0,0x0000000200000000,0),
(31834,0,0,0,0,0,0,0x0000000080000000,0),
(31844,1,0,0,0,0,0,0x000005401A00038C,0),
(31845,1,0,0,0,0,0,0x000005401A00038C,0),
(31848,0,0,0,0,0,0,0x0000000000400000,0),
(31848,1,0,0,0,0,0,0x0000000000400000,0),
(31849,0,0,0,0,0,0,0x0000000000400000,0),
(31849,1,0,0,0,0,0,0x0000000000400000,0),
(31869,0,0,0,0,0,0,0x0000002000000000,0),
(31870,0,0,0,0,0,0,0x0000002000000000,0),
(31879,0,0,0,0,0,0,0x0000000800000400,0),
(31880,0,0,0,0,0,0,0x0000000800000400,0),
(31881,0,0,0,0,0,0,0x0000000800000400,0),
(31882,0,0,0,0,0,0,0x0000000800000400,0),
(31883,0,0,0,0,0,0,0x0000000800000400,0),
(32043,1,0,0,0,0,0,0x0000040008000000,0),
(32203,1,0,0,0,0,0,0x0001100001C22000,0),
(32381,0,0,0,0,0,0,0x0000000000000002,0),
(32382,0,0,0,0,0,0,0x0000000000000002,0),
(32383,0,0,0,0,0,0,0x0000000000000002,0),
(32412,0,0,0,0,0,0,0x0000000000000400,0),
(32743,0,0,0,0,0,0,0x0000000000000800,0),
(32973,0,0,0,0,0,0,0x0000000090100000,0),
(33018,0,0,0,0,0,0,0x0000001000000000,0),
(33020,0,0,0,0,0,0,0x0000000000000400,0),
(33066,0,0,0,0,0,0,0x0000000000000002,0),
(33151,0,0,0,0,0,0,0x0000000000000080,1),
(33151,1,0,0,0,0,0,0x0000000000000080,1),
(33151,2,0,0,0,0,0,0x0000000000000080,1),
(33158,0,0,0,0,0,0,0x0000000000001000,0),
(33158,1,0,0,0,0,0,0x0000000000000800,0),
(33159,0,0,0,0,0,0,0x0000000000001000,0),
(33159,1,0,0,0,0,0,0x0000000000000800,0),
(33160,0,0,0,0,0,0,0x0000000000001000,0),
(33160,1,0,0,0,0,0,0x0000000000000800,0),
(33161,0,0,0,0,0,0,0x0000000000001000,0),
(33161,1,0,0,0,0,0,0x0000000000000800,0),
(33162,0,0,0,0,0,0,0x0000000000001000,0),
(33162,1,0,0,0,0,0,0x0000000000000800,0),
(33174,0,0,0,0,0,0,0x0000000000000020,0),
(33174,1,0,0,0,0,0,0x0000000000000020,0),
(33182,0,0,0,0,0,0,0x0000000000000020,0),
(33182,1,0,0,0,0,0,0x0000000000000020,0),
(33213,0,0,0,0,0,0,0x0000000000822000,0),
(33214,0,0,0,0,0,0,0x0000000000822000,0),
(33215,0,0,0,0,0,0,0x0000000000822000,0),
(33221,0,0,0,0,0,0,0x0000000200002000,0),
(33222,0,0,0,0,0,0,0x0000000200002000,0),
(33223,0,0,0,0,0,0,0x0000000200002000,0),
(33224,0,0,0,0,0,0,0x0000000200002000,0),
(33225,0,0,0,0,0,0,0x0000000200002000,0),
(33333,0,0,0,0,0,0,0x0000000020000000,0),
(33421,0,0,0,0,0,0,0x0000000200000000,0),
(33557,0,0,0,0,0,0,0x0000000000000200,0),
(33557,1,0,0,0,0,0,0x0000000020000000,0),
(33565,0,0,0,0,0,0,0x0000000000001000,0),
(33600,0,0,0,0,0,0,0x0000000000000400,0),
(33600,1,0,0,0,0,0,0x0000000000000400,0),
(33601,0,0,0,0,0,0,0x0000000000000400,0),
(33601,1,0,0,0,0,0,0x0000000000000400,0),
(33602,0,0,0,0,0,0,0x0000000000000400,0),
(33602,1,0,0,0,0,0,0x0000000000000400,0),
(33603,0,0,0,0,0,0,0x0000000000000004,0),
(33603,1,0,0,0,0,0,0x0000000000000001,0),
(33604,0,0,0,0,0,0,0x0000000000000004,0),
(33604,1,0,0,0,0,0,0x0000000000000001,0),
(33605,0,0,0,0,0,0,0x0000000000000004,0),
(33605,1,0,0,0,0,0,0x0000000000000001,0),
(33606,0,0,0,0,0,0,0x0000000000000004,0),
(33606,1,0,0,0,0,0,0x0000000000000001,0),
(33607,0,0,0,0,0,0,0x0000000000000004,0),
(33607,1,0,0,0,0,0,0x0000000000000001,0),
(33693,0,0,0,0,0,0,0x0000000000008000,0),
(33695,0,0,0,0,0,0,0x0000000200000000,0),
(33696,0,0,0,0,0,0,0x0000000000000001,0),
(33713,0,0,0,0,0,0,0x0000000200000000,0),
(33714,0,0,0,0,0,0,0x0000000200000000,0),
(33830,0,0,0,0,0,0,0x0000002000000000,0),
(33830,1,0,0,0,0,0,0x0000002000000000,0),
(33877,0,0,0,0,0,0,0x0000000000000002,0),
(33879,0,0,0,0,0,0,0x0000000000000020,0),
(33880,0,0,0,0,0,0,0x0000000000000020,0),
(33886,0,0,0,0,0,0,0x0000000000000010,0),
(33887,0,0,0,0,0,0,0x0000000000000010,0),
(33888,0,0,0,0,0,0,0x0000000000000010,0),
(33889,0,0,0,0,0,0,0x0000000000000010,0),
(33890,0,0,0,0,0,0,0x0000000000000010,0),
(34128,0,0,0,0,0,0,0x0000001000000000,0),
(34129,0,0,0,0,0,0,0x0000000040000000,0),
(34129,1,0,0,0,0,0,0x0000000040000000,0),
(34131,0,0,0,0,0,0,0x0000000000000080,0),
(34131,1,0,0,0,0,0,0x0000000000000080,0),
(34253,0,0,0,0,0,0,0x0000010000000000,0),
(34297,0,0,0,0,0,0,0x0000080000000000,0),
(34300,0,0,0,0,0,0,0x0000080000000000,0),
(34323,0,0,0,0,0,0,0x0000008000800000,0),
(34453,1,0,0,0,0,0,0x0000000400000000,0),
(34454,1,0,0,0,0,0,0x0000000400000000,0),
(34455,0,0,0,0,0,0,0x0000002000000000,0),
(34455,1,0,0,0,0,0,0x0000004000000000,0),
(34459,0,0,0,0,0,0,0x0000002000000000,0),
(34459,1,0,0,0,0,0,0x0000004000000000,0),
(34460,0,0,0,0,0,0,0x0000002000000000,0),
(34460,1,0,0,0,0,0,0x0000004000000000,0),
(34462,1,0,0,0,0,0,0x0000000800000000,0),
(34464,1,0,0,0,0,0,0x0000000800000000,0),
(34465,1,0,0,0,0,0,0x0000000800000000,0),
(34491,0,0,0,0,0,0,0x00000000000000C2,0),
(34491,1,0,0,0,0,0,0x0000000000000080,0),
(34492,0,0,0,0,0,0,0x00000000000000C2,0),
(34492,1,0,0,0,0,0,0x0000000000000080,0),
(34493,0,0,0,0,0,0,0x00000000000000C2,0),
(34493,1,0,0,0,0,0,0x0000000000000080,0),
(34754,0,0,0,0,0,0,0x0000000400001800,0),
(34936,0,0,0,0,0,0,0x0000004000000001,1),
(34948,1,0,0,0,0,0,0x0000000000000020,0),
(34949,1,0,0,0,0,0,0x0000000000000020,0),
(35029,1,0,0,0,0,0,0x0000080000000000,0),
(35030,1,0,0,0,0,0,0x0000080000000000,0),
(35098,0,0,0,0,0,0,0x0000000000020801,0),
(35099,0,0,0,0,0,0,0x0000000000020801,0),
(35104,0,0,0,0,0,0,0x0000000000001000,0),
(35104,1,0,0,0,0,0,0x0000000000002000,0),
(35110,0,0,0,0,0,0,0x0000000000001000,0),
(35110,1,0,0,0,0,0,0x0000000000002000,0),
(35111,0,0,0,0,0,0,0x0000000000001000,0),
(35111,1,0,0,0,0,0,0x0000000000002000,0),
(35363,0,0,0,0,0,0,0x0000000000000005,0),
(35364,0,0,0,0,0,0,0x0000000000000005,0),
(35396,1,0,0,0,0,0,0x0000040008000000,0),
(35397,1,0,0,0,0,0,0x0000040008000000,0),
(35446,0,0,0,0,0,0,0x0000000002000000,0),
(35446,1,0,0,0,0,0,0x0000000002000000,0),
(35448,0,0,0,0,0,0,0x0000000002000000,0),
(35448,1,0,0,0,0,0,0x0000000002000000,0),
(35449,0,0,0,0,0,0,0x0000000002000000,0),
(35449,1,0,0,0,0,0,0x0000000002000000,0),
(35450,0,0,0,0,0,0,0x0000000002000000,0),
(35450,1,0,0,0,0,0,0x0000000002000000,0),
(35451,0,0,0,0,0,0,0x0000000002000000,0),
(35451,1,0,0,0,0,0,0x0000000002000000,0),
(35578,0,0,0,0,0,0,0x0000000028C21AF7,0),
(35581,0,0,0,0,0,0,0x0000000028C21AF7,0),
(36032,0,0,0,0,0,0,0x0000000020000000,0),
(36032,1,0,0,0,0,0,0x0000000020000000,0),
(36413,0,0,0,0,0,0,0x0000000000000001,0),
(37166,0,0,0,0,0,0,0x0000000000020000,0),
(37167,0,0,0,0,0,0,0x0000000000040000,0),
(37171,0,0,0,0,0,0,0x00000009003E0000,0),
(37180,0,0,0,0,0,0,0x0000000000000020,0),
(37181,0,0,0,0,0,0,0x0000000400000000,0),
(37182,0,0,0,0,0,0,0x0000000100000000,0),
(37183,0,0,0,0,0,0,0x0000010000000000,0),
(37184,0,0,0,0,0,0,0x0000040008000000,0),
(37184,1,0,0,0,0,0,0x0000040008000000,0),
(37185,0,0,0,0,0,0,0x0000004000000000,0),
(37186,0,0,0,0,0,0,0x0000000020000000,0),
(37187,0,0,0,0,0,0,0x0000020000000000,0),
(37190,0,0,0,0,0,0,0x0000000000000008,0),
(37191,0,0,0,0,0,0,0x0000004000000000,0),
(37194,0,0,0,0,0,0,0x0000000000800000,0),
(37207,0,0,0,0,0,0,0x0000000000000002,0),
(37210,0,0,0,0,0,0,0x0000000000004000,0),
(37211,0,0,0,0,0,0,0x0000008000000000,0),
(37212,0,0,0,0,0,0,0x0000010000000000,0),
(37223,0,0,0,0,0,0,0x0000000000010000,0),
(37224,0,0,0,0,0,0,0x0000001000000000,0),
(37225,0,0,0,0,0,0,0x0000000000000080,0),
(37234,0,0,0,0,0,0,0x0000000000000080,0),
(37240,0,0,0,0,0,0,0x0000000000000080,0),
(37286,0,0,0,0,0,0,0x0000000000000010,0),
(37287,0,0,0,0,0,0,0x0000E000E2000000,0),
(37292,0,0,0,0,0,0,0x0008000000000000,0),
(37297,0,0,0,0,0,0,0x0000100000000000,0),
(37313,0,0,0,0,0,0,0x0000000000000040,0),
(37314,0,0,0,0,0,0,0x0000001000000000,0),
(37316,0,0,0,0,0,0,0x0000000000000040,0),
(37325,0,0,0,0,0,0,0x0000000000000040,0),
(37333,0,0,0,0,0,0,0x0000000000008000,0),
(37333,1,0,0,0,0,0,0x0000010000000000,0),
(37376,0,0,0,0,0,0,0x0000001000000000,0),
(37380,0,0,0,0,0,0,0x0000000000000006,0),
(37423,0,0,0,0,0,0,0x0000000000000004,0),
(37438,0,0,0,0,0,0,0x0000000000000021,0),
(37439,0,0,0,0,0,0,0x0000002000000000,0),
(37439,1,0,0,0,0,0,0x0000004000000000,0),
(37439,2,0,0,0,0,0,0x0000008000000000,0),
(37441,0,0,0,0,0,0,0x0000000020000000,0),
(37441,1,0,0,0,0,0,0x0000000020000000,0),
(37447,0,0,0,0,0,0,0x0000010000000000,0),
(37481,0,0,0,0,0,0,0x0000000000000080,0),
(37484,0,0,0,0,0,0,0x0000000000000100,0),
(37485,0,0,0,0,0,0,0x0000000000001000,0),
(37505,0,0,0,0,0,0,0x0000000100000000,0),
(37507,0,0,0,0,0,0,0x0000000000000800,0),
(37508,0,0,0,0,0,0,0x0000000100061800,0),
(37512,0,0,0,0,0,0,0x00000080000F0000,0),
(37513,0,0,0,0,0,0,0x0000000000000001,0),
(37517,0,0,0,0,0,0,0x0000014D2A600CEF,0),
(37518,0,0,0,0,0,0,0x0000000400000000,0),
(37522,0,0,0,0,0,0,0x0000000000001000,0),
(37535,0,0,0,0,0,0,0x0000000002000000,0),
(37536,0,0,0,0,0,0,0x0000000000010000,0),
(37556,0,0,0,0,0,0,0x0000000400000000,0),
(37564,0,0,0,0,0,0,0x0000000000000200,0),
(37565,0,0,0,0,0,0,0x0000000000001000,0),
(37570,1,0,0,0,0,0,0x0000010000000000,0),
(37571,0,0,0,0,0,0,0x0000000000800080,0),
(37593,0,0,0,0,0,0,0x0000000000000040,0),
(37721,0,0,0,0,0,0,0x00000010000000F0,1),
(37722,0,0,0,0,0,0,0x00000000000001C0,0),
(37723,0,0,0,0,0,0,0x00000000C0000000,0),
(37736,0,0,0,0,0,0,0x0000040000000000,0),
(37736,1,0,0,0,0,0,0x0000004000000000,0),
(37737,0,0,0,0,0,0,0x0000000000000040,0),
(37738,0,0,0,0,0,0,0x0000000000000040,0),
(37739,0,0,0,0,0,0,0x0000000080000000,0),
(37740,0,0,0,0,0,0,0x0000000000000001,0),
(37742,0,0,0,0,0,0,0x0000004000000000,0),
(37760,0,0,0,0,0,0,0x0000000000000001,0),
(37762,0,0,0,0,0,0,0x0000001000000000,0),
(37878,0,0,0,0,0,0,0x00000010000000F0,0),
(37879,0,0,0,0,0,0,0x00000000C0006000,0),
(37880,0,0,0,0,0,0,0x0000000411041E40,0),
(37881,0,0,0,0,0,0,0x00000000000001C0,0),
(38314,0,0,0,0,0,0,0x0000E000E2000000,0),
(38321,0,0,0,0,0,0,0x0000000000000020,0),
(38322,0,0,0,0,0,0,0x0000000000000100,0),
(38388,0,0,0,0,0,0,0x0000000000040000,0),
(38389,0,0,0,0,0,0,0x0000000E00000006,0),
(38392,0,0,0,0,0,0,0x0000000100000000,0),
(38393,0,0,0,0,0,0,0x0000000000000001,0),
(38396,0,0,0,0,0,0,0x0000000004000000,0),
(38397,0,0,0,0,0,0,0x0000000000000821,0),
(38398,0,0,0,0,0,0,0x0000000000400000,0),
(38399,0,0,0,0,0,0,0x0000000002000000,0),
(38407,0,0,0,0,0,0,0x0000000100000000,0),
(38408,0,0,0,0,0,0,0x0000008000000000,0),
(38410,0,0,0,0,0,0,0x0000000000000200,0),
(38411,0,0,0,0,0,0,0x0000000000001000,0),
(38412,0,0,0,0,0,0,0x0000000000002000,0),
(38413,0,0,0,0,0,0,0x0000000000008000,0),
(38414,0,0,0,0,0,0,0x0000000000000002,0),
(38415,0,0,0,0,0,0,0x0000000000000004,0),
(38416,0,0,0,0,0,0,0x0010000000800000,0),
(38416,1,0,0,0,0,0,0x0010000000800000,0),
(38417,0,0,0,0,0,0,0x0000000200000000,0),
(38420,0,0,0,0,0,0,0x0000000000000020,0),
(38421,0,0,0,0,0,0,0x0000100000000000,0),
(38422,0,0,0,0,0,0,0x0000000000000020,0),
(38424,0,0,0,0,0,0,0x0000008000000000,0),
(38425,0,0,0,0,0,0,0x0000000040000000,0),
(38426,0,0,0,0,0,0,0x0000000080000000,0),
(38429,0,0,0,0,0,0,0x0000000090100000,0),
(38434,0,0,0,0,0,0,0x0000000000100100,0),
(38435,0,0,0,0,0,0,0x0000000000100080,0),
(38436,0,0,0,0,0,0,0x0000000000100001,0),
(38447,0,0,0,0,0,0,0x0000040000000000,0),
(38447,1,0,0,0,0,0,0x0000004000000000,0),
(38466,0,0,0,0,0,0,0x0008000000000000,0),
(38499,0,0,0,0,0,0,0x0000008000000000,0),
(38501,0,0,0,0,0,0,0x0000000000100080,0),
(38522,0,0,0,0,0,0,0x0000000040000000,0),
(39926,1,0,0,0,0,0,0x0000080000000000,0),
(39926,2,0,0,0,0,0,0x0000200000000000,0),
(39950,0,0,0,0,0,0,0x0000000000000040,0),
(40460,0,0,0,0,0,0,0x00000009003E0000,0),
(41021,0,0,0,0,0,0,0x0000004000000000,0),
(41021,1,0,0,0,0,0,0x0000004000000000,0),
(41026,0,0,0,0,0,0,0x0000004000000000,0),
(41026,1,0,0,0,0,0,0x0000004000000000,0),
(41037,0,0,0,0,0,0,0x0000044000000000,0),
(41042,0,0,0,0,0,0,0x0000000000800000,0),
(41660,1,0,0,0,0,0,0x0001100001C22000,0),
(42367,0,0,0,0,0,0,0x0000001000000000,0),
(43837,0,0,0,0,0,0,0x0000000080000000,0),
(43840,0,0,0,0,0,0,0x0000044000000000,0),
(43842,0,0,0,0,0,0,0x0000044000000000,0),
(43843,0,0,0,0,0,0,0x0000044000000000,0),
(43841,0,0,0,0,0,0,0x0000000000000002,0),
(43844,0,0,0,0,0,0,0x0000000000000002,0),
(43845,0,0,0,0,0,0,0x0000000000000002,0),
(43850,0,0,0,0,0,0,0x0000000000800000,0),
(43851,0,0,0,0,0,0,0x0000000000800000,0),
(43852,0,0,0,0,0,0,0x0000000000800000,0),
(43854,0,0,0,0,0,0,0x0000004000000000,0),
(43855,0,0,0,0,0,0,0x0000004000000000,0),
(43856,0,0,0,0,0,0,0x0000004000000000,0),
(43857,0,0,0,0,0,0,0x0000001000000000,0),
(43858,0,0,0,0,0,0,0x0000001000000000,0),
(43859,0,0,0,0,0,0,0x0000001000000000,0),
(43860,0,0,0,0,0,0,0x0000000090100000,0),
(43861,0,0,0,0,0,0,0x0000000090100000,0),
(43862,0,0,0,0,0,0,0x0000000090100000,0);
/*!40000 ALTER TABLE `spell_affect` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `spell_chain`
--

DROP TABLE IF EXISTS `spell_chain`;
CREATE TABLE `spell_chain` (
  `spell_id` int(5) NOT NULL default '0',
  `prev_spell` int(5) NOT NULL default '0',
  `first_spell` int(5) NOT NULL default '0',
  `rank` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`spell_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Spell Additinal Data';

--
-- Dumping data for table `spell_chain`
--

LOCK TABLES `spell_chain` WRITE;
/*!40000 ALTER TABLE `spell_chain` DISABLE KEYS */;
INSERT INTO `spell_chain` (`spell_id`,`prev_spell`,`first_spell`,`rank`) VALUES
(10,0,10,1),
(17,0,17,1),
(53,0,53,1),
(72,0,72,1),
(78,0,78,1),
(99,0,99,1),
(100,0,100,1),
(116,0,116,1),
(118,0,118,1),
(120,0,120,1),
(122,0,122,1),
(133,0,133,1),
(136,0,136,1),
(139,0,139,1),
(143,133,133,2),
(145,143,133,3),
(168,0,168,1),
(172,0,172,1),
(205,116,116,2),
(284,78,78,2),
(285,284,78,3),
(324,0,324,1),
(325,324,324,2),
(331,0,331,1),
(332,331,331,2),
(339,0,339,1),
(348,0,348,1),
(370,0,370,1),
(403,0,403,1),
(408,0,408,1),
(421,0,421,1),
(453,0,453,1),
(465,0,465,1),
(467,0,467,1),
(469,0,469,1),
(498,0,498,1),
(527,0,527,1),
(529,403,403,2),
(543,0,543,1),
(547,332,331,3),
(548,529,403,3),
(585,0,585,1),
(586,0,586,1),
(587,0,587,1),
(588,0,588,1),
(589,0,589,1),
(591,585,585,2),
(592,17,17,2),
(594,589,589,2),
(596,0,596,1),
(597,587,587,2),
(598,591,585,3),
(600,592,17,3),
(602,7128,588,3),
(603,0,603,1),
(604,0,604,1),
(605,0,605,1),
(633,0,633,1),
(635,0,635,1),
(639,635,635,2),
(642,0,642,1),
(643,10290,465,3),
(647,639,635,3),
(686,0,686,1),
(687,0,687,1),
(688,0,688,1),
(689,0,689,1),
(693,0,693,1),
(694,0,694,1),
(695,686,686,2),
(696,687,687,2),
(699,689,689,2),
(702,0,702,1),
(703,0,703,1),
(704,0,704,1),
(705,695,686,3),
(706,0,706,1),
(707,348,348,2),
(709,699,689,3),
(710,0,710,1),
(724,0,724,1),
(740,0,740,1),
(755,0,755,1),
(769,780,779,3),
(770,0,770,1),
(772,0,772,1),
(774,0,774,1),
(778,770,770,2),
(779,0,779,1),
(780,779,779,2),
(781,0,781,1),
(782,467,467,2),
(837,205,116,3),
(845,0,845,1),
(853,0,853,1),
(865,122,122,2),
(879,0,879,1),
(905,325,324,3),
(913,547,331,4),
(915,548,403,4),
(930,421,421,2),
(939,913,331,5),
(943,915,403,5),
(945,905,324,4),
(959,939,331,6),
(970,594,589,3),
(974,0,974,1),
(976,0,976,1),
(980,0,980,1),
(984,598,585,4),
(988,527,527,2),
(990,597,587,3),
(992,970,589,4),
(996,596,596,2),
(1004,984,585,5),
(1006,602,588,4),
(1008,0,1008,1),
(1014,980,980,2),
(1020,642,642,2),
(1022,0,1022,1),
(1026,647,635,4),
(1032,10291,465,5),
(1042,1026,635,5),
(1058,774,774,2),
(1062,339,339,2),
(1064,0,1064,1),
(1075,782,467,3),
(1079,0,1079,1),
(1082,0,1082,1),
(1086,706,706,2),
(1088,705,686,4),
(1094,707,348,3),
(1098,0,1098,1),
(1106,1088,686,5),
(1108,702,702,2),
(1120,0,1120,1),
(1126,0,1126,1),
(1130,0,1130,1),
(1160,0,1160,1),
(1243,0,1243,1),
(1244,1243,1243,2),
(1245,1244,1243,3),
(1329,0,1329,1),
(1430,1058,774,3),
(1449,0,1449,1),
(1454,0,1454,1),
(1455,1454,1454,2),
(1456,1455,1454,3),
(1459,0,1459,1),
(1460,1459,1459,2),
(1461,1460,1459,3),
(1463,0,1463,1),
(1464,0,1464,1),
(1490,0,1490,1),
(1495,0,1495,1),
(1499,0,1499,1),
(1510,0,1510,1),
(1513,0,1513,1),
(1535,0,1535,1),
(1608,285,78,4),
(1671,72,72,2),
(1672,1671,72,3),
(1714,0,1714,1),
(1715,0,1715,1),
(1735,99,99,2),
(1742,0,1742,1),
(1752,0,1752,1),
(1753,1742,1742,2),
(1754,1753,1742,3),
(1755,1754,1742,4),
(1756,1755,1742,5),
(1757,1752,1752,2),
(1758,1757,1752,3),
(1759,1758,1752,4),
(1760,1759,1752,5),
(1766,0,1766,1),
(1767,1766,1766,2),
(1768,1767,1766,3),
(1769,1768,1766,4),
(1776,0,1776,1),
(1777,1776,1776,2),
(1784,0,1784,1),
(1785,1784,1784,2),
(1786,1785,1784,3),
(1787,1786,1784,4),
(1804,0,1804,1),
(1822,0,1822,1),
(1823,1822,1822,2),
(1824,1823,1822,3),
(1850,0,1850,1),
(1856,0,1856,1),
(1857,1856,1856,2),
(1943,0,1943,1),
(1949,0,1949,1),
(1966,0,1966,1),
(1978,0,1978,1),
(2006,0,2006,1),
(2008,0,2008,1),
(2010,2006,2006,2),
(2018,0,2018,1),
(2048,25289,6673,8),
(2050,0,2050,1),
(2052,2050,2050,2),
(2053,2052,2050,3),
(2054,0,2054,1),
(2055,2054,2054,2),
(2060,0,2060,1),
(2061,0,2061,1),
(2062,0,2062,1),
(2070,6770,6770,2),
(2090,1430,774,4),
(2091,2090,774,5),
(2096,0,2096,1),
(2098,0,2098,1),
(2108,0,2108,1),
(2120,0,2120,1),
(2121,2120,2120,2),
(2136,0,2136,1),
(2137,2136,2136,2),
(2138,2137,2136,3),
(2259,0,2259,1),
(2362,0,2362,1),
(2366,0,2366,1),
(2368,2366,2366,2),
(2550,0,2550,1),
(2575,0,2575,1),
(2576,2575,2575,2),
(2589,53,53,2),
(2590,2589,53,3),
(2591,2590,53,4),
(2637,0,2637,1),
(2643,0,2643,1),
(2649,0,2649,1),
(2651,0,2651,1),
(2652,0,2652,1),
(2767,992,589,5),
(2791,1245,1243,4),
(2800,633,633,2),
(2812,0,2812,1),
(2825,0,2825,1),
(2835,0,2835,1),
(2837,2835,2835,2),
(2860,930,421,3),
(2878,0,2878,1),
(2894,0,2894,1),
(2908,0,2908,1),
(2912,0,2912,1),
(2941,1094,348,4),
(2944,0,2944,1),
(2947,0,2947,1),
(2948,0,2948,1),
(2973,0,2973,1),
(2974,0,2974,1),
(2983,0,2983,1),
(3009,3010,16827,8),
(3010,16832,16827,7),
(3029,1082,1082,2),
(3034,0,3034,1),
(3044,0,3044,1),
(3100,2018,2018,2),
(3101,2259,2259,2),
(3102,2550,2550,2),
(3104,2108,2108,2),
(3110,0,3110,1),
(3111,136,136,2),
(3140,145,133,4),
(3273,0,3273,1),
(3274,3273,3273,2),
(3413,3102,2550,3),
(3420,0,3420,1),
(3421,3420,3420,2),
(3464,3101,2259,3),
(3472,1042,635,6),
(3538,3100,2018,3),
(3564,2576,2575,3),
(3570,2368,2366,3),
(3599,0,3599,1),
(3627,2091,774,6),
(3661,3111,136,3),
(3662,3661,136,4),
(3698,755,755,2),
(3699,3698,755,3),
(3700,3699,755,4),
(3716,0,3716,1),
(3738,0,3738,1),
(3747,600,17,4),
(3811,3104,2108,3),
(3908,0,3908,1),
(3909,3908,3908,2),
(3910,3909,3908,3),
(4036,0,4036,1),
(4037,4036,4036,2),
(4038,4037,4036,3),
(4187,0,4187,1),
(4188,4187,4187,2),
(4189,4188,4187,3),
(4190,4189,4187,4),
(4191,4190,4187,5),
(4192,4191,4187,6),
(4193,4192,4187,7),
(4194,4193,4187,8),
(5041,4194,4187,9),
(5042,5041,4187,10),
(5138,0,5138,1),
(5143,0,5143,1),
(5144,5143,5143,2),
(5145,5144,5143,3),
(5159,1062,339,3),
(5171,0,5171,1),
(5176,0,5176,1),
(5177,5176,5176,2),
(5178,5177,5176,3),
(5179,5178,5176,4),
(5180,5179,5176,5),
(5185,0,5185,1),
(5186,5185,5185,2),
(5187,5186,5185,3),
(5188,5187,5185,4),
(5189,5188,5185,5),
(5196,5159,339,4),
(5201,3029,1082,3),
(5211,0,5211,1),
(5215,0,5215,1),
(5217,0,5217,1),
(5221,0,5221,1),
(5232,1126,1126,2),
(5234,6756,1126,4),
(5242,6673,6673,2),
(5277,0,5277,1),
(5308,0,5308,1),
(5394,0,5394,1),
(5484,0,5484,1),
(5487,0,5487,1),
(5504,0,5504,1),
(5505,5504,5504,2),
(5506,5505,5504,3),
(5570,0,5570,1),
(5573,498,498,2),
(5588,853,853,2),
(5589,5588,853,3),
(5599,1022,1022,2),
(5614,879,879,2),
(5615,5614,879,3),
(5627,2878,2878,2),
(5675,0,5675,1),
(5676,0,5676,1),
(5699,6202,6201,3),
(5730,0,5730,1),
(5740,0,5740,1),
(5763,0,5763,1),
(5782,0,5782,1),
(5938,0,5938,1),
(6041,943,403,6),
(6060,1004,585,6),
(6063,2055,2054,3),
(6064,6063,2054,4),
(6065,3747,17,5),
(6066,6065,17,6),
(6074,139,139,2),
(6075,6074,139,3),
(6076,6075,139,4),
(6077,6076,139,5),
(6078,6077,139,6),
(6117,0,6117,1),
(6127,5506,5504,4),
(6129,990,587,4),
(6131,865,122,3),
(6141,10,10,2),
(6143,0,6143,1),
(6178,100,100,2),
(6190,1160,1160,2),
(6192,5242,6673,3),
(6201,0,6201,1),
(6202,6201,6201,2),
(6205,1108,702,3),
(6213,5782,5782,2),
(6215,6213,5782,3),
(6217,1014,980,3),
(6219,5740,5740,2),
(6222,172,172,2),
(6223,6222,172,3),
(6226,5138,5138,2),
(6229,0,6229,1),
(6307,0,6307,1),
(6343,0,6343,1),
(6353,0,6353,1),
(6360,0,6360,1),
(6363,3599,3599,2),
(6364,6363,3599,3),
(6365,6364,3599,4),
(6366,0,6366,1),
(6375,5394,5394,2),
(6377,6375,5394,3),
(6390,5730,5730,2),
(6391,6390,5730,3),
(6392,6391,5730,4),
(6461,1804,1804,2),
(6463,6461,1804,3),
(6542,0,6542,1),
(6546,772,772,2),
(6547,6546,772,3),
(6548,6547,772,4),
(6552,0,6552,1),
(6554,6552,6552,2),
(6572,0,6572,1),
(6574,6572,6572,2),
(6673,0,6673,1),
(6756,5232,1126,3),
(6760,2098,2098,2),
(6761,6760,2098,3),
(6762,6761,2098,4),
(6768,1966,1966,2),
(6770,0,6770,1),
(6774,5171,5171,2),
(6778,5189,5185,6),
(6780,5180,5176,6),
(6783,5215,5215,2),
(6785,0,6785,1),
(6787,6785,6785,2),
(6789,0,6789,1),
(6793,5217,5217,2),
(6798,5211,5211,2),
(6800,5221,5221,2),
(6807,0,6807,1),
(6808,6807,6807,2),
(6809,6808,6807,3),
(6940,0,6940,1),
(7128,588,588,2),
(7294,0,7294,1),
(7300,168,168,2),
(7301,7300,168,3),
(7302,0,7302,1),
(7320,7302,7302,2),
(7322,837,116,4),
(7328,0,7328,1),
(7369,845,845,2),
(7371,0,7371,1),
(7372,1715,1715,2),
(7373,7372,1715,3),
(7379,6574,6572,3),
(7384,0,7384,1),
(7386,0,7386,1),
(7400,694,694,2),
(7402,7400,694,3),
(7405,7386,7386,2),
(7411,0,7411,1),
(7412,7411,7411,2),
(7413,7412,7411,3),
(7620,0,7620,1),
(7641,1106,686,6),
(7646,6205,702,4),
(7648,6223,172,4),
(7651,709,689,4),
(7658,704,704,2),
(7659,7658,704,3),
(7731,7620,7620,2),
(7732,7731,7620,3),
(7799,3110,3110,2),
(7800,7799,3110,3),
(7801,7800,3110,4),
(7802,7801,3110,5),
(7804,6307,6307,2),
(7805,7804,6307,3),
(7809,3716,3716,2),
(7810,7809,3716,3),
(7811,7810,3716,4),
(7812,0,7812,1),
(7813,6360,6360,2),
(7814,0,7814,1),
(7815,7814,7814,2),
(7816,7815,7814,3),
(7887,7384,7384,2),
(7924,3274,3273,3),
(8004,0,8004,1),
(8005,959,331,7),
(8008,8004,8004,2),
(8010,8008,8004,3),
(8012,370,370,2),
(8017,0,8017,1),
(8018,8017,8017,2),
(8019,8018,8017,3),
(8024,0,8024,1),
(8027,8024,8024,2),
(8030,8027,8024,3),
(8033,0,8033,1),
(8038,8033,8033,2),
(8042,0,8042,1),
(8044,8042,8042,2),
(8045,8044,8042,3),
(8046,8045,8042,4),
(8050,0,8050,1),
(8052,8050,8050,2),
(8053,8052,8050,3),
(8056,0,8056,1),
(8058,8056,8056,2),
(8071,0,8071,1),
(8075,0,8075,1),
(8092,0,8092,1),
(8102,8092,8092,2),
(8103,8102,8092,3),
(8104,8103,8092,4),
(8105,8104,8092,5),
(8106,8105,8092,6),
(8122,0,8122,1),
(8124,8122,8122,2),
(8129,0,8129,1),
(8131,8129,8129,2),
(8134,945,324,5),
(8154,8071,8071,2),
(8155,8154,8071,3),
(8160,8075,8075,2),
(8161,8160,8075,3),
(8181,0,8181,1),
(8184,0,8184,1),
(8190,0,8190,1),
(8192,453,453,2),
(8198,6343,6343,2),
(8204,8198,6343,3),
(8205,8204,6343,4),
(8227,0,8227,1),
(8232,0,8232,1),
(8235,8232,8232,2),
(8249,8227,8227,2),
(8288,1120,1120,2),
(8289,8288,1120,3),
(8316,2947,2947,2),
(8317,8316,2947,3),
(8380,7405,7386,3),
(8400,3140,133,5),
(8401,8400,133,6),
(8402,8401,133,7),
(8406,7322,116,5),
(8407,8406,116,6),
(8408,8407,116,7),
(8412,2138,2136,4),
(8413,8412,2136,5),
(8416,5145,5143,4),
(8417,8416,5143,5),
(8422,2121,2120,3),
(8423,8422,2120,4),
(8427,6141,10,3),
(8437,1449,1449,2),
(8438,8437,1449,3),
(8439,8438,1449,4),
(8444,2948,2948,2),
(8445,8444,2948,3),
(8446,8445,2948,4),
(8450,604,604,2),
(8451,8450,604,3),
(8455,1008,1008,2),
(8457,543,543,2),
(8458,8457,543,3),
(8461,6143,6143,2),
(8462,8461,6143,3),
(8492,120,120,2),
(8494,1463,1463,2),
(8495,8494,1463,3),
(8498,1535,1535,2),
(8499,8498,1535,3),
(8512,0,8512,1),
(8613,0,8613,1),
(8617,8613,8613,2),
(8618,8617,8613,3),
(8621,1760,1752,6),
(8623,6762,2098,5),
(8624,8623,2098,6),
(8629,1777,1776,3),
(8631,703,703,2),
(8632,8631,703,3),
(8633,8632,703,4),
(8637,6768,1966,3),
(8639,1943,1943,2),
(8640,8639,1943,3),
(8643,408,408,2),
(8647,0,8647,1),
(8649,8647,8647,2),
(8650,8649,8647,3),
(8676,0,8676,1),
(8681,0,8681,1),
(8687,8681,8681,2),
(8691,8687,8681,3),
(8694,5763,5763,2),
(8696,2983,2983,2),
(8721,2591,53,5),
(8724,8676,8676,2),
(8725,8724,8676,3),
(8820,1464,1464,2),
(8835,0,8835,1),
(8903,6778,5185,7),
(8905,6780,5176,7),
(8907,5234,1126,5),
(8910,3627,774,7),
(8914,1075,467,4),
(8918,740,740,2),
(8921,0,8921,1),
(8924,8921,8921,2),
(8925,8924,8921,3),
(8926,8925,8921,4),
(8927,8926,8921,5),
(8928,8927,8921,6),
(8929,8928,8921,7),
(8936,0,8936,1),
(8938,8936,8936,2),
(8939,8938,8936,3),
(8940,8939,8936,4),
(8941,8940,8936,5),
(8949,2912,2912,2),
(8950,8949,2912,3),
(8951,8950,2912,4),
(8955,2908,2908,2),
(8972,6809,6807,4),
(8983,6798,5211,3),
(8992,6800,5221,3),
(8998,0,8998,1),
(9000,8998,8998,2),
(9005,0,9005,1),
(9035,0,9035,1),
(9472,2061,2061,2),
(9473,9472,2061,3),
(9474,9473,2061,4),
(9484,0,9484,1),
(9485,9484,9484,2),
(9490,1735,99,3),
(9492,1079,1079,2),
(9493,9492,1079,3),
(9578,586,586,2),
(9579,9578,586,3),
(9592,9579,586,4),
(9634,5487,5487,2),
(9745,8972,6807,5),
(9747,9490,99,4),
(9749,778,770,3),
(9750,8941,8936,6),
(9752,9493,1079,4),
(9754,769,779,4),
(9756,8914,467,5),
(9758,8903,5185,8),
(9785,3538,2018,4),
(9787,9785,2018,5),
(9788,9785,2018,5),
(9821,1850,1850,2),
(9823,9005,9005,2),
(9827,9823,9005,3),
(9829,8992,5221,4),
(9830,9829,5221,5),
(9833,8929,8921,8),
(9834,9833,8921,9),
(9835,9834,8921,10),
(9839,8910,774,8),
(9840,9839,774,9),
(9841,9840,774,10),
(9845,6793,5217,3),
(9846,9845,5217,4),
(9849,5201,1082,4),
(9850,9849,1082,5),
(9852,5196,339,5),
(9853,9852,339,6),
(9856,9750,8936,7),
(9857,9856,8936,8),
(9858,9857,8936,9),
(9862,8918,740,3),
(9863,9862,740,4),
(9866,6787,6785,3),
(9867,9866,6785,4),
(9875,8951,2912,5),
(9876,9875,2912,6),
(9880,9745,6807,6),
(9881,9880,6807,7),
(9884,8907,1126,6),
(9885,9884,1126,7),
(9888,9758,5185,9),
(9889,9888,5185,10),
(9892,9000,8998,3),
(9894,9752,1079,5),
(9896,9894,1079,6),
(9898,9747,99,5),
(9901,8955,2908,3),
(9904,1824,1822,4),
(9907,9749,770,4),
(9908,9754,779,5),
(9910,9756,467,6),
(9912,8905,5176,8),
(9913,6783,5215,3),
(10138,6127,5504,5),
(10139,10138,5504,6),
(10140,10139,5504,7),
(10144,6129,587,5),
(10145,10144,587,6),
(10148,8402,133,8),
(10149,10148,133,9),
(10150,10149,133,10),
(10151,10150,133,11),
(10156,1461,1459,4),
(10157,10156,1459,5),
(10159,8492,120,3),
(10160,10159,120,4),
(10161,10160,120,5),
(10169,8455,1008,3),
(10170,10169,1008,4),
(10173,8451,604,4),
(10174,10173,604,5),
(10177,8462,6143,4),
(10179,8408,116,8),
(10180,10179,116,9),
(10181,10180,116,10),
(10185,8427,10,4),
(10186,10185,10,5),
(10187,10186,10,6),
(10191,8495,1463,4),
(10192,10191,1463,5),
(10193,10192,1463,6),
(10197,8413,2136,6),
(10199,10197,2136,7),
(10201,8439,1449,5),
(10202,10201,1449,6),
(10205,8446,2948,5),
(10206,10205,2948,6),
(10207,10206,2948,7),
(10211,8417,5143,6),
(10212,10211,5143,7),
(10215,8423,2120,5),
(10216,10215,2120,6),
(10219,7320,7302,3),
(10220,10219,7302,4),
(10223,8458,543,4),
(10225,10223,543,5),
(10230,6131,122,4),
(10248,3564,2575,4),
(10278,5599,1022,3),
(10290,465,465,2),
(10291,643,465,4),
(10292,1032,465,6),
(10293,10292,465,7),
(10298,7294,7294,2),
(10299,10298,7294,3),
(10300,10299,7294,4),
(10301,10300,7294,5),
(10308,5589,853,4),
(10310,2800,633,3),
(10312,5615,879,4),
(10313,10312,879,5),
(10314,10313,879,6),
(10318,2812,2812,2),
(10322,7328,7328,2),
(10324,10322,7328,3),
(10326,5627,2878,3),
(10328,3472,635,7),
(10329,10328,635,8),
(10391,6041,403,7),
(10392,10391,403,8),
(10395,8005,331,8),
(10396,10395,331,9),
(10399,8019,8017,4),
(10406,8155,8071,4),
(10407,10406,8071,5),
(10408,10407,8071,6),
(10412,8046,8042,5),
(10413,10412,8042,6),
(10414,10413,8042,7),
(10427,6392,5730,5),
(10428,10427,5730,6),
(10431,8134,324,6),
(10432,10431,324,7),
(10437,6365,3599,5),
(10438,10437,3599,6),
(10442,8161,8075,4),
(10447,8053,8050,4),
(10448,10447,8050,5),
(10456,8038,8033,3),
(10462,6377,5394,4),
(10463,10462,5394,5),
(10466,8010,8004,4),
(10467,10466,8004,5),
(10468,10467,8004,6),
(10472,8058,8056,3),
(10473,10472,8056,4),
(10478,8181,8181,2),
(10479,10478,8181,3),
(10486,8235,8232,3),
(10495,5675,5675,2),
(10496,10495,5675,3),
(10497,10496,5675,4),
(10526,8249,8227,3),
(10537,8184,8184,2),
(10538,10537,8184,3),
(10585,8190,8190,2),
(10586,10585,8190,3),
(10587,10586,8190,4),
(10595,0,10595,1),
(10600,10595,10595,2),
(10601,10600,10595,3),
(10605,2860,421,4),
(10613,8512,8512,2),
(10614,10613,8512,3),
(10622,1064,1064,2),
(10623,10622,1064,3),
(10627,8835,8835,2),
(10658,10662,2108,5),
(10660,10662,2108,5),
(10662,3811,2108,4),
(10656,10662,2108,5),
(10768,8618,8613,4),
(10797,0,10797,1),
(10846,7924,3273,4),
(10874,8131,8129,3),
(10875,10874,8129,4),
(10876,10875,8129,5),
(10880,2010,2006,3),
(10881,10880,2006,4),
(10888,8124,8122,3),
(10890,10888,8122,4),
(10892,2767,589,6),
(10893,10892,589,7),
(10894,10893,589,8),
(10898,6066,17,7),
(10899,10898,17,8),
(10900,10899,17,9),
(10901,10900,17,10),
(10909,2096,2096,2),
(10911,605,605,2),
(10912,10911,605,3),
(10915,9474,2061,5),
(10916,10915,2061,6),
(10917,10916,2061,7),
(10927,6078,139,7),
(10928,10927,139,8),
(10929,10928,139,9),
(10933,6060,585,7),
(10934,10933,585,8),
(10937,2791,1243,5),
(10938,10937,1243,6),
(10941,9592,586,5),
(10942,10941,586,6),
(10945,8106,8092,7),
(10946,10945,8092,8),
(10947,10946,8092,9),
(10951,1006,588,5),
(10952,10951,588,6),
(10953,8192,453,3),
(10955,9485,9484,3),
(10957,976,976,2),
(10958,10957,976,3),
(10960,996,596,3),
(10961,10960,596,4),
(10963,2060,2060,2),
(10964,10963,2060,3),
(10965,10964,2060,4),
(11113,0,11113,1),
(11197,8650,8647,4),
(11198,11197,8647,5),
(11267,8725,8676,4),
(11268,11267,8676,5),
(11269,11268,8676,6),
(11273,8640,1943,4),
(11274,11273,1943,5),
(11275,11274,1943,6),
(11279,8721,53,6),
(11280,11279,53,7),
(11281,11280,53,8),
(11285,8629,1776,4),
(11286,11285,1776,5),
(11289,8633,703,5),
(11290,11289,703,6),
(11293,8621,1752,7),
(11294,11293,1752,8),
(11297,2070,6770,3),
(11299,8624,2098,7),
(11300,11299,2098,8),
(11303,8637,1966,4),
(11305,8696,2983,3),
(11314,8499,1535,4),
(11315,11314,1535,5),
(11341,8691,8681,4),
(11342,11341,8681,5),
(11343,11342,8681,6),
(11357,2837,2835,3),
(11358,11357,2835,4),
(11366,0,11366,1),
(11400,8694,5763,3),
(11426,0,11426,1),
(11549,6192,6673,4),
(11550,11549,6673,5),
(11551,11550,6673,6),
(11554,6190,1160,3),
(11555,11554,1160,4),
(11556,11555,1160,5),
(11564,1608,78,5),
(11565,11564,78,6),
(11566,11565,78,7),
(11567,11566,78,8),
(11572,6548,772,5),
(11573,11572,772,6),
(11574,11573,772,7),
(11578,6178,100,3),
(11580,8205,6343,5),
(11581,11580,6343,6),
(11584,7887,7384,3),
(11585,11584,7384,4),
(11596,8380,7386,4),
(11597,11596,7386,5),
(11600,7379,6572,4),
(11601,11600,6572,5),
(11604,8820,1464,3),
(11605,11604,1464,4),
(11608,7369,845,3),
(11609,11608,845,4),
(11611,3464,2259,4),
(11659,7641,686,7),
(11660,11659,686,8),
(11661,11660,686,9),
(11665,2941,348,5),
(11667,11665,348,6),
(11668,11667,348,7),
(11671,7648,172,5),
(11672,11671,172,6),
(11675,8289,1120,4),
(11677,6219,5740,3),
(11678,11677,5740,4),
(11683,1949,1949,2),
(11684,11683,1949,3),
(11687,1456,1454,4),
(11688,11687,1454,5),
(11689,11688,1454,6),
(11693,3700,755,5),
(11694,11693,755,6),
(11695,11694,755,7),
(11699,7651,689,5),
(11700,11699,689,6),
(11703,6226,5138,3),
(11704,11703,5138,4),
(11707,7646,702,5),
(11708,11707,702,6),
(11711,6217,980,4),
(11712,11711,980,5),
(11713,11712,980,6),
(11717,7659,704,4),
(11719,1714,1714,2),
(11721,1490,1490,2),
(11722,11721,1490,3),
(11725,1098,1098,2),
(11726,11725,1098,3),
(11729,5699,6201,4),
(11730,11729,6201,5),
(11733,1086,706,3),
(11734,11733,706,4),
(11735,11734,706,5),
(11739,6229,6229,2),
(11740,11739,6229,3),
(11762,7802,3110,6),
(11763,11762,3110,7),
(11766,7805,6307,4),
(11767,11766,6307,5),
(11770,8317,2947,4),
(11771,11770,2947,5),
(11774,7811,3716,5),
(11775,11774,3716,6),
(11778,7816,7814,4),
(11779,11778,7814,5),
(11780,11779,7814,6),
(11784,7813,6360,3),
(11785,11784,6360,4),
(11993,3570,2366,4),
(12180,3910,3908,4),
(12656,4038,4036,4),
(12294,0,12294,1),
(12505,11366,11366,2),
(12522,12505,11366,3),
(12523,12522,11366,4),
(12524,12523,11366,5),
(12525,12524,11366,6),
(12526,12525,11366,7),
(12824,118,118,2),
(12825,12824,118,3),
(12826,12825,118,4),
(13018,11113,11113,2),
(13019,13018,11113,3),
(13020,13019,11113,4),
(13021,13020,11113,5),
(13031,11426,11426,2),
(13032,13031,11426,3),
(13033,13032,11426,4),
(13165,0,13165,1),
(13220,0,13220,1),
(13228,13220,13220,2),
(13229,13228,13220,3),
(13230,13229,13220,4),
(13542,3662,136,5),
(13543,13542,136,6),
(13544,13543,136,7),
(13549,1978,1978,2),
(13550,13549,1978,3),
(13551,13550,1978,4),
(13552,13551,1978,5),
(13553,13552,1978,6),
(13554,13553,1978,7),
(13555,13554,1978,8),
(13795,0,13795,1),
(13813,0,13813,1),
(13896,0,13896,1),
(13908,0,13908,1),
(13920,7413,7411,4),
(14260,2973,2973,2),
(14261,14260,2973,3),
(14262,14261,2973,4),
(14263,14262,2973,5),
(14264,14263,2973,6),
(14265,14264,2973,7),
(14266,14265,2973,8),
(14267,2974,2974,2),
(14268,14267,2974,3),
(14269,1495,1495,2),
(14270,14269,1495,3),
(14271,14270,1495,4),
(14272,781,781,2),
(14273,14272,781,3),
(14274,20736,20736,2),
(14279,3034,3034,2),
(14280,14279,3034,3),
(14281,3044,3044,2),
(14282,14281,3044,3),
(14283,14282,3044,4),
(14284,14283,3044,5),
(14285,14284,3044,6),
(14286,14285,3044,7),
(14287,14286,3044,8),
(14288,2643,2643,2),
(14289,14288,2643,3),
(14290,14289,2643,4),
(14294,1510,1510,2),
(14295,14294,1510,3),
(14302,13795,13795,2),
(14303,14302,13795,3),
(14304,14303,13795,4),
(14305,14304,13795,5),
(14310,1499,1499,2),
(14311,14310,1499,3),
(14316,13813,13813,2),
(14317,14316,13813,3),
(14318,13165,13165,2),
(14319,14318,13165,3),
(14320,14319,13165,4),
(14321,14320,13165,5),
(14322,14321,13165,6),
(14323,1130,1130,2),
(14324,14323,1130,3),
(14325,14324,1130,4),
(14326,1513,1513,2),
(14327,14326,1513,3),
(14752,0,14752,1),
(14818,14752,14752,2),
(14819,14818,14752,3),
(14914,0,14914,1),
(14916,2649,2649,2),
(14917,14916,2649,3),
(14918,14917,2649,4),
(14919,14918,2649,5),
(14920,14919,2649,6),
(14921,14920,2649,7),
(15107,0,15107,1),
(15111,15107,15107,2),
(15112,15111,15107,3),
(15207,10392,403,9),
(15208,15207,403,10),
(15237,0,15237,1),
(15261,15267,14914,8),
(15262,14914,14914,2),
(15263,15262,14914,3),
(15264,15263,14914,4),
(15265,15264,14914,5),
(15266,15265,14914,6),
(15267,15266,14914,7),
(15407,0,15407,1),
(15430,15237,15237,2),
(15431,15430,15237,3),
(15629,14274,20736,3),
(15630,15629,20736,4),
(15631,15630,20736,5),
(15632,15631,20736,6),
(16314,10399,8017,5),
(16315,16314,8017,6),
(16316,16315,8017,7),
(16339,8030,8024,4),
(16341,16339,8024,5),
(16342,16341,8024,6),
(16355,10456,8033,4),
(16356,16355,8033,5),
(16362,10486,8232,4),
(16387,10526,8227,4),
(16511,0,16511,1),
(16689,0,16689,1),
(16697,1756,1742,6),
(16810,16689,16689,2),
(16811,16810,16689,3),
(16812,16811,16689,4),
(16813,16812,16689,5),
(16827,0,16827,1),
(16828,16827,16827,2),
(16829,16828,16827,3),
(16830,16829,16827,4),
(16831,16830,16827,5),
(16832,16831,16827,6),
(16857,0,16857,1),
(16914,0,16914,1),
(17253,0,17253,1),
(17255,17253,17253,2),
(17256,17255,17253,3),
(17257,17256,17253,4),
(17258,17257,17253,5),
(17259,17258,17253,6),
(17260,17259,17253,7),
(17261,17260,17253,8),
(17311,15407,15407,2),
(17312,17311,15407,3),
(17313,17312,15407,4),
(17314,17313,15407,5),
(17329,16813,16689,6),
(17347,16511,16511,2),
(17348,17347,16511,3),
(17390,16857,16857,2),
(17391,17390,16857,3),
(17392,17391,16857,4),
(17401,16914,16914,2),
(17402,17401,16914,3),
(17727,2362,2362,2),
(17728,17727,2362,3),
(17735,0,17735,1),
(17750,17735,17735,2),
(17751,17750,17735,3),
(17752,17751,17735,4),
(17767,0,17767,1),
(17850,17767,17767,2),
(17851,17850,17767,3),
(17852,17851,17767,4),
(17853,17852,17767,5),
(17854,17853,17767,6),
(17862,0,17862,1),
(17877,0,17877,1),
(17919,5676,5676,2),
(17920,17919,5676,3),
(17921,17920,5676,4),
(17922,17921,5676,5),
(17923,17922,5676,6),
(17924,6353,6353,2),
(17925,6789,6789,2),
(17926,17925,6789,3),
(17928,5484,5484,2),
(17937,17862,17862,2),
(17951,6366,6366,2),
(17952,17951,6366,3),
(17953,17952,6366,4),
(17962,0,17962,1),
(18137,0,18137,1),
(18220,0,18220,1),
(18248,7732,7620,4),
(18260,3413,2550,4),
(18265,0,18265,1),
(18647,710,710,2),
(18657,2637,2637,2),
(18658,18657,2637,3),
(18807,17314,15407,6),
(18809,12526,11366,8),
(18867,17877,17877,2),
(18868,18867,17877,3),
(18869,18868,17877,4),
(18870,18869,17877,5),
(18871,18870,17877,6),
(18879,18265,18265,2),
(18880,18879,18265,3),
(18881,18880,18265,4),
(18930,17962,17962,2),
(18931,18930,17962,3),
(18932,18931,17962,4),
(18937,18220,18220,2),
(18938,18937,18220,3),
(19236,13908,13908,2),
(19238,19236,13908,3),
(19240,19238,13908,4),
(19241,19240,13908,5),
(19242,19241,13908,6),
(19243,19242,13908,7),
(19261,2652,2652,2),
(19262,19261,2652,3),
(19264,19262,2652,4),
(19265,19264,2652,5),
(19266,19265,2652,6),
(19271,13896,13896,2),
(19273,19271,13896,3),
(19274,19273,13896,4),
(19275,19274,13896,5),
(19276,2944,2944,2),
(19277,19276,2944,3),
(19278,19277,2944,4),
(19279,19278,2944,5),
(19280,19279,2944,6),
(19281,9035,9035,2),
(19282,19281,9035,3),
(19283,19282,9035,4),
(19284,19283,9035,5),
(19285,19284,9035,6),
(19289,2651,2651,2),
(19291,19289,2651,3),
(19292,19291,2651,4),
(19293,19292,2651,5),
(19296,10797,10797,2),
(19299,19296,10797,3),
(19302,19299,10797,4),
(19303,19302,10797,5),
(19304,19303,10797,6),
(19305,19304,10797,7),
(19306,0,19306,1),
(19308,18137,18137,2),
(19309,19308,18137,3),
(19310,19309,18137,4),
(19311,19310,18137,5),
(19312,19311,18137,6),
(19386,0,19386,1),
(19434,0,19434,1),
(19438,7812,7812,2),
(19440,19438,7812,3),
(19441,19440,7812,4),
(19442,19441,7812,5),
(19443,19442,7812,6),
(19244,0,19244,1),
(19478,0,19478,1),
(19505,0,19505,1),
(19506,0,19506,1),
(19647,19244,19244,2),
(19655,19478,19478,2),
(19656,19655,19478,3),
(19660,19656,19478,4),
(19731,19505,19505,2),
(19734,19731,19505,3),
(19736,19734,19505,4),
(19740,0,19740,1),
(19742,0,19742,1),
(19750,0,19750,1),
(19834,19740,19740,2),
(19835,19834,19740,3),
(19836,19835,19740,4),
(19837,19836,19740,5),
(19838,19837,19740,6),
(19850,19742,19742,2),
(19852,19850,19742,3),
(19853,19852,19742,4),
(19854,19853,19742,5),
(19876,0,19876,1),
(19888,0,19888,1),
(19891,0,19891,1),
(19895,19876,19876,2),
(19896,19895,19876,3),
(19897,19888,19888,2),
(19898,19897,19888,3),
(19899,19891,19891,2),
(19900,19899,19891,3),
(19939,19750,19750,2),
(19940,19939,19750,3),
(19941,19940,19750,4),
(19942,19941,19750,5),
(19943,19942,19750,6),
(19977,0,19977,1),
(19978,19977,19977,2),
(19979,19978,19977,3),
(20043,0,20043,1),
(20116,26573,26573,2),
(20162,21082,21082,2),
(20164,0,20164,1),
(20165,0,20165,1),
(20166,0,20166,1),
(20190,20043,20043,2),
(20243,0,20243,1),
(20252,0,20252,1),
(20287,21084,21084,2),
(20288,20287,21084,3),
(20289,20288,21084,4),
(20290,20289,21084,5),
(20291,20290,21084,6),
(20292,20291,21084,7),
(20293,20292,21084,8),
(20305,20162,21082,3),
(20306,20305,21082,4),
(20307,20306,21082,5),
(20308,20307,21082,6),
(20347,20165,20165,2),
(20348,20347,20165,3),
(20349,20348,20165,4),
(20356,20166,20166,2),
(20357,20356,20166,3),
(20375,0,20375,1),
(20473,0,20473,1),
(20484,0,20484,1),
(20559,7402,694,4),
(20560,20559,694,5),
(20569,11609,845,5),
(20609,2008,2008,2),
(20610,20609,2008,3),
(20616,20252,20252,2),
(20617,20616,20252,3),
(20658,5308,5308,2),
(20660,20658,5308,3),
(20661,20660,5308,4),
(20662,20661,5308,5),
(20729,6940,6940,2),
(20736,0,20736,1),
(20739,20484,20484,2),
(20742,20739,20484,3),
(20747,20742,20484,4),
(20748,20747,20484,5),
(20752,693,693,2),
(20755,20752,693,3),
(20756,20755,693,4),
(20757,20756,693,5),
(20770,10881,2006,5),
(20772,10324,7328,4),
(20773,20772,7328,5),
(20776,20610,2008,4),
(20777,20776,2008,5),
(20900,19434,19434,2),
(20901,20900,19434,3),
(20902,20901,19434,4),
(20903,20902,19434,5),
(20904,20903,19434,6),
(20905,19506,19506,2),
(20906,20905,19506,3),
(20909,19306,19306,2),
(20910,20909,19306,3),
(20911,0,20911,1),
(20912,20911,20911,2),
(20913,20912,20911,3),
(20914,20913,20911,4),
(20915,20375,20375,2),
(20918,20915,20375,3),
(20919,20918,20375,4),
(20920,20919,20375,5),
(20922,20116,26573,3),
(20923,20922,26573,4),
(20924,20923,26573,5),
(20925,0,20925,1),
(20927,20925,20925,2),
(20928,20927,20925,3),
(20929,20473,20473,2),
(20930,20929,20473,3),
(21082,0,21082,1),
(21084,0,21084,1),
(21551,12294,12294,2),
(21552,21551,12294,3),
(21553,21552,12294,4),
(21562,0,21562,1),
(21564,21562,21562,2),
(21849,0,21849,1),
(21850,21849,21849,2),
(22568,0,22568,1),
(22782,6117,6117,2),
(22783,22782,6117,3),
(22827,22568,22568,2),
(22828,22827,22568,3),
(22829,22828,22568,4),
(22842,0,22842,1),
(22895,22842,22842,2),
(22896,22895,22842,3),
(23028,0,23028,1),
(23099,0,23099,1),
(23109,23099,23099,2),
(23110,23109,23099,3),
(23145,0,23145,1),
(23147,23145,23145,2),
(23148,23147,23145,3),
(23881,0,23881,1),
(23892,23881,23881,2),
(23893,23892,23881,3),
(23894,23893,23881,4),
(23922,0,23922,1),
(23923,23922,23922,2),
(23924,23923,23922,3),
(23925,23924,23922,4),
(23992,0,23992,1),
(24132,19386,19386,2),
(24133,24132,19386,3),
(24224,0,24224,1),
(24239,24274,24275,3),
(24248,31018,22568,6),
(24274,24275,24275,2),
(24275,0,24275,1),
(24398,0,24398,1),
(24423,0,24423,1),
(24439,23992,23992,2),
(24444,24439,23992,3),
(24445,24444,23992,4),
(24446,0,24446,1),
(24447,24446,24446,2),
(24448,24447,24446,3),
(24449,24448,24446,4),
(24450,0,24450,1),
(24452,24450,24450,2),
(24453,24452,24450,3),
(24488,0,24488,1),
(24492,0,24492,1),
(24493,0,24493,1),
(24497,24493,24493,2),
(24500,24497,24493,3),
(24501,24500,24493,4),
(24502,24492,24492,2),
(24503,24502,24492,3),
(24504,24503,24492,4),
(24505,24488,24488,2),
(24506,24505,24488,3),
(24507,24506,24488,4),
(24545,0,24545,1),
(24549,24545,24545,2),
(24550,24549,24545,3),
(24551,24550,24545,4),
(24552,24551,24545,5),
(24553,24552,24545,6),
(24554,24553,24545,7),
(24555,24554,24545,8),
(24577,24423,24423,2),
(24578,24577,24423,3),
(24579,24578,24423,4),
(24583,24640,24640,2),
(24586,24583,24640,3),
(24587,24586,24640,4),
(24597,24603,24604,4),
(24604,0,24604,1),
(24605,24604,24604,2),
(24603,24605,24604,3),
(24629,24555,24545,9),
(24630,24629,24545,10),
(24640,0,24640,1),
(24844,0,24844,1),
(24974,5570,5570,2),
(24975,24974,5570,3),
(24976,24975,5570,4),
(24977,24976,5570,5),
(25008,24844,24844,2),
(25009,25008,24844,3),
(25010,25009,24844,4),
(25011,25010,24844,5),
(25012,25011,24844,6),
(25076,0,25076,1),
(25202,11556,1160,6),
(25203,25202,1160,7),
(25208,11574,772,8),
(25210,25314,2060,6),
(25212,7373,1715,4),
(25213,25210,2060,7),
(25217,10901,17,11),
(25218,25217,17,12),
(25221,25315,139,11),
(25222,25221,139,12),
(25225,11597,7386,6),
(25229,0,25229,1),
(25230,25229,25229,2),
(25231,20569,845,6),
(25233,10917,2061,8),
(25234,20662,5308,6),
(25235,25233,2061,9),
(25236,25234,5308,7),
(25241,11605,1464,5),
(25242,25241,1464,6),
(25248,21553,12294,5),
(25251,23894,23881,5),
(25258,23925,23922,5),
(25264,11581,6343,7),
(25266,20560,694,6),
(25269,25288,6572,7),
(25272,20617,20252,4),
(25275,25272,20252,5),
(25286,11567,78,9),
(25288,11601,6572,6),
(25289,11551,6673,7),
(25290,19854,19742,6),
(25291,19838,19740,7),
(25292,10329,635,9),
(25294,14290,2643,5),
(25295,13555,1978,9),
(25296,14322,13165,7),
(25297,9889,5185,11),
(25298,9876,2912,7),
(25299,9841,774,11),
(25300,11281,53,9),
(25302,11303,1966,5),
(25304,10181,116,11),
(25306,10151,133,12),
(25307,11661,686,10),
(25308,25316,596,6),
(25309,11668,348,8),
(25311,11672,172,7),
(25312,27841,14752,5),
(25314,10965,2060,5),
(25315,10929,139,10),
(25316,10961,596,5),
(25331,27801,15237,7),
(25345,10212,5143,8),
(25347,11358,2835,5),
(25357,10396,331,10),
(25359,10627,8835,3),
(25361,10442,8075,5),
(25363,10934,585,9),
(25364,25363,585,10),
(25367,10894,589,9),
(25368,25367,589,10),
(25372,10947,8092,10),
(25375,25372,8092,11),
(25379,10876,8129,6),
(25380,25379,8129,7),
(25384,15261,14914,9),
(25387,18807,15407,7),
(25389,10938,1243,7),
(25391,25357,331,11),
(25396,25391,331,12),
(25420,10468,8004,7),
(25422,10623,1064,4),
(25423,25422,1064,5),
(25429,10942,586,7),
(25431,10952,588,7),
(25433,10958,976,4),
(25435,20770,2006,6),
(25437,19243,13908,8),
(25439,10605,421,5),
(25441,19275,13896,6),
(25442,25439,421,6),
(25446,19305,10797,8),
(25448,15208,403,11),
(25449,25448,403,12),
(25450,19293,2651,6),
(25454,10414,8042,8),
(25457,29228,8050,7),
(25464,10473,8056,5),
(25467,19280,2944,7),
(25469,10432,324,8),
(25470,19285,9035,7),
(25472,25469,324,9),
(25477,19312,18137,7),
(25479,16316,8017,8),
(25485,25479,8017,9),
(25489,16342,8024,7),
(25500,16356,8033,6),
(25505,16362,8232,5),
(25508,10408,8071,7),
(25509,25508,8071,8),
(25525,10428,5730,7),
(25528,25361,8075,6),
(25533,10438,3599,7),
(25546,11315,1535,6),
(25547,25546,1535,7),
(25552,10587,8190,5),
(25557,16387,8227,5),
(25560,10479,8181,4),
(25563,10538,8184,4),
(25567,10463,5394,6),
(25570,10497,5675,5),
(25574,10601,10595,4),
(25577,15112,15107,4),
(25585,10614,8512,4),
(25587,25585,8512,5),
(25596,10953,453,4),
(25782,0,25782,1),
(25890,0,25890,1),
(25894,0,25894,1),
(25899,0,25899,1),
(25916,25782,25782,2),
(25918,25894,25894,2),
(26064,0,26064,1),
(26090,0,26090,1),
(26177,7371,7371,2),
(26178,26177,7371,3),
(26179,26178,7371,4),
(26187,26090,26090,2),
(26188,26187,26090,3),
(26201,26179,7371,5),
(26573,0,26573,1),
(26839,11290,703,7),
(26861,11294,1752,9),
(26862,26861,1752,10),
(26863,25300,53,10),
(26864,17348,16511,4),
(26865,31016,2098,10),
(26866,11198,8647,6),
(26867,11275,1943,7),
(26884,26839,703,8),
(26889,1857,1856,3),
(26892,11343,8681,7),
(26969,25347,2835,6),
(26978,25297,5185,12),
(26979,26978,5185,13),
(26980,9858,8936,10),
(26981,25299,774,12),
(26982,26981,774,13),
(26983,9863,740,5),
(26984,9912,5176,9),
(26985,26984,5176,10),
(26986,25298,2912,8),
(26987,9835,8921,11),
(26988,26987,8921,12),
(26989,9853,339,7),
(26990,9885,1126,8),
(26992,9910,467,7),
(26993,9907,770,5),
(26994,20748,20484,6),
(26995,9901,2908,4),
(26996,9881,6807,8),
(26997,9908,779,6),
(26998,9898,99,6),
(26999,22896,22842,4),
(27001,9830,5221,6),
(27002,27001,5221,7),
(27003,9904,1822,5),
(27005,9867,6785,5),
(27006,9827,9005,4),
(27008,9896,1079,7),
(27009,17329,16689,7),
(27011,17392,16857,5),
(27012,17402,16914,4),
(27013,24977,5570,6),
(27014,14266,2973,9),
(27015,14273,781,4),
(27016,25295,1978,10),
(27018,14280,3034,4),
(27019,14287,3044,9),
(27020,15632,20736,7),
(27021,25294,2643,6),
(27022,14295,1510,4),
(27023,14305,13795,6),
(27025,14317,13813,4),
(27044,25296,13165,8),
(27045,20190,20043,3),
(27046,13544,136,8),
(27047,14921,2649,8),
(27048,16697,1742,7),
(27049,3009,16827,9),
(27050,17261,17253,9),
(27051,24579,24423,5),
(27052,24501,24493,5),
(27053,24445,23992,5),
(27054,24449,24446,5),
(27055,24504,24492,5),
(27056,24507,24488,5),
(27060,24587,24640,5),
(27061,24630,24545,11),
(27062,5042,4187,11),
(27063,26188,26090,4),
(27065,20904,19434,7),
(27066,20906,19506,4),
(27067,20910,19306,4),
(27068,24133,19386,4),
(27070,25306,133,13),
(27071,25304,116,12),
(27072,27071,116,13),
(27073,10207,2948,8),
(27074,27073,2948,9),
(27075,25345,5143,9),
(27078,10199,2136,8),
(27079,27078,2136,9),
(27080,10202,1449,7),
(27082,27080,1449,8),
(27085,10187,10,7),
(27086,10216,2120,7),
(27087,10161,120,6),
(27088,10230,122,5),
(27090,37420,5504,9),
(27124,10220,7302,5),
(27125,22783,6117,4),
(27126,10157,1459,6),
(27128,10225,543,6),
(27130,10170,1008,5),
(27131,10193,1463,7),
(27132,18809,11366,9),
(27133,13021,11113,6),
(27134,13033,11426,5),
(27135,25292,635,10),
(27136,27135,635,11),
(27137,19943,19750,7),
(27138,10314,879,7),
(27139,10318,2812,3),
(27140,25291,19740,8),
(27141,25916,25782,3),
(27142,25290,19742,7),
(27143,25918,25894,3),
(27144,19979,19977,4),
(27145,25890,25890,2),
(27147,20729,6940,3),
(27148,27147,6940,4),
(27149,10293,465,8),
(27150,10301,7294,6),
(27151,19896,19876,4),
(27152,19898,19888,4),
(27153,19900,19891,4),
(27154,10310,633,4),
(27155,20293,21084,9),
(27158,20308,21082,7),
(27166,20357,20166,4),
(27168,20914,20911,5),
(27169,25899,25899,2),
(27170,20920,20375,6),
(27173,20924,26573,6),
(27174,20930,20473,4),
(27179,20928,20925,4),
(27180,24239,24275,4),
(27209,25307,686,11),
(27210,17923,5676,7),
(27211,17924,6353,3),
(27212,11678,5740,5),
(27213,11684,1949,4),
(27215,25309,348,9),
(27216,25311,172,8),
(27217,11675,1120,5),
(27218,11713,980,7),
(27219,11700,689,7),
(27220,27219,689,8),
(27221,11704,5138,5),
(27222,11689,1454,7),
(27223,17926,6789,4),
(27224,11708,702,7),
(27226,11717,704,5),
(27228,11722,1490,4),
(27229,17937,17862,3),
(27230,11730,6201,6),
(27238,20757,693,6),
(27250,17953,6366,5),
(27259,11695,755,8),
(27260,11735,706,6),
(27263,18871,17877,7),
(27264,18881,18265,5),
(27265,18938,18220,4),
(27266,18932,17962,5),
(27267,11763,3110,8),
(27268,11767,6307,6),
(27269,11771,2947,6),
(27270,11775,3716,7),
(27271,17752,17735,5),
(27272,17854,17767,7),
(27273,19443,7812,7),
(27274,11780,7814,7),
(27275,11785,6360,5),
(27276,19736,19505,5),
(27277,27276,19505,6),
(27280,19660,19478,5),
(27282,26969,2835,7),
(27283,13230,13220,5),
(27441,11269,8676,7),
(27448,25302,1966,6),
(27681,14752,14752,2),
(27683,0,27683,1),
(27685,26201,7371,6),
(27799,15431,15237,4),
(27800,27799,15237,5),
(27801,27800,15237,6),
(27841,14819,14752,4),
(27870,724,724,2),
(27871,27870,724,3),
(28172,17728,2362,4),
(28176,0,28176,1),
(28189,28176,28176,2),
(28275,27871,724,4),
(28609,10177,6143,5),
(28610,11740,6229,4),
(28612,10145,587,7),
(28894,25230,25229,3),
(28895,28894,25229,4),
(28897,28895,25229,5),
(29228,10448,8050,6),
(29704,1672,72,4),
(29707,25286,78,10),
(29722,0,29722,1),
(29801,0,29801,1),
(30016,20243,20243,2),
(30022,30016,20243,3),
(30030,29801,29801,2),
(30033,30030,29801,3),
(30108,0,30108,1),
(30151,0,30151,1),
(30194,30151,30151,2),
(30198,30194,30151,3),
(30213,0,30213,1),
(30219,30213,30213,2),
(30223,30219,30213,3),
(30283,0,30283,1),
(30324,29707,78,11),
(30330,25248,12294,6),
(30335,25251,23881,6),
(30356,25258,23922,6),
(30357,25269,6572,8),
(30404,30108,30108,2),
(30405,30404,30108,3),
(30413,30283,30283,2),
(30414,30413,30283,3),
(30459,27210,5676,8),
(30545,27211,6353,4),
(30546,27263,17877,8),
(30908,27221,5138,6),
(30909,27224,702,8),
(30910,603,603,2),
(30911,27264,18265,6),
(30912,27266,17962,6),
(31016,11300,2098,9),
(31018,22829,22568,5),
(31661,0,31661,1),
(31785,0,31785,1),
(31895,20164,20164,2),
(31935,0,31935,1),
(32231,29722,29722,2),
(32379,0,32379,1),
(32593,974,974,2),
(32594,32593,974,3),
(32645,0,32645,1),
(32684,32645,32645,2),
(32699,31935,31935,2),
(32700,32699,31935,3),
(32796,28609,6143,6),
(32996,32379,32379,2),
(32999,27681,14752,3),
(33041,31661,31661,2),
(33042,33041,31661,3),
(33043,33042,31661,4),
(33072,27174,20473,5),
(33142,0,33142,1),
(33145,33142,33142,2),
(33146,33145,33142,3),
(33388,0,33388,1),
(33391,33388,33388,2),
(33405,27134,11426,6),
(33698,0,33698,1),
(33699,33698,33698,2),
(33700,33699,33698,3),
(33701,27271,17735,6),
(33717,28612,587,8),
(33736,24398,24398,2),
(33776,31785,31785,2),
(33876,0,33876,1),
(33878,0,33878,1),
(33933,27133,11113,7),
(33938,27132,11366,10),
(33943,0,33943,1),
(33944,10174,604,6),
(33946,27130,1008,6),
(33982,33876,33876,2),
(33983,33982,33876,3),
(33986,33878,33878,2),
(33987,33986,33878,3),
(34411,1329,1329,2),
(34412,34411,1329,3),
(34413,34412,1329,4),
(34506,0,34506,1),
(34507,34506,34506,2),
(34508,34507,34506,3),
(34838,34508,34506,4),
(34839,34838,34506,5),
(34861,0,34861,1),
(34863,34861,34861,2),
(34864,34863,34861,3),
(34865,34864,34861,4),
(34866,34865,34861,5),
(34889,0,34889,1),
(34914,0,34914,1),
(34916,34914,34914,2),
(34917,34916,34914,3),
(34950,0,34950,1),
(34954,34950,34950,2),
(35323,34889,34889,2),
(35290,0,35290,1),
(35291,35290,35290,2),
(35292,35291,35290,3),
(35293,35292,35290,4),
(35294,35293,35290,5),
(35295,35294,35290,6),
(35296,35295,35290,7),
(35297,35296,35290,8),
(35298,35297,35290,9),
(35387,0,35387,1),
(35389,35387,35387,2),
(35392,35389,35387,3),
(35346,0,35346,1),
(35694,0,35694,1),
(35698,35694,35694,2),
(36916,14271,1495,5),
(37420,10140,5504,8),
(38692,27070,133,14),
(38697,27072,116,14),
(38699,27075,5143,10),
(38704,38699,5143,11),
(38764,11286,1776,6),
(38768,1769,1766,5),
(40120,33943,33943,2);
/*!40000 ALTER TABLE `spell_chain` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `spell_learn_skill`
--

DROP TABLE IF EXISTS `spell_learn_skill`;
CREATE TABLE `spell_learn_skill` (
  `entry` smallint(6) unsigned NOT NULL default '0',
  `SkillID` smallint(6) NOT NULL default '0',
  `Value` int(11) default '0',
  `MaxValue` int(11) default '0',
  PRIMARY KEY  (`entry`),
  UNIQUE KEY `spell_skill` (`entry`,`SkillID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Item System';

--
-- Dumping data for table `spell_learn_skill`
--

LOCK TABLES `spell_learn_skill` WRITE;
/*!40000 ALTER TABLE `spell_learn_skill` DISABLE KEYS */;
INSERT INTO `spell_learn_skill` (`entry`,`SkillID`,`Value`,`MaxValue`) VALUES
(9078,415,1,1),
(9077,414,1,1),
(8737,413,1,1),
(750,293,1,1),
(9116,433,1,1),
(196,44,1,0),
(197,172,1,0),
(227,136,1,0),
(198,54,1,0),
(199,160,1,0),
(201,43,1,0),
(202,55,1,0),
(1180,173,1,0),
(15590,473,1,0),
(200,229,1,0),
(264,45,1,0),
(5011,226,1,0),
(266,46,1,0),
(2567,176,1,0),
(5009,228,1,0),
(2842,40,1,0),
(33388,762,75,75),
(33391,762,150,150),
(1804,633,1,0),
(668,98,-1,-1),
(669,109,-1,-1),
(670,115,-1,-1),
(671,113,-1,-1),
(672,111,-1,-1),
(813,137,-1,-1),
(814,138,-1,-1),
(815,139,-1,-1),
(816,140,-1,-1),
(817,141,-1,-1),
(7340,313,-1,-1),
(7341,315,-1,-1),
(17737,673,-1,-1),
(204,95,1,0),
(203,162,1,0),
(34091,762,300,300),
(34090,762,225,225);
/*!40000 ALTER TABLE `spell_learn_skill` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `spell_learn_spell`
--

DROP TABLE IF EXISTS `spell_learn_spell`;
CREATE TABLE `spell_learn_spell` (
  `entry` smallint(6) unsigned NOT NULL default '0',
  `SpellID` smallint(6) unsigned NOT NULL default '0',
  `IfNoSpell` smallint(6) unsigned NOT NULL default '0',
  PRIMARY KEY  (`entry`,`SpellID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Item System';

--
-- Dumping data for table `spell_learn_spell`
--

LOCK TABLES `spell_learn_spell` WRITE;
/*!40000 ALTER TABLE `spell_learn_spell` DISABLE KEYS */;
INSERT INTO `spell_learn_spell` (`entry`,`SpellID`,`IfNoSpell`) VALUES
(71,355,0),
(71,7386,0),
(264,3018,0),
(266,3018,0),
(2018,2663,0),
(2018,12260,0),
(2018,2660,0),
(2018,3115,0),
(2108,2152,0),
(2108,9058,0),
(2108,9059,0),
(2108,2149,0),
(2108,7126,0),
(2108,2881,0),
(2259,2329,0),
(2259,7183,0),
(2259,2330,0),
(2366,2383,0),
(2550,818,0),
(2550,2540,0),
(2550,2538,0),
(2550,8604,0),
(2567,2764,0),
(2575,2580,0),
(2575,2656,0),
(2575,2657,0),
(3273,3275,0),
(2842,8681,0),
(3908,2387,0),
(3908,2963,0),
(4036,3918,0),
(4036,3919,0),
(4036,3920,0),
(5011,3018,0),
(7411,7418,0),
(7411,7421,0),
(7411,13262,0),
(7620,7738,0),
(25229,25255,0),
(25229,25493,0),
(25229,26925,0),
(25229,32259,0);
/*!40000 ALTER TABLE `spell_learn_spell` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `spell_proc_event`
--

DROP TABLE IF EXISTS `spell_proc_event`;
CREATE TABLE `spell_proc_event` (
  `entry` smallint(6) unsigned NOT NULL default '0',
  `SchoolMask` tinyint(4) NOT NULL default '0',
  `Category` smallint(6) NOT NULL default '0',
  `SkillID` smallint(6) NOT NULL default '0',
  `SpellFamilyName` smallint(6) unsigned NOT NULL default '0',
  `SpellFamilyMask` bigint(40) unsigned NOT NULL default '0',
  `procFlags` int(11) unsigned NOT NULL default '0',
  `ppmRate` float NOT NULL default '0',
  PRIMARY KEY  (`entry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `spell_proc_event`
--

LOCK TABLES `spell_proc_event` WRITE;
/*!40000 ALTER TABLE `spell_proc_event` DISABLE KEYS */;
INSERT INTO `spell_proc_event` (`entry`,`SchoolMask`,`Category`,`SkillID`,`SpellFamilyName`,`SpellFamilyMask`,`procFlags`,`ppmRate`) VALUES
(168,0,0,0,0,0,2,0),
(324,0,0,0,0,0,1049602,0),
(325,0,0,0,0,0,1049602,0),
(588,0,0,0,0,0,1026,0),
(602,0,0,0,0,0,1026,0),
(742,0,0,0,0,0,1,0),
(905,0,0,0,0,0,1049602,0),
(945,0,0,0,0,0,1049602,0),
(974,0,0,0,0,0,1049602,0),
(1006,0,0,0,0,0,1026,0),
(1120,0,0,0,0,0,4,0),
(1328,0,0,0,0,0x0000000000000000,0xC4000001,0),
(2565,0,0,0,0,0,64,0),
(2652,0,0,0,0,0,2,0),
(2689,0,0,0,0,0,4,0),
(3235,0,0,0,0,0,2,0),
(3284,0,0,0,0,0,2,0),
(3338,0,0,0,0,0,2,0),
(3394,0,0,0,0,0,1,0),
(3417,0,0,0,0,0,1,0),
(3418,0,0,0,0,0,2,0),
(3424,0,0,0,0,0,1,0),
(3436,0,0,0,0,0,2,0),
(3439,0,0,0,0,0,2,0),
(3440,0,0,0,0,0,1,0),
(3509,0,0,0,0,0,1,0),
(3512,0,0,0,0,0,1,0),
(3582,0,0,0,0,0,1,0),
(3616,0,0,0,0,0,1,0),
(3637,0,0,0,0,0,2,0),
(4070,0,0,0,0,0,2,0),
(4112,0,0,0,0,0,2,0),
(4113,0,0,0,0,0,2,0),
(4114,0,0,0,0,0,2,0),
(4115,0,0,0,0,0,2,0),
(4133,0,0,0,0,0,2,0),
(4136,0,0,0,0,0,2,0),
(4138,0,0,0,0,0,2,0),
(4140,0,0,0,0,0,2,0),
(4142,0,0,0,0,0,4,0),
(4144,0,0,0,0,0,1,0),
(4241,0,0,0,0,0,1,0),
(4242,0,0,0,0,0,1,0),
(4245,0,0,0,0,0,1,0),
(4279,0,0,0,0,0,1,0),
(4283,0,0,0,0,0,1,0),
(4284,0,0,0,0,0,1,0),
(4315,0,0,0,0,0,1,0),
(4317,0,0,0,0,0,1,0),
(4387,0,0,0,0,0,1,0),
(4388,0,0,0,0,0,1,0),
(4389,0,0,0,0,0,1,0),
(4390,0,0,0,0,0,1,0),
(4493,0,0,0,0,0,1,0),
(4494,0,0,0,0,0,1,0),
(4495,0,0,0,0,0,1,0),
(4496,0,0,0,0,0,1,0),
(4525,0,0,0,0,0,2,0),
(4932,0,0,0,0,0,2,0),
(4951,0,0,0,0,0,2,0),
(5104,0,0,0,0,0,1,0),
(5118,0,0,0,0,0,32768,0),
(5202,0,0,0,0,0,1,0),
(5205,0,0,0,0,0,2,0),
(5262,0,0,0,0,0,1,0),
(5301,0,0,0,0,0x0000000000000000,0x00000000,0),
(5341,0,0,0,0,0,1,0),
(5342,0,0,0,0,0,1,0),
(5343,0,0,0,0,0,1,0),
(5344,0,0,0,0,0,1,0),
(5345,0,0,0,0,0,1,0),
(5346,0,0,0,0,0,1,0),
(5349,0,0,0,0,0,1,0),
(5350,0,0,0,0,0,1,0),
(5351,0,0,0,0,0,1,0),
(5352,0,0,0,0,0,1,0),
(5353,0,0,0,0,0,1,0),
(5354,0,0,0,0,0,1,0),
(5364,0,0,0,0,0,2,0),
(5368,0,0,0,0,0,2,0),
(5369,0,0,0,0,0,2,0),
(5370,0,0,0,0,0,2,0),
(5377,0,0,0,0,0,1,0),
(5427,0,0,0,0,0,1,0),
(5429,0,0,0,0,0,1,0),
(5430,0,0,0,0,0,1,0),
(5431,0,0,0,0,0,1,0),
(5432,0,0,0,0,0,1,0),
(5433,0,0,0,0,0,1,0),
(5513,0,0,0,0,0,1,0),
(5549,0,0,0,0,0,1,0),
(5550,0,0,0,0,0,1,0),
(5551,0,0,0,0,0,1,0),
(5552,0,0,0,0,0,1,0),
(5553,0,0,0,0,0,1,0),
(5554,0,0,0,0,0,1,0),
(5638,0,0,0,0,0,524288,0),
(5639,0,0,0,0,0,524288,0),
(5640,0,0,0,0,0,524288,0),
(5641,0,0,0,0,0,524288,0),
(5642,0,0,0,0,0,524288,0),
(5643,0,0,0,0,0,524288,0),
(5680,0,0,0,0,0,1,0),
(5728,0,0,0,0,0,1049602,0),
(5751,0,0,0,0,0,524288,0),
(5752,0,0,0,0,0,524288,0),
(5753,0,0,0,0,0,524288,0),
(5754,0,0,0,0,0,524288,0),
(5755,0,0,0,0,0,524288,0),
(5756,0,0,0,0,0,524288,0),
(5811,0,0,0,0,0,2,0),
(5976,0,0,0,0,0,1,0),
(5977,0,0,0,0,0,1,0),
(5979,0,0,0,0,0,1,0),
(6268,0,0,0,0,0,0x00000001,0),
(6397,0,0,0,0,0,1049602,0),
(6398,0,0,0,0,0,1049602,0),
(6399,0,0,0,0,0,1049602,0),
(6433,0,0,0,0,0,2,0),
(6645,0,0,0,0,0,1,0),
(6750,0,0,0,0,0,1,0),
(6752,0,0,0,0,0,1,0),
(6866,0,0,0,0,0,114,0),
(6867,0,0,0,0,0,1,0),
(6870,0,0,0,0,0,0,0),
(6871,0,0,0,0,0,1,0),
(6909,0,0,0,0,0,1,0),
(6921,0,0,0,0,0,1,0),
(6923,0,0,0,0,0,1,0),
(6947,0,0,0,0,0,1,0),
(6961,0,0,0,0,0,1,0),
(7095,0,0,0,0,0,1,0),
(7098,0,0,0,0,0,1,0),
(7102,0,0,0,0,0,1,0),
(7103,0,0,0,0,0,2,0),
(7128,0,0,0,0,0,1026,0),
(7131,0,0,0,0,0,664232,0),
(7137,0,0,0,0,0,1,0),
(7276,0,0,0,0,0,1,0),
(7300,0,0,0,0,0,2,0),
(7301,0,0,0,0,0,2,0),
(7302,0,0,0,0,0,2,0),
(7320,0,0,0,0,0,2,0),
(7445,0,0,0,0,0,2,0),
(7446,0,0,0,0,0,2,0),
(7486,0,0,0,0,0,1,0),
(7617,0,0,0,0,0,1048578,0),
(7619,0,0,0,0,0,1048578,0),
(7711,0,0,0,0,0,1,0),
(7721,0,0,0,0,0,1,0),
(7722,0,0,0,0,0,1,0),
(7723,0,0,0,0,0,1,0),
(7724,0,0,0,0,0,1,0),
(7725,0,0,0,0,0,1,0),
(7726,0,0,0,0,0,1,0),
(7806,0,0,0,0,0,1,0),
(7807,0,0,0,0,0,1,0),
(7808,0,0,0,0,0,1,0),
(7849,0,0,0,0,0,2,0),
(7999,0,0,0,0,0,2,0),
(8134,0,0,0,0,0,1049602,0),
(8224,0,0,0,0,0,2,0),
(8247,0,0,0,0,0,1,0),
(8260,0,0,0,0,0,0x00000001,0),
(8288,0,0,0,0,0,4,0),
(8289,0,0,0,0,0,4,0),
(8397,0,0,0,0,0,2,0),
(8601,0,0,0,0,0,1,0),
(8612,0,0,0,0,0,2,0),
(8788,0,0,0,0,0,1026,0),
(8852,0,0,0,0,0,2,0),
(8876,0,0,0,0,0,1,0),
(8981,0,0,0,0,0,1,0),
(9084,0,0,0,0,0,8,0),
(9160,0,0,0,0,0,2,0),
(9233,0,0,0,0,0,1,0),
(9276,0,0,0,0,0,1,0),
(9452,0,0,0,0,0,20,3),
(9460,0,0,0,0,0,2,0),
(9463,0,0,0,0,0,2,0),
(9778,0,0,0,0,0,2,0),
(9782,0,0,0,0,0,64,0),
(9784,0,0,0,0,0,64,0),
(9799,0,0,0,0,0,262144,0),
(10022,0,0,0,0,0,1,0),
(10092,0,0,0,0,0,128,0),
(10219,0,0,0,0,0,2,0),
(10220,0,0,0,0,0,2,0),
(10425,0,0,0,0,0,1049602,0),
(10426,0,0,0,0,0,1049602,0),
(10431,0,0,0,0,0,1049602,0),
(10432,0,0,0,0,0,1049602,0),
(10951,0,0,0,0,0,1026,0),
(10952,0,0,0,0,0,1026,0),
(11103,4,0,0,0,0,131072,0),
(11119,4,0,0,0,0,65536,0),
(11120,4,0,0,0,0,65536,0),
(11129,4,0,0,0,0,131072,0),
(11180,16,0,0,0,0,131072,0),
(11213,0,0,0,0,0,131072,0),
(11255,0,0,0,3,16384,16384,0),
(11371,0,0,0,0,0,2,0),
(11441,0,0,0,0,0,1,0),
(11675,0,0,0,0,0,4,0),
(11919,0,0,0,0,0,1,0),
(11959,0,0,0,0,0,1,0),
(11964,0,0,0,0,0,1,0),
(11984,0,0,0,0,0,1,0),
(12099,0,0,0,0,0,64,0),
(12169,0,0,0,0,0,0x00000040,0),
(12246,0,0,0,0,0,2,0),
(12254,0,0,0,0,0,1,0),
(12281,0,0,0,0,0,1,0),
(12284,0,0,0,0,0,1,0.33252),
(12289,0,0,26,0,2,131072,0),
(12292,0,0,0,0,0,128,0),
(12298,0,0,0,0,0,64,0),
(12311,0,0,0,4,2048,131072,0),
(12317,0,0,0,0,0,8658944,0),
(12319,0,0,0,0,0,69632,0),
(12322,0,0,0,0,0,1,0),
(12328,0,0,0,0,0x0000000000000000,0xC4000001,0),
(12357,4,0,0,0,0,131072,0),
(12358,4,0,0,0,0,131072,0),
(12359,4,0,0,0,0,131072,0),
(12360,4,0,0,0,0,131072,0),
(12529,0,0,0,0,0,2,0),
(12539,0,0,0,0,0,1,0),
(12544,0,0,0,0,0,2,0),
(12550,0,0,0,0,0,1026,0),
(12556,0,0,0,0,0,2,0),
(12574,0,0,0,0,0,131072,0),
(12575,0,0,0,0,0,131072,0),
(12576,0,0,0,0,0,131072,0),
(12577,0,0,0,0,0,131072,0),
(12598,0,0,0,3,16384,16384,0),
(12668,0,0,26,0,2,131072,0),
(12701,0,0,0,0,0,1,0.66504),
(12702,0,0,0,0,0,1,0.99756),
(12703,0,0,0,0,0,1,1.33008),
(12704,0,0,0,0,0,1,1.6626),
(12724,0,0,0,0,0,64,0),
(12725,0,0,0,0,0,64,0),
(12726,0,0,0,0,0,64,0),
(12727,0,0,0,0,0,64,0),
(12782,0,0,0,0,0,64,0),
(12787,0,0,0,0,0,1,0),
(12797,0,65,257,0,1024,131072,0),
(12799,0,65,257,0,1024,131072,0),
(12800,0,65,257,0,1024,131072,0),
(12812,0,0,0,0,0,1,0),
(12813,0,0,0,0,0,1,0),
(12814,0,0,0,0,0,1,0),
(12815,0,0,0,0,0,1,0),
(12834,0,0,0,0,0,69632,0),
(12846,4,0,0,0,0,65536,0),
(12847,4,0,0,0,0,65536,0),
(12848,4,0,0,0,0,65536,0),
(12849,0,0,0,0,0,69632,0),
(12867,0,0,0,0,0,69632,0),
(12947,0,0,0,0,0,1,0),
(12958,0,0,0,4,2048,131072,0),
(12966,0,0,0,0,0x0000000000000000,0xC4000001,0),
(12967,0,0,0,0,0x0000000000000000,0xC4000001,0),
(12968,0,0,0,0,0x0000000000000000,0xC4000001,0),
(12969,0,0,0,0,0x0000000000000000,0xC4000001,0),
(12970,0,0,0,0,0x0000000000000000,0xC4000001,0),
(12971,0,0,0,0,0,69632,0),
(12972,0,0,0,0,0,69632,0),
(12973,0,0,0,0,0,69632,0),
(12974,0,0,0,0,0,69632,0),
(12999,0,0,0,0,0,1,0),
(13000,0,0,0,0,0,1,0),
(13001,0,0,0,0,0,1,0),
(13002,0,0,0,0,0,1,0),
(13045,0,0,0,0,0,8658944,0),
(13046,0,0,0,0,0,8658944,0),
(13047,0,0,0,0,0,8658944,0),
(13048,0,0,0,0,0,8658944,0),
(13159,0,0,0,0,0,32768,0),
(13165,0,0,0,0,0,0x00080000,0),
(13299,0,0,0,0,0,1,0),
(13358,0,0,0,0,0x0000000000000000,0x00000000,0),
(13483,0,0,0,0,0,2,0),
(13585,0,0,0,0,0,1026,0),
(13616,0,0,0,0,0,1,0),
(13709,0,0,0,0,0,1,0),
(13716,0,0,0,0,0,1026,0),
(13754,0,88,0,0,16,131072,0),
(13800,0,0,0,0,0,1,0),
(13801,0,0,0,0,0,1,0),
(13802,0,0,0,0,0,1,0),
(13803,0,0,0,0,0,1,0),
(13867,0,88,0,0,16,131072,0),
(13877,0,0,0,0,0x0000000000000000,0xC4000001,0),
(13879,0,0,0,0,0,2,0),
(13886,0,0,0,0,0,1,0),
(13896,0,0,0,0,0,1048576,0),
(13959,0,0,0,0,0,1048578,0),
(13960,0,0,0,0,0,1,0),
(13961,0,0,0,0,0,1,0),
(13962,0,0,0,0,0,1,0),
(13963,0,0,0,0,0,1,0),
(13964,0,0,0,0,0,1,0),
(13983,0,0,0,0,0,16,0),
(14070,0,0,0,0,0,16,0),
(14071,0,0,0,0,0,16,0),
(14076,0,0,39,0,128,131072,0),
(14094,0,0,39,0,128,131072,0),
(14108,0,0,0,0,0,2,0),
(14111,0,0,0,0,0,1,0),
(14133,0,0,0,0,0,1,0),
(14144,0,0,0,0,0,4,0),
(14148,0,0,0,0,0,4,0),
(14156,0,0,0,0,4063232,131072,0),
(14160,0,0,0,0,4063232,131072,0),
(14161,0,0,0,0,4063232,131072,0),
(14178,0,0,0,0,0,2,0),
(14186,0,0,0,8,1082131720,65536,0),
(14190,0,0,0,8,1082131720,65536,0),
(14193,0,0,0,8,1082131720,65536,0),
(14194,0,0,0,8,1082131720,65536,0),
(14195,0,0,0,8,1082131720,65536,0),
(14318,0,0,0,0,0,0x00080000,0),
(14319,0,0,0,0,0,0x00080000,0),
(14320,0,0,0,0,0,0x00080000,0),
(14321,0,0,0,0,0,0x00080000,0),
(14322,0,0,0,0,0,0x00080000,0),
(14531,0,0,0,0,0,8192,0),
(14774,0,0,0,0,0,8192,0),
(14796,0,0,0,0,0,2048,0),
(14869,0,0,0,0,0,1,0),
(14892,2,0,56,0,7680,268435456,0),
(15088,0,0,0,0,0,4096,0),
(15097,0,0,0,0,0,8192,0),
(15268,32,0,0,0,0,131072,0),
(15270,0,0,0,0,0,4,0),
(15277,0,0,0,0,0,1,6),
(15286,32,0,0,0,0,32768,0),
(15323,32,0,0,0,0,131072,0),
(15324,32,0,0,0,0,131072,0),
(15325,32,0,0,0,0,131072,0),
(15326,32,0,0,0,0,131072,0),
(15335,0,0,0,0,0,4,0),
(15336,0,0,0,0,0,4,0),
(15337,0,0,0,0,0,4,0),
(15338,0,0,0,0,0,4,0),
(15346,0,0,0,0,0,1,6),
(15362,2,0,56,0,7680,268435456,0),
(15363,2,0,56,0,7680,268435456,0),
(15506,0,0,0,0,0,1,0),
(15507,0,0,0,0,0,1026,0),
(15573,0,0,0,0,0,1,0),
(15594,0,0,0,0,0,2,0),
(15599,0,0,0,0,0,1,0),
(15600,0,0,0,0,0,1,3),
(15603,0,0,0,0,0,2,0),
(15636,0,0,0,0,0,1,0),
(15641,0,0,0,0,0,1,0),
(15730,0,0,0,0,0,1,0),
(15733,0,0,0,0,0,1,0),
(15784,0,0,0,0,0,2,0),
(15849,0,0,0,0,0,1,0),
(15852,0,0,0,0,0,1,0),
(15876,0,0,0,0,0,2,0),
(15978,0,0,0,0,0,1,0),
(16092,0,0,0,0,0x0000000000000000,0x00000000,0),
(16142,0,0,0,0,0,1,0),
(16146,0,0,0,0,0,2048,0),
(16164,28,0,0,0,0,65536,0),
(16176,0,0,0,0,0,268435456,0),
(16235,0,0,0,0,0,268435456,0),
(16240,0,0,0,0,0,268435456,0),
(16247,0,0,0,0,0,1,0),
(16256,0,0,0,0,0,4096,0),
(16257,0,0,0,0,0x0000000000000000,0xC4000001,0),
(16277,0,0,0,0,0x0000000000000000,0xC4000001,0),
(16278,0,0,0,0,0x0000000000000000,0xC4000001,0),
(16279,0,0,0,0,0x0000000000000000,0xC4000001,0),
(16280,0,0,0,0,0x0000000000000000,0xC4000001,0),
(16281,0,0,0,0,0,4096,0),
(16282,0,0,0,0,0,4096,0),
(16283,0,0,0,0,0,4096,0),
(16284,0,0,0,0,0,4096,0),
(16428,0,0,0,0,0,1,0),
(16487,0,0,0,0,0,8658944,0),
(16489,0,0,0,0,0,8658944,0),
(16492,0,0,0,0,0,8658944,0),
(16550,0,0,0,0,0,8192,0),
(16574,0,0,0,0,0,1,0),
(16575,0,0,0,0,0,1,0),
(16611,0,0,0,0,0,2,0),
(16615,0,0,0,0,0,1,0),
(16620,0,0,0,0,0,2,0),
(16624,0,0,0,0,0,64,0),
(16689,0,0,0,0,0,2,0),
(16792,0,0,0,0,0,8192,0),
(16800,0,0,0,0,0,1,0),
(16810,0,0,0,0,0,2,0),
(16811,0,0,0,0,0,2,0),
(16812,0,0,0,0,0,2,0),
(16813,0,0,0,0,0,2,0),
(16843,0,0,0,0,0,1,0),
(16850,0,0,574,0,4,131072,0),
(16864,0,0,0,0,0,1,6),
(16880,0,0,0,0,0,65536,0),
(16923,0,0,574,0,4,131072,0),
(16924,0,0,574,0,4,131072,0),
(16952,0,0,0,0,233472,65536,0),
(16954,0,0,0,0,233472,65536,0),
(16958,0,0,0,0,0,69632,0),
(16961,0,0,0,0,0,69632,0),
(16982,0,0,0,0,0,1,0),
(17010,0,0,0,0,0,1,0),
(17106,0,0,0,7,0x0000000000080000,0x00004000,0),
(17107,0,0,0,7,0x0000000000080000,0x00004000,0),
(17108,0,0,0,7,0x0000000000080000,0x00004000,0),
(17329,0,0,0,0,0,2,0),
(17332,0,0,0,0,0,1,0),
(17350,0,0,0,0,0,2,0),
(17495,0,0,0,0,0,64,0),
(17670,0,0,0,0,0,8,0),
(17687,0,0,0,0,0x0000000000000000,0xC4000001,0),
(17688,0,0,0,0,0,128,0),
(17690,0,0,0,0,0,2,0),
(17793,0,0,593,5,1,65536,0),
(17796,0,0,593,5,1,65536,0),
(17801,0,0,593,5,1,65536,0),
(17802,0,0,593,5,1,65536,0),
(17803,0,0,593,5,1,65536,0),
(18073,4,0,0,0,96,131072,0),
(18094,0,0,0,5,10,131072,0),
(18095,0,0,0,5,10,131072,0),
(18096,4,0,0,0,96,131072,0),
(18097,0,0,0,0,0,2,0),
(18100,0,0,0,0,0,2,0),
(18119,0,0,593,0,0,131072,0),
(18120,0,0,593,0,0,131072,0),
(18121,0,0,593,0,0,131072,0),
(18122,0,0,593,0,0,131072,0),
(18123,0,0,593,0,0,131072,0),
(18137,0,0,0,0,0,1049602,0),
(18146,0,0,0,0,0,2,0),
(18167,0,0,0,0,0,1,0),
(18186,0,0,0,0,0,1,0),
(18189,0,0,0,0,0,131072,0),
(18542,0,0,0,0,0,1,0),
(18765,0,0,0,0,0x0000000000000000,0xC4000001,0),
(18799,0,0,0,0,0,2,0),
(18800,0,0,0,0,0,8,0),
(18803,0,0,0,0,0,0x00004000,0),
(18815,0,0,0,0,0,2,0),
(18816,0,0,0,0,0,2,0),
(18847,0,0,0,0,0,1,0),
(18943,0,0,0,0,0,1,0),
(18979,0,0,0,0,0,1,0),
(18983,0,0,0,0,0,4,0),
(19184,0,0,0,0,0,2097152,0),
(19194,0,0,0,0,0,1,0),
(19228,0,0,0,0,64,131072,0),
(19232,0,0,0,0,64,131072,0),
(19233,0,0,0,0,64,131072,0),
(19261,0,0,0,0,0,2,0),
(19262,0,0,0,0,0,2,0),
(19264,0,0,0,0,0,2,0),
(19265,0,0,0,0,0,2,0),
(19266,0,0,0,0,0,2,0),
(19271,0,0,0,0,0,1048576,0),
(19273,0,0,0,0,0,1048576,0),
(19274,0,0,0,0,0,1048576,0),
(19275,0,0,0,0,0,1048576,0),
(19308,0,0,0,0,0,1049602,0),
(19309,0,0,0,0,0,1049602,0),
(19310,0,0,0,0,0,1049602,0),
(19311,0,0,0,0,0,1049602,0),
(19312,0,0,0,0,0,1049602,0),
(19387,0,0,0,0,0,2097152,0),
(19388,0,0,0,0,0,2097152,0),
(19407,64,0,0,0,512,131072,0),
(19409,0,0,0,0,0,1048578,0),
(19412,64,0,0,0,512,131072,0),
(19413,64,0,0,0,512,131072,0),
(19414,64,0,0,0,512,131072,0),
(19415,64,0,0,0,512,131072,0),
(19449,0,0,0,0,0,2,0),
(19478,0,0,0,0,0,2,0),
(19514,0,0,0,0,0,1026,0),
(19577,0,0,0,0,0,1,0),
(19655,0,0,0,0,0,2,0),
(19656,0,0,0,0,0,2,0),
(19660,0,0,0,0,0,2,0),
(19817,0,0,0,0,0,1,0),
(19818,0,0,0,0,0,1,0),
(20049,0,0,0,0,0,69632,0),
(20056,0,0,0,0,0,69632,0),
(20057,0,0,0,0,0,69632,0),
(20058,0,0,0,0,0,69632,0),
(20059,0,0,0,0,0,69632,0),
(20127,0,0,0,0,0,1026,0),
(20128,0,0,0,0,0,0x00000040,0),
(20130,0,0,0,0,0,1026,0),
(20131,0,0,0,0,0,0x00000040,0),
(20132,0,0,0,0,0,0x00000040,0),
(20133,0,0,0,0,0,0x00000040,0),
(20134,0,0,0,0,0,0x00000040,0),
(20135,0,0,0,0,0,1026,0),
(20136,0,0,0,0,0,1026,0),
(20137,0,0,0,0,0,1026,0),
(20154,0,0,0,0,0,1,0),
(20164,0,0,0,0,0,1,2),
(20165,0,0,0,0,0,1,5),
(20166,0,0,0,0,0,1,5),
(20177,0,0,0,0,0,1049602,0),
(20178,0,0,0,0,0,1,0),
(20179,0,0,0,0,0,1049602,0),
(20180,0,0,0,0,0,1049602,0),
(20181,0,0,0,0,0,1049602,0),
(20182,0,0,0,0,0,1049602,0),
(20185,0,0,0,0,0,2,0),
(20186,0,0,0,0,0,1049602,0),
(20210,0,0,0,10,0x0000000000206000,0x10000000,0),
(20212,0,0,0,10,0x0000000000206000,0x10000000,0),
(20213,0,0,0,10,0x0000000000206000,0x10000000,0),
(20214,0,0,0,10,0x0000000000206000,0x10000000,0),
(20215,0,0,0,10,0x0000000000206000,0x10000000,0),
(20230,0,0,0,0,0,2,0),
(20234,2,0,0,0,32768,131072,0),
(20235,2,0,0,0,32768,131072,0),
(20287,0,0,0,0,0,1,0),
(20288,0,0,0,0,0,1,0),
(20289,0,0,0,0,0,1,0),
(20290,0,0,0,0,0,1,0),
(20291,0,0,0,0,0,1,0),
(20292,0,0,0,0,0,1,0),
(20293,0,0,0,0,0,1,0),
(20344,0,0,0,0,0,2,0),
(20345,0,0,0,0,0,2,0),
(20346,0,0,0,0,0,2,0),
(20347,0,0,0,0,0,1,5),
(20348,0,0,0,0,0,1,5),
(20349,0,0,0,0,0,1,5),
(20354,0,0,0,0,0,1049602,0),
(20355,0,0,0,0,0,1049602,0),
(20356,0,0,0,0,0,1,5),
(20357,0,0,0,0,0,1,5),
(20375,0,0,0,0,0,1,7),
(20500,0,0,0,4,268435456,16384,0),
(20501,0,0,0,4,268435456,16384,0),
(20545,0,0,0,0,0,1026,0),
(20705,0,0,0,0,0,8192,0),
(20725,0,0,0,0,0,4096,0),
(20847,0,0,0,0,0,2,0),
(20884,0,0,0,0,0,1,0),
(20891,0,0,0,0,0,4096,0),
(20911,0,0,0,0,0,64,0),
(20912,0,0,0,0,0,64,0),
(20913,0,0,0,0,0,64,0),
(20914,0,0,0,0,0,64,0),
(20915,0,0,0,0,0,1,7),
(20918,0,0,0,0,0,1,7),
(20919,0,0,0,0,0,1,7),
(20920,0,0,0,0,0,1,7),
(20925,0,0,0,0,0,64,0),
(20927,0,0,0,0,0,64,0),
(20928,0,0,0,0,0,64,0),
(21053,0,0,0,0,0,4,0),
(21061,0,0,0,0,0,1,0),
(21063,0,0,0,0,0,32768,0),
(21080,0,0,0,0,0,1,0),
(21084,0,0,0,0,0,1,0),
(21185,0,0,0,0,0,4,0),
(21334,0,0,0,0,0,32768,0),
(21645,0,0,0,0,0,1,0),
(21747,0,0,0,0,0,1,0),
(21788,0,0,0,0,0,1,0),
(21838,0,0,0,0,0,32768,0),
(21841,0,0,0,0,0,1,0),
(21853,0,0,0,0,0,2,0),
(21882,0,0,0,0,0,4096,0),
(21890,0,0,0,4,0x0000036C2A764EEF,0x00082001,0),
(21893,0,0,0,0,0,2,0),
(21897,0,0,0,0,0,2,0),
(21911,0,0,0,0,0,1,0),
(21969,0,0,0,0,0,2,0),
(21978,0,0,0,0,0,131072,0),
(22007,0,0,0,0,2099233,16384,0),
(22413,0,0,0,0,0,1,0),
(22438,0,0,0,0,0,2,0),
(22618,0,0,0,0,0,64,0),
(22620,0,0,0,0,0,64,0),
(22648,0,0,0,0,0,4096,0),
(22835,0,0,0,0,0,1,0),
(22857,0,0,0,0,0,2,0),
(23340,0,0,0,0,0,2,0),
(23378,0,0,0,0,0,2,0),
(23547,0,0,0,0,0,32,0),
(23548,0,0,0,0,0,64,0),
(23551,8,0,0,0,192,16384,0),
(23552,0,0,0,0,0,1049602,0),
(23572,8,0,0,0,192,16384,0),
(23578,0,0,0,0,0,524288,2),
(23581,0,0,0,0,0,1,2),
(23686,0,0,0,0,0,1,2),
(23688,0,0,0,0,0,16384,0),
(23689,0,0,0,0,0,1,4),
(23695,0,0,26,0,2,131072,0),
(23721,64,0,163,0,2048,131072,0),
(23771,0,0,0,0,0,1,0),
(23780,0,0,0,0,0,1048578,0),
(23863,0,0,0,0,0,1,0),
(23867,0,0,0,0,0,129,0),
(23885,0,0,0,0,0,1,0),
(23886,0,0,0,0,0,1,0),
(23887,0,0,0,0,0,1,0),
(23888,0,0,0,0,0,1,0),
(24051,0,0,0,0,0,1,0),
(24256,0,0,0,0,0,524289,0),
(24389,0x04,0,0,0,0,0x00020000,0),
(24398,0,0,0,0,0,1049602,0),
(24574,0,0,0,0,0,1048578,0),
(24596,0,0,0,0,0,0,0),
(24597,0,0,0,0,0,0x00080001,0),
(24603,0,0,0,0,0,0x00080001,0),
(24604,0,0,0,0,0,0x00080001,0),
(24605,0,0,0,0,0,0x00080001,0),
(24658,0,0,0,0,0,16384,0),
(24661,0,0,0,0,0,524289,0),
(24932,0,0,0,0,0,4096,0),
(24949,0,0,0,0,0,32,0),
(25020,0,0,0,0,0,1026,0),
(25023,0,0,0,0,0,2,0),
(25296,0,0,0,0,0,0x00080000,0),
(25431,0,0,0,0,0,1026,0),
(25441,0,0,0,0,0,1048576,0),
(25461,0,0,0,0,0,2,0),
(25469,0,0,0,0,0,1049602,0),
(25472,0,0,0,0,0,1049602,0),
(25477,0,0,0,0,0,1049602,0),
(25513,0,0,0,0,0,1049602,0),
(25669,0,0,0,0,0,1,1),
(25759,0,0,0,0,0,0,0),
(25760,0,0,0,0,0,0,0),
(25761,0,0,0,0,0,0,0),
(25762,0,0,0,0,0,0,0),
(25767,0,0,0,0,0,131072,0),
(25820,0,0,0,0,0,1049602,0),
(25899,0,0,0,0,0,64,0),
(25906,0,0,0,0,0,131072,0),
(25937,0,0,0,0,0,0,0),
(25988,0,0,0,0,0,262144,0),
(26016,0,0,0,0,0,1,2),
(26021,0,0,0,0,0,1,2),
(26107,0,0,0,7,0x0000008000800000,0xC4000000,0),
(26119,0,0,0,10,2416967683,16384,0),
(26128,0,0,0,0,0,33554432,0),
(26135,0,0,0,0,8388608,16384,0),
(26169,0,0,0,0,0,134217728,0),
(26376,0,0,0,0,0,0,0),
(26463,0,0,0,0,0,1048576,0),
(26467,0,0,0,0,0,134217728,0),
(26480,0,0,0,0,0,524289,3),
(27009,0,0,0,0,0,2,0),
(27044,0,0,0,0,0,0x00080000,0),
(27124,0,0,0,0,0,2,0),
(27155,0,0,0,0,0,1,0),
(27160,0,0,0,0,0,1,5),
(27166,0,0,0,0,0,1,5),
(27168,0,0,0,0,0,64,0),
(27169,0,0,0,0,0,64,0),
(27170,0,0,0,0,0,1,7),
(27179,0,0,0,0,0,64,0),
(27200,0,0,0,0,0,0,0),
(27217,0,0,0,0,0,4,0),
(27280,0,0,0,0,0,2,0),
(27419,0,0,0,0,0,1,3),
(27420,0,0,0,0,0,0,0),
(27498,0,0,0,0,0,1,3),
(27521,0,0,0,0,0,16384,0),
(27522,0,0,0,0,0,524289,0),
(27539,0,0,0,0,0,131072,0),
(27561,0,0,0,0,0,131072,0),
(27656,0,0,0,0,0,1,3),
(27688,0,0,0,0,0,1049602,0),
(27774,0,0,0,0,0,16384,0),
(27776,0,0,0,0,0,2,0),
(27778,0,0,0,0,0,2,0),
(27780,0,0,0,0,0,2,0),
(27781,0,0,0,0,0,2,0),
(27785,0,0,0,0,0,524288,0),
(27787,0,0,0,0,0,1,3),
(27811,0,0,0,0,0,8396800,0),
(27815,0,0,0,0,0,8396800,0),
(27816,0,0,0,0,0,8396800,0),
(27852,0,0,0,0,0,32768,0),
(27861,0,0,0,0,0,0,0),
(27863,0,0,0,0,0,0,0),
(27864,0,0,0,0,0,0,0),
(27865,0,0,0,0,0,0,0),
(27867,0,0,0,0,0,2,0),
(28200,0,0,0,0,0,134217728,0),
(28429,0,0,0,0,0,1,0),
(28458,0,0,0,0,0,0,0),
(28460,0,0,0,0,0,0,0),
(28592,16,0,0,0,0,131072,0),
(28593,16,0,0,0,0,131072,0),
(28594,16,0,0,0,0,131072,0),
(28595,16,0,0,0,0,131072,0),
(28719,8,0,0,0,32,268435456,0),
(28752,0,0,0,0,0,4194304,0),
(28761,0,0,0,0,0,131072,0),
(28764,0,0,0,0,0,1048576,0),
(28771,0,0,0,0,0,131072,0),
(28780,0,0,0,0,0,0x08020000,0),
(28789,0,0,0,10,3221225472,16384,0),
(28802,0,0,0,0,0,16384,0),
(28809,2,0,56,0,4096,268435456,0),
(28812,0,0,0,0,0,65536,0),
(28816,0,0,0,0,0,1,3),
(28823,8,0,374,0,192,134217728,0),
(28845,0,0,0,0,0,512,0),
(28847,8,0,573,0,32,16384,0),
(28849,8,0,374,0,128,16384,0),
(29062,0,0,0,0,0,8396800,0),
(29064,0,0,0,0,0,8396800,0),
(29065,0,0,0,0,0,8396800,0),
(29074,20,0,0,0,0,65536,0),
(29075,20,0,0,0,0,65536,0),
(29076,20,0,0,0,0,65536,0),
(29150,0,0,0,0,0,1,3),
(29162,0,0,0,0,0,2,0),
(29179,0,0,0,0,0,65536,0),
(29180,0,0,0,0,0,65536,0),
(29185,0,0,0,0,0,0,0),
(29194,0,0,0,0,0,0,0),
(29196,0,0,0,0,0,0,0),
(29198,0,0,0,0,0,0,0),
(29220,0,0,0,0,0,1,0),
(29307,0,0,0,0,0,1,0),
(29441,0,0,0,0,0,16777216,0),
(29444,0,0,0,0,0,16777216,0),
(29445,0,0,0,0,0,16777216,0),
(29446,0,0,0,0,0,16777216,0),
(29447,0,0,0,0,0,16777216,0),
(29448,0,0,0,0,0x0000000000000000,0xC4000001,0),
(29501,0,0,0,0,0,524288,3),
(29624,0,0,0,0,0,524288,3),
(29625,0,0,0,0,0,524288,3),
(29626,0,0,0,0,0,524288,3),
(29632,0,0,0,0,0,524288,3),
(29633,0,0,0,0,0,524288,3),
(29634,0,0,0,0,0,524288,3),
(29635,0,0,0,0,0,524288,3),
(29636,0,0,0,0,0,524288,3),
(29637,0,0,0,0,0,524288,3),
(29801,0,0,0,0,0,1,0),
(30030,0,0,0,0,0,1,0),
(30033,0,0,0,0,0,1,0),
(30079,0,0,0,0,0,2,0),
(30080,0,0,0,0,0,2,0),
(30081,0,0,0,0,0,2,0),
(30160,0,0,0,0,0,65536,0),
(30293,0,0,0,5,824633721729,131072,0),
(30295,0,0,0,5,824633721729,131072,0),
(30296,0,0,0,5,824633721729,131072,0),
(30299,36,0,0,0,0,1048576,0),
(30301,36,0,0,0,0,1048576,0),
(30302,36,0,0,0,0,1048576,0),
(30339,0,0,0,0,0,1,0),
(30482,0,0,0,0,0,2,0),
(30636,0,0,0,0,0,0x00080001,0),
(30675,0,0,0,11,3,16384,0),
(30678,0,0,0,11,3,16384,0),
(30679,0,0,0,11,3,16384,0),
(30680,0,0,0,11,3,16384,0),
(30681,0,0,0,11,3,16384,0),
(30802,0,0,0,0,0,4096,0),
(30808,0,0,0,0,0,4096,0),
(30809,0,0,0,0,0,4096,0),
(30810,0,0,0,0,0,4096,0),
(30811,0,0,0,0,0,4096,0),
(30823,0,0,0,0,0,1,0),
(31233,0,0,0,8,0x00000009003E0000,0x00020000,0),
(31239,0,0,0,8,0x00000009003E0000,0x00020000,0),
(31240,0,0,0,8,0x00000009003E0000,0x00020000,0),
(31241,0,0,0,8,0x00000009003E0000,0x00020000,0),
(31242,0,0,0,8,0x00000009003E0000,0x00020000,0),
(31244,0,0,0,0,0,2147483648,0),
(31245,0,0,0,0,0,2147483648,0),
(31255,0,0,0,0,0,256,0),
(31316,0,0,0,0,0,2,0),
(31641,0,0,0,0,0,524290,0),
(31642,0,0,0,0,0,524290,0),
(31785,0,0,0,0,0,536870912,0),
(31794,0,0,0,0,0,16384,0),
(31801,0,0,0,0,0,1,20),
(31828,0,0,0,0,0,32768,0),
(31829,0,0,0,0,0,32768,0),
(31830,0,0,0,0,0,32768,0),
(31833,0,0,0,10,2147483648,16384,0),
(31835,0,0,0,10,2147483648,16384,0),
(31836,0,0,0,10,2147483648,16384,0),
(31895,0,0,0,0,0,1,2),
(31896,0,0,0,0,0,1,2),
(32215,0,0,0,0,0,4,0),
(32385,0,0,0,5,73014445058,131072,0),
(32387,0,0,0,5,73014445058,131072,0),
(32392,0,0,0,5,73014445058,131072,0),
(32393,0,0,0,5,73014445058,131072,0),
(32394,0,0,0,5,73014445058,131072,0),
(32587,0,0,0,0,0,0x00000040,0),
(32593,0,0,0,0,0,1049602,0),
(32594,0,0,0,0,0,1049602,0),
(32642,0,0,0,0,0,64,0),
(32776,0,0,0,0,0,0x00000040,0),
(32777,0,0,0,0,0,0x00000040,0),
(32837,0,0,0,0,0,16384,0),
(33012,0,0,0,0,0,4,0),
(33014,0,0,0,0,0,4,0),
(33089,0,0,0,0,0,64,0),
(33142,0,0,0,0,0,8658944,0),
(33145,0,0,0,0,0,8658944,0),
(33146,0,0,0,0,0,8658944,0),
(33150,0,0,0,0,0,65536,0),
(33154,0,0,0,0,0,65536,0),
(33191,0,0,0,6,4398054932480,131072,0),
(33192,0,0,0,6,4398054932480,131072,0),
(33193,0,0,0,6,4398054932480,131072,0),
(33194,0,0,0,6,4398054932480,131072,0),
(33195,0,0,0,6,4398054932480,131072,0),
(33297,0,0,0,0,0,131072,0),
(33299,0,0,0,0,0,0x00004000,0),
(33510,0,0,0,0,0,524289,5),
(33511,0,0,0,0,0,131072,0),
(33648,0,0,0,0,0,4096,0),
(33735,0,0,0,0,0x0000000000000000,0xC4000001,0),
(33736,0,0,0,0,0,1049602,0),
(33776,0,0,0,0,0,536870912,0),
(33953,0,0,0,0,0,134217728,0),
(34082,0,0,0,0,0,8192,0),
(34303,0,0,0,0,0,128,0),
(34320,0,0,0,0,0,65536,0),
(34497,0,0,0,0,0,4194304,0),
(34498,0,0,0,0,0,4194304,0),
(34499,0,0,0,0,0,4194304,0),
(34500,0,0,0,0,0,4194304,0),
(34502,0,0,0,0,0,4194304,0),
(34503,0,0,0,0,0,4194304,0),
(34506,0,0,0,0,0,524288,0),
(34507,0,0,0,0,0,524288,0),
(34508,0,0,0,0,0,524288,0),
(34586,0,0,0,0,0,524289,1.5),
(34749,0,0,0,0,0,33554432,0),
(34774,0,0,0,0,0,524289,1.5),
(34838,0,0,0,0,0,524288,0),
(34839,0,0,0,0,0,524288,0),
(34914,32,0,0,0,0,32768,0),
(34916,32,0,0,0,0,32768,0),
(34917,32,0,0,0,0,32768,0),
(34935,0,0,0,0,0,2,0),
(34938,0,0,0,0,0,2,0),
(34939,0,0,0,0,0,2,0),
(34948,0,0,0,0,0,4,0),
(34949,0,0,0,0,0,4,0),
(34950,0,0,0,0,0,4194304,0),
(34954,0,0,0,0,0,4194304,0),
(35100,0,0,0,0,0,524288,0),
(35102,0,0,0,0,0,524288,0),
(35103,0,0,0,0,0,524288,0),
(35205,0,0,0,0,0x0000000000000000,0xC4000001,0),
(35942,0,0,0,0,0,0x00080001,0),
(37168,0,0,0,8,0x00000009003E0000,0x00020000,0),
(37188,0,0,0,10,0x0000000000800000,0x00004000,0),
(37189,0,0,0,10,0x0000000000006000,0x10000000,0),
(37195,0,0,0,10,8388608,16384,0),
(37197,0,0,0,0,0,16384,0),
(37227,0,0,0,11,0x00000000000001C0,0x10000000,0),
(37247,8,0,0,0,0,16384,0),
(37377,32,0,0,0,0,16384,0),
(37443,0,0,0,0,0,65536,0),
(37514,0,0,0,0,0,32,0),
(37519,0,0,0,0,0,67108864,0),
(37525,0,0,0,0,0,1049602,0),
(37604,0,0,0,0,0,0x00004000,0),
(37657,0,0,0,0,0,65536,0),
(37705,0,0,0,0,0,134217728,0),
(38031,0,0,0,0,0,0x00000040,0),
(38332,0,0,0,0,0,134217728,0),
(38347,0,0,0,0,0,65536,0),
(38350,0,0,0,0,0,4198400,0),
(38394,36,0,0,5,6,131072,0),
(38427,0,0,0,0,0,1,0),
(39437,4,0,0,0,0,16384,0),
(39530,0,0,0,0,0,0x00004000,0),
(40353,0,0,0,0,0x0000000000000000,0xC4000001,0),
(40407,0,0,0,0,0,1026,6),
(40444,0,0,0,0,0,64,0),
(40458,0,971,0,4,0x000060102000000,1,0),
(40475,0,0,0,0,0,524289,3),
(40482,0,0,0,0,0,65536,0),
(40971,0,0,0,0,0,134217728,0),
(41434,0,0,0,0,0,1,2),
(42083,0,0,0,0,0,4198400,0);
/*!40000 ALTER TABLE `spell_proc_event` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `spell_script_target`
--

DROP TABLE IF EXISTS `spell_script_target`;
CREATE TABLE `spell_script_target` (
  `entry` int(6) unsigned NOT NULL,
  `type` int(8) unsigned default '0',
  `targetEntry` int(11) unsigned default '0',
  UNIQUE KEY `entry_type_target` (`entry`,`type`,`targetEntry`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Spell System';

--
-- Dumping data for table `spell_script_target`
--

LOCK TABLES `spell_script_target` WRITE;
/*!40000 ALTER TABLE `spell_script_target` DISABLE KEYS */;
/*!40000 ALTER TABLE `spell_script_target` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `spell_scripts`
--

DROP TABLE IF EXISTS `spell_scripts`;
CREATE TABLE `spell_scripts` (
  `id` int(11) unsigned NOT NULL default '0',
  `delay` int(11) unsigned NOT NULL default '0',
  `command` int(11) unsigned NOT NULL default '0',
  `datalong` int(11) unsigned NOT NULL default '0',
  `datalong2` int(11) unsigned NOT NULL default '0',
  `datatext` text NOT NULL,
  `x` float NOT NULL default '0',
  `y` float NOT NULL default '0',
  `z` float NOT NULL default '0',
  `o` float NOT NULL default '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `spell_scripts`
--

LOCK TABLES `spell_scripts` WRITE;
/*!40000 ALTER TABLE `spell_scripts` DISABLE KEYS */;
/*!40000 ALTER TABLE `spell_scripts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `spell_teleport`
--

DROP TABLE IF EXISTS `spell_teleport`;
CREATE TABLE `spell_teleport` (
  `id` int(11) unsigned NOT NULL default '0' COMMENT 'Identifier',
  `target_map` int(11) unsigned NOT NULL default '0',
  `target_position_x` float NOT NULL default '0',
  `target_position_y` float NOT NULL default '0',
  `target_position_z` float NOT NULL default '0',
  `target_orientation` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Spell System';

--
-- Dumping data for table `spell_teleport`
--

LOCK TABLES `spell_teleport` WRITE;
/*!40000 ALTER TABLE `spell_teleport` DISABLE KEYS */;
/*!40000 ALTER TABLE `spell_teleport` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `spell_threat`
--

DROP TABLE IF EXISTS `spell_threat`;
CREATE TABLE `spell_threat` (
  `entry` int(10) unsigned NOT NULL,
  `Threat` int(11) NOT NULL,
  PRIMARY KEY  (`entry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED;

--
-- Dumping data for table `spell_threat`
--

LOCK TABLES `spell_threat` WRITE;
/*!40000 ALTER TABLE `spell_threat` DISABLE KEYS */;
INSERT INTO `spell_threat` (`entry`,`Threat`) VALUES
(78,20),
(284,39),
(285,59),
(770,108),
(778,108),
(1608,78),
(1672,180),
(1715,61),
(6343,17),
(6572,155),
(6574,195),
(6809,89),
(7372,101),
(7373,141),
(7379,235),
(7386,100),
(7405,140),
(8198,40),
(8204,64),
(8205,96),
(8380,180),
(8972,118),
(9745,148),
(9749,108),
(9880,178),
(9881,207),
(9907,108),
(11556,43),
(11564,98),
(11565,118),
(11566,137),
(11567,145),
(11580,143),
(11581,180),
(11596,220),
(11597,261),
(11600,275),
(11601,315),
(11775,395),
(14274,200),
(14921,415),
(15629,300),
(15630,400),
(15631,500),
(15632,600),
(16857,108),
(17735,200),
(17750,300),
(17751,450),
(17752,600),
(17390,108),
(17391,108),
(17392,108),
(20569,100),
(20736,100),
(20925,20),
(20927,30),
(20928,40),
(23922,160),
(23923,190),
(23924,220),
(23925,250),
(24394,580),
(24583,5),
(25225,300),
(25231,130),
(25258,286),
(25264,215),
(25269,400),
(25286,175),
(25288,355),
(25289,60),
(26993,127),
(26996,176),
(27011,127),
(27179,54),
(29704,230),
(29707,196),
(30324,220),
(30356,323),
(30357,483),
(33745,285),
(33878,129),
(33986,180),
(33987,232);
/*!40000 ALTER TABLE `spell_threat` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `transports`
--

DROP TABLE IF EXISTS `transports`;
CREATE TABLE `transports` (
  `entry` int(11) unsigned NOT NULL default '0',
  `name` text,
  `period` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`entry`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED COMMENT='Transports';

--
-- Dumping data for table `transports`
--

LOCK TABLES `transports` WRITE;
/*!40000 ALTER TABLE `transports` DISABLE KEYS */;
/*!40000 ALTER TABLE `transports` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `uptime`
--

DROP TABLE IF EXISTS `uptime`;
CREATE TABLE `uptime` (
  `starttime` bigint(11) unsigned NOT NULL default '0',
  `startstring` varchar(64) NOT NULL default '',
  `uptime` bigint(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`starttime`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='Uptime system';

--
-- Dumping data for table `uptime`
--

LOCK TABLES `uptime` WRITE;
/*!40000 ALTER TABLE `uptime` DISABLE KEYS */;
/*!40000 ALTER TABLE `uptime` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2008-01-10 13:56:06
